/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
 *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
 *
 *  Copyright (C) 2010 Brian Aker
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef PLUGIN_USER_LOCKS_MODULE_H
#define PLUGIN_USER_LOCKS_MODULE_H

#include <drizzled/item/func.h>
#include <drizzled/function/str/strfunc.h>

#include <drizzled/plugin/function.h>
#include "drizzled/plugin/table_function.h"

// We use this key for all of the locks we create.
#include "plugin/user_locks/key.h"

#include "plugin/user_locks/get_lock.h"
#include "plugin/user_locks/get_locks.h"
#include "plugin/user_locks/is_free_lock.h"
#include "plugin/user_locks/is_used_lock.h"
#include "plugin/user_locks/locks.h"
#include "plugin/user_locks/release_lock.h"
#include "plugin/user_locks/release_locks.h"
#include "plugin/user_locks/user_locks_dictionary.h"

#endif /* PLUGIN_USER_LOCKS_MODULE_H */
