
/* A Bison parser, made by GNU Bison 2.4.1.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006
   Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.1"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 0

/* Substitute the variable and function names.  */
#define yyparse         DRIZZLEparse
#define yylex           DRIZZLElex
#define yyerror         DRIZZLEerror
#define yylval          DRIZZLElval
#define yychar          DRIZZLEchar
#define yydebug         DRIZZLEdebug
#define yynerrs         DRIZZLEnerrs


/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 23 "drizzled/sql_yacc.yy"

/* session is passed as an argument to yyparse(), and subsequently to yylex().
** The type will be void*, so it must be  cast to (Session*) when used.
** Use the YYSession macro for this.
*/
#define YYPARSE_PARAM yysession
#define YYLEX_PARAM yysession
#define YYSession (static_cast<Session *>(yysession))

#define YYENABLE_NLS 0
#define YYLTYPE_IS_TRIVIAL 0

#define DRIZZLE_YACC
#define YYINITDEPTH 100
#define YYMAXDEPTH 3200                        /* Because of 64K stack */
#define Lex (YYSession->lex)

#include "config.h"
#include <cstdio>
#include "drizzled/parser.h"

int yylex(void *yylval, void *yysession);

#define yyoverflow(A,B,C,D,E,F)               \
  {                                           \
    ulong val= *(F);                          \
    if (drizzled::my_yyoverflow((B), (D), &val)) \
    {                                         \
      yyerror((char*) (A));                   \
      return 2;                               \
    }                                         \
    else                                      \
    {                                         \
      *(F)= (YYSIZE_T)val;                    \
    }                                         \
  }

#define DRIZZLE_YYABORT                         \
  do                                          \
  {                                           \
    LEX::cleanup_lex_after_parse_error(YYSession);\
    YYABORT;                                  \
  } while (0)

#define DRIZZLE_YYABORT_UNLESS(A)         \
  if (!(A))                             \
  {                                     \
    struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };\
    my_parse_error(&pass);\
    DRIZZLE_YYABORT;                      \
  }


#define YYDEBUG 0

namespace drizzled
{

class Table_ident;
class Item;
class Item_num;


static bool check_reserved_words(LEX_STRING *name)
{
  if (!my_strcasecmp(system_charset_info, name->str, "GLOBAL") ||
      !my_strcasecmp(system_charset_info, name->str, "LOCAL") ||
      !my_strcasecmp(system_charset_info, name->str, "SESSION"))
    return true;
  return false;
}

/**
  @brief Push an error message into MySQL error stack with line
  and position information.

  This function provides semantic action implementers with a way
  to push the famous "You have a syntax error near..." error
  message into the error stack, which is normally produced only if
  a parse error is discovered internally by the Bison generated
  parser.
*/

struct my_parse_error_st {
  const char *s;
  Session *session;
};

static void my_parse_error(void *arg)
{
 struct my_parse_error_st *ptr= (struct my_parse_error_st *)arg;

  const char *s= ptr->s;
  Session *session= ptr->session;

  Lex_input_stream *lip= session->m_lip;

  const char *yytext= lip->get_tok_start();
  /* Push an error into the error stack */
  my_printf_error(ER_PARSE_ERROR,  ER(ER_PARSE_ERROR), MYF(0), s,
                  (yytext ? yytext : ""),
                  lip->yylineno);
}

/**
  @brief Bison callback to report a syntax/OOM error

  This function is invoked by the bison-generated parser
  when a syntax error, a parse error or an out-of-memory
  condition occurs. This function is not invoked when the
  parser is requested to abort by semantic action code
  by means of YYABORT or YYACCEPT macros. This is why these
  macros should not be used (use DRIZZLE_YYABORT/DRIZZLE_YYACCEPT
  instead).

  The parser will abort immediately after invoking this callback.

  This function is not for use in semantic actions and is internal to
  the parser, as it performs some pre-return cleanup.
  In semantic actions, please use my_parse_error or my_error to
  push an error into the error stack and DRIZZLE_YYABORT
  to abort from the parser.
*/

static void DRIZZLEerror(const char *s)
{
  Session *session= current_session;

  /*
    Restore the original LEX if it was replaced when parsing
    a stored procedure. We must ensure that a parsing error
    does not leave any side effects in the Session.
  */
  LEX::cleanup_lex_after_parse_error(session);

  /* "parse error" changed into "syntax error" between bison 1.75 and 1.875 */
  if (strcmp(s,"parse error") == 0 || strcmp(s,"syntax error") == 0)
    s= ER(ER_SYNTAX_ERROR);

  struct my_parse_error_st pass= { s, session };
  my_parse_error(&pass);
}

/**
  Helper to resolve the SQL:2003 Syntax exception 1) in <in predicate>.
  See SQL:2003, Part 2, section 8.4 <in predicate>, Note 184, page 383.
  This function returns the proper item for the SQL expression
  <code>left [NOT] IN ( expr )</code>
  @param session the current thread
  @param left the in predicand
  @param equal true for IN predicates, false for NOT IN predicates
  @param expr first and only expression of the in value list
  @return an expression representing the IN predicate.
*/
static Item* handle_sql2003_note184_exception(Session *session,
                                              Item* left, bool equal,
                                              Item *expr)
{
  /*
    Relevant references for this issue:
    - SQL:2003, Part 2, section 8.4 <in predicate>, page 383,
    - SQL:2003, Part 2, section 7.2 <row value expression>, page 296,
    - SQL:2003, Part 2, section 6.3 <value expression primary>, page 174,
    - SQL:2003, Part 2, section 7.15 <subquery>, page 370,
    - SQL:2003 Feature F561, "Full value expressions".

    The exception in SQL:2003 Note 184 means:
    Item_singlerow_subselect, which corresponds to a <scalar subquery>,
    should be re-interpreted as an Item_in_subselect, which corresponds
    to a <table subquery> when used inside an <in predicate>.

    Our reading of Note 184 is reccursive, so that all:
    - IN (( <subquery> ))
    - IN ((( <subquery> )))
    - IN '('^N <subquery> ')'^N
    - etc
    should be interpreted as a <table subquery>, no matter how deep in the
    expression the <subquery> is.
  */

  Item *result;

  if (expr->type() == Item::SUBSELECT_ITEM)
  {
    Item_subselect *expr2 = (Item_subselect*) expr;

    if (expr2->substype() == Item_subselect::SINGLEROW_SUBS)
    {
      Item_singlerow_subselect *expr3 = (Item_singlerow_subselect*) expr2;
      Select_Lex *subselect;

      /*
        Implement the mandated change, by altering the semantic tree:
          left IN Item_singlerow_subselect(subselect)
        is modified to
          left IN (subselect)
        which is represented as
          Item_in_subselect(left, subselect)
      */
      subselect= expr3->invalidate_and_restore_select_lex();
      result= new (session->mem_root) Item_in_subselect(left, subselect);

      if (! equal)
        result = negate_expression(session, result);

      return(result);
    }
  }

  if (equal)
    result= new (session->mem_root) Item_func_eq(left, expr);
  else
    result= new (session->mem_root) Item_func_ne(left, expr);

  return(result);
}

/**
   @brief Creates a new Select_Lex for a UNION branch.

   Sets up and initializes a Select_Lex structure for a query once the parser
   discovers a UNION token. The current Select_Lex is pushed on the stack and
   the new Select_Lex becomes the current one..=

   @lex The parser state.

   @is_union_distinct True if the union preceding the new select statement
   uses UNION DISTINCT.

   @return <code>false</code> if successful, <code>true</code> if an error was
   reported. In the latter case parsing should stop.
 */
static bool add_select_to_union_list(Session *session, LEX *lex, bool is_union_distinct)
{
  if (lex->result)
  {
    /* Only the last SELECT can have  INTO...... */
    my_error(ER_WRONG_USAGE, MYF(0), "UNION", "INTO");
    return true;
  }
  if (lex->current_select->linkage == GLOBAL_OPTIONS_TYPE)
  {
    struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), session };
    my_parse_error(&pass);
    return true;
  }
  /* This counter shouldn't be incremented for UNION parts */
  lex->nest_level--;
  if (mysql_new_select(lex, 0))
    return true;
  mysql_init_select(lex);
  lex->current_select->linkage=UNION_TYPE;
  if (is_union_distinct) /* UNION DISTINCT - remember position */
    lex->current_select->master_unit()->union_distinct=
      lex->current_select;
  return false;
}

/**
   @brief Initializes a Select_Lex for a query within parentheses (aka
   braces).

   @return false if successful, true if an error was reported. In the latter
   case parsing should stop.
 */
static bool setup_select_in_parentheses(Session *session, LEX *lex)
{
  Select_Lex * sel= lex->current_select;
  if (sel->set_braces(1))
  {
    struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), session };
    my_parse_error(&pass);
    return true;
  }
  if (sel->linkage == UNION_TYPE &&
      !sel->master_unit()->first_select()->braces &&
      sel->master_unit()->first_select()->linkage ==
      UNION_TYPE)
  {
    struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), session };
    my_parse_error(&pass);
    return true;
  }
  if (sel->linkage == UNION_TYPE &&
      sel->olap != UNSPECIFIED_OLAP_TYPE &&
      sel->master_unit()->fake_select_lex)
  {
    my_error(ER_WRONG_USAGE, MYF(0), "CUBE/ROLLUP", "ORDER BY");
    return true;
  }
  /* select in braces, can't contain global parameters */
  if (sel->master_unit()->fake_select_lex)
    sel->master_unit()->global_parameters=
      sel->master_unit()->fake_select_lex;
  return false;
}

static Item* reserved_keyword_function(Session *session, const std::string &name, List<Item> *item_list)
{
  const plugin::Function *udf= plugin::Function::get(name.c_str(), name.length());
  Item *item= NULL;

  if (udf)
  {
    item= Create_udf_func::s_singleton.create(session, udf, item_list);
  } else {
    my_error(ER_SP_DOES_NOT_EXIST, MYF(0), "FUNCTION", name.c_str());
  }

  return item;
}

} /* namespace drizzled; */

using namespace drizzled;


/* Line 189 of yacc.c  */
#line 399 "drizzled/sql_yacc.cc"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     ABORT_SYM = 258,
     ACTION = 259,
     ADD = 260,
     ADDDATE_SYM = 261,
     AFTER_SYM = 262,
     AGGREGATE_SYM = 263,
     ALL = 264,
     ALTER = 265,
     ANALYZE_SYM = 266,
     AND_SYM = 267,
     ANY_SYM = 268,
     AS = 269,
     ASC = 270,
     ASENSITIVE_SYM = 271,
     AT_SYM = 272,
     AUTO_INC = 273,
     AVG_ROW_LENGTH = 274,
     AVG_SYM = 275,
     BEFORE_SYM = 276,
     BEGIN_SYM = 277,
     BETWEEN_SYM = 278,
     BIGINT_SYM = 279,
     BINARY = 280,
     BIN_NUM = 281,
     BIT_SYM = 282,
     BLOB_SYM = 283,
     BOOLEAN_SYM = 284,
     BOOL_SYM = 285,
     BOTH = 286,
     BTREE_SYM = 287,
     BY = 288,
     BYTE_SYM = 289,
     CALL_SYM = 290,
     CASCADE = 291,
     CASCADED = 292,
     CASE_SYM = 293,
     CAST_SYM = 294,
     CHAIN_SYM = 295,
     CHANGE = 296,
     CHAR_SYM = 297,
     CHECKSUM_SYM = 298,
     CHECK_SYM = 299,
     CLOSE_SYM = 300,
     COALESCE = 301,
     COLLATE_SYM = 302,
     COLLATION_SYM = 303,
     COLUMNS = 304,
     COLUMN_SYM = 305,
     COMMENT_SYM = 306,
     COMMITTED_SYM = 307,
     COMMIT_SYM = 308,
     COMPACT_SYM = 309,
     COMPRESSED_SYM = 310,
     CONCURRENT = 311,
     CONDITION_SYM = 312,
     CONNECTION_SYM = 313,
     CONSISTENT_SYM = 314,
     CONSTRAINT = 315,
     CONTAINS_SYM = 316,
     CONTINUE_SYM = 317,
     CONVERT_SYM = 318,
     COUNT_SYM = 319,
     CREATE = 320,
     CROSS = 321,
     CUBE_SYM = 322,
     CURDATE = 323,
     CURRENT_USER = 324,
     CURSOR_SYM = 325,
     DATABASE = 326,
     DATABASES = 327,
     DATAFILE_SYM = 328,
     DATA_SYM = 329,
     DATETIME_SYM = 330,
     DATE_ADD_INTERVAL = 331,
     DATE_SUB_INTERVAL = 332,
     DATE_SYM = 333,
     DAY_HOUR_SYM = 334,
     DAY_MICROSECOND_SYM = 335,
     DAY_MINUTE_SYM = 336,
     DAY_SECOND_SYM = 337,
     DAY_SYM = 338,
     DEALLOCATE_SYM = 339,
     DECIMAL_NUM = 340,
     DECIMAL_SYM = 341,
     DECLARE_SYM = 342,
     DEFAULT = 343,
     DELETE_SYM = 344,
     DESC = 345,
     DESCRIBE = 346,
     DETERMINISTIC_SYM = 347,
     DISABLE_SYM = 348,
     DISCARD = 349,
     DISTINCT = 350,
     DIV_SYM = 351,
     DOUBLE_SYM = 352,
     DROP = 353,
     DUMPFILE = 354,
     DUPLICATE_SYM = 355,
     DYNAMIC_SYM = 356,
     EACH_SYM = 357,
     ELSE = 358,
     ELSEIF_SYM = 359,
     ENABLE_SYM = 360,
     ENCLOSED = 361,
     END = 362,
     ENDS_SYM = 363,
     END_OF_INPUT = 364,
     ENGINE_SYM = 365,
     ENUM_SYM = 366,
     EQ = 367,
     EQUAL_SYM = 368,
     ERRORS = 369,
     ESCAPED = 370,
     ESCAPE_SYM = 371,
     EXCLUSIVE_SYM = 372,
     EXECUTE_SYM = 373,
     EXISTS = 374,
     EXTENDED_SYM = 375,
     EXTRACT_SYM = 376,
     FALSE_SYM = 377,
     FETCH_SYM = 378,
     COLUMN_FORMAT_SYM = 379,
     FILE_SYM = 380,
     FIRST_SYM = 381,
     FIXED_SYM = 382,
     FLOAT_NUM = 383,
     FLUSH_SYM = 384,
     FORCE_SYM = 385,
     FOREIGN = 386,
     FOR_SYM = 387,
     FOUND_SYM = 388,
     FRAC_SECOND_SYM = 389,
     FROM = 390,
     FULL = 391,
     GE = 392,
     GLOBAL_SYM = 393,
     GROUP_SYM = 394,
     GROUP_CONCAT_SYM = 395,
     GT_SYM = 396,
     HASH_SYM = 397,
     HAVING = 398,
     HEX_NUM = 399,
     HOUR_MICROSECOND_SYM = 400,
     HOUR_MINUTE_SYM = 401,
     HOUR_SECOND_SYM = 402,
     HOUR_SYM = 403,
     IDENT = 404,
     IDENTIFIED_SYM = 405,
     IDENT_QUOTED = 406,
     IF = 407,
     IGNORE_SYM = 408,
     IMPORT = 409,
     INDEXES = 410,
     INDEX_SYM = 411,
     INFILE = 412,
     INNER_SYM = 413,
     INOUT_SYM = 414,
     INSENSITIVE_SYM = 415,
     INSERT = 416,
     INTERVAL_SYM = 417,
     INTO = 418,
     INT_SYM = 419,
     IN_SYM = 420,
     IS = 421,
     ISOLATION = 422,
     ITERATE_SYM = 423,
     JOIN_SYM = 424,
     KEYS = 425,
     KEY_BLOCK_SIZE = 426,
     KEY_SYM = 427,
     KILL_SYM = 428,
     LAST_SYM = 429,
     LE = 430,
     LEADING = 431,
     LEFT = 432,
     LEVEL_SYM = 433,
     LEX_HOSTNAME = 434,
     LIKE = 435,
     LIMIT = 436,
     LINES = 437,
     LIST_SYM = 438,
     LOAD = 439,
     LOCAL_SYM = 440,
     LOCATOR_SYM = 441,
     LOCKS_SYM = 442,
     LOCK_SYM = 443,
     LOGS_SYM = 444,
     LONG_NUM = 445,
     LONG_SYM = 446,
     LOOP_SYM = 447,
     LT = 448,
     MATCH = 449,
     MAX_ROWS = 450,
     MAX_SIZE_SYM = 451,
     MAX_SYM = 452,
     MAX_VALUE_SYM = 453,
     MEDIUM_SYM = 454,
     MERGE_SYM = 455,
     MICROSECOND_SYM = 456,
     MINUTE_MICROSECOND_SYM = 457,
     MINUTE_SECOND_SYM = 458,
     MINUTE_SYM = 459,
     MIN_ROWS = 460,
     MIN_SYM = 461,
     MODE_SYM = 462,
     MODIFIES_SYM = 463,
     MODIFY_SYM = 464,
     MOD_SYM = 465,
     MONTH_SYM = 466,
     NAMES_SYM = 467,
     NAME_SYM = 468,
     NATIONAL_SYM = 469,
     NATURAL = 470,
     NE = 471,
     NEG = 472,
     NEW_SYM = 473,
     NEXT_SYM = 474,
     NONE_SYM = 475,
     NOT_SYM = 476,
     NOW_SYM = 477,
     NO_SYM = 478,
     NULL_SYM = 479,
     NUM = 480,
     NUMERIC_SYM = 481,
     OFFLINE_SYM = 482,
     OFFSET_SYM = 483,
     ON = 484,
     ONE_SHOT_SYM = 485,
     ONE_SYM = 486,
     ONLINE_SYM = 487,
     OPEN_SYM = 488,
     OPTIMIZE = 489,
     OPTION = 490,
     OPTIONALLY = 491,
     ORDER_SYM = 492,
     OR_SYM = 493,
     OUTER = 494,
     OUTFILE = 495,
     OUT_SYM = 496,
     PAGE_SYM = 497,
     PARTIAL = 498,
     PHASE_SYM = 499,
     POSITION_SYM = 500,
     PRECISION = 501,
     PREV_SYM = 502,
     PRIMARY_SYM = 503,
     PROCESS = 504,
     PROCESSLIST_SYM = 505,
     QUARTER_SYM = 506,
     QUERY_SYM = 507,
     RANGE_SYM = 508,
     READS_SYM = 509,
     READ_ONLY_SYM = 510,
     READ_SYM = 511,
     READ_WRITE_SYM = 512,
     REAL = 513,
     REDUNDANT_SYM = 514,
     REFERENCES = 515,
     RELEASE_SYM = 516,
     RENAME = 517,
     REPEATABLE_SYM = 518,
     REPEAT_SYM = 519,
     REPLACE = 520,
     RESTRICT = 521,
     RETURNS_SYM = 522,
     RETURN_SYM = 523,
     REVERSE_SYM = 524,
     REVOKE = 525,
     RIGHT = 526,
     ROLLBACK_SYM = 527,
     ROLLUP_SYM = 528,
     ROUTINE_SYM = 529,
     ROWS_SYM = 530,
     ROW_FORMAT_SYM = 531,
     ROW_SYM = 532,
     SAVEPOINT_SYM = 533,
     SECOND_MICROSECOND_SYM = 534,
     SECOND_SYM = 535,
     SECURITY_SYM = 536,
     SELECT_SYM = 537,
     SENSITIVE_SYM = 538,
     SEPARATOR_SYM = 539,
     SERIALIZABLE_SYM = 540,
     SERIAL_SYM = 541,
     SESSION_SYM = 542,
     SERVER_SYM = 543,
     SERVER_OPTIONS = 544,
     SET = 545,
     SET_VAR = 546,
     SHARE_SYM = 547,
     SHOW = 548,
     SIMPLE_SYM = 549,
     SNAPSHOT_SYM = 550,
     SPECIFIC_SYM = 551,
     SQLEXCEPTION_SYM = 552,
     SQLSTATE_SYM = 553,
     SQLWARNING_SYM = 554,
     SQL_BIG_RESULT = 555,
     SQL_BUFFER_RESULT = 556,
     SQL_CALC_FOUND_ROWS = 557,
     SQL_SMALL_RESULT = 558,
     SQL_SYM = 559,
     STARTING = 560,
     START_SYM = 561,
     STATUS_SYM = 562,
     STDDEV_SAMP_SYM = 563,
     STD_SYM = 564,
     STOP_SYM = 565,
     STORAGE_SYM = 566,
     STORED_SYM = 567,
     STRAIGHT_JOIN = 568,
     STRING_SYM = 569,
     SUBDATE_SYM = 570,
     SUBJECT_SYM = 571,
     SUBSTRING = 572,
     SUM_SYM = 573,
     SUSPEND_SYM = 574,
     SWAPS_SYM = 575,
     SWITCHES_SYM = 576,
     SYSDATE = 577,
     TABLES = 578,
     TABLESPACE = 579,
     TABLE_REF_PRIORITY = 580,
     TABLE_SYM = 581,
     TEMPORARY_SYM = 582,
     TERMINATED = 583,
     TEXT_STRING = 584,
     TEXT_SYM = 585,
     THEN_SYM = 586,
     TIMESTAMP_SYM = 587,
     TIMESTAMP_ADD = 588,
     TIMESTAMP_DIFF = 589,
     TO_SYM = 590,
     TRAILING = 591,
     TRANSACTION_SYM = 592,
     TRIM = 593,
     TRUE_SYM = 594,
     TRUNCATE_SYM = 595,
     TYPES_SYM = 596,
     TYPE_SYM = 597,
     ULONGLONG_NUM = 598,
     UNCOMMITTED_SYM = 599,
     UNDOFILE_SYM = 600,
     UNDO_SYM = 601,
     UNION_SYM = 602,
     UNIQUE_SYM = 603,
     UNKNOWN_SYM = 604,
     UNLOCK_SYM = 605,
     UPDATE_SYM = 606,
     USAGE = 607,
     USER = 608,
     USE_SYM = 609,
     USING = 610,
     UTC_DATE_SYM = 611,
     UTC_TIMESTAMP_SYM = 612,
     VALUES = 613,
     VALUE_SYM = 614,
     VARBINARY = 615,
     VARCHAR_SYM = 616,
     VARIABLES = 617,
     VARIANCE_SYM = 618,
     VARYING = 619,
     VAR_SAMP_SYM = 620,
     WARNINGS = 621,
     WEEK_SYM = 622,
     WHEN_SYM = 623,
     WHERE = 624,
     WITH = 625,
     WITH_ROLLUP_SYM = 626,
     WORK_SYM = 627,
     WRITE_SYM = 628,
     XOR = 629,
     YEAR_MONTH_SYM = 630,
     YEAR_SYM = 631
   };
#endif
/* Tokens.  */
#define ABORT_SYM 258
#define ACTION 259
#define ADD 260
#define ADDDATE_SYM 261
#define AFTER_SYM 262
#define AGGREGATE_SYM 263
#define ALL 264
#define ALTER 265
#define ANALYZE_SYM 266
#define AND_SYM 267
#define ANY_SYM 268
#define AS 269
#define ASC 270
#define ASENSITIVE_SYM 271
#define AT_SYM 272
#define AUTO_INC 273
#define AVG_ROW_LENGTH 274
#define AVG_SYM 275
#define BEFORE_SYM 276
#define BEGIN_SYM 277
#define BETWEEN_SYM 278
#define BIGINT_SYM 279
#define BINARY 280
#define BIN_NUM 281
#define BIT_SYM 282
#define BLOB_SYM 283
#define BOOLEAN_SYM 284
#define BOOL_SYM 285
#define BOTH 286
#define BTREE_SYM 287
#define BY 288
#define BYTE_SYM 289
#define CALL_SYM 290
#define CASCADE 291
#define CASCADED 292
#define CASE_SYM 293
#define CAST_SYM 294
#define CHAIN_SYM 295
#define CHANGE 296
#define CHAR_SYM 297
#define CHECKSUM_SYM 298
#define CHECK_SYM 299
#define CLOSE_SYM 300
#define COALESCE 301
#define COLLATE_SYM 302
#define COLLATION_SYM 303
#define COLUMNS 304
#define COLUMN_SYM 305
#define COMMENT_SYM 306
#define COMMITTED_SYM 307
#define COMMIT_SYM 308
#define COMPACT_SYM 309
#define COMPRESSED_SYM 310
#define CONCURRENT 311
#define CONDITION_SYM 312
#define CONNECTION_SYM 313
#define CONSISTENT_SYM 314
#define CONSTRAINT 315
#define CONTAINS_SYM 316
#define CONTINUE_SYM 317
#define CONVERT_SYM 318
#define COUNT_SYM 319
#define CREATE 320
#define CROSS 321
#define CUBE_SYM 322
#define CURDATE 323
#define CURRENT_USER 324
#define CURSOR_SYM 325
#define DATABASE 326
#define DATABASES 327
#define DATAFILE_SYM 328
#define DATA_SYM 329
#define DATETIME_SYM 330
#define DATE_ADD_INTERVAL 331
#define DATE_SUB_INTERVAL 332
#define DATE_SYM 333
#define DAY_HOUR_SYM 334
#define DAY_MICROSECOND_SYM 335
#define DAY_MINUTE_SYM 336
#define DAY_SECOND_SYM 337
#define DAY_SYM 338
#define DEALLOCATE_SYM 339
#define DECIMAL_NUM 340
#define DECIMAL_SYM 341
#define DECLARE_SYM 342
#define DEFAULT 343
#define DELETE_SYM 344
#define DESC 345
#define DESCRIBE 346
#define DETERMINISTIC_SYM 347
#define DISABLE_SYM 348
#define DISCARD 349
#define DISTINCT 350
#define DIV_SYM 351
#define DOUBLE_SYM 352
#define DROP 353
#define DUMPFILE 354
#define DUPLICATE_SYM 355
#define DYNAMIC_SYM 356
#define EACH_SYM 357
#define ELSE 358
#define ELSEIF_SYM 359
#define ENABLE_SYM 360
#define ENCLOSED 361
#define END 362
#define ENDS_SYM 363
#define END_OF_INPUT 364
#define ENGINE_SYM 365
#define ENUM_SYM 366
#define EQ 367
#define EQUAL_SYM 368
#define ERRORS 369
#define ESCAPED 370
#define ESCAPE_SYM 371
#define EXCLUSIVE_SYM 372
#define EXECUTE_SYM 373
#define EXISTS 374
#define EXTENDED_SYM 375
#define EXTRACT_SYM 376
#define FALSE_SYM 377
#define FETCH_SYM 378
#define COLUMN_FORMAT_SYM 379
#define FILE_SYM 380
#define FIRST_SYM 381
#define FIXED_SYM 382
#define FLOAT_NUM 383
#define FLUSH_SYM 384
#define FORCE_SYM 385
#define FOREIGN 386
#define FOR_SYM 387
#define FOUND_SYM 388
#define FRAC_SECOND_SYM 389
#define FROM 390
#define FULL 391
#define GE 392
#define GLOBAL_SYM 393
#define GROUP_SYM 394
#define GROUP_CONCAT_SYM 395
#define GT_SYM 396
#define HASH_SYM 397
#define HAVING 398
#define HEX_NUM 399
#define HOUR_MICROSECOND_SYM 400
#define HOUR_MINUTE_SYM 401
#define HOUR_SECOND_SYM 402
#define HOUR_SYM 403
#define IDENT 404
#define IDENTIFIED_SYM 405
#define IDENT_QUOTED 406
#define IF 407
#define IGNORE_SYM 408
#define IMPORT 409
#define INDEXES 410
#define INDEX_SYM 411
#define INFILE 412
#define INNER_SYM 413
#define INOUT_SYM 414
#define INSENSITIVE_SYM 415
#define INSERT 416
#define INTERVAL_SYM 417
#define INTO 418
#define INT_SYM 419
#define IN_SYM 420
#define IS 421
#define ISOLATION 422
#define ITERATE_SYM 423
#define JOIN_SYM 424
#define KEYS 425
#define KEY_BLOCK_SIZE 426
#define KEY_SYM 427
#define KILL_SYM 428
#define LAST_SYM 429
#define LE 430
#define LEADING 431
#define LEFT 432
#define LEVEL_SYM 433
#define LEX_HOSTNAME 434
#define LIKE 435
#define LIMIT 436
#define LINES 437
#define LIST_SYM 438
#define LOAD 439
#define LOCAL_SYM 440
#define LOCATOR_SYM 441
#define LOCKS_SYM 442
#define LOCK_SYM 443
#define LOGS_SYM 444
#define LONG_NUM 445
#define LONG_SYM 446
#define LOOP_SYM 447
#define LT 448
#define MATCH 449
#define MAX_ROWS 450
#define MAX_SIZE_SYM 451
#define MAX_SYM 452
#define MAX_VALUE_SYM 453
#define MEDIUM_SYM 454
#define MERGE_SYM 455
#define MICROSECOND_SYM 456
#define MINUTE_MICROSECOND_SYM 457
#define MINUTE_SECOND_SYM 458
#define MINUTE_SYM 459
#define MIN_ROWS 460
#define MIN_SYM 461
#define MODE_SYM 462
#define MODIFIES_SYM 463
#define MODIFY_SYM 464
#define MOD_SYM 465
#define MONTH_SYM 466
#define NAMES_SYM 467
#define NAME_SYM 468
#define NATIONAL_SYM 469
#define NATURAL 470
#define NE 471
#define NEG 472
#define NEW_SYM 473
#define NEXT_SYM 474
#define NONE_SYM 475
#define NOT_SYM 476
#define NOW_SYM 477
#define NO_SYM 478
#define NULL_SYM 479
#define NUM 480
#define NUMERIC_SYM 481
#define OFFLINE_SYM 482
#define OFFSET_SYM 483
#define ON 484
#define ONE_SHOT_SYM 485
#define ONE_SYM 486
#define ONLINE_SYM 487
#define OPEN_SYM 488
#define OPTIMIZE 489
#define OPTION 490
#define OPTIONALLY 491
#define ORDER_SYM 492
#define OR_SYM 493
#define OUTER 494
#define OUTFILE 495
#define OUT_SYM 496
#define PAGE_SYM 497
#define PARTIAL 498
#define PHASE_SYM 499
#define POSITION_SYM 500
#define PRECISION 501
#define PREV_SYM 502
#define PRIMARY_SYM 503
#define PROCESS 504
#define PROCESSLIST_SYM 505
#define QUARTER_SYM 506
#define QUERY_SYM 507
#define RANGE_SYM 508
#define READS_SYM 509
#define READ_ONLY_SYM 510
#define READ_SYM 511
#define READ_WRITE_SYM 512
#define REAL 513
#define REDUNDANT_SYM 514
#define REFERENCES 515
#define RELEASE_SYM 516
#define RENAME 517
#define REPEATABLE_SYM 518
#define REPEAT_SYM 519
#define REPLACE 520
#define RESTRICT 521
#define RETURNS_SYM 522
#define RETURN_SYM 523
#define REVERSE_SYM 524
#define REVOKE 525
#define RIGHT 526
#define ROLLBACK_SYM 527
#define ROLLUP_SYM 528
#define ROUTINE_SYM 529
#define ROWS_SYM 530
#define ROW_FORMAT_SYM 531
#define ROW_SYM 532
#define SAVEPOINT_SYM 533
#define SECOND_MICROSECOND_SYM 534
#define SECOND_SYM 535
#define SECURITY_SYM 536
#define SELECT_SYM 537
#define SENSITIVE_SYM 538
#define SEPARATOR_SYM 539
#define SERIALIZABLE_SYM 540
#define SERIAL_SYM 541
#define SESSION_SYM 542
#define SERVER_SYM 543
#define SERVER_OPTIONS 544
#define SET 545
#define SET_VAR 546
#define SHARE_SYM 547
#define SHOW 548
#define SIMPLE_SYM 549
#define SNAPSHOT_SYM 550
#define SPECIFIC_SYM 551
#define SQLEXCEPTION_SYM 552
#define SQLSTATE_SYM 553
#define SQLWARNING_SYM 554
#define SQL_BIG_RESULT 555
#define SQL_BUFFER_RESULT 556
#define SQL_CALC_FOUND_ROWS 557
#define SQL_SMALL_RESULT 558
#define SQL_SYM 559
#define STARTING 560
#define START_SYM 561
#define STATUS_SYM 562
#define STDDEV_SAMP_SYM 563
#define STD_SYM 564
#define STOP_SYM 565
#define STORAGE_SYM 566
#define STORED_SYM 567
#define STRAIGHT_JOIN 568
#define STRING_SYM 569
#define SUBDATE_SYM 570
#define SUBJECT_SYM 571
#define SUBSTRING 572
#define SUM_SYM 573
#define SUSPEND_SYM 574
#define SWAPS_SYM 575
#define SWITCHES_SYM 576
#define SYSDATE 577
#define TABLES 578
#define TABLESPACE 579
#define TABLE_REF_PRIORITY 580
#define TABLE_SYM 581
#define TEMPORARY_SYM 582
#define TERMINATED 583
#define TEXT_STRING 584
#define TEXT_SYM 585
#define THEN_SYM 586
#define TIMESTAMP_SYM 587
#define TIMESTAMP_ADD 588
#define TIMESTAMP_DIFF 589
#define TO_SYM 590
#define TRAILING 591
#define TRANSACTION_SYM 592
#define TRIM 593
#define TRUE_SYM 594
#define TRUNCATE_SYM 595
#define TYPES_SYM 596
#define TYPE_SYM 597
#define ULONGLONG_NUM 598
#define UNCOMMITTED_SYM 599
#define UNDOFILE_SYM 600
#define UNDO_SYM 601
#define UNION_SYM 602
#define UNIQUE_SYM 603
#define UNKNOWN_SYM 604
#define UNLOCK_SYM 605
#define UPDATE_SYM 606
#define USAGE 607
#define USER 608
#define USE_SYM 609
#define USING 610
#define UTC_DATE_SYM 611
#define UTC_TIMESTAMP_SYM 612
#define VALUES 613
#define VALUE_SYM 614
#define VARBINARY 615
#define VARCHAR_SYM 616
#define VARIABLES 617
#define VARIANCE_SYM 618
#define VARYING 619
#define VAR_SAMP_SYM 620
#define WARNINGS 621
#define WEEK_SYM 622
#define WHEN_SYM 623
#define WHERE 624
#define WITH 625
#define WITH_ROLLUP_SYM 626
#define WORK_SYM 627
#define WRITE_SYM 628
#define XOR 629
#define YEAR_MONTH_SYM 630
#define YEAR_SYM 631




#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 339 "drizzled/sql_yacc.yy"

  int  num;
  ulong ulong_num;
  uint64_t ulonglong_number;
  int64_t longlong_number;
  drizzled::LEX_STRING lex_str;
  drizzled::LEX_STRING *lex_str_ptr;
  drizzled::LEX_SYMBOL symbol;
  drizzled::Table_ident *table;
  char *simple_string;
  drizzled::Item *item;
  drizzled::Item_num *item_num;
  drizzled::List<drizzled::Item> *item_list;
  drizzled::List<drizzled::String> *string_list;
  drizzled::String *string;
  drizzled::Key_part_spec *key_part;
  const drizzled::plugin::Function *udf;
  drizzled::TableList *table_list;
  struct drizzled::sys_var_with_base variable;
  enum drizzled::sql_var_t var_type;
  drizzled::Key::Keytype key_type;
  enum drizzled::ha_key_alg key_alg;
  enum drizzled::column_format_type column_format_type;
  enum drizzled::ha_rkey_function ha_rkey_mode;
  enum drizzled::enum_tx_isolation tx_isolation;
  enum drizzled::Cast_target cast_type;
  const drizzled::CHARSET_INFO *charset;
  drizzled::thr_lock_type lock_type;
  drizzled::interval_type interval, interval_time_st;
  enum drizzled::enum_drizzle_timestamp_type date_time_type;
  drizzled::Select_Lex *select_lex;
  drizzled::chooser_compare_func_creator boolfunc2creator;
  struct drizzled::st_lex *lex;
  enum drizzled::index_hint_type index_hint;
  enum drizzled::enum_filetype filetype;
  enum drizzled::ha_build_method build_method;
  drizzled::message::Table::ForeignKeyConstraint::ForeignKeyOption m_fk_option;



/* Line 214 of yacc.c  */
#line 1228 "drizzled/sql_yacc.cc"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif


/* Copy the second part of user declarations.  */

/* Line 264 of yacc.c  */
#line 378 "drizzled/sql_yacc.yy"

namespace drizzled
{
bool my_yyoverflow(short **a, YYSTYPE **b, ulong *yystacksize);
}


/* Line 264 of yacc.c  */
#line 1248 "drizzled/sql_yacc.cc"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  283
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   20905

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  390
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  403
/* YYNRULES -- Number of rules.  */
#define YYNRULES  1131
/* YYNRULES -- Number of states.  */
#define YYNSTATES  1949

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   631

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   385,     2,     2,     2,   381,     2,     2,
     382,   383,   379,   378,   384,   377,   388,   380,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,   389,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   386,     2,   387,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     8,    10,    12,    14,    16,    18,
      20,    22,    24,    26,    28,    30,    32,    34,    36,    38,
      40,    42,    44,    46,    48,    50,    52,    54,    56,    58,
      60,    62,    64,    65,    73,    74,    88,    89,    96,    99,
     102,   106,   111,   116,   117,   122,   123,   124,   130,   131,
     139,   140,   141,   148,   149,   151,   152,   154,   156,   158,
     162,   164,   168,   172,   173,   175,   176,   180,   181,   183,
     185,   188,   190,   193,   197,   199,   203,   207,   211,   215,
     219,   221,   226,   231,   233,   235,   237,   239,   242,   244,
     248,   250,   252,   255,   258,   266,   275,   284,   287,   290,
     291,   293,   296,   297,   299,   302,   303,   307,   310,   312,
     315,   320,   322,   327,   332,   334,   336,   338,   340,   342,
     345,   348,   351,   352,   358,   360,   362,   365,   367,   369,
     371,   373,   375,   378,   379,   383,   385,   391,   392,   396,
     397,   399,   400,   402,   405,   407,   409,   412,   415,   418,
     423,   425,   429,   432,   434,   437,   440,   443,   446,   448,
     450,   452,   454,   455,   457,   458,   460,   466,   467,   471,
     475,   477,   478,   481,   484,   487,   488,   492,   496,   503,
     510,   512,   514,   517,   520,   523,   525,   528,   531,   533,
     535,   536,   538,   540,   542,   544,   545,   547,   548,   550,
     553,   554,   556,   558,   561,   564,   567,   569,   573,   576,
     578,   580,   585,   588,   590,   595,   596,   598,   599,   602,
     604,   608,   609,   617,   618,   624,   625,   627,   628,   631,
     634,   636,   637,   639,   641,   643,   647,   650,   654,   657,
     662,   663,   670,   671,   672,   680,   684,   689,   693,   697,
     700,   703,   710,   716,   720,   724,   726,   728,   730,   731,
     733,   734,   736,   737,   740,   742,   743,   745,   747,   749,
     753,   754,   758,   759,   764,   765,   770,   771,   776,   778,
     782,   786,   788,   791,   796,   799,   803,   806,   810,   811,
     815,   816,   817,   824,   827,   829,   831,   834,   837,   845,
     846,   848,   851,   853,   855,   857,   859,   861,   863,   865,
     867,   868,   871,   876,   880,   882,   884,   888,   893,   894,
     895,   896,   899,   902,   904,   906,   907,   910,   914,   918,
     922,   925,   929,   934,   938,   943,   947,   952,   954,   958,
     963,   967,   971,   978,   980,   986,   993,   999,  1007,  1014,
    1023,  1029,  1036,  1041,  1047,  1049,  1053,  1057,  1063,  1069,
    1073,  1077,  1081,  1085,  1089,  1091,  1093,  1095,  1097,  1099,
    1101,  1103,  1105,  1107,  1109,  1111,  1113,  1115,  1117,  1119,
    1121,  1123,  1127,  1129,  1131,  1133,  1136,  1139,  1143,  1147,
    1153,  1160,  1165,  1170,  1173,  1180,  1186,  1193,  1198,  1203,
    1209,  1214,  1217,  1222,  1227,  1232,  1243,  1250,  1259,  1266,
    1271,  1276,  1283,  1288,  1293,  1298,  1306,  1314,  1322,  1329,
    1336,  1343,  1350,  1354,  1359,  1366,  1375,  1378,  1387,  1396,
    1403,  1406,  1411,  1418,  1425,  1434,  1443,  1450,  1459,  1466,
    1469,  1474,  1483,  1492,  1495,  1498,  1503,  1508,  1512,  1521,
    1526,  1533,  1538,  1545,  1554,  1559,  1566,  1567,  1573,  1574,
    1576,  1578,  1582,  1587,  1592,  1598,  1604,  1609,  1610,  1611,
    1619,  1624,  1630,  1635,  1641,  1646,  1651,  1656,  1661,  1666,
    1672,  1673,  1682,  1683,  1687,  1691,  1693,  1698,  1699,  1701,
    1702,  1705,  1706,  1708,  1709,  1713,  1716,  1719,  1721,  1723,
    1726,  1728,  1732,  1733,  1735,  1736,  1739,  1744,  1750,  1752,
    1754,  1756,  1758,  1763,  1765,  1769,  1773,  1777,  1778,  1785,
    1786,  1793,  1794,  1803,  1808,  1809,  1818,  1819,  1830,  1837,
    1838,  1847,  1848,  1859,  1866,  1868,  1871,  1874,  1875,  1880,
    1884,  1890,  1894,  1895,  1896,  1905,  1907,  1908,  1909,  1916,
    1917,  1921,  1922,  1923,  1929,  1930,  1932,  1933,  1935,  1936,
    1939,  1943,  1947,  1949,  1951,  1952,  1960,  1961,  1969,  1971,
    1974,  1975,  1976,  1979,  1980,  1983,  1984,  1986,  1988,  1990,
    1992,  1996,  1998,  2002,  2004,  2006,  2008,  2010,  2012,  2014,
    2016,  2018,  2020,  2022,  2024,  2026,  2028,  2030,  2032,  2034,
    2036,  2038,  2040,  2042,  2044,  2046,  2048,  2049,  2051,  2053,
    2054,  2057,  2058,  2060,  2061,  2062,  2066,  2067,  2068,  2072,
    2075,  2076,  2077,  2082,  2087,  2090,  2091,  2093,  2097,  2101,
    2103,  2106,  2107,  2109,  2110,  2115,  2120,  2123,  2124,  2126,
    2128,  2129,  2131,  2132,  2134,  2137,  2139,  2143,  2147,  2149,
    2151,  2153,  2154,  2157,  2159,  2161,  2163,  2165,  2167,  2169,
    2171,  2173,  2175,  2177,  2179,  2180,  2183,  2187,  2189,  2192,
    2193,  2197,  2198,  2204,  2207,  2209,  2215,  2216,  2224,  2229,
    2231,  2235,  2237,  2238,  2241,  2242,  2244,  2247,  2249,  2252,
    2253,  2254,  2262,  2263,  2264,  2270,  2273,  2275,  2277,  2279,
    2283,  2288,  2289,  2293,  2297,  2299,  2302,  2305,  2306,  2310,
    2311,  2317,  2321,  2323,  2327,  2329,  2333,  2335,  2337,  2338,
    2340,  2341,  2346,  2347,  2349,  2353,  2355,  2357,  2359,  2360,
    2361,  2368,  2369,  2370,  2381,  2385,  2387,  2391,  2395,  2397,
    2401,  2402,  2407,  2408,  2415,  2416,  2419,  2421,  2425,  2426,
    2428,  2429,  2433,  2436,  2440,  2444,  2449,  2455,  2461,  2467,
    2473,  2476,  2479,  2483,  2487,  2489,  2493,  2498,  2499,  2502,
    2504,  2506,  2507,  2510,  2513,  2514,  2519,  2520,  2525,  2527,
    2529,  2530,  2532,  2533,  2535,  2537,  2538,  2542,  2546,  2548,
    2549,  2553,  2558,  2560,  2562,  2563,  2565,  2569,  2570,  2572,
    2574,  2577,  2578,  2579,  2580,  2581,  2600,  2602,  2603,  2605,
    2606,  2608,  2610,  2611,  2614,  2617,  2619,  2623,  2628,  2632,
    2636,  2637,  2640,  2643,  2645,  2649,  2653,  2654,  2658,  2660,
    2662,  2663,  2667,  2670,  2674,  2676,  2678,  2681,  2682,  2685,
    2687,  2690,  2692,  2694,  2696,  2698,  2701,  2704,  2706,  2708,
    2710,  2712,  2714,  2716,  2718,  2721,  2724,  2726,  2728,  2730,
    2732,  2734,  2736,  2738,  2742,  2748,  2750,  2752,  2754,  2756,
    2758,  2762,  2767,  2773,  2775,  2781,  2785,  2788,  2790,  2794,
    2797,  2799,  2801,  2803,  2805,  2807,  2809,  2811,  2813,  2815,
    2817,  2819,  2821,  2823,  2825,  2827,  2829,  2831,  2833,  2835,
    2837,  2839,  2841,  2843,  2845,  2847,  2849,  2851,  2853,  2855,
    2857,  2859,  2861,  2863,  2865,  2867,  2869,  2871,  2873,  2875,
    2877,  2879,  2881,  2883,  2885,  2887,  2889,  2891,  2893,  2895,
    2897,  2899,  2901,  2903,  2905,  2907,  2909,  2911,  2913,  2915,
    2917,  2919,  2921,  2923,  2925,  2927,  2929,  2931,  2933,  2935,
    2937,  2939,  2941,  2943,  2945,  2947,  2949,  2951,  2953,  2955,
    2957,  2959,  2961,  2963,  2965,  2967,  2969,  2971,  2973,  2975,
    2977,  2979,  2981,  2983,  2985,  2987,  2989,  2991,  2993,  2995,
    2997,  2999,  3001,  3003,  3005,  3007,  3009,  3011,  3013,  3015,
    3017,  3019,  3021,  3023,  3025,  3027,  3029,  3031,  3033,  3035,
    3037,  3039,  3041,  3043,  3045,  3047,  3049,  3051,  3053,  3055,
    3057,  3059,  3061,  3063,  3065,  3067,  3069,  3071,  3073,  3075,
    3077,  3079,  3081,  3083,  3085,  3087,  3089,  3091,  3093,  3095,
    3097,  3099,  3101,  3103,  3105,  3107,  3109,  3111,  3113,  3115,
    3117,  3119,  3121,  3123,  3125,  3127,  3129,  3131,  3133,  3135,
    3137,  3139,  3140,  3145,  3146,  3148,  3150,  3154,  3155,  3158,
    3160,  3162,  3164,  3166,  3167,  3169,  3170,  3172,  3174,  3176,
    3177,  3180,  3183,  3186,  3188,  3191,  3196,  3202,  3207,  3214,
    3216,  3219,  3222,  3225,  3227,  3229,  3231,  3233,  3235,  3237,
    3239,  3241,  3242,  3246,  3247,  3251,  3252,  3254,  3255,  3259,
    3262,  3263,  3265,  3268,  3269,  3271,  3276,  3281,  3287,  3290,
    3294,  3295,  3297,  3298,  3303,  3304,  3306,  3308,  3309,  3312,
    3315,  3317,  3318,  3320,  3322,  3325,  3329,  3331,  3332,  3338,
    3342,  3343
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     391,     0,    -1,   109,    -1,   392,   109,    -1,   393,    -1,
     769,    -1,   475,    -1,   493,    -1,   495,    -1,   775,    -1,
     394,    -1,   680,    -1,   694,    -1,   639,    -1,   645,    -1,
     700,    -1,   647,    -1,   706,    -1,   709,    -1,   778,    -1,
     497,    -1,   650,    -1,   776,    -1,   777,    -1,   501,    -1,
     750,    -1,   688,    -1,   491,    -1,   686,    -1,   767,    -1,
     673,    -1,   708,    -1,    -1,    65,   411,   326,   412,   741,
     395,   398,    -1,    -1,    65,   480,   396,   462,   156,   746,
     464,   229,   741,   382,   470,   383,   465,    -1,    -1,    65,
      71,   412,   746,   397,   408,    -1,   382,   399,    -1,   413,
     401,    -1,   180,   741,   413,    -1,   382,   180,   741,   383,
      -1,   422,   383,   413,   401,    -1,    -1,   404,   383,   400,
     782,    -1,    -1,    -1,   716,   407,   404,   402,   779,    -1,
      -1,   716,   407,   382,   404,   383,   403,   782,    -1,    -1,
      -1,   282,   405,   512,   516,   406,   421,    -1,    -1,    14,
      -1,    -1,   419,    -1,   409,    -1,   410,    -1,   410,   384,
     409,    -1,   747,    -1,   747,   664,   747,    -1,   747,   664,
     630,    -1,    -1,   327,    -1,    -1,   152,   528,   119,    -1,
      -1,   415,    -1,   416,    -1,   416,   414,    -1,   416,    -1,
     416,   415,    -1,   416,   384,   415,    -1,   417,    -1,   110,
     664,   747,    -1,    51,   665,   743,    -1,    18,   665,   630,
      -1,   747,   664,   747,    -1,   747,   664,   630,    -1,   418,
      -1,   449,    47,   665,   448,    -1,   449,    47,   665,   448,
      -1,    88,    -1,   127,    -1,   101,    -1,   624,    -1,   511,
     515,    -1,   423,    -1,   422,   384,   423,    -1,   424,    -1,
     425,    -1,   430,   426,    -1,   430,   451,    -1,   457,   472,
     464,   382,   470,   383,   465,    -1,   428,   458,   472,   464,
     382,   470,   383,   465,    -1,   428,   131,   172,   472,   382,
     470,   383,   451,    -1,   429,   426,    -1,   428,   427,    -1,
      -1,   427,    -1,    44,   522,    -1,    -1,   429,    -1,    60,
     472,    -1,    -1,   740,   431,   432,    -1,   433,   443,    -1,
     437,    -1,   438,   442,    -1,   435,   382,   225,   383,    -1,
     435,    -1,   436,   382,   225,   383,    -1,   360,   382,   225,
     383,    -1,    78,    -1,   332,    -1,    75,    -1,    28,    -1,
     330,    -1,    86,   439,    -1,   226,   439,    -1,   127,   439,
      -1,    -1,   111,   434,   382,   474,   383,    -1,   286,    -1,
      42,    -1,   435,   364,    -1,   361,    -1,   164,    -1,    24,
      -1,   258,    -1,    97,    -1,    97,   246,    -1,    -1,   382,
     225,   383,    -1,   440,    -1,   382,   225,   384,   225,   383,
      -1,    -1,   382,   225,   383,    -1,    -1,   440,    -1,    -1,
     444,    -1,   444,   445,    -1,   445,    -1,   224,    -1,   124,
     420,    -1,   528,   224,    -1,    88,   446,    -1,   229,   351,
     222,   521,    -1,    18,    -1,   286,    88,   359,    -1,   450,
     172,    -1,   348,    -1,   348,   172,    -1,    51,   743,    -1,
      47,   447,    -1,   222,   521,    -1,   731,    -1,   747,    -1,
     447,    -1,    88,    -1,    -1,    88,    -1,    -1,   248,    -1,
     260,   741,   452,   454,   455,    -1,    -1,   382,   453,   383,
      -1,   453,   384,   746,    -1,   746,    -1,    -1,   194,   136,
      -1,   194,   243,    -1,   194,   294,    -1,    -1,   229,   351,
     456,    -1,   229,    89,   456,    -1,   229,   351,   456,   229,
      89,   456,    -1,   229,    89,   456,   229,   351,   456,    -1,
     266,    -1,    36,    -1,   290,   224,    -1,   223,     4,    -1,
     290,    88,    -1,   459,    -1,   248,   172,    -1,   348,   460,
      -1,   172,    -1,   156,    -1,    -1,   459,    -1,   170,    -1,
     156,    -1,   155,    -1,    -1,   348,    -1,    -1,   463,    -1,
     463,   467,    -1,    -1,   466,    -1,   468,    -1,   466,   468,
      -1,   355,   469,    -1,   342,   469,    -1,   467,    -1,   171,
     665,   629,    -1,    51,   743,    -1,    32,    -1,   142,    -1,
     470,   384,   471,   622,    -1,   471,   622,    -1,   746,    -1,
     746,   382,   225,   383,    -1,    -1,   740,    -1,    -1,   388,
     746,    -1,   730,    -1,   474,   384,   730,    -1,    -1,    10,
     480,   488,   326,   741,   476,   479,    -1,    -1,    10,    71,
     478,   477,   419,    -1,    -1,   746,    -1,    -1,    94,   324,
      -1,   154,   324,    -1,   481,    -1,    -1,   232,    -1,   227,
      -1,   483,    -1,   481,   384,   483,    -1,     5,   487,    -1,
     482,   424,   489,    -1,     5,   425,    -1,   482,   382,   422,
     383,    -1,    -1,    41,   487,   740,   484,   430,   489,    -1,
      -1,    -1,   209,   487,   740,   485,   432,   486,   489,    -1,
      98,   487,   740,    -1,    98,   131,   172,   472,    -1,    98,
     248,   172,    -1,    98,   459,   740,    -1,    93,   170,    -1,
     105,   170,    -1,    10,   487,   740,   290,    88,   731,    -1,
      10,   487,   740,    98,    88,    -1,   262,   490,   741,    -1,
      63,   335,   448,    -1,   414,    -1,   130,    -1,   615,    -1,
      -1,    50,    -1,    -1,   153,    -1,    -1,     7,   746,    -1,
     126,    -1,    -1,   335,    -1,   112,    -1,    14,    -1,   306,
     337,   492,    -1,    -1,   370,    59,   295,    -1,    -1,    11,
     766,   494,   641,    -1,    -1,    44,   766,   496,   641,    -1,
      -1,   262,   766,   498,   499,    -1,   500,    -1,   499,   384,
     500,    -1,   741,   335,   741,    -1,   502,    -1,   282,   505,
      -1,   382,   503,   383,   782,    -1,   282,   507,    -1,   382,
     503,   383,    -1,   282,   576,    -1,   382,   504,   383,    -1,
      -1,   507,   506,   779,    -1,    -1,    -1,   508,   512,   516,
     509,   510,   515,    -1,   618,   624,    -1,   635,    -1,   511,
      -1,   635,   511,    -1,   511,   635,    -1,   135,   558,   607,
     612,   609,   618,   624,    -1,    -1,   513,    -1,   513,   514,
      -1,   514,    -1,   313,    -1,    95,    -1,   303,    -1,   300,
      -1,   301,    -1,   302,    -1,     9,    -1,    -1,   132,   351,
      -1,   188,   165,   292,   207,    -1,   516,   384,   517,    -1,
     517,    -1,   379,    -1,   518,   735,   519,    -1,   518,   522,
     519,   520,    -1,    -1,    -1,    -1,    14,   746,    -1,    14,
     743,    -1,   746,    -1,   743,    -1,    -1,   382,   383,    -1,
     522,   526,   522,    -1,   522,   374,   522,    -1,   522,   527,
     522,    -1,   221,   522,    -1,   523,   166,   339,    -1,   523,
     166,   528,   339,    -1,   523,   166,   122,    -1,   523,   166,
     528,   122,    -1,   523,   166,   349,    -1,   523,   166,   528,
     349,    -1,   523,    -1,   523,   166,   224,    -1,   523,   166,
     528,   224,    -1,   523,   113,   524,    -1,   523,   529,   524,
      -1,   523,   529,   530,   382,   790,   383,    -1,   524,    -1,
     525,   165,   382,   790,   383,    -1,   525,   528,   165,   382,
     790,   383,    -1,   525,   165,   382,   522,   383,    -1,   525,
     165,   382,   522,   384,   553,   383,    -1,   525,   528,   165,
     382,   522,   383,    -1,   525,   528,   165,   382,   522,   384,
     553,   383,    -1,   525,    23,   525,    12,   524,    -1,   525,
     528,    23,   525,    12,   524,    -1,   525,   180,   531,   611,
      -1,   525,   528,   180,   531,   611,    -1,   525,    -1,   525,
     378,   525,    -1,   525,   377,   525,    -1,   525,   378,   162,
     522,   601,    -1,   525,   377,   162,   522,   601,    -1,   525,
     379,   525,    -1,   525,   380,   525,    -1,   525,   381,   525,
      -1,   525,    96,   525,    -1,   525,   210,   525,    -1,   531,
      -1,   238,    -1,    12,    -1,   221,    -1,   112,    -1,   137,
      -1,   141,    -1,   175,    -1,   193,    -1,   216,    -1,     9,
      -1,    13,    -1,   737,    -1,   532,    -1,   533,    -1,   535,
      -1,   534,    -1,   531,    47,   747,    -1,   732,    -1,   544,
      -1,   540,    -1,   378,   531,    -1,   377,   531,    -1,   382,
     790,   383,    -1,   382,   522,   383,    -1,   382,   522,   384,
     553,   383,    -1,   277,   382,   522,   384,   553,   383,    -1,
     119,   382,   790,   383,    -1,   386,   746,   522,   387,    -1,
      25,   531,    -1,    39,   382,   522,    14,   552,   383,    -1,
      38,   554,   556,   555,   107,    -1,    63,   382,   522,   384,
     552,   383,    -1,    88,   382,   737,   383,    -1,   358,   382,
     738,   383,    -1,   162,   522,   601,   378,   522,    -1,    42,
     382,   553,   383,    -1,    69,   521,    -1,    78,   382,   522,
     383,    -1,    83,   382,   522,   383,    -1,   148,   382,   522,
     383,    -1,   161,   382,   522,   384,   522,   384,   522,   384,
     522,   383,    -1,   162,   382,   522,   384,   522,   383,    -1,
     162,   382,   522,   384,   522,   384,   553,   383,    -1,   177,
     382,   522,   384,   522,   383,    -1,   204,   382,   522,   383,
      -1,   211,   382,   522,   383,    -1,   271,   382,   522,   384,
     522,   383,    -1,   280,   382,   522,   383,    -1,   332,   382,
     522,   383,    -1,   338,   382,   522,   383,    -1,   338,   382,
     176,   522,   135,   522,   383,    -1,   338,   382,   336,   522,
     135,   522,   383,    -1,   338,   382,    31,   522,   135,   522,
     383,    -1,   338,   382,   176,   135,   522,   383,    -1,   338,
     382,   336,   135,   522,   383,    -1,   338,   382,    31,   135,
     522,   383,    -1,   338,   382,   522,   135,   522,   383,    -1,
     353,   382,   383,    -1,   376,   382,   522,   383,    -1,     6,
     382,   522,   384,   522,   383,    -1,     6,   382,   522,   384,
     162,   522,   601,   383,    -1,    68,   521,    -1,    76,   382,
     522,   384,   162,   522,   601,   383,    -1,    77,   382,   522,
     384,   162,   522,   601,   383,    -1,   121,   382,   601,   135,
     522,   383,    -1,   222,   521,    -1,   222,   382,   522,   383,
      -1,   245,   382,   525,   165,   522,   383,    -1,   315,   382,
     522,   384,   522,   383,    -1,   315,   382,   522,   384,   162,
     522,   601,   383,    -1,   317,   382,   522,   384,   522,   384,
     522,   383,    -1,   317,   382,   522,   384,   522,   383,    -1,
     317,   382,   522,   135,   522,   132,   522,   383,    -1,   317,
     382,   522,   135,   522,   383,    -1,   322,   521,    -1,   322,
     382,   522,   383,    -1,   333,   382,   602,   384,   522,   384,
     522,   383,    -1,   334,   382,   602,   384,   522,   384,   522,
     383,    -1,   356,   521,    -1,   357,   521,    -1,    46,   382,
     553,   383,    -1,    48,   382,   522,   383,    -1,    71,   382,
     383,    -1,   152,   382,   522,   384,   522,   384,   522,   383,
      -1,   201,   382,   522,   383,    -1,   210,   382,   522,   384,
     522,   383,    -1,   251,   382,   522,   383,    -1,   264,   382,
     522,   384,   522,   383,    -1,   265,   382,   522,   384,   522,
     384,   522,   383,    -1,   269,   382,   522,   383,    -1,   340,
     382,   522,   384,   522,   383,    -1,    -1,   742,   382,   536,
     537,   383,    -1,    -1,   538,    -1,   539,    -1,   538,   384,
     539,    -1,   518,   522,   519,   520,    -1,    20,   382,   550,
     383,    -1,    20,   382,    95,   550,   383,    -1,    64,   382,
     606,   379,   383,    -1,    64,   382,   550,   383,    -1,    -1,
      -1,    64,   382,    95,   541,   553,   542,   383,    -1,   206,
     382,   550,   383,    -1,   206,   382,    95,   550,   383,    -1,
     197,   382,   550,   383,    -1,   197,   382,    95,   550,   383,
      -1,   309,   382,   550,   383,    -1,   363,   382,   550,   383,
      -1,   308,   382,   550,   383,    -1,   365,   382,   550,   383,
      -1,   318,   382,   550,   383,    -1,   318,   382,    95,   550,
     383,    -1,    -1,   140,   382,   547,   543,   553,   549,   548,
     383,    -1,    -1,   389,   545,   546,    -1,   747,   291,   522,
      -1,   747,    -1,   389,   759,   747,   473,    -1,    -1,    95,
      -1,    -1,   284,   730,    -1,    -1,   619,    -1,    -1,   606,
     551,   522,    -1,    25,   441,    -1,    42,   441,    -1,    78,
      -1,    75,    -1,    86,   439,    -1,   522,    -1,   553,   384,
     522,    -1,    -1,   522,    -1,    -1,   103,   522,    -1,   368,
     522,   331,   522,    -1,   556,   368,   522,   331,   522,    -1,
     570,    -1,   561,    -1,   560,    -1,   557,    -1,   386,   746,
     557,   387,    -1,   559,    -1,   560,   384,   559,    -1,   557,
     569,   557,    -1,   557,   313,   570,    -1,    -1,   557,   569,
     557,   229,   562,   522,    -1,    -1,   557,   313,   570,   229,
     563,   522,    -1,    -1,   557,   569,   557,   355,   564,   382,
     600,   383,    -1,   557,   215,   169,   570,    -1,    -1,   557,
     177,   586,   169,   557,   229,   565,   522,    -1,    -1,   557,
     177,   586,   169,   570,   566,   355,   382,   600,   383,    -1,
     557,   215,   177,   586,   169,   570,    -1,    -1,   557,   271,
     586,   169,   557,   229,   567,   522,    -1,    -1,   557,   271,
     586,   169,   570,   568,   355,   382,   600,   383,    -1,   557,
     215,   271,   586,   169,   570,    -1,   169,    -1,   158,   169,
      -1,    66,   169,    -1,    -1,   571,   741,   605,   595,    -1,
     585,   584,   581,    -1,   382,   584,   572,   383,   605,    -1,
     579,   618,   624,    -1,    -1,    -1,   572,   347,   786,   573,
     787,   574,   618,   624,    -1,   576,    -1,    -1,    -1,   577,
     512,   516,   578,   421,   515,    -1,    -1,   584,   580,   560,
      -1,    -1,    -1,   582,   512,   516,   583,   421,    -1,    -1,
     282,    -1,    -1,   239,    -1,    -1,   132,   169,    -1,   132,
     237,    33,    -1,   132,   139,    33,    -1,   130,    -1,   153,
      -1,    -1,   588,   459,   587,   590,   382,   599,   383,    -1,
      -1,   354,   459,   587,   591,   382,   597,   383,    -1,   589,
      -1,   592,   589,    -1,    -1,    -1,   594,   592,    -1,    -1,
     596,   593,    -1,    -1,   599,    -1,   746,    -1,   248,    -1,
     598,    -1,   599,   384,   598,    -1,   746,    -1,   600,   384,
     746,    -1,   603,    -1,    79,    -1,    80,    -1,    81,    -1,
      82,    -1,   145,    -1,   146,    -1,   147,    -1,   202,    -1,
     203,    -1,   279,    -1,   375,    -1,   603,    -1,   134,    -1,
      83,    -1,   367,    -1,   148,    -1,   204,    -1,   211,    -1,
     251,    -1,   280,    -1,   201,    -1,   376,    -1,    -1,    14,
      -1,   112,    -1,    -1,   604,   746,    -1,    -1,     9,    -1,
      -1,    -1,   369,   608,   522,    -1,    -1,    -1,   143,   610,
     522,    -1,   116,   531,    -1,    -1,    -1,   139,    33,   613,
     614,    -1,   613,   384,   736,   622,    -1,   736,   622,    -1,
      -1,   371,    -1,   237,    33,   616,    -1,   616,   384,   617,
      -1,   617,    -1,   738,   622,    -1,    -1,   619,    -1,    -1,
     237,    33,   620,   621,    -1,   621,   384,   736,   622,    -1,
     736,   622,    -1,    -1,    15,    -1,    90,    -1,    -1,   625,
      -1,    -1,   625,    -1,   181,   626,    -1,   627,    -1,   627,
     384,   627,    -1,   627,   228,   627,    -1,   343,    -1,   190,
      -1,   225,    -1,    -1,   181,   627,    -1,   225,    -1,   144,
      -1,   190,    -1,   343,    -1,    85,    -1,   128,    -1,   225,
      -1,   343,    -1,   190,    -1,    85,    -1,   128,    -1,    -1,
     632,   633,    -1,   633,   384,   634,    -1,   634,    -1,   389,
     747,    -1,    -1,   163,   636,   637,    -1,    -1,   240,   745,
     638,   717,   720,    -1,    99,   745,    -1,   631,    -1,    98,
     644,   766,   643,   641,    -1,    -1,    98,   480,   156,   746,
     229,   741,   640,    -1,    98,    71,   643,   746,    -1,   642,
      -1,   641,   384,   642,    -1,   741,    -1,    -1,   152,   119,
      -1,    -1,   327,    -1,   118,   646,    -1,   747,    -1,   389,
     747,    -1,    -1,    -1,   161,   648,   488,   653,   649,   655,
     671,    -1,    -1,    -1,   265,   651,   653,   652,   655,    -1,
     163,   654,    -1,   654,    -1,   642,    -1,   658,    -1,   382,
     383,   658,    -1,   382,   657,   383,   658,    -1,    -1,   290,
     656,   662,    -1,   657,   384,   734,    -1,   734,    -1,   358,
     661,    -1,   359,   661,    -1,    -1,   404,   659,   779,    -1,
      -1,   382,   404,   383,   660,   782,    -1,   661,   384,   666,
      -1,   666,    -1,   662,   384,   663,    -1,   663,    -1,   738,
     664,   670,    -1,   112,    -1,   291,    -1,    -1,   664,    -1,
      -1,   382,   667,   668,   383,    -1,    -1,   669,    -1,   669,
     384,   670,    -1,   670,    -1,   522,    -1,    88,    -1,    -1,
      -1,   229,   100,   672,   172,   351,   678,    -1,    -1,    -1,
     351,   488,   741,   674,   290,   676,   675,   607,   618,   628,
      -1,   676,   384,   677,    -1,   677,    -1,   738,   664,   670,
      -1,   678,   384,   679,    -1,   679,    -1,   738,   664,   670,
      -1,    -1,    89,   681,   684,   682,    -1,    -1,   135,   741,
     683,   607,   618,   628,    -1,    -1,   685,   684,    -1,   153,
      -1,   340,   687,   642,    -1,    -1,   326,    -1,    -1,   293,
     689,   690,    -1,    72,   693,    -1,   323,   691,   693,    -1,
     327,   323,   693,    -1,   326,   307,   691,   693,    -1,    49,
     692,   741,   691,   693,    -1,   461,   692,   741,   691,   607,
      -1,    64,   382,   379,   383,   366,    -1,    64,   382,   379,
     383,   114,    -1,   366,   623,    -1,   114,   623,    -1,   758,
     307,   693,    -1,    65,   326,   741,    -1,   250,    -1,   758,
     362,   693,    -1,    65,    71,   412,   746,    -1,    -1,   692,
     746,    -1,   135,    -1,   165,    -1,    -1,   180,   743,    -1,
     369,   522,    -1,    -1,   697,   741,   695,   699,    -1,    -1,
     697,   698,   696,   501,    -1,    90,    -1,    91,    -1,    -1,
     120,    -1,    -1,   730,    -1,   746,    -1,    -1,   129,   701,
     702,    -1,   702,   384,   703,    -1,   703,    -1,    -1,   766,
     704,   705,    -1,   323,   370,   256,   188,    -1,   189,    -1,
     307,    -1,    -1,   641,    -1,   173,   707,   522,    -1,    -1,
      58,    -1,   252,    -1,   354,   746,    -1,    -1,    -1,    -1,
      -1,   184,   714,   710,   715,   157,   745,   711,   716,   163,
     712,   326,   741,   713,   717,   720,   723,   725,   728,    -1,
      74,    -1,    -1,    56,    -1,    -1,   265,    -1,   153,    -1,
      -1,    49,   718,    -1,   718,   719,    -1,   719,    -1,   328,
      33,   730,    -1,   236,   106,    33,   730,    -1,   106,    33,
     730,    -1,   115,    33,   730,    -1,    -1,   182,   721,    -1,
     721,   722,    -1,   722,    -1,   328,    33,   730,    -1,   305,
      33,   730,    -1,    -1,   153,   225,   724,    -1,   182,    -1,
     275,    -1,    -1,   382,   726,   383,    -1,   382,   383,    -1,
     726,   384,   727,    -1,   727,    -1,   738,    -1,   389,   747,
      -1,    -1,   290,   678,    -1,   744,    -1,   729,   744,    -1,
     744,    -1,   144,    -1,    26,    -1,   732,    -1,   378,   733,
      -1,   377,   733,    -1,   729,    -1,   733,    -1,   224,    -1,
     122,    -1,   339,    -1,   144,    -1,    26,    -1,    78,   729,
      -1,   332,   729,    -1,   225,    -1,   190,    -1,   343,    -1,
      85,    -1,   128,    -1,   738,    -1,   735,    -1,   746,   388,
     379,    -1,   746,   388,   746,   388,   379,    -1,   522,    -1,
     746,    -1,   739,    -1,   746,    -1,   739,    -1,   746,   388,
     746,    -1,   388,   746,   388,   746,    -1,   746,   388,   746,
     388,   746,    -1,   746,    -1,   746,   388,   746,   388,   746,
      -1,   746,   388,   746,    -1,   388,   746,    -1,   746,    -1,
     746,   388,   746,    -1,   388,   746,    -1,   149,    -1,   151,
      -1,   329,    -1,   329,    -1,   329,    -1,   742,    -1,   748,
      -1,   746,    -1,   743,    -1,   179,    -1,   749,    -1,    22,
      -1,    34,    -1,    43,    -1,    45,    -1,    51,    -1,    53,
      -1,    61,    -1,    84,    -1,   107,    -1,   129,    -1,   223,
      -1,   233,    -1,   272,    -1,   278,    -1,   281,    -1,   288,
      -1,   306,    -1,   310,    -1,   340,    -1,     4,    -1,     6,
      -1,     7,    -1,     8,    -1,    13,    -1,    17,    -1,    18,
      -1,    19,    -1,    20,    -1,    27,    -1,    30,    -1,    29,
      -1,    32,    -1,    37,    -1,    40,    -1,    46,    -1,    48,
      -1,   124,    -1,    49,    -1,    52,    -1,    54,    -1,    55,
      -1,    56,    -1,    58,    -1,    59,    -1,    67,    -1,    74,
      -1,    72,    -1,    73,    -1,    75,    -1,    78,    -1,    83,
      -1,    93,    -1,    94,    -1,    99,    -1,   100,    -1,   101,
      -1,   108,    -1,   111,    -1,   110,    -1,   114,    -1,   116,
      -1,   117,    -1,   120,    -1,   133,    -1,   105,    -1,   136,
      -1,   125,    -1,   126,    -1,   127,    -1,   134,    -1,   138,
      -1,   142,    -1,   148,    -1,   150,    -1,   154,    -1,   155,
      -1,   167,    -1,   171,    -1,   174,    -1,   178,    -1,   183,
      -1,   185,    -1,   187,    -1,   189,    -1,   195,    -1,   196,
      -1,   198,    -1,   199,    -1,   200,    -1,   201,    -1,   204,
      -1,   205,    -1,   209,    -1,   207,    -1,   211,    -1,   213,
      -1,   212,    -1,   214,    -1,   219,    -1,   218,    -1,   220,
      -1,   227,    -1,   228,    -1,   230,    -1,   231,    -1,   232,
      -1,   242,    -1,   243,    -1,   244,    -1,   247,    -1,   249,
      -1,   250,    -1,   251,    -1,   252,    -1,   255,    -1,   259,
      -1,   263,    -1,   267,    -1,   269,    -1,   273,    -1,   274,
      -1,   275,    -1,   276,    -1,   277,    -1,   280,    -1,   286,
      -1,   285,    -1,   287,    -1,   294,    -1,   292,    -1,   295,
      -1,   301,    -1,   307,    -1,   311,    -1,   314,    -1,   315,
      -1,   316,    -1,   319,    -1,   320,    -1,   321,    -1,   323,
      -1,   324,    -1,   327,    -1,   330,    -1,   337,    -1,   332,
      -1,   333,    -1,   334,    -1,   341,    -1,   342,    -1,   344,
      -1,   345,    -1,   349,    -1,   353,    -1,   362,    -1,   359,
      -1,   366,    -1,   367,    -1,   372,    -1,   376,    -1,    -1,
     290,   752,   751,   753,    -1,    -1,   235,    -1,   754,    -1,
     753,   384,   754,    -1,    -1,   755,   760,    -1,   757,    -1,
     138,    -1,   185,    -1,   287,    -1,    -1,   230,    -1,    -1,
     138,    -1,   185,    -1,   287,    -1,    -1,   138,   388,    -1,
     185,   388,    -1,   287,   388,    -1,   761,    -1,   757,   762,
      -1,   756,   763,   664,   765,    -1,   756,   337,   167,   178,
     764,    -1,   389,   747,   664,   522,    -1,   389,   389,   759,
     763,   664,   765,    -1,   746,    -1,   256,   344,    -1,   256,
      52,    -1,   263,   256,    -1,   285,    -1,   522,    -1,    88,
      -1,   229,    -1,     9,    -1,    25,    -1,   326,    -1,   323,
      -1,    -1,   350,   768,   766,    -1,    -1,    22,   770,   771,
      -1,    -1,   372,    -1,    -1,    12,   223,    40,    -1,    12,
      40,    -1,    -1,   261,    -1,   223,   261,    -1,    -1,   278,
      -1,    53,   771,   772,   773,    -1,   272,   771,   772,   773,
      -1,   272,   771,   335,   774,   746,    -1,   278,   746,    -1,
     261,   278,   746,    -1,    -1,   780,    -1,    -1,   347,   786,
     781,   502,    -1,    -1,   780,    -1,   783,    -1,    -1,   784,
     785,    -1,   619,   623,    -1,   625,    -1,    -1,    95,    -1,
       9,    -1,   282,   575,    -1,   382,   504,   383,    -1,   787,
      -1,    -1,   788,   347,   786,   789,   787,    -1,   791,   788,
     792,    -1,    -1,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   975,   975,   992,   996,   997,  1002,  1003,  1004,  1005,
    1006,  1007,  1008,  1009,  1010,  1011,  1012,  1013,  1014,  1015,
    1016,  1017,  1018,  1019,  1020,  1021,  1022,  1023,  1024,  1025,
    1026,  1027,  1034,  1033,  1067,  1066,  1094,  1093,  1111,  1112,
    1114,  1124,  1137,  1140,  1139,  1145,  1147,  1146,  1150,  1149,
    1156,  1186,  1155,  1200,  1201,  1205,  1206,  1207,  1211,  1212,
    1216,  1223,  1231,  1246,  1247,  1251,  1252,  1255,  1257,  1261,
    1262,  1266,  1267,  1268,  1271,  1274,  1282,  1289,  1300,  1307,
    1316,  1320,  1339,  1349,  1350,  1351,  1355,  1356,  1360,  1361,
    1365,  1366,  1370,  1371,  1378,  1387,  1397,  1417,  1421,  1427,
    1429,  1433,  1437,  1438,  1442,  1447,  1446,  1481,  1485,  1502,
    1515,  1533,  1544,  1563,  1584,  1594,  1604,  1614,  1633,  1644,
    1654,  1664,  1675,  1674,  1686,  1704,  1708,  1709,  1713,  1714,
    1718,  1722,  1724,  1730,  1731,  1733,  1738,  1747,  1748,  1752,
    1753,  1757,  1758,  1762,  1763,  1767,  1779,  1786,  1798,  1805,
    1807,  1820,  1835,  1850,  1858,  1866,  1874,  1890,  1892,  1897,
    1908,  1909,  1913,  1914,  1917,  1919,  1923,  1935,  1936,  1940,
    1942,  1952,  1953,  1955,  1957,  1963,  1967,  1972,  1977,  1983,
    1992,  1993,  1994,  1995,  1996,  2000,  2004,  2005,  2009,  2010,
    2014,  2015,  2019,  2020,  2021,  2025,  2026,  2030,  2042,  2043,
    2047,  2048,  2052,  2053,  2057,  2058,  2062,  2063,  2065,  2070,
    2071,  2075,  2076,  2080,  2081,  2093,  2094,  2098,  2099,  2103,
    2104,  2112,  2111,  2134,  2133,  2152,  2153,  2156,  2158,  2163,
    2168,  2173,  2176,  2180,  2187,  2188,  2192,  2202,  2203,  2209,
    2217,  2216,  2224,  2237,  2223,  2252,  2259,  2267,  2275,  2283,
    2290,  2297,  2304,  2311,  2333,  2343,  2349,  2355,  2364,  2365,
    2369,  2370,  2374,  2375,  2382,  2392,  2393,  2394,  2395,  2399,
    2410,  2411,  2419,  2418,  2432,  2431,  2446,  2445,  2457,  2458,
    2462,  2480,  2492,  2493,  2497,  2502,  2507,  2512,  2517,  2516,
    2538,  2546,  2538,  2553,  2554,  2555,  2556,  2557,  2561,  2570,
    2572,  2584,  2585,  2589,  2590,  2591,  2592,  2593,  2599,  2605,
    2608,  2610,  2615,  2624,  2625,  2626,  2638,  2645,  2665,  2673,
    2681,  2682,  2683,  2684,  2685,  2689,  2690,  2695,  2744,  2749,
    2790,  2792,  2794,  2796,  2798,  2800,  2802,  2804,  2808,  2810,
    2812,  2814,  2816,  2818,  2822,  2826,  2832,  2836,  2842,  2846,
    2854,  2856,  2862,  2864,  2866,  2870,  2872,  2874,  2876,  2878,
    2880,  2882,  2884,  2886,  2888,  2892,  2896,  2900,  2904,  2905,
    2906,  2907,  2908,  2909,  2913,  2914,  2918,  2919,  2920,  2921,
    2922,  2923,  2931,  2932,  2933,  2937,  2938,  2940,  2944,  2945,
    2950,  2955,  2959,  2960,  2965,  2973,  2975,  2982,  2987,  2992,
    3004,  3006,  3015,  3017,  3019,  3021,  3023,  3032,  3040,  3042,
    3044,  3046,  3048,  3050,  3052,  3054,  3056,  3058,  3060,  3062,
    3064,  3066,  3068,  3077,  3093,  3098,  3100,  3105,  3107,  3109,
    3111,  3116,  3121,  3123,  3128,  3130,  3142,  3153,  3165,  3176,
    3181,  3186,  3188,  3190,  3195,  3208,  3210,  3212,  3221,  3223,
    3225,  3227,  3229,  3231,  3233,  3243,  3257,  3256,  3305,  3306,
    3310,  3315,  3323,  3343,  3345,  3347,  3349,  3352,  3354,  3351,
    3357,  3364,  3366,  3368,  3370,  3372,  3374,  3376,  3378,  3380,
    3383,  3382,  3398,  3397,  3406,  3411,  3416,  3431,  3432,  3437,
    3440,  3445,  3448,  3460,  3459,  3477,  3479,  3481,  3483,  3485,
    3490,  3495,  3503,  3504,  3508,  3509,  3513,  3519,  3530,  3531,
    3540,  3551,  3552,  3558,  3559,  3579,  3584,  3590,  3588,  3606,
    3604,  3622,  3620,  3627,  3636,  3634,  3652,  3651,  3661,  3672,
    3670,  3689,  3688,  3699,  3710,  3711,  3712,  3724,  3724,  3735,
    3776,  3819,  3823,  3828,  3820,  3840,  3862,  3870,  3862,  3879,
    3878,  3902,  3919,  3902,  3926,  3930,  3951,  3952,  3957,  3960,
    3961,  3962,  3966,  3967,  3972,  3971,  3977,  3976,  3984,  3985,
    3988,  3990,  3990,  3994,  3994,  3999,  4000,  4004,  4006,  4011,
    4012,  4016,  4024,  4034,  4035,  4036,  4037,  4038,  4039,  4040,
    4041,  4042,  4043,  4044,  4045,  4049,  4050,  4068,  4069,  4070,
    4071,  4072,  4073,  4074,  4075,  4076,  4079,  4081,  4082,  4086,
    4087,  4091,  4093,  4097,  4099,  4098,  4112,  4115,  4114,  4129,
    4135,  4145,  4147,  4151,  4153,  4158,  4159,  4184,  4188,  4189,
    4193,  4206,  4208,  4213,  4212,  4247,  4249,  4254,  4255,  4256,
    4261,  4267,  4271,  4272,  4276,  4280,  4287,  4294,  4304,  4305,
    4306,  4311,  4315,  4324,  4325,  4326,  4327,  4328,  4329,  4333,
    4334,  4335,  4336,  4337,  4341,  4341,  4351,  4352,  4356,  4372,
    4371,  4378,  4377,  4386,  4398,  4407,  4418,  4418,  4433,  4445,
    4446,  4450,  4458,  4459,  4463,  4464,  4472,  4478,  4488,  4506,
    4518,  4505,  4528,  4538,  4527,  4547,  4548,  4552,  4561,  4562,
    4563,  4565,  4564,  4575,  4576,  4580,  4581,  4583,  4582,  4586,
    4585,  4591,  4592,  4596,  4597,  4601,  4611,  4612,  4616,  4617,
    4622,  4621,  4635,  4636,  4640,  4645,  4653,  4654,  4657,  4659,
    4659,  4667,  4680,  4666,  4700,  4701,  4705,  4713,  4714,  4718,
    4731,  4730,  4747,  4746,  4757,  4758,  4762,  4766,  4778,  4780,
    4787,  4786,  4799,  4839,  4899,  4925,  4967,  5009,  5050,  5058,
    5066,  5073,  5080,  5119,  5158,  5180,  5219,  5260,  5261,  5265,
    5266,  5269,  5271,  5278,  5289,  5288,  5330,  5329,  5339,  5340,
    5344,  5345,  5349,  5350,  5351,  5364,  5363,  5377,  5378,  5383,
    5382,  5388,  5393,  5398,  5406,  5407,  5413,  5426,  5427,  5428,
    5434,  5449,  5463,  5472,  5478,  5448,  5494,  5497,  5498,  5505,
    5506,  5507,  5510,  5512,  5516,  5517,  5521,  5526,  5533,  5538,
    5545,  5547,  5551,  5552,  5556,  5561,  5568,  5570,  5578,  5579,
    5583,  5584,  5585,  5589,  5591,  5596,  5597,  5602,  5603,  5609,
    5614,  5621,  5627,  5638,  5651,  5652,  5653,  5661,  5662,  5663,
    5668,  5669,  5670,  5671,  5672,  5673,  5677,  5682,  5687,  5689,
    5697,  5712,  5713,  5717,  5723,  5732,  5736,  5748,  5752,  5762,
    5766,  5786,  5802,  5822,  5823,  5840,  5851,  5855,  5856,  5857,
    5861,  5862,  5880,  5887,  5894,  5901,  5902,  5911,  5912,  5913,
    5918,  5919,  5920,  5921,  5922,  5923,  5924,  5925,  5926,  5927,
    5928,  5929,  5930,  5931,  5932,  5933,  5934,  5935,  5936,  5937,
    5947,  5948,  5949,  5950,  5951,  5952,  5953,  5954,  5955,  5956,
    5957,  5958,  5959,  5960,  5961,  5962,  5963,  5964,  5965,  5966,
    5967,  5968,  5969,  5970,  5971,  5972,  5973,  5974,  5975,  5976,
    5977,  5978,  5979,  5980,  5981,  5982,  5983,  5984,  5985,  5986,
    5987,  5988,  5989,  5990,  5991,  5992,  5993,  5994,  5995,  5996,
    5997,  5998,  5999,  6000,  6001,  6002,  6003,  6004,  6005,  6006,
    6007,  6008,  6009,  6010,  6011,  6012,  6013,  6014,  6015,  6016,
    6017,  6018,  6019,  6020,  6021,  6022,  6023,  6024,  6025,  6026,
    6027,  6028,  6029,  6030,  6031,  6032,  6033,  6034,  6035,  6036,
    6037,  6038,  6039,  6040,  6041,  6042,  6043,  6044,  6045,  6046,
    6047,  6048,  6049,  6050,  6051,  6052,  6053,  6054,  6055,  6056,
    6057,  6058,  6059,  6060,  6061,  6062,  6063,  6064,  6065,  6066,
    6067,  6068,  6069,  6070,  6071,  6072,  6073,  6074,  6075,  6076,
    6077,  6078,  6079,  6080,  6081,  6082,  6083,  6084,  6085,  6086,
    6087,  6094,  6093,  6110,  6111,  6115,  6116,  6120,  6120,  6128,
    6129,  6130,  6131,  6135,  6136,  6140,  6141,  6142,  6143,  6147,
    6148,  6149,  6150,  6154,  6155,  6159,  6171,  6183,  6187,  6195,
    6212,  6213,  6214,  6215,  6219,  6220,  6221,  6222,  6223,  6227,
    6228,  6233,  6232,  6246,  6245,  6257,  6258,  6263,  6264,  6265,
    6270,  6271,  6272,  6276,  6277,  6281,  6295,  6306,  6319,  6331,
    6348,  6349,  6354,  6353,  6369,  6370,  6371,  6375,  6375,  6399,
    6400,  6404,  6405,  6406,  6410,  6414,  6421,  6424,  6422,  6437,
    6444,  6465
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "ABORT_SYM", "ACTION", "ADD",
  "ADDDATE_SYM", "AFTER_SYM", "AGGREGATE_SYM", "ALL", "ALTER",
  "ANALYZE_SYM", "AND_SYM", "ANY_SYM", "AS", "ASC", "ASENSITIVE_SYM",
  "AT_SYM", "AUTO_INC", "AVG_ROW_LENGTH", "AVG_SYM", "BEFORE_SYM",
  "BEGIN_SYM", "BETWEEN_SYM", "BIGINT_SYM", "BINARY", "BIN_NUM", "BIT_SYM",
  "BLOB_SYM", "BOOLEAN_SYM", "BOOL_SYM", "BOTH", "BTREE_SYM", "BY",
  "BYTE_SYM", "CALL_SYM", "CASCADE", "CASCADED", "CASE_SYM", "CAST_SYM",
  "CHAIN_SYM", "CHANGE", "CHAR_SYM", "CHECKSUM_SYM", "CHECK_SYM",
  "CLOSE_SYM", "COALESCE", "COLLATE_SYM", "COLLATION_SYM", "COLUMNS",
  "COLUMN_SYM", "COMMENT_SYM", "COMMITTED_SYM", "COMMIT_SYM",
  "COMPACT_SYM", "COMPRESSED_SYM", "CONCURRENT", "CONDITION_SYM",
  "CONNECTION_SYM", "CONSISTENT_SYM", "CONSTRAINT", "CONTAINS_SYM",
  "CONTINUE_SYM", "CONVERT_SYM", "COUNT_SYM", "CREATE", "CROSS",
  "CUBE_SYM", "CURDATE", "CURRENT_USER", "CURSOR_SYM", "DATABASE",
  "DATABASES", "DATAFILE_SYM", "DATA_SYM", "DATETIME_SYM",
  "DATE_ADD_INTERVAL", "DATE_SUB_INTERVAL", "DATE_SYM", "DAY_HOUR_SYM",
  "DAY_MICROSECOND_SYM", "DAY_MINUTE_SYM", "DAY_SECOND_SYM", "DAY_SYM",
  "DEALLOCATE_SYM", "DECIMAL_NUM", "DECIMAL_SYM", "DECLARE_SYM", "DEFAULT",
  "DELETE_SYM", "DESC", "DESCRIBE", "DETERMINISTIC_SYM", "DISABLE_SYM",
  "DISCARD", "DISTINCT", "DIV_SYM", "DOUBLE_SYM", "DROP", "DUMPFILE",
  "DUPLICATE_SYM", "DYNAMIC_SYM", "EACH_SYM", "ELSE", "ELSEIF_SYM",
  "ENABLE_SYM", "ENCLOSED", "END", "ENDS_SYM", "END_OF_INPUT",
  "ENGINE_SYM", "ENUM_SYM", "EQ", "EQUAL_SYM", "ERRORS", "ESCAPED",
  "ESCAPE_SYM", "EXCLUSIVE_SYM", "EXECUTE_SYM", "EXISTS", "EXTENDED_SYM",
  "EXTRACT_SYM", "FALSE_SYM", "FETCH_SYM", "COLUMN_FORMAT_SYM", "FILE_SYM",
  "FIRST_SYM", "FIXED_SYM", "FLOAT_NUM", "FLUSH_SYM", "FORCE_SYM",
  "FOREIGN", "FOR_SYM", "FOUND_SYM", "FRAC_SECOND_SYM", "FROM", "FULL",
  "GE", "GLOBAL_SYM", "GROUP_SYM", "GROUP_CONCAT_SYM", "GT_SYM",
  "HASH_SYM", "HAVING", "HEX_NUM", "HOUR_MICROSECOND_SYM",
  "HOUR_MINUTE_SYM", "HOUR_SECOND_SYM", "HOUR_SYM", "IDENT",
  "IDENTIFIED_SYM", "IDENT_QUOTED", "IF", "IGNORE_SYM", "IMPORT",
  "INDEXES", "INDEX_SYM", "INFILE", "INNER_SYM", "INOUT_SYM",
  "INSENSITIVE_SYM", "INSERT", "INTERVAL_SYM", "INTO", "INT_SYM", "IN_SYM",
  "IS", "ISOLATION", "ITERATE_SYM", "JOIN_SYM", "KEYS", "KEY_BLOCK_SIZE",
  "KEY_SYM", "KILL_SYM", "LAST_SYM", "LE", "LEADING", "LEFT", "LEVEL_SYM",
  "LEX_HOSTNAME", "LIKE", "LIMIT", "LINES", "LIST_SYM", "LOAD",
  "LOCAL_SYM", "LOCATOR_SYM", "LOCKS_SYM", "LOCK_SYM", "LOGS_SYM",
  "LONG_NUM", "LONG_SYM", "LOOP_SYM", "LT", "MATCH", "MAX_ROWS",
  "MAX_SIZE_SYM", "MAX_SYM", "MAX_VALUE_SYM", "MEDIUM_SYM", "MERGE_SYM",
  "MICROSECOND_SYM", "MINUTE_MICROSECOND_SYM", "MINUTE_SECOND_SYM",
  "MINUTE_SYM", "MIN_ROWS", "MIN_SYM", "MODE_SYM", "MODIFIES_SYM",
  "MODIFY_SYM", "MOD_SYM", "MONTH_SYM", "NAMES_SYM", "NAME_SYM",
  "NATIONAL_SYM", "NATURAL", "NE", "NEG", "NEW_SYM", "NEXT_SYM",
  "NONE_SYM", "NOT_SYM", "NOW_SYM", "NO_SYM", "NULL_SYM", "NUM",
  "NUMERIC_SYM", "OFFLINE_SYM", "OFFSET_SYM", "ON", "ONE_SHOT_SYM",
  "ONE_SYM", "ONLINE_SYM", "OPEN_SYM", "OPTIMIZE", "OPTION", "OPTIONALLY",
  "ORDER_SYM", "OR_SYM", "OUTER", "OUTFILE", "OUT_SYM", "PAGE_SYM",
  "PARTIAL", "PHASE_SYM", "POSITION_SYM", "PRECISION", "PREV_SYM",
  "PRIMARY_SYM", "PROCESS", "PROCESSLIST_SYM", "QUARTER_SYM", "QUERY_SYM",
  "RANGE_SYM", "READS_SYM", "READ_ONLY_SYM", "READ_SYM", "READ_WRITE_SYM",
  "REAL", "REDUNDANT_SYM", "REFERENCES", "RELEASE_SYM", "RENAME",
  "REPEATABLE_SYM", "REPEAT_SYM", "REPLACE", "RESTRICT", "RETURNS_SYM",
  "RETURN_SYM", "REVERSE_SYM", "REVOKE", "RIGHT", "ROLLBACK_SYM",
  "ROLLUP_SYM", "ROUTINE_SYM", "ROWS_SYM", "ROW_FORMAT_SYM", "ROW_SYM",
  "SAVEPOINT_SYM", "SECOND_MICROSECOND_SYM", "SECOND_SYM", "SECURITY_SYM",
  "SELECT_SYM", "SENSITIVE_SYM", "SEPARATOR_SYM", "SERIALIZABLE_SYM",
  "SERIAL_SYM", "SESSION_SYM", "SERVER_SYM", "SERVER_OPTIONS", "SET",
  "SET_VAR", "SHARE_SYM", "SHOW", "SIMPLE_SYM", "SNAPSHOT_SYM",
  "SPECIFIC_SYM", "SQLEXCEPTION_SYM", "SQLSTATE_SYM", "SQLWARNING_SYM",
  "SQL_BIG_RESULT", "SQL_BUFFER_RESULT", "SQL_CALC_FOUND_ROWS",
  "SQL_SMALL_RESULT", "SQL_SYM", "STARTING", "START_SYM", "STATUS_SYM",
  "STDDEV_SAMP_SYM", "STD_SYM", "STOP_SYM", "STORAGE_SYM", "STORED_SYM",
  "STRAIGHT_JOIN", "STRING_SYM", "SUBDATE_SYM", "SUBJECT_SYM", "SUBSTRING",
  "SUM_SYM", "SUSPEND_SYM", "SWAPS_SYM", "SWITCHES_SYM", "SYSDATE",
  "TABLES", "TABLESPACE", "TABLE_REF_PRIORITY", "TABLE_SYM",
  "TEMPORARY_SYM", "TERMINATED", "TEXT_STRING", "TEXT_SYM", "THEN_SYM",
  "TIMESTAMP_SYM", "TIMESTAMP_ADD", "TIMESTAMP_DIFF", "TO_SYM", "TRAILING",
  "TRANSACTION_SYM", "TRIM", "TRUE_SYM", "TRUNCATE_SYM", "TYPES_SYM",
  "TYPE_SYM", "ULONGLONG_NUM", "UNCOMMITTED_SYM", "UNDOFILE_SYM",
  "UNDO_SYM", "UNION_SYM", "UNIQUE_SYM", "UNKNOWN_SYM", "UNLOCK_SYM",
  "UPDATE_SYM", "USAGE", "USER", "USE_SYM", "USING", "UTC_DATE_SYM",
  "UTC_TIMESTAMP_SYM", "VALUES", "VALUE_SYM", "VARBINARY", "VARCHAR_SYM",
  "VARIABLES", "VARIANCE_SYM", "VARYING", "VAR_SAMP_SYM", "WARNINGS",
  "WEEK_SYM", "WHEN_SYM", "WHERE", "WITH", "WITH_ROLLUP_SYM", "WORK_SYM",
  "WRITE_SYM", "XOR", "YEAR_MONTH_SYM", "YEAR_SYM", "'-'", "'+'", "'*'",
  "'/'", "'%'", "'('", "')'", "','", "'!'", "'{'", "'}'", "'.'", "'@'",
  "$accept", "query", "verb_clause", "statement", "create", "$@1", "$@2",
  "$@3", "create2", "create2a", "$@4", "create3", "$@5", "$@6",
  "create_select", "$@7", "$@8", "opt_as", "opt_create_database_options",
  "opt_database_custom_options", "custom_database_option",
  "opt_table_options", "opt_if_not_exists", "opt_create_table_options",
  "create_table_options_space_separated", "create_table_options",
  "create_table_option", "custom_engine_option", "default_collation",
  "default_collation_schema", "column_format_types", "opt_select_from",
  "field_list", "field_list_item", "column_def", "key_def",
  "opt_check_constraint", "check_constraint", "opt_constraint",
  "constraint", "field_spec", "$@9", "field_def", "type", "$@10", "char",
  "varchar", "int_type", "real_type", "float_options", "precision",
  "opt_len", "opt_precision", "opt_attribute", "opt_attribute_list",
  "attribute", "now_or_signed_literal", "collation_name",
  "collation_name_or_default", "opt_default", "opt_primary", "references",
  "opt_ref_list", "ref_list", "opt_match_clause", "opt_on_update_delete",
  "delete_option", "key_type", "constraint_key_type", "key_or_index",
  "opt_key_or_index", "keys_or_index", "opt_unique", "init_key_options",
  "key_alg", "key_options", "key_opts", "key_using_alg", "key_opt",
  "btree_or_rtree", "key_list", "key_part", "opt_ident", "opt_component",
  "string_list", "alter", "$@11", "$@12", "ident_or_empty",
  "alter_commands", "build_method", "alter_list", "add_column",
  "alter_list_item", "$@13", "$@14", "$@15", "opt_column", "opt_ignore",
  "opt_place", "opt_to", "start", "start_transaction_opts", "analyze",
  "$@16", "check", "$@17", "rename", "$@18", "table_to_table_list",
  "table_to_table", "select", "select_init", "select_paren",
  "select_paren_derived", "select_init2", "$@19", "select_part2", "$@20",
  "$@21", "select_into", "select_from", "select_options",
  "select_option_list", "select_option", "select_lock_type",
  "select_item_list", "select_item", "remember_name", "remember_end",
  "select_alias", "optional_braces", "expr", "bool_pri", "predicate",
  "bit_expr", "or", "and", "not", "comp_op", "all_or_any", "simple_expr",
  "function_call_keyword", "function_call_nonkeyword",
  "function_call_conflict", "function_call_generic", "@22",
  "opt_udf_expr_list", "udf_expr_list", "udf_expr", "sum_expr", "$@23",
  "$@24", "$@25", "variable", "$@26", "variable_aux", "opt_distinct",
  "opt_gconcat_separator", "opt_gorder_clause", "in_sum_expr", "$@27",
  "cast_type", "expr_list", "opt_expr", "opt_else", "when_list",
  "table_ref", "join_table_list", "esc_table_ref", "derived_table_list",
  "join_table", "$@28", "$@29", "$@30", "$@31", "$@32", "$@33", "$@34",
  "normal_join", "table_factor", "$@35", "select_derived_union", "$@36",
  "$@37", "select_init2_derived", "select_part2_derived", "$@38", "$@39",
  "select_derived", "$@40", "select_derived2", "$@41", "$@42",
  "get_select_lex", "select_derived_init", "opt_outer",
  "index_hint_clause", "index_hint_type", "index_hint_definition", "$@43",
  "$@44", "index_hints_list", "opt_index_hints_list", "$@45",
  "opt_key_definition", "$@46", "opt_key_usage_list", "key_usage_element",
  "key_usage_list", "using_list", "interval", "interval_time_stamp",
  "interval_time_st", "table_alias", "opt_table_alias", "opt_all",
  "where_clause", "$@47", "having_clause", "$@48", "opt_escape",
  "group_clause", "group_list", "olap_opt", "alter_order_clause",
  "alter_order_list", "alter_order_item", "opt_order_clause",
  "order_clause", "$@49", "order_list", "order_dir",
  "opt_limit_clause_init", "opt_limit_clause", "limit_clause",
  "limit_options", "limit_option", "delete_limit_clause", "ulong_num",
  "ulonglong_num", "select_var_list_init", "$@50", "select_var_list",
  "select_var_ident", "into", "$@51", "into_destination", "$@52", "drop",
  "$@53", "table_list", "table_name", "if_exists", "opt_temporary",
  "execute", "execute_var_or_string", "insert", "$@54", "$@55", "replace",
  "$@56", "$@57", "insert2", "insert_table", "insert_field_spec", "$@58",
  "fields", "insert_values", "$@59", "$@60", "values_list",
  "ident_eq_list", "ident_eq_value", "equal", "opt_equal", "no_braces",
  "$@61", "opt_values", "values", "expr_or_default", "opt_insert_update",
  "$@62", "update", "$@63", "$@64", "update_list", "update_elem",
  "insert_update_list", "insert_update_elem", "delete", "$@65",
  "single_multi", "$@66", "opt_delete_options", "opt_delete_option",
  "truncate", "opt_table_sym", "show", "$@67", "show_param", "opt_db",
  "from_or_in", "show_wild", "describe", "$@68", "$@69",
  "describe_command", "opt_extended_describe", "opt_describe_column",
  "flush", "$@70", "flush_options", "flush_option", "$@71",
  "opt_table_list", "kill", "kill_option", "use", "load", "$@72", "$@73",
  "$@74", "$@75", "data_file", "load_data_lock", "opt_duplicate",
  "opt_field_term", "field_term_list", "field_term", "opt_line_term",
  "line_term_list", "line_term", "opt_ignore_lines", "lines_or_rows",
  "opt_field_or_var_spec", "fields_or_vars", "field_or_var",
  "opt_load_data_set_spec", "text_literal", "text_string",
  "signed_literal", "literal", "NUM_literal", "insert_ident", "table_wild",
  "order_ident", "simple_ident", "simple_ident_nospvar", "simple_ident_q",
  "field_ident", "table_ident", "IDENT_sys", "TEXT_STRING_sys",
  "TEXT_STRING_literal", "TEXT_STRING_filesystem", "ident",
  "ident_or_text", "keyword", "keyword_sp", "set", "$@76", "opt_option",
  "option_value_list", "option_type_value", "$@77", "option_type",
  "option_type2", "opt_var_type", "opt_var_ident_type", "ext_option_value",
  "sys_option_value", "option_value", "internal_variable_name",
  "isolation_types", "set_expr_or_default", "table_or_tables", "unlock",
  "$@78", "begin", "$@79", "opt_work", "opt_chain", "opt_release",
  "opt_savepoint", "commit", "rollback", "savepoint", "release",
  "union_clause", "union_list", "$@80", "union_opt",
  "union_order_or_limit", "$@81", "order_or_limit", "union_option",
  "query_specification", "query_expression_body", "$@82", "subselect",
  "subselect_start", "subselect_end", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,    45,    43,    42,
      47,    37,    40,    41,    44,    33,   123,   125,    46,    64
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   390,   391,   391,   392,   392,   393,   393,   393,   393,
     393,   393,   393,   393,   393,   393,   393,   393,   393,   393,
     393,   393,   393,   393,   393,   393,   393,   393,   393,   393,
     393,   393,   395,   394,   396,   394,   397,   394,   398,   398,
     398,   398,   399,   400,   399,   401,   402,   401,   403,   401,
     405,   406,   404,   407,   407,   408,   408,   408,   409,   409,
     410,   410,   410,   411,   411,   412,   412,   413,   413,   414,
     414,   415,   415,   415,   416,   417,   417,   417,   417,   417,
     417,   418,   419,   420,   420,   420,   421,   421,   422,   422,
     423,   423,   424,   424,   425,   425,   425,   425,   425,   426,
     426,   427,   428,   428,   429,   431,   430,   432,   433,   433,
     433,   433,   433,   433,   433,   433,   433,   433,   433,   433,
     433,   433,   434,   433,   433,   435,   436,   436,   437,   437,
     438,   438,   438,   439,   439,   439,   440,   441,   441,   442,
     442,   443,   443,   444,   444,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   446,   446,   447,
     448,   448,   449,   449,   450,   450,   451,   452,   452,   453,
     453,   454,   454,   454,   454,   455,   455,   455,   455,   455,
     456,   456,   456,   456,   456,   457,   458,   458,   459,   459,
     460,   460,   461,   461,   461,   462,   462,   463,   464,   464,
     465,   465,   466,   466,   467,   467,   468,   468,   468,   469,
     469,   470,   470,   471,   471,   472,   472,   473,   473,   474,
     474,   476,   475,   477,   475,   478,   478,   479,   479,   479,
     479,   480,   480,   480,   481,   481,   482,   483,   483,   483,
     484,   483,   485,   486,   483,   483,   483,   483,   483,   483,
     483,   483,   483,   483,   483,   483,   483,   483,   487,   487,
     488,   488,   489,   489,   489,   490,   490,   490,   490,   491,
     492,   492,   494,   493,   496,   495,   498,   497,   499,   499,
     500,   501,   502,   502,   503,   503,   504,   504,   506,   505,
     508,   509,   507,   510,   510,   510,   510,   510,   511,   512,
     512,   513,   513,   514,   514,   514,   514,   514,   514,   514,
     515,   515,   515,   516,   516,   516,   517,   517,   518,   519,
     520,   520,   520,   520,   520,   521,   521,   522,   522,   522,
     522,   522,   522,   522,   522,   522,   522,   522,   523,   523,
     523,   523,   523,   523,   524,   524,   524,   524,   524,   524,
     524,   524,   524,   524,   524,   525,   525,   525,   525,   525,
     525,   525,   525,   525,   525,   526,   527,   528,   529,   529,
     529,   529,   529,   529,   530,   530,   531,   531,   531,   531,
     531,   531,   531,   531,   531,   531,   531,   531,   531,   531,
     531,   531,   531,   531,   531,   531,   531,   531,   531,   531,
     532,   532,   532,   532,   532,   532,   532,   532,   532,   532,
     532,   532,   532,   532,   532,   532,   532,   532,   532,   532,
     532,   532,   532,   532,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   533,   533,   533,   533,   533,
     533,   533,   533,   533,   533,   534,   534,   534,   534,   534,
     534,   534,   534,   534,   534,   534,   536,   535,   537,   537,
     538,   538,   539,   540,   540,   540,   540,   541,   542,   540,
     540,   540,   540,   540,   540,   540,   540,   540,   540,   540,
     543,   540,   545,   544,   546,   546,   546,   547,   547,   548,
     548,   549,   549,   551,   550,   552,   552,   552,   552,   552,
     553,   553,   554,   554,   555,   555,   556,   556,   557,   557,
     558,   559,   559,   560,   560,   561,   561,   562,   561,   563,
     561,   564,   561,   561,   565,   561,   566,   561,   561,   567,
     561,   568,   561,   561,   569,   569,   569,   571,   570,   570,
     570,   572,   573,   574,   572,   575,   577,   578,   576,   580,
     579,   582,   583,   581,   584,   585,   586,   586,   587,   587,
     587,   587,   588,   588,   590,   589,   591,   589,   592,   592,
     593,   594,   593,   596,   595,   597,   597,   598,   598,   599,
     599,   600,   600,   601,   601,   601,   601,   601,   601,   601,
     601,   601,   601,   601,   601,   602,   602,   603,   603,   603,
     603,   603,   603,   603,   603,   603,   604,   604,   604,   605,
     605,   606,   606,   607,   608,   607,   609,   610,   609,   611,
     611,   612,   612,   613,   613,   614,   614,   615,   616,   616,
     617,   618,   618,   620,   619,   621,   621,   622,   622,   622,
     623,   623,   624,   624,   625,   626,   626,   626,   627,   627,
     627,   628,   628,   629,   629,   629,   629,   629,   629,   630,
     630,   630,   630,   630,   632,   631,   633,   633,   634,   636,
     635,   638,   637,   637,   637,   639,   640,   639,   639,   641,
     641,   642,   643,   643,   644,   644,   645,   646,   646,   648,
     649,   647,   651,   652,   650,   653,   653,   654,   655,   655,
     655,   656,   655,   657,   657,   658,   658,   659,   658,   660,
     658,   661,   661,   662,   662,   663,   664,   664,   665,   665,
     667,   666,   668,   668,   669,   669,   670,   670,   671,   672,
     671,   674,   675,   673,   676,   676,   677,   678,   678,   679,
     681,   680,   683,   682,   684,   684,   685,   686,   687,   687,
     689,   688,   690,   690,   690,   690,   690,   690,   690,   690,
     690,   690,   690,   690,   690,   690,   690,   691,   691,   692,
     692,   693,   693,   693,   695,   694,   696,   694,   697,   697,
     698,   698,   699,   699,   699,   701,   700,   702,   702,   704,
     703,   703,   703,   703,   705,   705,   706,   707,   707,   707,
     708,   710,   711,   712,   713,   709,   714,   715,   715,   716,
     716,   716,   717,   717,   718,   718,   719,   719,   719,   719,
     720,   720,   721,   721,   722,   722,   723,   723,   724,   724,
     725,   725,   725,   726,   726,   727,   727,   728,   728,   729,
     729,   730,   730,   730,   731,   731,   731,   732,   732,   732,
     732,   732,   732,   732,   732,   732,   733,   733,   733,   733,
     733,   734,   734,   735,   735,   736,   737,   737,   738,   738,
     739,   739,   739,   740,   740,   740,   740,   741,   741,   741,
     742,   742,   743,   744,   745,   746,   746,   747,   747,   747,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   749,   749,   749,   749,   749,   749,   749,   749,   749,
     749,   751,   750,   752,   752,   753,   753,   755,   754,   756,
     756,   756,   756,   757,   757,   758,   758,   758,   758,   759,
     759,   759,   759,   760,   760,   761,   761,   762,   762,   763,
     764,   764,   764,   764,   765,   765,   765,   765,   765,   766,
     766,   768,   767,   770,   769,   771,   771,   772,   772,   772,
     773,   773,   773,   774,   774,   775,   776,   776,   777,   778,
     779,   779,   781,   780,   782,   782,   782,   784,   783,   785,
     785,   786,   786,   786,   787,   787,   788,   789,   788,   790,
     791,   792
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     7,     0,    13,     0,     6,     2,     2,
       3,     4,     4,     0,     4,     0,     0,     5,     0,     7,
       0,     0,     6,     0,     1,     0,     1,     1,     1,     3,
       1,     3,     3,     0,     1,     0,     3,     0,     1,     1,
       2,     1,     2,     3,     1,     3,     3,     3,     3,     3,
       1,     4,     4,     1,     1,     1,     1,     2,     1,     3,
       1,     1,     2,     2,     7,     8,     8,     2,     2,     0,
       1,     2,     0,     1,     2,     0,     3,     2,     1,     2,
       4,     1,     4,     4,     1,     1,     1,     1,     1,     2,
       2,     2,     0,     5,     1,     1,     2,     1,     1,     1,
       1,     1,     2,     0,     3,     1,     5,     0,     3,     0,
       1,     0,     1,     2,     1,     1,     2,     2,     2,     4,
       1,     3,     2,     1,     2,     2,     2,     2,     1,     1,
       1,     1,     0,     1,     0,     1,     5,     0,     3,     3,
       1,     0,     2,     2,     2,     0,     3,     3,     6,     6,
       1,     1,     2,     2,     2,     1,     2,     2,     1,     1,
       0,     1,     1,     1,     1,     0,     1,     0,     1,     2,
       0,     1,     1,     2,     2,     2,     1,     3,     2,     1,
       1,     4,     2,     1,     4,     0,     1,     0,     2,     1,
       3,     0,     7,     0,     5,     0,     1,     0,     2,     2,
       1,     0,     1,     1,     1,     3,     2,     3,     2,     4,
       0,     6,     0,     0,     7,     3,     4,     3,     3,     2,
       2,     6,     5,     3,     3,     1,     1,     1,     0,     1,
       0,     1,     0,     2,     1,     0,     1,     1,     1,     3,
       0,     3,     0,     4,     0,     4,     0,     4,     1,     3,
       3,     1,     2,     4,     2,     3,     2,     3,     0,     3,
       0,     0,     6,     2,     1,     1,     2,     2,     7,     0,
       1,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       0,     2,     4,     3,     1,     1,     3,     4,     0,     0,
       0,     2,     2,     1,     1,     0,     2,     3,     3,     3,
       2,     3,     4,     3,     4,     3,     4,     1,     3,     4,
       3,     3,     6,     1,     5,     6,     5,     7,     6,     8,
       5,     6,     4,     5,     1,     3,     3,     5,     5,     3,
       3,     3,     3,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     2,     2,     3,     3,     5,
       6,     4,     4,     2,     6,     5,     6,     4,     4,     5,
       4,     2,     4,     4,     4,    10,     6,     8,     6,     4,
       4,     6,     4,     4,     4,     7,     7,     7,     6,     6,
       6,     6,     3,     4,     6,     8,     2,     8,     8,     6,
       2,     4,     6,     6,     8,     8,     6,     8,     6,     2,
       4,     8,     8,     2,     2,     4,     4,     3,     8,     4,
       6,     4,     6,     8,     4,     6,     0,     5,     0,     1,
       1,     3,     4,     4,     5,     5,     4,     0,     0,     7,
       4,     5,     4,     5,     4,     4,     4,     4,     4,     5,
       0,     8,     0,     3,     3,     1,     4,     0,     1,     0,
       2,     0,     1,     0,     3,     2,     2,     1,     1,     2,
       1,     3,     0,     1,     0,     2,     4,     5,     1,     1,
       1,     1,     4,     1,     3,     3,     3,     0,     6,     0,
       6,     0,     8,     4,     0,     8,     0,    10,     6,     0,
       8,     0,    10,     6,     1,     2,     2,     0,     4,     3,
       5,     3,     0,     0,     8,     1,     0,     0,     6,     0,
       3,     0,     0,     5,     0,     1,     0,     1,     0,     2,
       3,     3,     1,     1,     0,     7,     0,     7,     1,     2,
       0,     0,     2,     0,     2,     0,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     1,     0,
       2,     0,     1,     0,     0,     3,     0,     0,     3,     2,
       0,     0,     4,     4,     2,     0,     1,     3,     3,     1,
       2,     0,     1,     0,     4,     4,     2,     0,     1,     1,
       0,     1,     0,     1,     2,     1,     3,     3,     1,     1,
       1,     0,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     2,     3,     1,     2,     0,
       3,     0,     5,     2,     1,     5,     0,     7,     4,     1,
       3,     1,     0,     2,     0,     1,     2,     1,     2,     0,
       0,     7,     0,     0,     5,     2,     1,     1,     1,     3,
       4,     0,     3,     3,     1,     2,     2,     0,     3,     0,
       5,     3,     1,     3,     1,     3,     1,     1,     0,     1,
       0,     4,     0,     1,     3,     1,     1,     1,     0,     0,
       6,     0,     0,    10,     3,     1,     3,     3,     1,     3,
       0,     4,     0,     6,     0,     2,     1,     3,     0,     1,
       0,     3,     2,     3,     3,     4,     5,     5,     5,     5,
       2,     2,     3,     3,     1,     3,     4,     0,     2,     1,
       1,     0,     2,     2,     0,     4,     0,     4,     1,     1,
       0,     1,     0,     1,     1,     0,     3,     3,     1,     0,
       3,     4,     1,     1,     0,     1,     3,     0,     1,     1,
       2,     0,     0,     0,     0,    18,     1,     0,     1,     0,
       1,     1,     0,     2,     2,     1,     3,     4,     3,     3,
       0,     2,     2,     1,     3,     3,     0,     3,     1,     1,
       0,     3,     2,     3,     1,     1,     2,     0,     2,     1,
       2,     1,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     5,     1,     1,     1,     1,     1,
       3,     4,     5,     1,     5,     3,     2,     1,     3,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     4,     0,     1,     1,     3,     0,     2,     1,
       1,     1,     1,     0,     1,     0,     1,     1,     1,     0,
       2,     2,     2,     1,     2,     4,     5,     4,     6,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     3,     0,     3,     0,     1,     0,     3,     2,
       0,     1,     2,     0,     1,     4,     4,     5,     2,     3,
       0,     1,     0,     4,     0,     1,     1,     0,     2,     2,
       1,     0,     1,     1,     2,     3,     1,     0,     5,     3,
       0,     0
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       0,   231,     0,  1093,     0,  1095,   231,   740,   778,   779,
     684,     2,     0,   785,   689,   797,     0,     0,     0,   692,
    1095,     0,   290,  1053,   750,     0,   748,  1091,   260,     0,
       0,     0,     0,     4,    10,     6,    27,     7,     8,    20,
      24,   281,    13,    14,    16,    21,    30,    11,    28,    26,
      12,   780,    15,    17,    31,    18,    25,    29,     5,     9,
      22,    23,    19,   225,   233,   232,   260,  1090,  1089,   272,
    1095,   274,  1096,  1097,    65,    64,     0,    34,   744,   682,
     685,     0,     0,   910,   911,   912,   913,   914,   915,   916,
     917,   918,   891,   919,   921,   920,   922,   892,   923,   924,
     893,   894,   925,   926,   928,   895,   929,   896,   930,   931,
     932,   933,   934,   897,   935,   937,   938,   936,   939,   940,
     941,   898,   942,   943,   944,   945,   946,   955,   899,   947,
     949,   948,   950,   951,   952,   953,   927,   957,   958,   959,
     900,   954,   960,   956,   961,   962,   963,   880,   964,   881,
     965,   966,   967,   968,   969,   970,   889,   971,   972,   973,
     974,   975,   976,   977,   978,   979,   980,   981,   982,   984,
     983,   985,   987,   986,   988,   990,   989,   991,   901,   992,
     993,   994,   995,   996,   902,   997,   998,   999,  1000,  1001,
    1002,  1003,  1004,  1005,  1006,  1007,  1008,  1009,   903,  1010,
    1011,  1012,  1013,  1014,   904,  1015,   905,  1017,  1016,  1018,
     906,  1020,  1019,  1021,  1022,   907,  1023,   908,  1024,  1025,
    1026,  1027,  1028,  1029,  1030,  1031,  1032,  1033,   882,  1034,
    1036,  1037,  1038,  1035,   909,  1039,  1040,  1041,  1042,  1043,
    1044,  1046,  1045,  1047,  1048,  1049,  1050,     0,   686,   885,
     888,   887,   687,   886,   890,     0,   260,   798,   799,     0,
     806,   801,     0,   276,     0,  1097,  1108,   282,   288,   299,
    1054,  1051,  1065,   270,   749,     0,     0,   261,     0,   800,
     290,     0,     0,     1,     3,   953,     0,   776,   774,   877,
     223,   226,     0,     0,  1094,     0,     0,  1100,     0,     0,
      65,   195,   746,     0,   744,     0,     0,     0,   682,   688,
     792,   793,  1090,   786,   788,   789,     0,   911,   918,     0,
     853,   502,     0,     0,   925,   926,     0,     0,   325,   325,
       0,     0,     0,   940,   941,   859,     0,     0,     0,   850,
     860,     0,   852,   963,     0,     0,     0,     0,   857,     0,
     980,   981,     0,     0,   985,     0,   325,   849,   856,     0,
    1003,     0,     0,  1009,     0,  1014,  1015,     0,     0,  1026,
       0,     0,   325,   883,  1036,  1037,  1038,     0,   851,   909,
     858,  1044,   325,   325,     0,     0,     0,  1050,     0,     0,
    1130,     0,     0,   482,   796,   337,   343,   354,   364,   377,
     378,   380,   379,   384,   383,   847,   382,   848,   376,   867,
     885,   839,   866,   807,  1109,     0,     0,   697,   693,   696,
     681,  1103,  1100,  1110,   309,   304,   306,   307,   308,   305,
     303,   318,   300,   302,  1057,     0,     0,     0,   771,   640,
    1066,   194,   193,   192,  1067,   764,  1068,   767,     0,     0,
     640,     0,   751,     0,     0,   269,   747,  1092,   731,   284,
       0,  1114,   879,     0,   782,     0,   162,     0,   273,   679,
     275,  1099,     0,     0,  1101,  1105,   367,     0,    36,     0,
     196,     0,     0,   741,   745,   683,   678,     0,     0,     0,
       0,   794,   690,     0,   611,   393,   503,     0,     0,     0,
       0,     0,     0,   611,     0,   426,   401,     0,     0,     0,
       0,   854,     0,     0,  1130,     0,   487,     0,     0,     0,
    1130,     0,     0,   611,     0,     0,   611,     0,     0,   330,
       0,   430,     0,     0,     0,     0,     0,     0,     0,     0,
     611,   611,     0,     0,   611,     0,   439,     0,   855,     0,
       0,     0,     0,     0,   443,   444,     0,   611,   611,     0,
     386,   385,     0,     0,     0,     0,     0,     0,   366,   365,
       0,     0,     0,   368,     0,   369,   370,     0,   371,   372,
     373,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   840,   456,     0,   808,     0,   277,
     278,     0,   695,     0,  1104,     0,  1106,  1121,   289,  1111,
     315,   291,   314,     0,   301,  1052,  1055,  1063,   769,   770,
       0,     0,    65,     0,     0,     0,   752,     0,   761,   641,
     771,     0,   767,   771,   760,     0,   771,   771,     0,     0,
     285,  1115,   283,  1116,     0,   777,   843,   842,   775,   783,
     841,   784,   878,   163,   224,     0,   221,     0,  1098,  1102,
      66,    55,    32,     0,   742,     0,   675,     0,   787,   795,
     790,     0,     0,   612,   611,     0,   493,     0,   504,     0,
     500,     0,     0,     0,     0,   467,     0,   493,   326,   447,
       0,     0,     0,     0,     0,     0,   584,   585,   586,   587,
     597,   588,   589,   590,   599,   604,   591,   592,   600,   601,
     602,   593,   603,   598,   594,   605,     0,   583,   488,   480,
       0,     0,     0,     0,     0,     0,   611,     0,     0,     0,
     611,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   611,     0,     0,
       0,   596,     0,   595,     0,     0,     0,     0,     0,     0,
     422,     0,   869,   868,     0,     0,     0,   388,     0,   387,
     546,     0,  1126,  1131,     0,     0,  1069,   483,   485,   328,
     327,   329,   340,   333,   338,   331,   335,     0,   374,   914,
     341,     0,     0,   362,  1130,   620,   363,     0,   356,     0,
     355,   359,   360,   361,     0,     0,     0,   381,   318,   870,
       0,     0,     0,    50,   701,     0,     0,     0,   707,   694,
     698,  1107,  1123,  1122,  1112,   318,   631,   319,   319,   866,
    1057,  1060,  1061,  1064,  1062,     0,  1059,  1058,  1073,   767,
       0,     0,   763,   772,   773,   649,   650,   648,   644,   645,
     753,   768,   771,   754,   767,   762,   765,   271,     0,     0,
     640,  1120,  1118,   718,   162,   680,    37,    57,    58,    56,
      60,    67,   197,   613,   676,   791,   728,     0,     0,   463,
       0,     0,     0,     0,     0,     0,   400,     0,   445,   446,
       0,     0,   466,     0,     0,     0,   402,   403,   397,   391,
       0,     0,   404,     0,     0,     0,     0,     0,     0,   472,
     449,   409,     0,   470,     0,   410,   431,     0,   451,     0,
       0,   454,     0,     0,   412,   476,   474,     0,     0,     0,
       0,   478,   440,   413,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   414,     0,   398,   475,   477,   423,     0,
    1124,   545,   299,   546,     0,     0,  1121,  1129,   392,   871,
       0,     0,     0,     0,     0,   334,   339,   332,   336,  1130,
       0,     0,     0,     0,   352,     0,     0,     0,  1130,   620,
       0,     0,   459,   460,     0,   884,   802,   279,   280,   299,
       0,   720,   705,   712,   706,     0,     0,     0,   704,   862,
     861,   868,  1110,     0,   313,   537,   669,   310,   295,   642,
     632,   294,   320,   316,     0,  1056,  1035,  1079,     0,     0,
    1074,   771,     0,   766,     0,     0,   755,   613,   732,   735,
       0,   633,  1119,   716,   717,   719,     0,   258,   258,   718,
     258,   718,     0,   942,   943,   258,   955,     0,   256,   965,
     258,     0,   265,   255,    69,    74,    80,     0,   222,   230,
       0,   234,   257,     0,     0,     0,     0,   102,    33,   809,
      68,    71,   198,     0,   614,   631,   677,     0,   691,     0,
       0,   464,   494,     0,   505,     0,   395,   137,   137,   498,
     497,   133,     0,   501,     0,   468,   465,     0,     0,     0,
     491,     0,     0,     0,   399,     0,   473,   471,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   479,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   389,
     318,   286,     0,  1125,  1127,  1070,  1071,  1072,   217,   484,
       0,   350,   346,     0,   344,   619,   358,   357,     0,     0,
       0,   353,   319,   457,   318,   872,   809,   318,   702,   714,
       0,   722,     0,     0,   699,   709,     0,     0,   708,  1113,
     555,   554,     0,   511,   613,   513,   510,   509,   508,     0,
     554,   664,     0,     0,   292,   297,   293,   643,   296,     0,
     317,   324,   323,   863,   870,     0,     0,  1069,     0,   756,
     759,   758,   647,   646,   757,     0,   613,     0,     0,   161,
     160,    82,   159,   259,   215,   189,   188,   238,     0,    99,
     215,   185,   236,     0,     0,     0,     0,     0,   249,   228,
       0,     0,     0,     0,   250,     0,   229,     0,     0,   268,
     267,   266,     0,    70,   718,   162,   102,     0,   262,    99,
     105,   873,     0,    59,   662,   663,   661,   659,   660,    62,
      61,    67,     0,    38,     0,     0,    88,    90,    91,   811,
     810,    39,    53,   162,    72,     0,     0,   199,     0,     0,
     651,   729,     0,   424,   506,     0,     0,   495,   496,     0,
     499,   135,   394,   396,     0,     0,     0,   429,   489,   492,
       0,     0,   406,     0,   408,   450,   432,   452,     0,   411,
     390,     0,   433,     0,   438,   436,     0,     0,     0,   420,
       0,   418,     0,   419,     0,   421,   455,   547,   287,     0,
       0,   486,   342,     0,   351,   348,     0,   345,   320,   461,
       0,    51,     0,     0,   727,   726,     0,   723,   725,   711,
    1114,   700,   703,   554,   537,     0,     0,   534,   556,     0,
     556,   537,   537,   621,   537,   606,   551,     0,     0,   674,
       0,   670,   311,     0,   322,   321,     0,     0,  1087,  1088,
    1085,  1086,  1084,  1075,     0,     0,   734,   631,   736,   865,
     634,   637,   104,   216,     0,     0,     0,   190,    98,   215,
      97,   100,   197,     0,    77,   240,    76,   254,   215,   247,
     248,   245,    75,   242,   627,   629,   637,   253,     0,   235,
       0,   876,     0,   264,   237,     0,    92,    93,     0,     0,
      79,    78,    40,     0,    43,    67,   102,    54,     0,    73,
     209,   210,   205,   204,     0,   615,     0,   743,     0,     0,
     507,     0,     0,   469,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   417,   415,   416,
     642,  1128,   218,   347,     0,   462,   803,   642,   713,   715,
     721,     0,   710,     0,   631,   549,     0,   536,   535,   557,
       0,   537,   556,   556,     0,   516,   515,     0,   616,   514,
     607,   608,     0,   573,   539,   299,   673,   671,     0,   665,
     667,     0,   864,     0,     0,  1083,  1076,     0,  1077,   651,
       0,   638,   639,   636,   101,   215,   186,   191,   187,   197,
       0,     0,     0,     0,   246,     0,     0,   630,    81,   239,
     263,   167,   129,   117,   125,   116,   114,   133,   131,   122,
     133,   128,   133,   130,   124,   118,   115,     0,   127,   106,
     141,   111,     0,   108,   139,   875,    41,  1117,   809,    89,
       0,    46,     0,   652,     0,   425,   138,   134,     0,   427,
     428,   490,   481,   448,     0,   407,   453,   434,   437,   435,
     441,   442,   310,   310,    86,   349,     0,    52,   724,  1121,
     606,   642,   537,   512,   537,   523,     0,     0,   537,   519,
     517,   521,     0,   617,   631,   610,   538,   570,   318,   812,
     668,     0,   312,  1081,  1080,  1082,     0,   733,   637,     0,
       0,     0,   252,     0,   262,   243,   628,     0,   171,   119,
     132,     0,   121,   120,     0,   150,     0,     0,     0,     0,
     145,     0,   165,     0,   153,   107,   142,   144,     0,     0,
     126,     0,     0,     0,   140,   109,     0,    44,    42,     0,
    1110,     0,   637,   213,     0,     0,     0,   548,    87,     0,
     542,   540,   541,   550,     0,   508,   537,   537,     0,   508,
       0,     0,     0,   625,   637,     0,   642,   574,     0,   552,
       0,   820,   666,  1078,   635,     0,     0,     0,     0,     0,
       0,     0,   251,   844,   241,   262,     0,   170,     0,   175,
       0,     0,   156,   155,   325,   148,   158,    83,    85,    84,
     146,     0,     0,   154,   143,   152,   147,     0,     0,     0,
     874,    48,    47,   200,     0,   212,     0,   730,   738,     0,
     136,   405,   804,     0,   524,     0,   528,   533,   529,     0,
     520,   518,     0,   626,     0,   622,   624,   618,   298,   562,
     563,     0,     0,   568,   572,   642,     0,     0,     0,     0,
     813,   815,     0,   672,     0,     0,   200,   846,   845,   244,
     168,     0,   172,   173,   174,     0,   166,     0,   219,   113,
     157,   325,   151,   110,   112,  1117,     0,   718,    35,   201,
     206,   202,   637,     0,     0,     0,   812,   543,     0,     0,
       0,     0,     0,   581,   637,   558,   558,   569,   553,     0,
       0,     0,     0,   814,     0,     0,   821,   823,     0,   200,
      94,   169,     0,     0,   123,     0,   149,    49,   208,     0,
     203,   211,   214,   737,   739,   820,   631,   525,     0,   530,
       0,   522,     0,   623,     0,   566,   564,   818,   819,     0,
     816,     0,     0,   822,    96,    95,   181,     0,   180,     0,
     177,   176,   220,   657,   658,   654,   655,   653,   656,   207,
     826,   642,     0,     0,   582,     0,   559,     0,     0,     0,
     817,   825,   824,   183,   184,   182,     0,     0,     0,   830,
     544,   527,   532,   561,   560,   575,     0,     0,     0,     0,
       0,   837,   578,     0,   579,   576,   577,     0,   179,   178,
     828,   829,   827,   832,     0,     0,   834,   835,     0,   805,
     567,     0,   565,   836,   831,     0,   838,   580,   833
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    31,    32,    33,    34,   871,   301,   661,  1068,  1263,
    1567,  1271,  1670,  1805,   818,   989,  1477,  1438,   866,   867,
     868,    76,   299,  1069,  1053,  1070,  1071,  1055,  1056,   654,
    1730,  1592,  1265,  1266,  1267,  1268,  1400,  1401,  1218,  1219,
    1249,  1428,  1559,  1560,  1641,  1561,  1562,  1563,  1564,  1290,
    1291,  1287,  1665,  1655,  1656,  1657,  1725,  1210,  1211,  1057,
    1658,  1427,  1638,  1716,  1719,  1796,  1880,  1220,  1399,  1221,
    1528,   451,   481,  1072,  1073,  1808,  1809,  1810,  1811,  1442,
    1671,  1672,  1392,  1331,  1797,    35,   864,   466,   290,  1058,
      66,  1059,  1060,  1061,  1533,  1535,  1715,  1222,   278,  1424,
    1242,    36,   455,    37,   293,    38,   295,    39,   415,   599,
     600,    40,    41,   282,   955,   267,   423,   268,   269,   826,
    1007,  1593,   431,   432,   433,  1184,   611,   612,   613,  1012,
    1190,   505,   680,   395,   396,   397,   571,   572,  1659,   581,
     791,   398,   399,   400,   401,   402,   808,   981,   982,   983,
     403,   891,  1294,   901,   404,   567,   777,   719,  1457,  1298,
     675,   880,  1092,   949,   497,   884,   678,  1173,  1174,  1175,
    1176,  1177,  1691,  1690,  1692,  1818,  1755,  1820,  1759,  1362,
    1178,  1179,  1483,  1753,  1856,   950,   951,   952,  1470,  1484,
    1602,  1504,  1505,  1775,  1353,  1180,  1490,  1865,  1772,  1773,
    1899,  1898,  1774,  1697,  1698,  1616,  1617,  1923,  1924,  1925,
    1822,   716,   752,   717,  1502,  1503,   676,  1075,  1279,  1614,
    1695,   974,  1498,  1693,  1765,  1062,  1414,  1415,  1009,  1010,
    1208,  1390,  1523,   628,  1594,  1187,   848,   849,  1447,  1889,
    1259,  1369,  1370,  1509,  1510,  1011,  1181,  1371,  1619,    42,
    1076,   468,   469,   306,    82,    43,   248,    44,   256,   671,
      45,   264,   603,   418,   419,   819,   990,   997,   820,  1002,
    1350,   992,  1158,  1159,  1035,  1036,   993,  1161,  1346,  1347,
    1348,  1078,  1448,    46,   639,  1206,  1028,  1029,  1747,  1748,
      47,    78,   483,   873,   303,   304,    48,   275,    49,   272,
     452,   630,   631,   626,    50,   464,   463,    51,   287,   648,
      52,   255,   313,   314,   491,   670,    53,   259,    54,    55,
     413,  1156,  1596,  1816,   261,   598,  1272,  1701,  1780,  1781,
    1783,  1836,  1837,  1909,  1932,  1921,  1935,  1936,  1939,   405,
     649,  1712,   406,   407,   998,   999,  1391,   408,  1749,   409,
    1250,   420,   410,   250,   411,   986,   412,  1063,   253,   254,
      56,   434,   271,   615,   616,   617,   835,   836,   453,   963,
     837,   838,  1020,  1018,  1516,  1383,   315,    57,   276,    58,
      70,    73,   297,   475,   605,    59,    60,    61,    62,   608,
     641,  1003,   642,   643,   644,   862,   824,   772,   773,  1329,
     563,   564,   957
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -1500
static const yytype_int16 yypact[] =
{
    1562,    30,   532, -1500,   532,  -171,    32, -1500, -1500, -1500,
      29, -1500,  3413, -1500, -1500,    28,   141,   148,   532, -1500,
    -171, 20162, -1500,   118, -1500,    50,   263, -1500,   288, 20162,
    -155,   603,   501, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, 12801, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, 20162, -1500, -1500,   288, -1500, -1500, -1500,
    -171, -1500, -1500,   620,   495, -1500,   328, -1500,   518,   574,
   -1500,   524,   532, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, 18694, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500,   569,   288, -1500, -1500,  6072,
   -1500, -1500, 20162, -1500, 12067,    42, -1500, -1500, -1500,   561,
   -1500, -1500,  1362,   367, -1500, 13168,   532, -1500, 13168, -1500,
   -1500,  -155,   376, -1500, -1500,   -65, 20162, -1500, -1500,   397,
   -1500, -1500,   490, 13168, -1500, 13168,    75,   -43,   599, 20162,
     495,   447, -1500,   691,   518,   712, 20162, 20162,   574, -1500,
   -1500, -1500,   465,   472, -1500, -1500, 12067,   502,   504,  8343,
   -1500,  6072,   511,   515,   521,   531,   543,   562,   575,   575,
     577,   605,   611,  -152,   619, -1500,   624,   629,   644, -1500,
   -1500,   646, -1500,   652,   654,   668,  6449,   676, -1500,   680,
     682,   721,   723,   726,   733,  6072,   736, -1500, -1500,   740,
     762,   768,   779,   780,   781,   782,   783,   784,   786,   787,
     788,   789,   790, -1500,  -150,   791,   792,   793, -1500,   794,
   -1500,   796,   575,   575,   797,   798,   799,   800,  8343,  8343,
    6072, 20162, 20162, -1500,   307,  1489, -1500,   716,   830, -1500,
   -1500, -1500, -1500, -1500, -1500,   618, -1500, -1500, -1500, -1500,
     801, -1500,   547,   910, -1500, 13168, 13168, -1500, -1500, -1500,
   -1500,   698,   -43,   638, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500,   602,   561, -1500, -1500,    48,   803,     2,   -85,   818,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500,    48,   847,   865,
     818,    48, -1500,  -139,  1131, -1500, -1500, -1500, -1500, -1500,
     808,   -59, -1500,   296, 17593, 20162,  1104, 13168,   814, -1500,
     814, -1500,  1159,   939, -1500, -1500, -1500,  1082, -1500, 13168,
   -1500,  1047, 13168, -1500, -1500, -1500, -1500,   976, 13168,   950,
     569, 13168, -1500,  6072,   138,   830,   307,   839,  6072,  6072,
    6072,  6072,  6072,   607,   826, -1500, -1500,   829,  6072,  6072,
    6072,   618,  6072, 13535, -1500,  1177,  1119,  6072,  6072,  6072,
    6072,   993,  6072,   755,  6072,  6072,   772,  6072,  6072, -1500,
    4555, -1500,  8343,  6072,  6072,  6072,  6072,  6072,  6072,  6072,
    1207,  1207,  6072,  6072,   804,  4555, -1500,  6072,   618,  1076,
    1076,  3792,  6072,   834, -1500, -1500, 13535,  1207,  1207,  6072,
     830,   830,    37,   835,   375,  6072,   844,  9474, -1500, -1500,
    6072,  6072,  6072, -1500,  8343, -1500, -1500,   -18, -1500, -1500,
   -1500,  6835,  8343,  8343,   840,  8343,  8343,  8720,  9097,  8343,
    8343,  8343,   228, 18694, -1500, -1500, 20162, -1500,  1070,   853,
   -1500,   903, -1500,   664, -1500, 20162, -1500,   812, -1500, -1500,
   -1500,   857, -1500,  6072, -1500,   858, -1500,   449, -1500, -1500,
   13168,   864,   495, 13168,   916,  6072, -1500,   -37, -1500, -1500,
     -85, 20162,    48,   -85, -1500, 13168,   -85,   -85,   951,   958,
   -1500, -1500, -1500, -1500,   -39, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500,  1205, -1500, 13168, -1500, -1500,
   -1500, 16859, -1500, 20162, -1500, 13168,   814,  1075, -1500,   814,
   -1500,   664,    51, -1500,  1207,   882, -1500,  6072,   -41,    76,
     307,  -144,   459,   159,    59, -1500,   885,   891, -1500, -1500,
      62,    77,   164,   169,   888,   893, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500,  1139, -1500, -1500, -1500,
     174,    80,   114,    65,   901,   125,  1207,   898,   179,   180,
    1207,   899,   126,   192,   199,   753,   231,   128,   129,   289,
     131,   132,   293,   902,   905,   133,    40,  1207,   906,   299,
     311, -1500,   900, -1500,   913,  4941,  5318,  5695,   101,   134,
   -1500,   907, -1500,   547,   915,   919,   313, -1500,  6072, -1500,
   -1500,   425, -1500,   956,    35, 20162,   442, -1500,  1013,  1296,
      53, -1500, -1500, -1500, -1500, -1500, -1500,   406, -1500,   927,
   -1500,   928,   258, -1500,  6072,   122, -1500,  6449,   489,  6449,
     489, -1500, -1500, -1500,  8343,   929,  8343, -1500,   930,   924,
     985, 13168, 13168, -1500, -1500,   933,   933, 11700, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500,     4,   307, -1500,   931,
   -1500, -1500, -1500, -1500, -1500, 20529,   932, -1500, -1500,    48,
     934, 20162, -1500, -1500,   307, -1500, -1500, -1500, -1500,   -16,
   -1500, -1500,   -85, -1500,    48, -1500, -1500, -1500, 13535,  1295,
     818, -1500, -1500,    44, 15752, -1500, -1500, -1500,   947, -1500,
      44, 14642, -1500,   963, -1500, -1500,  1105,  7212,   952, -1500,
    6072,   312,  6072,  6072,  1226,   896, -1500,  6072, -1500, -1500,
     896,  6072, -1500,   953,  1176,  1180, -1500, -1500, -1500, -1500,
    6072,  6072, -1500,  6072,  6072,  6072,  6072,  6072,   961, -1500,
   -1500, -1500,   964, -1500,  6072, -1500, -1500,  6072, -1500,  6072,
    6072, -1500,  6072,  6072, -1500, -1500, -1500,  7589,  6072,  6072,
     965, -1500, -1500, -1500,  6072,  6072,  6072,   172,  6072,   609,
    6072,   616,  6072, -1500,  6072, -1500, -1500, -1500, -1500,   525,
   -1500, -1500,   561, -1500,   425,   966,   812, -1500, -1500, -1500,
     957,   967,   970, 18694,  6072, -1500, -1500, -1500, -1500, -1500,
    8343,    98,   968,  8343, -1500,   993,   993,   617,  6072,   122,
    6072,   969,   975, -1500, 20162, -1500, -1500, -1500, -1500,   561,
   13535, -1500,   977, -1500,   977,   546,   971,   625, -1500, -1500,
   -1500,   931,   638,   296, -1500,   368, -1500,    19,  1187,   818,
   -1500,  1218, 19061, -1500, 15009, -1500,  1195, -1500,    44,  9847,
   -1500,   -85,   -46, -1500,   -37,   -37, -1500,   963,   979, -1500,
      44, -1500, -1500, -1500, -1500, -1500, 17960,   981,  1321,    44,
    1321,    44,  1039,  1212,  1059,   717,  1214,    44, -1500,  1061,
      43,  1353,    70, -1500, 17226, -1500, -1500,  1342, -1500,  1006,
   12434, -1500, -1500,    44, 18694, 16492, 13168, 10966, -1500,   462,
   -1500, 14269,   383,  1165, -1500,  1161, -1500,  1299, -1500,  6449,
     318, -1500,   307,  6072,   307,   386, -1500,  1019,  1019, -1500,
   -1500,  1022,  1024,   307,  1025,  1021, -1500,  6072,  6072,   326,
    -138,   137,   145,   106, -1500,   329, -1500, -1500,   331,   348,
     350,   146,   366,   630,  6449,   369,   158,   109, -1500,   150,
     151,   382,  6072,   387,  6072,   388,  6072,   403,   492, -1500,
     602, -1500,  1031, -1500, -1500, -1500, -1500, -1500,  1032,   307,
    1048, -1500, -1500,  6072, -1500,   830, -1500, -1500,  8343,   112,
    1050, -1500,   307, -1500, -1500, -1500,   -28,   602,  1038, -1500,
      44,  7966,   933,  1154, -1500, -1500,   546, 13535, -1500, -1500,
   -1500, -1500, 20162,  1188,   963, -1500,  1053, -1500, -1500, 13168,
   -1500,   161,  1087,  1274, -1500, -1500, -1500, -1500, -1500, 19428,
   -1500, -1500, -1500, -1500,  1052,  1263,  4178,   442,    44, -1500,
   -1500, -1500, -1500, -1500, -1500, 13535,   963,  7966,  6072, -1500,
   -1500, -1500, -1500, -1500, 13902, -1500, -1500, -1500,   558,   662,
   13902, -1500, -1500, 13902,   613, 13902,   916, 17960, -1500, -1500,
    1270,  1272, 13902, 13902, -1500, 18694, -1500, 13902, 13535, -1500,
   -1500, -1500, 13168, -1500,    44, 16125, 11333, 20162,   123,    52,
   -1500,  1060, 16492, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, 17226, 13168, -1500,  1064,   649, -1500, -1500, -1500, -1500,
   -1500, -1500,  1435, 18327, -1500,    84,    84, -1500, 13168,  6072,
    1269, -1500,   993, -1500,   307,  6072,  1228, -1500, -1500,  1230,
   -1500, -1500, -1500, -1500,  1068,   993,   993, -1500,  1174, -1500,
    6072,  6072, -1500,  6072, -1500, -1500, -1500, -1500,  6072, -1500,
   -1500,   993, -1500,  6072, -1500, -1500,  6072,  6072,  6072, -1500,
     528, -1500,   549, -1500,   553, -1500, -1500,   857, -1500,   375,
   20162, -1500, -1500,   655, -1500, -1500,  6072, -1500, 19061, -1500,
    1297,   857, 13535,  7966,   624,   307,  1078,  1079, -1500, -1500,
     -59, -1500, -1500, -1500,   433,  1306,  1308, -1500,  1227,    -3,
    1227,   433,   433,  1341,   368,   565, -1500,   985,   985, -1500,
    1092, -1500, -1500,  1191, -1500, -1500, 15376,   -61, -1500,  8343,
     624, -1500,   307, -1500, 20162,  6072, -1500,  1161, -1500,   307,
    1101,   144, -1500, -1500,  6072,  1314,  1315,   512, -1500, 13902,
   -1500, -1500, -1500,    -4, -1500, -1500, -1500, -1500, 13902, -1500,
   -1500, -1500, -1500, -1500,  1109, -1500,   144, -1500, 17960, -1500,
     661, -1500, 20162, -1500, -1500, 13168, -1500, -1500,  1513, 20162,
   -1500, -1500, -1500,  1106, -1500, 17226, 11333, -1500,   437, -1500,
   -1500, -1500, -1500, -1500,  1112,   307,   -37, -1500,  1323,  -247,
     307,  1115,   677, -1500,  1116,  1120,    56,  1122,   579,   152,
     684,   584,  -184,   586,   587,   594,   601, -1500, -1500, -1500,
      38, -1500, -1500, -1500,   695, -1500, -1500,    38, -1500, -1500,
   -1500,  7966, -1500,   175,  1161, -1500,   764, -1500, -1500, -1500,
    1333,   433,  1227,  1227,  1338,  1279,  -101,  1477,  1368, -1500,
   -1500, -1500, 20162, -1500, -1500,   561, -1500, -1500, 18694,  1128,
   -1500,  1307, -1500,     7,  1260, -1500, -1500,    44,   307,  1269,
    6072, -1500, -1500, -1500,   307, 13902, -1500, -1500, -1500, -1500,
    1137,  1432,  1434, 13902, -1500,  1513, 13535, -1500, -1500, -1500,
   -1500,  1143, -1500, -1500, -1500, -1500, -1500,  1022,  1280, -1500,
    1022, -1500,  1022, -1500, -1500, -1500, -1500,  1145, -1500, -1500,
    1249,   426,  1146, -1500,  1147,  1148, -1500,   -31,   462, -1500,
    1154, -1500, 20162, -1500,  1182, -1500, -1500, -1500,  1309, -1500,
   -1500, -1500, -1500, -1500,  6072, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500,    19,    19, -1500, -1500,  1213, -1500, -1500,   812,
     702,   818,   368, -1500,   433, -1500,  1369,  1371,   433, -1500,
   -1500, -1500,  6072, -1500,  1161, -1500, -1500,   -45,   602,  1482,
   -1500,  1092, -1500, -1500, -1500, -1500,  4178, -1500,   144,  1160,
    1163, 20162, -1500,  1340,   123, -1500, -1500, 20162,  1349, -1500,
   -1500,  1164, -1500, -1500,  1324, -1500, 18694,   916,   962,   813,
   -1500,  1199, -1500,  1463,  1382, -1500,  1249, -1500,  1385,  1334,
   -1500,  1337,  1343,  1344, -1500, -1500, 20162, -1500, -1500,  1183,
     638,   697,   144,  1181, 13535,  1193,   606, -1500, -1500, 13168,
   -1500, -1500, -1500,  1053,  1277,  1204,   433,   433,  1346,  1215,
    6072,  6072,  1189,   469,   144,  6072,   818, -1500,   -21,   857,
     560,  1392, -1500, -1500, -1500, 20162, 20162,   699,   618,   618,
     802,   802, -1500, -1500, -1500,   123,   704, -1500,   -29,  1348,
      56,  1196, -1500, -1500,   575, -1500, -1500, -1500, -1500, -1500,
   -1500,  1356,  1221, -1500, -1500, -1500, -1500,  1198,  1200,  1202,
   -1500, -1500, -1500,   306, 20162, -1500,  1357,  1203, -1500,    44,
   -1500, -1500, -1500,   375, -1500,  1234, -1500, -1500, -1500,  1237,
     307,   307, 20162, -1500,  6072, -1500, -1500,   307, -1500, -1500,
   -1500,   512,   512, -1500,   -21,    38,  1552,  1561,  1492,  1567,
     560, -1500,   341, -1500,   708,   718,   306, -1500, -1500, -1500,
   -1500, 20162, -1500, -1500, -1500,   -22, -1500,   727, -1500, -1500,
   -1500,   575, -1500, -1500, -1500,   -31,   916,    44, -1500,   306,
   -1500, -1500,   144,  1220, 13535,  7966,  1482, -1500,  6072,  1222,
    6072,  1225,   730, -1500,   144,  1476,  1476, -1500, -1500,    56,
      56,  1576,    56, -1500,  1578,  1581,   341, -1500,  1335,   306,
   -1500, -1500,   634,   634, -1500,    56, -1500, -1500, -1500,     6,
   -1500, -1500, -1500, -1500, -1500,  1392,  1161,   307, 20162,   307,
   20162, -1500, 20162, -1500,   635, -1500, -1500, -1500, -1500,    56,
   -1500,    56,    56, -1500, -1500, -1500, -1500,  1612, -1500,   486,
    1389,  1393, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
    1468,   818,   752,   759, -1500,  1595, -1500,  1596,  1250,  1251,
   -1500, -1500, -1500, -1500, -1500, -1500,  1285,  1548,  1413,  1257,
   -1500, -1500, -1500, -1500, -1500, 19795, 19795,   634,   634,   -53,
   10220,  1351, -1500,  1259, -1500,  1261, -1500,   763, -1500, -1500,
   -1500, -1500, -1500, -1500, 18694,   765, -1500, -1500, 13535, -1500,
   -1500, 19795, -1500, -1500, -1500, 10593,  1203, -1500, -1500
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500,    78, -1500, -1500,  -798, -1500, -1500, -1500, -1500,   580,
   -1500, -1500,  -240, -1156,   589,  -988,  -826, -1500, -1500,   987,
   -1500, -1420,   404,   222,   608,   633,   417,   455, -1500, -1500,
     142, -1500,   139, -1500, -1500, -1500, -1500, -1500, -1500,  -774,
     117,   588, -1500, -1500, -1500,    22, -1500,    41, -1125,  -369,
   -1500,  -154, -1500, -1500, -1500, -1500,  -914, -1500, -1500, -1024,
   -1500, -1500, -1500, -1500, -1282, -1263, -1500,   614,  -119,   416,
    -689,   -49, -1179, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
     769, -1500, -1500,   451, -1500, -1500, -1500,   -95,    15, -1499,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
     886,  1235,   696,  1419,   747, -1500, -1500,  1422, -1500, -1500,
   -1500,  -674,  -928, -1500,  1271,  -783, -1104,   881,  -768,  -778,
     370,  -327,  2069, -1500,  -547,   537, -1500, -1500,  -232, -1500,
   -1500,  -309, -1500, -1500, -1500, -1500, -1500, -1500, -1500,   555,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
    1201, -1500,   817,  -485, -1500, -1500, -1500,  -710, -1500,   346,
     110, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,
    -771, -1500, -1500, -1500, -1500, -1500,   758, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1057, -1500, -1248,  -113, -1500,   -60,
   -1500, -1500, -1500, -1500, -1500, -1500, -1500, -1500,  -226,  -200,
    -978,  -513,  1169,   550, -1500,   120,  1219,  -614, -1500, -1500,
   -1500,   742, -1500, -1500, -1500, -1500, -1500,   189, -1055,  -613,
   -1500, -1500, -1346,  -418, -1006,  -402, -1500,  -981,   207, -1500,
    -541, -1500, -1500, -1500,   108,   722, -1500, -1500, -1500, -1500,
   -1500,   244,  -229,  1423, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500,  1417,  1318,  1065, -1500, -1500,  -889, -1500,
   -1500,   921, -1500,   396,  -858, -1023,   578, -1500, -1500, -1500,
   -1182, -1500, -1500, -1500, -1500, -1500, -1500,   538,  -194,   -67,
   -1500, -1500, -1500, -1500,  1444, -1500, -1500, -1500, -1500, -1500,
   -1500,  -478,  -242,  -561, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500,  1262, -1500, -1500, -1500, -1500, -1500, -1500,
   -1500, -1500, -1500, -1500, -1500, -1500,   593,   -63, -1500,   -26,
    -104, -1500,   -81, -1500, -1500, -1500, -1500,  -189, -1500,  -332,
   -1398,   113, -1423,  -692,   590,  1149, -1422,  1247,  -550,  -545,
    -116,   -23,   -12,  -617,  -400,  -210,  1000,     1, -1500, -1500,
   -1500, -1500, -1500, -1500,   935, -1500, -1500, -1500, -1500,   566,
   -1500, -1500, -1500,   380, -1500,   140,   115, -1500, -1500, -1500,
   -1500,   188,  1502,  1347, -1500, -1500, -1500, -1500, -1500,  -979,
    -419, -1500, -1314, -1500, -1500, -1500,  -934, -1296, -1500, -1500,
    -484, -1500, -1500
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -1118
static const yytype_int16 yytable[] =
{
     249,   511,   506,  1186,   609,   594,   761,   843,   724,   249,
     495,   762,  1065,   252,   681,   682,  1224,   249,  1226,   996,
    1280,  1232,  1134,  1168,  1130,  1388,  1327,   782,   288,   531,
     695,   860,   634,  1471,   790,   417,  1482,   629,  1054,   249,
     980,  1402,   548,  1202,  1203,   546,   456,   568,   629,   568,
    1013,   249,   568,  1341,   296,   554,   555,  1597,  1581,  1623,
     479,  1157,   882,   568,   650,   568,   477,  1842,  1200,   850,
    1537,   568,   853,   622,   568,   855,   856,   568, -1114,   560,
     561,   292,   646,  1274,  1239,  -571,   257,   417,   568,   568,
     885,  1883,   568,  1213,  1531,   624,  1394,   655,  1628,   859,
      79,    63,  1407,    74,   783,  1432,  1164,  1792,  -571,  1769,
     568,   594,  1494,   568,  1359,   471,  1440,    69,   568,    71,
    1530,   568, -1117,  1366,   568,  1269,   568,   280,  1610,  1930,
    1422,   906,  1770,   263,  1884,  1714,  1575,   568,   568,  1005,
     568,   568,   627,   568,   568,   568,   568,   673,   594,   568,
    1885,  1182,  1008,   845,   852,  -983,  1033,   568,   568,  1521,
    1196,  1479,   568,   568,   568,   592,  1491,  1006,   636,   593,
     568,   568,  1207,  1005,  1492,   928,   568,   373, -1117,   373,
     473,   568,  1240,   618,   568,  -231,   568,   417,   846,  1235,
    1694,   568,   568,   620,   906,  1513,  1886,   308,   859,  1587,
     647,    72,  1514,   476,   568,  1252,   784,  1183,   265,   635,
    1713,   568,  1024,   619,  1793,   260,  1789,  -781,   474,   627,
    1529,  1418,  1931,   637,  1515,  1713,  1441,   281,  1054,  1534,
     510,  1887,   547,   674,  1522,   249,   942,  1270,   973,   886,
     887,   859,   861,   568,  1606,  1607,   887,  1630,   309,  1423,
     249,   804,   249,  1667,  1611,   458,    64,    64,   294,    64,
    1367,    65,    65,   249,    65,  1794,   249,  1000,  1493,  1264,
     970,   316,   762,   569,   249,   569,   795,  1351,   569,  1568,
     258,   249,  1704,   249,   625,  1439,  1532,   249,   607,   569,
    1313,  1026,   655,  1538,   249,   249,  1485,   569,   472,  1598,
     569,   568,  1343,   569,   249,   568,   847,  1122,  1030,  -571,
     972,   568,  1425,   762,   569,   569,   607,  -781,   569,   568,
    1201,   785,  1798,   568,   568,   568,  1745,   883,   623,  1843,
     568,   786,  1519,  1771,  -983,  1034,   569,  1188,   568,   569,
    1385,   568,  1824,   568,   569,   787,  1629,   569,  1766,  1888,
     569,  1624,   569,   270,   583,  1828,    80,  1806,   -63,    75,
     568,  1021,   568,   569,   569,   996,   569,   569,  1025,   569,
     569,   569,   569,  1527,  1338,   569,  1027,   421,   568,   249,
     249,   568,   841,   569,   569,   373,   980,   273,   569,   569,
     569,   457,   601,   805,   568,  1191,   569,   569,   568,   568,
     568,  1368,   569,   249,   249,  1241,  1095,   569,   806,   570,
     569,   570,   569,  1204,   570,   568,  1100,   569,   569,  1054,
     767,   768,   958,  1141,   929,   570,   262,   570,   865,  1601,
     569,  1867,  1868,   570,  1870,   877,   570,   569,  1113,   570,
    1160,   277,  1032,   890,   656,   762,   894,  1882,   767,   905,
     570,   570,   249,   249,   570,   249,   662,  1817,   629,   664,
    1199,   895,  1146,  1147,   903,  1573,  1851,   249,   586,   569,
     249,  1900,   570,  1901,  1902,   570,   249,  1807,  1863,   249,
     570,  1142,  1143,   570,   943,  1140,   570,  1299,   570,  1302,
    1303,  1847,  1315,  1316,  1150,  1335,  1336,   979,   904,   570,
     570,   249,   570,   570,   568,   570,   570,   570,   570,   907,
     914,   570,   919,   920,  1699,   922,   923,   927,   944,   570,
     570,  1300,  1599,  1840,   570,   570,   570,   569,   965,  1301,
    1308,   569,   570,   570,  1317,  1318,  1584,   569,   570,   470,
     568,  1314,   889,   570,   249,   569,   570,   896,   570,   569,
     569,   569,   897,   570,   570,   249,   569,   902,  1600,  1696,
    1363,   568,   910,   911,   569,   568,   570,   569,   778,   569,
     424,   -45,  1374,   570,  1904,   915,  1875,  1618,    22,  1500,
     960,   249,   916,   609,   249,   583,   569,   831,   569,   274,
    1495,   568,  1387,   249,   807,  1682,   568,   839,   568,   568,
     842,  1334,  1394,   283,   569,   570,   568,   569,   249,  1406,
     284,   249,   854,   568,   918,  1269,   673,  1000,   568,   249,
     569,   568,   762,   249,   569,   569,   569,   961,   568,  1148,
     966,  -609,   296,  1854,   832,   587,   588,   589,   590,   591,
    1571,   569,   874,  1083,  1486,   249,  1834,   298,  1275,   249,
    1170,   249,  1496,   249,   300,  1030,   425,   770,  1333,  1626,
     762,  1276,   870,   570,  1145,  1680,  1776,   570,  1215,  1835,
    1876,   302,   921,   570,  -609,  1777,   924,  1501,    30,   833,
     307,   570,   932,  1404,  1216,   570,   570,   570,  1416,  1395,
    1768,  1742,   570,   762,   933,  -609,   948,  -609,  1254,   586,
     570,  1283,   685,   570,  -609,   570,  1394,   953,  -609,  1297,
    1905,  1430,  1304,   583,  1305,  1170,  1500,  1285,  -609,   813,
    1605,  1191,   570,  -609,   570,  1275,   305,  1270,  -609,   962,
     569,  1306,   666,  1307,  -609,   669,   834,   454,  1276,   582,
     570,  1255,  -609,   570,  1124,   967,  -609,  1825,  1826,  1309,
    1171,  1126,  1312,  -609,  1172,   968,   570,   771,   310,   461,
     570,   570,   570,   249,   673,  1319,   569,  1213,  -609,  1449,
    1321,  1323,  1669,  1639,  1895,    77,  1642,   570,  1643,    81,
    -609,   673,  1454,  1455,  1849,   465,  1325,   569,   601,   988,
    1660,   569,  1160,  -103,  -609,   480,  1778,   762,  1462,   249,
     249,  1891,  -609,  1256,  1896,   249,  1396,   954,  1661,  1677,
    1678,  -609,   583,   673,  1501,  1171,   467,   569,  1460,  1570,
     476,   822,   569,   249,   569,   569,   482,   586,   813,   249,
    1355,   485,   569,  1685,  -609,   489,  -609,  1689,  1257,   569,
    1763,  -609,   888,   887,   569,  -609,   249,   569,  1230,   583,
     726,  1474,   249,  1764,   569,    67,   490,  1877,    68,   249,
    -609,   426,   427,   428,   429,  -609,   570,   730,   589,   590,
     591,  -609,  1897,  1215,   430,  1326,   311,   593,  -609,  -609,
    1892,   584,  1893,  -609,   493,  1910,   494,   335,  1779,  1216,
    -609,  1815,   312,   498,  1684,    68,   585,   499,  1688,   747,
    1878,  1727,   570,   500,   815,   816,  1397,   823,  1129,   887,
    -103,  1467,  -609,   501,  1728,  1756,  1757,  -609,   917,  -609,
    -609,  1087,  1356,   570,  1879,   502,   586,   570,  1163,  1881,
     340,  -609,  1468,  1357,  -609,   596,  1469,   476,  1088,  -609,
    1729,  1358,  1707,  1223,   503,  1225,   813,   373,  -609,  -609,
    1233,   249,  -609,   570,   814,  1237,  1258,   504,   570,   507,
     570,   570,  1583,   586,  1138,  1231,   597,  1586,   570,  1588,
    1589,  1089,   249,  -609,  1090,   570,   604,  1590,   249,  1359,
     570,   610,  1091,   570,  1591,   607,  1416,   508,   320,  1751,
     570,   762,   348,   509,   587,   588,   589,   590,   591,   627,
     249,   512,   249,  1928,  1929,   568,   513,   249,  1166,  1167,
    -103,   514,   251,  1310,   887,  -609,  1784,  1785,  1787,  1788,
    1198,   266,   815,   816,   249,  -102,   515,   358,   516,   279,
    1723,  1213,  1435,  1436,   517,  1360,   518,  1212,  1473,   887,
    1708,  1214,   249,  1261,  1539,  1436,   817,   335,   249,  -609,
     519,   289,   249,   249,   249,   249,   650,  -609,   522,   249,
    1577,  1578,   523,   291,   524,   870,  1260,  1585,   887,   735,
     495,  -609,   696,   697,   698,   699,   700,  1361,  1595,   887,
    1743,  1744,  1786,  1744,   339,  -609,  -609,  1790,  1791,  -609,
     340,  1838,  1744,   587,   588,   589,   590,   591,  1393,   753,
     753,  1839,  1744,   525,  1393,   526,   342,  1403,   527,  1405,
    1844,  1845,  -102,  1861,  1862,   528,  1410,  1411,   530,   792,
     793,  1413,   532,   796,   798,   800,   801,   802,   803,   762,
     587,   588,   589,   590,   591,  1911,  1862,  1215,   701,   702,
     703,   704,  1912,  1862,   533,   380,  1942,  1941,  1944,  1945,
     534,  1603,   348,  1216,   632,   249,  1365,  1506,  1507,   700,
     249,   535,   536,   537,   538,   539,   540,   249,   541,   542,
     543,   544,   545,   549,   550,   551,   552,   249,   553,   556,
     557,   558,   559,   595,  1724,   621,   357,   358,   633,  1848,
     638,   640,   653,   249,   705,   706,   707,   708,   657,   658,
     659,   660,   249,   663,   709,   665,   667,   677,   249,   688,
     751,   249,   689,   249,   718,   249,   673,   760,   769,  1417,
     249,   249,   794,   249,   704,   249,   249,   810,  1212,  -102,
     249,   569,   775,   249,   249,   249,  1412,   811,   812,  1433,
     249,   825,   830,   840,   710,   228,   857,   251,   858,   249,
     249,   609,   863,  1431,  1355,  1444,   696,   697,   698,   699,
     700,   249,   414,   875,   289,   879,   249,  1645,   892,   762,
     893,   898,   711,   712,   900,   289,   899,   705,   289,   906,
     708,   909,   913,  1393,   934,   925,   462,   709,   926,   931,
     945,   373,  1393,   289,  1709,   289,  1646,   935,   946,   478,
    1647,   378,   947,   956,   964,   380,   486,   487,   568,  -375,
     969,   978,   984,  -458,   985,   991,   289,  1022,   249,  1014,
     650,  1019,   701,   702,   703,   704,   249,   710,  1031,  -102,
     249,  1064,  1074,  1086,  1077,  1081,  1096,  1648,  1097,  1710,
    1711,   977,  1098,  1355,  1106,  1135,  1356,  1107,  1118,  1133,
    1006,  1144,  1153,  1005,  1165,  1136,   712,  1357,  1137,  1154,
     713,  1162,  1195,  1205,   249,  1358,   320,   570,   714,   715,
    1937,  1213,   249,  1649,  1227,   762,   511,   548,   705,   706,
     707,   708,  1228,  1229,  1234,  1236,  1238,   249,   709,  1244,
    1245,   565,   566,   762,  1278,  1937,   249,  1800,   859,  1281,
     762,  1286,  1541,  1359,  1289,   887,   249,  1292,  1293,  1393,
     249,   435,  1355,   249,  1328,   289,   289,   249,  1708,  1212,
    1330,  -164,  1342,   249,   249,   335,   436,   437,   710,   650,
     650,  1332,   650,  1337,   438,  1356,   813,  1364,  1372,  1373,
    1376,  1377,  1408,   713,  1409,   650,  1357,  1434,  1429,  1437,
    1446,  1453,   715,  1451,  1358,  1452,   711,   712,  1456,  1360,
    1476,  1480,   339,  1481,   651,   652,  1489,   289,   340,   650,
     476,   650,   650,  1650,  1846,  1487,   439,  1488,  1651,   289,
    1497,  1508,   289,  1511,   342,  1520,  1525,  1526,   289,  1566,
     249,   289,  1359,  1536,  1572,  1574,   249,  1652,  1576,  1579,
     440,  1361,  1604,  1580,  1356,  1582,  1754,  1608,  1609,  1620,
    1612,  1613,  1621,   249,  1622,  1357,  1625,   441,   442,  1631,
    1632,   249,  1633,  1358,   249,  1637,  1640,  1644,  1662,  1663,
     348,  1700,   443,  1674,  1675,  1653,  1666,  1542,  1686,  1679,
    1687,  1543,  1705,  1718,   713,  1706,  1720,   444,  1360,  1721,
    1731,  1732,   714,   715,  1733,  1544,   763,  1735,  1736,  -526,
     249,  1359,  1737,  1746,   357,   358,  1741,   251,  1738,  1739,
    -531,  1762,     1,     2,  1782,  1758,  1750,  1795,  1801,  1799,
    1802,  1803,  1813,  1804,     3,  1829,  1578,  1814,  1545,  1819,
    1361,  1546,  1821,   251,  1830,  1425,   809,  1654,  1831,  1547,
    1832,   573,   574,  1852,  1858,   821,     4,  1860,  1864,  1869,
    1548,  1871,   445,   829,  1872,     5,  1903,  1360,  1906,   249,
     289,  1908,  1907,   289,  1549,   249,   575,     6,  1913,  1914,
     576,   851,  1915,  1916,   249,   289,  1917,  1918,  1919,  1920,
    1550,  1938,  1940,  1243,  1253,  1941,  1668,  1212,   869,   446,
    1420,     7,     8,     9,   249,   577,  1752,   289,  1569,  1361,
      10,   251,   249,   872,   578,   289,  1426,   249,  1248,   373,
    1217,    11,  1709,  1398,  1635,  1634,  1288,  1551,  1734,   378,
      12,  1664,   579,   380,  1874,   447,  1277,  1722,   448,   449,
    1850,    13,  1443,   249,   249,  1812,  1419,   987,   645,  1169,
     460,  1132,   459,   614,   686,   580,  1004,  1094,  1475,  1339,
    1499,  1131,  1683,  1866,  1827,  1947,  1927,  1710,  1711,   754,
    1681,  1151,   687,    14,   727,  1636,  1627,   731,   450,  1702,
    1185,   488,   249,   492,   602,    15,   876,   994,  1478,  1552,
    1349,   743,   744,  1386,  1946,   748,    16,  1853,   484,  1340,
     249,  1890,   668,  1855,  1833,  1873,  1948,  1352,   764,   765,
     694,  1726,   828,  1384,  1517,  1015,  1703,   422,     0,   606,
       0,  1553,     0,     0,     0,   959,     0,     0,     0,   249,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1554,
       0,     0,   249,     0,     0,     0,     0,     0,     0,     0,
       0,   289,   289,     0,     0,     0,     0,  1001,     0,     0,
       0,     0,     0,    17,    18,     0,     0,    19,     0,     0,
       0,     0,     0,     0,    20,  1017,     0,     0,     0,     0,
      21,  1023,     0,  1555,    22,  1556,   249,     0,   249,     0,
     249,     0,    23,     0,     0,    24,     0,     0,   763,     0,
       0,     0,     0,     0,   251,     0,     0,     0,    25,     0,
       0,   251,     0,  1557,  1558,   878,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    26,   249,   249,     0,     0,     0,   249,     0,
       0,     0,    27,    28,     0,     0,    29,     0,     0,     0,
       0,     0,   249,     0,     0,     0,   249,   908,     0,   249,
       0,   912,     0,   249,     0,  1943,     0,     0,     0,     0,
       0,     0,     0,     0,    30,     0,     0,     0,   930,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   251,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1155,     0,     0,     0,     0,     0,
     763,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,  1194,     0,     0,     0,     0,   251,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   251,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   251,     0,     0,     0,     0,     0,
    1251,     0,     0,     0,   251,   251,   289,  1251,     0,     0,
       0,   251,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1001,     0,     0,
       0,     0,  1354,     0,     0,     0,     0,     0,     0,   289,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1375,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   763,     0,     0,     0,     0,
       0,     0,     0,     0,  1251,     0,     0,     0,     0,     0,
    1251,     0,     0,  1251,     0,  1251,     0,   251,     0,     0,
       0,     0,  1251,  1251,     0,   251,     0,  1251,   763,     0,
       0,     0,   289,     0,     0,   251,  1251,  1421,     0,     0,
       0,     0,   251,     0,     0,     0,     0,     0,     0,     0,
       0,   251,   289,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   251,     0,     0,     0,     0,   289,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   394,     0,
    1472,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,     0,   763,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1155,     0,     0,     0,
       0,     0,     0,     0,  1017,     0,     0,     0,     0,     0,
     496,     0,     0,     0,     0,     0,     0,     0,     0,  1251,
       0,     0,     0,     0,     0,     0,     0,     0,  1251,     0,
       0,     0,     0,     0,     0,   521,     0,     0,   251,     0,
       0,     0,  1540,     0,   529,   289,     0,     0,     0,  1565,
       0,     0,     0,     0,     0,   251,  1251,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   562,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1615,     0,     0,     0,     0,     0,   251,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1251,     0,     0,     0,     0,
       0,     0,     0,  1251,     0,     0,   763,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   672,     0,     0,     0,     0,   679,     0,     0,
     683,   684,  1673,     0,     0,     0,     0,   690,   691,   692,
       0,   693,     0,     0,     0,     0,   720,   721,   722,   723,
       0,   725,     0,   728,   729,     0,   732,   733,     0,   734,
       0,     0,   736,   737,   738,   739,   740,   741,   742,     0,
       0,   745,   746,     0,   749,     0,   750,     0,     0,     0,
     758,   759,     0,     0,     0,     0,     0,     0,   766,     0,
       0,  1673,     0,     0,   774,     0,     0,  1717,     0,   779,
     780,   781,     0,     0,     0,     0,   251,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1740,     0,     0,     0,
       0,     0,     0,     0,   763,     0,     0,     0,     0,   289,
       0,     0,   827,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   844,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1673,  1673,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1673,     0,   881,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1823,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1841,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   763,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   937,   939,   941,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1823,     0,
    1823,     0,  1894,   971,     0,     0,   975,     0,   976,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1926,  1926,     0,     0,     0,
     763,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   251,     0,     0,     0,   763,     0,
       0,  1926,     0,     0,     0,   763,  1080,     0,     0,  1082,
       0,  1084,  1085,     0,     0,     0,  1093,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1099,
       0,     0,  1101,  1102,  1103,  1104,  1105,     0,     0,     0,
       0,     0,     0,  1108,     0,     0,  1109,     0,  1110,  1111,
       0,  1112,     0,     0,     0,     0,  1115,  1116,  1117,     0,
       0,     0,     0,  1119,  1120,  1121,     0,  1123,     0,  1125,
       0,  1127,     0,  1128,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1149,     0,  1152,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1282,     0,
       0,     0,  1284,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1295,  1296,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1311,     0,     0,     0,     0,     0,     0,
       0,  1320,     0,  1322,     0,  1324,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1345,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1382,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1345,  1389,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1445,     0,
       0,     0,     0,     0,  1450,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1458,
    1459,     0,     0,     0,     0,     0,     0,  1461,     0,     0,
       0,     0,  1463,     0,     0,  1464,  1465,  1466,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1345,     0,     0,     0,     0,    83,     0,    84,
      85,    86,     0,     0,     0,     0,    87,     0,     0,     0,
      88,    89,    90,    91,     0,    92,     0,     0,     0,     0,
      93,     0,    94,    95,     0,    96,     0,    97,     0,     0,
      98,     0,     0,    99,  1518,     0,   100,     0,   101,   102,
       0,   103,   104,  1524,   105,   106,   107,   108,   109,   110,
       0,   111,   112,     0,   113,     0,     0,     0,     0,     0,
     114,     0,     0,     0,     0,   115,   116,   117,   118,     0,
       0,   119,     0,     0,     0,     0,   120,   121,     0,     0,
       0,     0,     0,     0,     0,     0,   122,   123,     0,     0,
       0,     0,   124,   125,   126,     0,     0,     0,   127,     0,
     128,   129,     0,   130,   131,     0,     0,   132,     0,   133,
     134,     0,     0,   135,     0,     0,     0,   136,   137,   138,
     139,     0,   140,     0,     0,     0,   141,   142,     0,   143,
    1345,   144,     0,     0,     0,   145,     0,     0,     0,     0,
       0,   146,   147,   148,   149,     0,     0,   150,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     152,     0,     0,     0,   153,     0,     0,   154,     0,  1389,
       0,   155,   156,     0,     0,     0,   157,     0,   158,     0,
     159,     0,   160,     0,     0,     0,     0,     0,   161,   162,
       0,   163,   164,   165,   166,     0,     0,   167,   168,     0,
     169,     0,   170,     0,   171,   172,   173,   174,     0,     0,
       0,   175,   176,   177,     0,     0,   178,     0,     0,     0,
     179,   180,     0,   181,   182,   183,   184,     0,     0,     0,
       0,     0,     0,  1676,     0,   185,   186,   187,     0,     0,
     188,     0,   189,   190,   191,   192,     0,     0,   193,     0,
       0,     0,   194,     0,     0,     0,   195,     0,     0,     0,
     196,  1389,   197,     0,     0,   198,   199,   200,   201,   202,
     203,   204,     0,   205,   206,  1382,     0,     0,   207,   208,
     209,   210,     0,     0,     0,   211,     0,   212,   213,     0,
       0,     0,     0,     0,   214,     0,     0,     0,     0,   215,
     216,     0,     0,   217,   218,     0,     0,   219,   220,   221,
       0,     0,   222,   223,   224,     0,   225,   226,     0,     0,
     227,     0,   228,   229,     0,   230,   231,   232,     0,     0,
     233,     0,     0,   234,   235,   236,     0,   237,   238,  1760,
    1761,     0,   239,     0,  1767,     0,   240,     0,     0,     0,
       0,     0,   241,     0,     0,   242,     0,     0,     0,   243,
     244,     0,     0,     0,     0,   245,     0,     0,     0,   246,
       0,     0,     0,     0,     0,     0,    83,     0,   317,    85,
      86,     0,   247,     0,     0,    87,     0,     0,     0,    88,
      89,    90,   318,     0,    92,     0,     0,   319,   320,    93,
       0,    94,    95,   755,    96,     0,    97,     0,     0,    98,
     321,   322,    99,  1389,   323,   100,     0,   101,   324,     0,
     325,   104,     0,   105,   106,   107,   108,   109,   110,     0,
     111,   112,     0,   113,     0,   326,   327,     0,     0,   114,
     328,   329,     0,   330,   115,   116,   117,   118,   331,   332,
     333,     0,     0,     0,     0,   334,   121,   335,     0,     0,
     336,     0,     0,     0,  1345,   122,   123,  1857,     0,  1859,
       0,   124,   125,   126,     0,     0,     0,   127,     0,   128,
     129,     0,   130,   131,     0,     0,   132,     0,   133,   134,
       0,   337,   135,   338,   339,     0,   136,   137,   138,   139,
     340,   140,     0,     0,     0,   141,   142,     0,   143,     0,
     144,     0,   341,     0,   145,     0,   342,     0,     0,     0,
     343,   147,   148,   149,   344,     0,   150,   151,     0,     0,
       0,     0,     0,   345,   346,     0,     0,     0,     0,   152,
       0,     0,     0,   153,     0,     0,   154,     0,   756,   347,
     155,     0,     0,     0,     0,   157,     0,   158,     0,   159,
       0,   160,   348,     0,     0,     0,     0,   161,   162,   349,
     163,   164,   165,   350,     0,     0,   351,   168,   352,   169,
       0,   170,   353,   354,   172,   173,   174,     0,     0,     0,
     175,   176,   177,   355,   356,   178,   357,   358,     0,   179,
     180,     0,   181,   182,   183,   184,     0,     0,     0,     0,
       0,     0,     0,     0,   185,   186,   187,   359,     0,   188,
       0,   189,   190,   360,   192,     0,     0,   193,     0,     0,
       0,   194,     0,     0,     0,   195,   361,   362,     0,   196,
       0,   363,     0,   364,   198,   199,   200,   201,   202,   365,
     204,     0,   366,   206,     0,     0,     0,   207,   208,   209,
     210,     0,     0,     0,   211,     0,   212,   213,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,   215,   216,
     367,   368,   217,   218,     0,     0,   219,   369,   221,   370,
     371,   222,   223,   224,   372,   225,   226,     0,     0,   227,
       0,   373,   229,     0,   374,   375,   376,     0,   757,   233,
     377,   378,   379,   235,   236,   380,   237,   238,     0,     0,
       0,   239,     0,     0,     0,   381,     0,     0,   382,   383,
     384,   241,     0,     0,   242,   385,     0,   386,   243,   244,
       0,     0,     0,     0,   245,     0,     0,     0,   387,   388,
     389,     0,     0,     0,   390,     0,     0,     0,   391,     0,
     392,   393,    83,     0,   317,    85,    86,  1378,     0,     0,
       0,    87,     0,     0,     0,    88,    89,    90,   318,     0,
      92,     0,     0,  1379,   320,    93,     0,    94,    95,     0,
      96,     0,    97,     0,     0,    98,   321,   322,    99,     0,
     323,   100,     0,   101,   324,     0,   325,   104,     0,   105,
     106,   107,   108,   109,   110,     0,   111,   112,     0,   113,
       0,   326,   327,     0,     0,   114,   328,   329,     0,   330,
     115,   116,   117,   118,   331,   332,   333,     0,     0,     0,
       0,   334,   121,   335,     0,     0,  1380,     0,     0,     0,
       0,   122,   123,     0,     0,     0,     0,   124,   125,   126,
       0,     0,     0,   127,     0,   128,   129,     0,   130,   131,
       0,     0,   132,     0,   133,   134,     0,   337,   135,   338,
     339,     0,   136,   137,   138,   139,   340,   140,     0,     0,
       0,   141,   142,     0,   143,     0,   144,     0,   341,     0,
     145,     0,   342,     0,     0,     0,   343,   147,   148,   149,
     344,     0,   150,   151,     0,     0,     0,     0,     0,   345,
     346,     0,     0,     0,     0,   152,     0,     0,     0,   153,
       0,     0,   154,     0,     0,   347,   155,     0,     0,     0,
       0,   157,     0,   158,     0,   159,     0,   160,   348,     0,
       0,     0,     0,   161,   162,   349,   163,   164,   165,   350,
       0,     0,   351,   168,   352,   169,     0,   170,   353,   354,
     172,   173,   174,     0,     0,     0,   175,   176,   177,   355,
     356,   178,   357,   358,     0,   179,   180,  1381,   181,   182,
     183,   184,     0,     0,     0,     0,     0,     0,     0,     0,
     185,   186,   187,   359,     0,   188,     0,   189,   190,   360,
     192,     0,     0,   193,     0,     0,     0,   194,     0,     0,
       0,   195,   361,   362,     0,   196,     0,   363,     0,   364,
     198,   199,   200,   201,   202,   365,   204,     0,   366,   206,
       0,     0,     0,   207,   208,   209,   210,     0,     0,     0,
     211,     0,   212,   213,     0,     0,     0,     0,     0,   214,
       0,     0,     0,     0,   215,   216,   367,   368,   217,   218,
       0,     0,   219,   369,   221,   370,   371,   222,   223,   224,
     372,   225,   226,     0,     0,   227,     0,   373,   229,     0,
     374,   375,   376,     0,     0,   233,   377,   378,   379,   235,
     236,   380,   237,   238,     0,     0,     0,   239,     0,     0,
       0,   381,     0,     0,   382,   383,   384,   241,     0,     0,
     242,   385,     0,   386,   243,   244,     0,     0,     0,     0,
     245,     0,     0,     0,   387,   388,   389,     0,     0,    83,
     390,   317,    85,    86,   391,     0,   392,   393,    87,     0,
       0,     0,    88,    89,    90,   318,     0,    92,     0,     0,
     319,   320,    93,     0,    94,    95,     0,    96,     0,    97,
       0,     0,    98,   321,   322,    99,     0,   323,   100,     0,
     101,   324,     0,   325,   104,     0,   105,   106,   107,   108,
     109,   110,     0,   111,   112,     0,   113,     0,   326,   327,
       0,     0,   114,   328,   329,     0,   330,   115,   116,   117,
     118,   331,   332,   333,     0,     0,     0,     0,   334,   121,
     335,     0,     0,   336,     0,     0,     0,     0,   122,   123,
       0,     0,     0,     0,   124,   125,   126,     0,     0,     0,
     127,     0,   128,   129,     0,   130,   131,     0,     0,   132,
       0,   133,   134,     0,   337,   135,   338,   339,     0,   136,
     137,   138,   139,   340,   140,     0,     0,     0,   141,   142,
       0,   143,     0,   144,     0,   341,     0,   145,     0,   342,
       0,     0,     0,   343,   147,   148,   149,   344,     0,   150,
     151,     0,     0,     0,     0,     0,   345,   346,     0,     0,
       0,     0,   152,     0,     0,     0,   153,     0,     0,   154,
       0,     0,   347,   155,     0,     0,     0,     0,   157,     0,
     158,     0,   159,     0,   160,   348,     0,     0,     0,     0,
     161,   162,   349,   163,   164,   165,   350,     0,     0,   351,
     168,   352,   169,     0,   170,   353,   354,   172,   173,   174,
       0,     0,     0,   175,   176,   177,   355,   356,   178,   357,
     358,     0,   179,   180,     0,   181,   182,   183,   184,     0,
       0,     0,     0,     0,     0,     0,     0,   185,   186,   187,
     359,     0,   188,     0,   189,   190,   360,   192,     0,     0,
     193,     0,     0,     0,   194,     0,     0,     0,   195,   361,
     362,     0,   196,     0,   363,     0,   364,   198,   199,   200,
     201,   202,   365,   204,     0,   366,   206,     0,     0,     0,
     207,   208,   209,   210,     0,     0,     0,   211,     0,   212,
     213,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,   215,   216,   367,   368,   217,   218,     0,     0,   219,
     369,   221,   370,   371,   222,   223,   224,   372,   225,   226,
       0,     0,   227,     0,   373,   229,     0,   374,   375,   376,
       0,     0,   233,   377,   378,   379,   235,   236,   380,   237,
     238,     0,     0,     0,   239,     0,     0,     0,   381,     0,
       0,   382,   383,   384,   241,     0,     0,   242,   385,     0,
     386,   243,   244,     0,     0,     0,     0,   245,     0,     0,
       0,   387,   388,   389,     0,     0,     0,   390,   688,     0,
       0,   391,     0,   392,   393,    83,     0,   317,    85,    86,
       0,     0,     0,     0,    87,     0,     0,     0,    88,    89,
      90,   318,     0,    92,     0,     0,   319,   320,    93,     0,
      94,    95,     0,    96,     0,    97,     0,     0,    98,   321,
     322,    99,     0,   323,   100,     0,   101,   324,     0,   325,
     104,     0,   105,   106,   107,   108,   109,   110,     0,   111,
     112,     0,   113,     0,   326,   327,     0,     0,   114,   328,
     329,     0,   330,   115,   116,   117,   118,   331,   332,   333,
       0,     0,     0,     0,   334,   121,   335,     0,     0,   336,
       0,     0,     0,     0,   122,   123,     0,     0,     0,     0,
     124,   125,   126,     0,     0,     0,   127,     0,   128,   129,
       0,   130,   131,     0,     0,   132,     0,   133,   134,     0,
     337,   135,   338,   339,     0,   136,   137,   138,   139,   340,
     140,     0,     0,     0,   141,   142,   936,   143,     0,   144,
       0,   341,     0,   145,     0,   342,     0,     0,     0,   343,
     147,   148,   149,   344,     0,   150,   151,     0,     0,     0,
       0,     0,   345,   346,     0,     0,     0,     0,   152,     0,
       0,     0,   153,     0,     0,   154,     0,     0,   347,   155,
       0,     0,     0,     0,   157,     0,   158,     0,   159,     0,
     160,   348,     0,     0,     0,     0,   161,   162,   349,   163,
     164,   165,   350,     0,     0,   351,   168,   352,   169,     0,
     170,   353,   354,   172,   173,   174,     0,     0,     0,   175,
     176,   177,   355,   356,   178,   357,   358,     0,   179,   180,
       0,   181,   182,   183,   184,     0,     0,     0,     0,     0,
       0,     0,     0,   185,   186,   187,   359,     0,   188,     0,
     189,   190,   360,   192,     0,     0,   193,     0,     0,     0,
     194,     0,     0,     0,   195,   361,   362,     0,   196,     0,
     363,     0,   364,   198,   199,   200,   201,   202,   365,   204,
       0,   366,   206,     0,     0,     0,   207,   208,   209,   210,
       0,     0,     0,   211,     0,   212,   213,     0,     0,     0,
       0,     0,   214,     0,     0,     0,     0,   215,   216,   367,
     368,   217,   218,     0,     0,   219,   369,   221,   370,   371,
     222,   223,   224,   372,   225,   226,     0,     0,   227,     0,
     373,   229,     0,   374,   375,   376,     0,     0,   233,   377,
     378,   379,   235,   236,   380,   237,   238,     0,     0,     0,
     239,     0,     0,     0,   381,     0,     0,   382,   383,   384,
     241,     0,     0,   242,   385,     0,   386,   243,   244,     0,
       0,     0,     0,   245,     0,     0,     0,   387,   388,   389,
       0,     0,    83,   390,   317,    85,    86,   391,     0,   392,
     393,    87,     0,     0,     0,    88,    89,    90,   318,     0,
      92,     0,     0,   319,   320,    93,     0,    94,    95,     0,
      96,     0,    97,     0,     0,    98,   321,   322,    99,     0,
     323,   100,     0,   101,   324,     0,   325,   104,     0,   105,
     106,   107,   108,   109,   110,     0,   111,   112,     0,   113,
       0,   326,   327,     0,     0,   114,   328,   329,     0,   330,
     115,   116,   117,   118,   331,   332,   333,     0,     0,     0,
       0,   334,   121,   335,     0,     0,   336,     0,     0,     0,
       0,   122,   123,     0,     0,     0,     0,   124,   125,   126,
       0,     0,     0,   127,     0,   128,   129,     0,   130,   131,
       0,     0,   132,     0,   133,   134,     0,   337,   135,   338,
     339,     0,   136,   137,   138,   139,   340,   140,     0,     0,
       0,   141,   142,   938,   143,     0,   144,     0,   341,     0,
     145,     0,   342,     0,     0,     0,   343,   147,   148,   149,
     344,     0,   150,   151,     0,     0,     0,     0,     0,   345,
     346,     0,     0,     0,     0,   152,     0,     0,     0,   153,
       0,     0,   154,     0,     0,   347,   155,     0,     0,     0,
       0,   157,     0,   158,     0,   159,     0,   160,   348,     0,
       0,     0,     0,   161,   162,   349,   163,   164,   165,   350,
       0,     0,   351,   168,   352,   169,     0,   170,   353,   354,
     172,   173,   174,     0,     0,     0,   175,   176,   177,   355,
     356,   178,   357,   358,     0,   179,   180,     0,   181,   182,
     183,   184,     0,     0,     0,     0,     0,     0,     0,     0,
     185,   186,   187,   359,     0,   188,     0,   189,   190,   360,
     192,     0,     0,   193,     0,     0,     0,   194,     0,     0,
       0,   195,   361,   362,     0,   196,     0,   363,     0,   364,
     198,   199,   200,   201,   202,   365,   204,     0,   366,   206,
       0,     0,     0,   207,   208,   209,   210,     0,     0,     0,
     211,     0,   212,   213,     0,     0,     0,     0,     0,   214,
       0,     0,     0,     0,   215,   216,   367,   368,   217,   218,
       0,     0,   219,   369,   221,   370,   371,   222,   223,   224,
     372,   225,   226,     0,     0,   227,     0,   373,   229,     0,
     374,   375,   376,     0,     0,   233,   377,   378,   379,   235,
     236,   380,   237,   238,     0,     0,     0,   239,     0,     0,
       0,   381,     0,     0,   382,   383,   384,   241,     0,     0,
     242,   385,     0,   386,   243,   244,     0,     0,     0,     0,
     245,     0,     0,     0,   387,   388,   389,     0,     0,    83,
     390,   317,    85,    86,   391,     0,   392,   393,    87,     0,
       0,     0,    88,    89,    90,   318,     0,    92,     0,     0,
     319,   320,    93,     0,    94,    95,     0,    96,     0,    97,
       0,     0,    98,   321,   322,    99,     0,   323,   100,     0,
     101,   324,     0,   325,   104,     0,   105,   106,   107,   108,
     109,   110,     0,   111,   112,     0,   113,     0,   326,   327,
       0,     0,   114,   328,   329,     0,   330,   115,   116,   117,
     118,   331,   332,   333,     0,     0,     0,     0,   334,   121,
     335,     0,     0,   336,     0,     0,     0,     0,   122,   123,
       0,     0,     0,     0,   124,   125,   126,     0,     0,     0,
     127,     0,   128,   129,     0,   130,   131,     0,     0,   132,
       0,   133,   134,     0,   337,   135,   338,   339,     0,   136,
     137,   138,   139,   340,   140,     0,     0,     0,   141,   142,
     940,   143,     0,   144,     0,   341,     0,   145,     0,   342,
       0,     0,     0,   343,   147,   148,   149,   344,     0,   150,
     151,     0,     0,     0,     0,     0,   345,   346,     0,     0,
       0,     0,   152,     0,     0,     0,   153,     0,     0,   154,
       0,     0,   347,   155,     0,     0,     0,     0,   157,     0,
     158,     0,   159,     0,   160,   348,     0,     0,     0,     0,
     161,   162,   349,   163,   164,   165,   350,     0,     0,   351,
     168,   352,   169,     0,   170,   353,   354,   172,   173,   174,
       0,     0,     0,   175,   176,   177,   355,   356,   178,   357,
     358,     0,   179,   180,     0,   181,   182,   183,   184,     0,
       0,     0,     0,     0,     0,     0,     0,   185,   186,   187,
     359,     0,   188,     0,   189,   190,   360,   192,     0,     0,
     193,     0,     0,     0,   194,     0,     0,     0,   195,   361,
     362,     0,   196,     0,   363,     0,   364,   198,   199,   200,
     201,   202,   365,   204,     0,   366,   206,     0,     0,     0,
     207,   208,   209,   210,     0,     0,     0,   211,     0,   212,
     213,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,   215,   216,   367,   368,   217,   218,     0,     0,   219,
     369,   221,   370,   371,   222,   223,   224,   372,   225,   226,
       0,     0,   227,     0,   373,   229,     0,   374,   375,   376,
       0,     0,   233,   377,   378,   379,   235,   236,   380,   237,
     238,     0,     0,     0,   239,     0,     0,     0,   381,     0,
       0,   382,   383,   384,   241,     0,     0,   242,   385,     0,
     386,   243,   244,     0,     0,     0,     0,   245,     0,     0,
       0,   387,   388,   389,     0,     0,    83,   390,   317,    85,
      86,   391,     0,   392,   393,    87,     0,     0,     0,    88,
      89,    90,   318,     0,    92,     0,     0,   319,   320,    93,
       0,    94,    95,     0,    96,     0,    97,     0,     0,    98,
     321,   322,    99,     0,   323,   100,     0,   101,   324,     0,
     325,   104,     0,   105,   106,   107,   108,   109,   110,     0,
     111,   112,     0,   113,     0,   326,   327,     0,     0,   114,
     328,   329,     0,   330,   115,   116,   117,   118,   331,   332,
     333,     0,     0,     0,     0,   334,   121,   335,     0,     0,
     336,     0,     0,     0,     0,   122,   123,     0,     0,     0,
       0,   124,   125,   126,     0,     0,     0,   127,     0,   128,
     129,     0,   130,   131,     0,     0,   132,     0,   133,   134,
       0,   337,   135,   338,   339,     0,   136,   137,   138,   139,
     340,   140,     0,     0,     0,   141,   142,     0,   143,     0,
     144,     0,   341,     0,   145,     0,   342,     0,     0,     0,
     343,   147,   148,   149,   344,     0,   150,   151,     0,     0,
       0,     0,     0,   345,   346,     0,     0,     0,     0,   152,
       0,     0,     0,   153,     0,     0,   154,     0,     0,   347,
     155,     0,     0,     0,     0,   157,     0,   158,     0,   159,
       0,   160,   348,     0,     0,     0,     0,   161,   162,   349,
     163,   164,   165,   350,     0,     0,   351,   168,   352,   169,
       0,   170,   353,   354,   172,   173,   174,     0,     0,     0,
     175,   176,   177,   355,   356,   178,   357,   358,     0,   179,
     180,     0,   181,   182,   183,   184,     0,     0,     0,     0,
       0,     0,     0,     0,   185,   186,   187,   359,     0,   188,
       0,   189,   190,   360,   192,     0,     0,   193,     0,     0,
       0,   194,     0,     0,     0,   195,   361,   362,     0,   196,
       0,   363,     0,   364,   198,   199,   200,   201,   202,   365,
     204,     0,   366,   206,     0,     0,     0,   207,   208,   209,
     210,     0,     0,     0,   211,     0,   212,   213,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,   215,   216,
     367,   368,   217,   218,     0,     0,   219,   369,   221,   370,
     371,   222,   223,   224,   372,   225,   226,     0,     0,   227,
       0,   373,   229,     0,   374,   375,   376,     0,     0,   233,
     377,   378,   379,   235,   236,   380,   237,   238,     0,     0,
       0,   239,     0,     0,     0,   381,     0,     0,   382,   383,
     384,   241,     0,     0,   242,   385,     0,   386,   243,   244,
       0,     0,     0,     0,   245,     0,     0,     0,   387,   388,
     389,     0,     0,    83,   390,   317,    85,    86,   391,     0,
     392,   393,    87,     0,     0,     0,    88,    89,    90,   318,
       0,    92,     0,     0,   319,   320,    93,     0,    94,    95,
       0,    96,     0,    97,     0,     0,    98,   321,   322,    99,
       0,   323,   100,     0,   101,   324,     0,   325,   104,     0,
     105,   106,   107,   108,   109,   110,     0,   111,   112,     0,
     113,     0,   326,   327,     0,     0,   114,   328,   329,     0,
     330,   115,   116,   117,   118,   331,   332,   333,     0,     0,
       0,     0,   334,   121,   335,     0,     0,   336,     0,     0,
       0,     0,   122,   123,     0,     0,     0,     0,   124,   125,
     126,     0,     0,     0,   127,     0,   128,   129,     0,   130,
     131,     0,     0,   132,     0,   133,   134,     0,   337,   135,
     338,   339,     0,   136,   137,   138,   139,   340,   140,     0,
       0,     0,   141,   142,     0,   143,     0,   144,     0,   341,
       0,   145,     0,   342,     0,     0,     0,   343,   147,   148,
     149,   344,     0,   150,   151,     0,     0,     0,     0,     0,
     345,   346,     0,     0,     0,     0,   152,     0,     0,     0,
     153,     0,     0,   154,     0,     0,   347,   155,     0,     0,
       0,     0,   157,     0,   158,     0,   159,     0,   160,   348,
       0,     0,     0,     0,   161,   162,   349,   163,   164,   165,
     350,     0,     0,   351,   168,   352,   169,     0,   170,   353,
     354,   172,   173,   174,     0,     0,     0,   175,   176,   177,
     355,   356,   178,   357,   358,     0,   179,   180,     0,   181,
     182,   183,   184,     0,     0,     0,     0,     0,     0,     0,
       0,   185,   186,   187,   359,     0,   188,     0,   189,   190,
     360,   192,     0,     0,   193,     0,     0,     0,   194,     0,
       0,     0,   195,   361,   362,     0,   196,     0,   363,     0,
     364,   198,   199,   200,   201,   202,   365,   204,     0,   366,
     206,     0,     0,     0,   207,   208,   209,   210,     0,     0,
       0,   211,     0,   212,   213,     0,     0,     0,     0,     0,
     214,     0,     0,     0,     0,   215,   216,   367,   368,   217,
     218,     0,     0,   219,   369,   221,   370,   371,   222,   223,
     224,   372,   225,   226,     0,     0,   227,     0,   373,   229,
       0,   374,   375,   376,     0,     0,   233,   377,   378,   379,
     235,   236,   380,   237,   238,     0,     0,     0,   239,     0,
       0,     0,   381,     0,     0,   382,   383,   384,   241,     0,
       0,   242,   385,     0,   386,   243,   244,     0,     0,     0,
       0,   245,     0,     0,     0,   387,   388,   389,     0,     0,
       0,   520,     0,     0,     0,   391,     0,   392,   393,    83,
       0,   317,    85,    86,   788,     0,     0,     0,   789,     0,
       0,     0,    88,    89,    90,   318,     0,    92,     0,     0,
     319,   320,    93,     0,    94,    95,     0,    96,     0,    97,
       0,     0,    98,   321,   322,    99,     0,   323,   100,     0,
     101,   324,     0,   325,   104,     0,   105,   106,   107,   108,
     109,   110,     0,   111,   112,     0,   113,     0,   326,   327,
       0,     0,   114,   328,   329,     0,   330,   115,   116,   117,
     118,   331,   332,   333,     0,     0,     0,     0,   334,   121,
     335,     0,     0,   336,     0,     0,     0,     0,   122,   123,
       0,     0,     0,     0,   124,   125,   126,     0,     0,     0,
     127,     0,   128,   129,     0,   130,   131,     0,     0,   132,
       0,   133,   134,     0,   337,   135,   338,   339,     0,   136,
     137,   138,   139,   340,   140,     0,     0,     0,   141,   142,
       0,   143,     0,   144,     0,   341,     0,   145,     0,   342,
       0,     0,     0,   343,   147,   148,   149,   344,     0,   150,
     151,     0,     0,     0,     0,     0,   345,   346,     0,     0,
       0,     0,   152,     0,     0,     0,   153,     0,     0,   154,
       0,     0,   347,   155,     0,     0,     0,     0,   157,     0,
     158,     0,   159,     0,   160,   348,     0,     0,     0,     0,
     161,   162,   349,   163,   164,   165,   350,     0,     0,   351,
     168,   352,   169,     0,   170,   353,   354,   172,   173,   174,
       0,     0,     0,   175,   176,   177,     0,   356,   178,   357,
     358,     0,   179,   180,     0,   181,   182,   183,   184,     0,
       0,     0,     0,     0,     0,     0,     0,   185,   186,   187,
     359,     0,   188,     0,   189,   190,   360,   192,     0,     0,
     193,     0,     0,     0,   194,     0,     0,     0,   195,   361,
     362,     0,   196,     0,   363,     0,   364,   198,   199,   200,
     201,   202,   365,   204,     0,   366,   206,     0,     0,     0,
     207,   208,   209,   210,     0,     0,     0,   211,     0,   212,
     213,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,   215,   216,   367,   368,   217,   218,     0,     0,   219,
     369,   221,   370,   371,   222,   223,   224,   372,   225,   226,
       0,     0,   227,     0,   373,   229,     0,   374,   375,   376,
       0,     0,   233,   377,   378,   379,   235,   236,   380,   237,
     238,     0,     0,     0,   239,     0,     0,     0,   381,     0,
       0,   382,   383,   384,   241,     0,     0,   242,   385,     0,
     386,   243,   244,     0,     0,     0,     0,   245,     0,     0,
       0,   387,   388,   389,     0,     0,    83,   390,   317,    85,
      86,   391,     0,   392,   393,    87,     0,     0,     0,    88,
      89,    90,   318,     0,    92,     0,     0,   319,   320,    93,
       0,    94,    95,     0,    96,     0,    97,     0,     0,    98,
     321,   322,    99,     0,   323,   100,     0,   101,   324,     0,
     325,   104,     0,   105,   106,   107,   108,   109,   110,     0,
     111,   112,     0,   113,     0,   326,   327,     0,     0,   114,
     328,   329,     0,   330,   115,   116,   117,   118,   331,   332,
     333,     0,     0,     0,     0,   334,   121,   335,     0,     0,
     336,     0,     0,     0,     0,   122,   123,     0,     0,     0,
       0,   124,   125,   126,     0,     0,     0,   127,     0,   128,
     129,     0,   130,   131,     0,     0,   132,     0,   133,   134,
       0,   337,   135,   338,   339,     0,   136,   137,   138,   139,
     340,   140,     0,     0,     0,   141,   142,     0,   143,     0,
     144,     0,   341,     0,   145,     0,   342,     0,     0,     0,
     343,   147,   148,   149,   344,     0,   150,   151,     0,     0,
       0,     0,     0,   345,  1079,     0,     0,     0,     0,   152,
       0,     0,     0,   153,     0,     0,   154,     0,     0,   347,
     155,     0,     0,     0,     0,   157,     0,   158,     0,   159,
       0,   160,   348,     0,     0,     0,     0,   161,   162,   349,
     163,   164,   165,   350,     0,     0,   351,   168,   352,   169,
       0,   170,   353,   354,   172,   173,   174,     0,     0,     0,
     175,   176,   177,   355,   356,   178,   357,   358,     0,   179,
     180,     0,   181,   182,   183,   184,     0,     0,     0,     0,
       0,     0,     0,     0,   185,   186,   187,   359,     0,   188,
       0,   189,   190,   360,   192,     0,     0,   193,     0,     0,
       0,   194,     0,     0,     0,   195,   361,   362,     0,   196,
       0,   363,     0,   364,   198,   199,   200,   201,   202,   365,
     204,     0,   366,   206,     0,     0,     0,   207,   208,   209,
     210,     0,     0,     0,   211,     0,   212,   213,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,   215,   216,
     367,   368,   217,   218,     0,     0,   219,   369,   221,   370,
     371,   222,   223,   224,   372,   225,   226,     0,     0,   227,
       0,   373,   229,     0,   374,   375,   376,     0,     0,   233,
     377,   378,   379,   235,   236,   380,   237,   238,     0,     0,
       0,   239,     0,     0,     0,   381,     0,     0,   382,   383,
     384,   241,     0,     0,   242,   385,     0,   386,   243,   244,
       0,     0,     0,     0,   245,     0,     0,     0,   387,   388,
     389,     0,     0,    83,   390,   317,    85,    86,   391,     0,
     392,   393,    87,     0,     0,     0,    88,    89,    90,   318,
       0,    92,     0,     0,   319,   320,    93,     0,    94,    95,
       0,    96,     0,    97,     0,     0,    98,   321,   322,    99,
       0,   323,   100,     0,   101,   324,     0,   325,   104,     0,
     105,   106,   107,   108,   109,   110,     0,   111,   112,     0,
     113,     0,   326,   327,     0,     0,   114,   328,   329,     0,
     330,   115,   116,   117,   118,   331,   332,   333,     0,     0,
       0,     0,   334,   121,   335,     0,     0,   336,     0,     0,
       0,     0,   122,   123,     0,     0,     0,     0,   124,   125,
     126,     0,     0,     0,   127,     0,   128,   129,     0,   130,
     131,     0,     0,   132,     0,   133,   134,     0,   337,   135,
     338,   339,     0,   136,   137,   138,   139,   340,   140,     0,
       0,     0,   141,   142,     0,   143,     0,   144,     0,   341,
       0,   145,     0,   342,     0,     0,     0,   343,   147,   148,
     149,   344,     0,   150,   151,     0,     0,     0,     0,     0,
     345,  1114,     0,     0,     0,     0,   152,     0,     0,     0,
     153,     0,     0,   154,     0,     0,   347,   155,     0,     0,
       0,     0,   157,     0,   158,     0,   159,     0,   160,   348,
       0,     0,     0,     0,   161,   162,   349,   163,   164,   165,
     350,     0,     0,   351,   168,   352,   169,     0,   170,   353,
     354,   172,   173,   174,     0,     0,     0,   175,   176,   177,
     355,   356,   178,   357,   358,     0,   179,   180,     0,   181,
     182,   183,   184,     0,     0,     0,     0,     0,     0,     0,
       0,   185,   186,   187,   359,     0,   188,     0,   189,   190,
     360,   192,     0,     0,   193,     0,     0,     0,   194,     0,
       0,     0,   195,   361,   362,     0,   196,     0,   363,     0,
     364,   198,   199,   200,   201,   202,   365,   204,     0,   366,
     206,     0,     0,     0,   207,   208,   209,   210,     0,     0,
       0,   211,     0,   212,   213,     0,     0,     0,     0,     0,
     214,     0,     0,     0,     0,   215,   216,   367,   368,   217,
     218,     0,     0,   219,   369,   221,   370,   371,   222,   223,
     224,   372,   225,   226,     0,     0,   227,     0,   373,   229,
       0,   374,   375,   376,     0,     0,   233,   377,   378,   379,
     235,   236,   380,   237,   238,     0,     0,     0,   239,     0,
       0,     0,   381,     0,     0,   382,   383,   384,   241,     0,
       0,   242,   385,     0,   386,   243,   244,     0,     0,     0,
       0,   245,     0,     0,     0,   387,   388,   389,     0,     0,
      83,   390,   317,    85,    86,   391,     0,   392,   393,    87,
       0,     0,     0,    88,    89,    90,   318,     0,    92,     0,
       0,   319,   320,    93,     0,    94,    95,     0,    96,     0,
      97,     0,     0,    98,   321,   322,    99,     0,   323,   100,
       0,   101,   324,     0,   325,   104,     0,   105,   106,   107,
     108,   109,   110,     0,   111,   112,     0,   113,     0,   326,
     327,     0,     0,   114,   328,   329,     0,   330,   115,   116,
     117,   118,   331,   332,   333,     0,     0,     0,     0,   334,
     121,   335,     0,     0,  1344,     0,     0,     0,     0,   122,
     123,     0,     0,     0,     0,   124,   125,   126,     0,     0,
       0,   127,     0,   128,   129,     0,   130,   131,     0,     0,
     132,     0,   133,   134,     0,   337,   135,   338,   339,     0,
     136,   137,   138,   139,   340,   140,     0,     0,     0,   141,
     142,     0,   143,     0,   144,     0,   341,     0,   145,     0,
     342,     0,     0,     0,   343,   147,   148,   149,   344,     0,
     150,   151,     0,     0,     0,     0,     0,   345,   346,     0,
       0,     0,     0,   152,     0,     0,     0,   153,     0,     0,
     154,     0,     0,   347,   155,     0,     0,     0,     0,   157,
       0,   158,     0,   159,     0,   160,   348,     0,     0,     0,
       0,   161,   162,   349,   163,   164,   165,   350,     0,     0,
     351,   168,   352,   169,     0,   170,   353,   354,   172,   173,
     174,     0,     0,     0,   175,   176,   177,   355,   356,   178,
     357,   358,     0,   179,   180,     0,   181,   182,   183,   184,
       0,     0,     0,     0,     0,     0,     0,     0,   185,   186,
     187,   359,     0,   188,     0,   189,   190,   360,   192,     0,
       0,   193,     0,     0,     0,   194,     0,     0,     0,   195,
     361,   362,     0,   196,     0,   363,     0,   364,   198,   199,
     200,   201,   202,   365,   204,     0,   366,   206,     0,     0,
       0,   207,   208,   209,   210,     0,     0,     0,   211,     0,
     212,   213,     0,     0,     0,     0,     0,   214,     0,     0,
       0,     0,   215,   216,   367,   368,   217,   218,     0,     0,
     219,   369,   221,   370,   371,   222,   223,   224,   372,   225,
     226,     0,     0,   227,     0,   373,   229,     0,   374,   375,
     376,     0,     0,   233,   377,   378,   379,   235,   236,   380,
     237,   238,     0,     0,     0,   239,     0,     0,     0,   381,
       0,     0,   382,   383,   384,   241,     0,     0,   242,   385,
       0,   386,   243,   244,     0,     0,     0,     0,   245,     0,
       0,     0,   387,   388,   389,     0,     0,    83,   390,   317,
      85,    86,   391,     0,   392,   393,    87,     0,     0,     0,
      88,    89,    90,   318,     0,    92,     0,     0,   319,   320,
      93,     0,    94,    95,     0,    96,     0,    97,     0,     0,
      98,   321,   322,    99,     0,   323,   100,     0,   101,   324,
       0,   325,   104,     0,   105,   106,   107,   108,   109,   110,
       0,   111,   112,     0,   113,     0,   326,   327,     0,     0,
     114,   328,   329,     0,   330,   115,   116,   117,   118,   331,
     332,   333,     0,     0,     0,     0,   334,   121,   335,     0,
       0,   336,     0,     0,     0,     0,   122,   123,     0,     0,
       0,     0,   124,   125,   126,     0,     0,     0,   127,     0,
     128,   129,     0,   130,   131,     0,     0,   132,     0,   133,
     134,     0,   337,   135,   338,   339,     0,   136,   137,   138,
     139,   340,   140,     0,     0,     0,   141,   142,     0,   143,
       0,   144,     0,   341,     0,   145,     0,   342,     0,     0,
       0,   343,   147,   148,   149,   344,     0,   150,   151,     0,
       0,     0,     0,     0,   345,   346,     0,     0,     0,     0,
     152,     0,     0,     0,   153,     0,     0,   154,     0,     0,
     347,   155,     0,     0,     0,     0,   157,     0,   158,     0,
     159,     0,   160,   348,     0,     0,     0,     0,   161,   162,
     349,   163,   164,   165,   350,     0,     0,   351,   168,   352,
     169,     0,   170,   353,   354,   172,   173,   174,     0,     0,
       0,   175,   176,   177,     0,   356,   178,   357,   358,     0,
     179,   180,     0,   181,   182,   183,   184,     0,     0,     0,
       0,     0,     0,     0,     0,   185,   186,   187,   359,     0,
     188,     0,   189,   190,   360,   192,     0,     0,   193,     0,
       0,     0,   194,     0,     0,     0,   195,   361,   362,     0,
     196,     0,   363,     0,   364,   198,   199,   200,   201,   202,
     365,   204,     0,   366,   206,     0,     0,     0,   207,   208,
     209,   210,     0,     0,     0,   211,     0,   212,   213,     0,
       0,     0,     0,     0,   214,     0,     0,     0,     0,   215,
     216,   367,   368,   217,   218,     0,     0,   219,   369,   221,
     370,   371,   222,   223,   224,   372,   225,   226,     0,     0,
     227,     0,   373,   229,     0,   374,   375,   376,     0,     0,
     233,   377,   378,   379,   235,   236,   380,   237,   238,     0,
       0,     0,   239,     0,     0,     0,   381,     0,     0,   382,
     383,   384,   241,     0,     0,   242,   385,     0,   386,   243,
     244,     0,     0,     0,     0,   245,     0,     0,     0,   387,
     388,   389,     0,     0,    83,   390,   317,    85,    86,   391,
       0,   392,   393,    87,     0,     0,     0,    88,    89,    90,
     318,     0,    92,     0,     0,   319,   320,    93,     0,    94,
      95,     0,    96,     0,    97,     0,     0,    98,   321,   322,
      99,     0,   323,   100,     0,   101,   324,     0,   325,   104,
       0,   105,   106,   107,   108,   109,   110,     0,   111,   112,
       0,   113,     0,   326,   327,     0,     0,   114,   328,   329,
       0,   330,   115,   116,   117,   118,   331,   332,   333,     0,
       0,     0,     0,   334,   121,   335,     0,     0,   336,     0,
       0,     0,     0,   122,   123,     0,     0,     0,     0,   124,
     125,   126,     0,     0,     0,   127,     0,   128,   129,     0,
     130,   131,     0,     0,   132,     0,   133,   134,     0,   337,
     135,   338,   339,     0,   136,   137,   138,   139,   340,   140,
       0,     0,     0,   141,   142,     0,   143,     0,   144,     0,
     341,     0,   145,     0,   342,     0,     0,     0,   343,   147,
     148,   149,   344,     0,   150,   151,     0,     0,     0,     0,
       0,   345,   797,     0,     0,     0,     0,   152,     0,     0,
       0,   153,     0,     0,   154,     0,     0,   347,   155,     0,
       0,     0,     0,   157,     0,   158,     0,   159,     0,   160,
     348,     0,     0,     0,     0,   161,   162,   349,   163,   164,
     165,   350,     0,     0,   351,   168,   352,   169,     0,   170,
     353,   354,   172,   173,   174,     0,     0,     0,   175,   176,
     177,     0,   356,   178,   357,   358,     0,   179,   180,     0,
     181,   182,   183,   184,     0,     0,     0,     0,     0,     0,
       0,     0,   185,   186,   187,   359,     0,   188,     0,   189,
     190,   360,   192,     0,     0,   193,     0,     0,     0,   194,
       0,     0,     0,   195,   361,   362,     0,   196,     0,   363,
       0,   364,   198,   199,   200,   201,   202,   365,   204,     0,
     366,   206,     0,     0,     0,   207,   208,   209,   210,     0,
       0,     0,   211,     0,   212,   213,     0,     0,     0,     0,
       0,   214,     0,     0,     0,     0,   215,   216,   367,   368,
     217,   218,     0,     0,   219,   369,   221,   370,   371,   222,
     223,   224,   372,   225,   226,     0,     0,   227,     0,   373,
     229,     0,   374,   375,   376,     0,     0,   233,   377,   378,
     379,   235,   236,   380,   237,   238,     0,     0,     0,   239,
       0,     0,     0,   381,     0,     0,   382,   383,   384,   241,
       0,     0,   242,   385,     0,   386,   243,   244,     0,     0,
       0,     0,   245,     0,     0,     0,   387,   388,   389,     0,
       0,    83,   390,   317,    85,    86,   391,     0,   392,   393,
      87,     0,     0,     0,    88,    89,    90,   318,     0,    92,
       0,     0,   319,   320,    93,     0,    94,    95,     0,    96,
       0,    97,     0,     0,    98,   321,   322,    99,     0,   323,
     100,     0,   101,   324,     0,   325,   104,     0,   105,   106,
     107,   108,   109,   110,     0,   111,   112,     0,   113,     0,
     326,   327,     0,     0,   114,   328,   329,     0,   330,   115,
     116,   117,   118,   331,   332,   333,     0,     0,     0,     0,
     334,   121,   335,     0,     0,   336,     0,     0,     0,     0,
     122,   123,     0,     0,     0,     0,   124,   125,   126,     0,
       0,     0,   127,     0,   128,   129,     0,   130,   131,     0,
       0,   132,     0,   133,   134,     0,   337,   135,   338,   339,
       0,   136,   137,   138,   139,   340,   140,     0,     0,     0,
     141,   142,     0,   143,     0,   144,     0,   341,     0,   145,
       0,   342,     0,     0,     0,   343,   147,   148,   149,   344,
       0,   150,   151,     0,     0,     0,     0,     0,   345,   799,
       0,     0,     0,     0,   152,     0,     0,     0,   153,     0,
       0,   154,     0,     0,   347,   155,     0,     0,     0,     0,
     157,     0,   158,     0,   159,     0,   160,   348,     0,     0,
       0,     0,   161,   162,   349,   163,   164,   165,   350,     0,
       0,   351,   168,   352,   169,     0,   170,   353,   354,   172,
     173,   174,     0,     0,     0,   175,   176,   177,     0,   356,
     178,   357,   358,     0,   179,   180,     0,   181,   182,   183,
     184,     0,     0,     0,     0,     0,     0,     0,     0,   185,
     186,   187,   359,     0,   188,     0,   189,   190,   360,   192,
       0,     0,   193,     0,     0,     0,   194,     0,     0,     0,
     195,   361,   362,     0,   196,     0,   363,     0,   364,   198,
     199,   200,   201,   202,   365,   204,     0,   366,   206,     0,
       0,     0,   207,   208,   209,   210,     0,     0,     0,   211,
       0,   212,   213,     0,     0,     0,     0,     0,   214,     0,
       0,     0,     0,   215,   216,   367,   368,   217,   218,     0,
       0,   219,   369,   221,   370,   371,   222,   223,   224,   372,
     225,   226,     0,     0,   227,     0,   373,   229,     0,   374,
     375,   376,     0,     0,   233,   377,   378,   379,   235,   236,
     380,   237,   238,     0,     0,     0,   239,     0,     0,     0,
     381,     0,     0,   382,   383,   384,   241,     0,     0,   242,
     385,     0,   386,   243,   244,     0,     0,     0,     0,   245,
       0,     0,     0,   387,   388,   389,     0,     0,    83,   390,
      84,    85,    86,   391,     0,   392,   393,    87,     0,     0,
       0,    88,    89,    90,    91,     0,    92,     0,     0,     0,
       0,    93,     0,    94,    95,     0,    96,     0,    97,     0,
       0,    98,     0,     0,    99,     0,     0,   100,     0,   101,
     102,     0,   103,   104,     0,   105,   106,   107,   108,   109,
     110,     0,   111,   112,     0,   113,     0,     0,     0,     0,
       0,   114,     0,     0,     0,     0,   115,   116,   117,   118,
       0,     0,   119,     0,     0,     0,     0,   120,   121,     0,
       0,     0,     0,     0,     0,     0,     0,   122,   123,     0,
       0,     0,     0,   124,   125,   126,     0,     0,     0,   127,
       0,   128,   129,     0,   130,   131,     0,     0,   132,     0,
     133,   134,     0,     0,   135,     0,     0,     0,   136,   137,
     138,   139,     0,   140,     0,     0,     0,   141,   142,     0,
     143,     0,   144,     0,     0,     0,   145,     0,     0,     0,
       0,     0,   146,   147,   148,   149,     0,     0,   150,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   152,     0,     0,     0,   153,     0,     0,   154,     0,
       0,     0,   155,   156,     0,     0,     0,   157,     0,   158,
       0,   159,     0,   160,     0,     0,     0,     0,     0,   161,
     162,     0,   163,   164,   165,   166,     0,     0,   167,   168,
       0,   169,     0,   170,     0,   171,   172,   173,   174,     0,
       0,     0,   175,   176,   177,     0,     0,   178,     0,     0,
       0,   179,   180,     0,   181,   182,   183,   184,     0,     0,
       0,     0,     0,     0,     0,     0,   185,   186,   187,     0,
       0,   188,     0,   189,   190,   191,   192,     0,     0,   193,
       0,     0,     0,   194,     0,     0,     0,   195,     0,     0,
       0,   196,     0,   197,     0,     0,   198,   199,   200,   201,
     202,   203,   204,     0,   205,   206,     0,     0,     0,   207,
     208,   209,   210,     0,     0,     0,   211,     0,   212,   213,
       0,     0,     0,     0,     0,   214,     0,     0,     0,     0,
     215,   216,     0,     0,   217,   218,     0,     0,   219,   220,
     221,     0,     0,   222,   223,   224,     0,   225,   226,     0,
       0,   227,     0,   228,   229,     0,   230,   231,   232,     0,
       0,   233,     0,     0,   234,   235,   236,     0,   237,   238,
       0,     0,     0,   239,     0,     0,     0,   240,     0,     0,
       0,     0,     0,   241,     0,     0,   242,     0,     0,     0,
     243,   244,     0,     0,     0,     0,   245,     0,     0,     0,
     246,    83,     0,    84,    85,    86,     0,     0,     0,     0,
      87,     0,     0,   776,    88,    89,    90,    91,     0,    92,
       0,     0,     0,     0,    93,     0,    94,    95,     0,    96,
       0,    97,     0,     0,    98,     0,     0,    99,     0,     0,
     100,     0,   101,   102,     0,   103,   104,     0,   105,   106,
     107,   108,   109,   110,     0,   111,   112,     0,   113,     0,
       0,     0,     0,     0,   114,     0,     0,     0,     0,   115,
     116,   117,   118,     0,     0,   119,     0,     0,     0,     0,
     120,   121,     0,     0,     0,     0,     0,     0,     0,     0,
     122,   123,     0,     0,     0,     0,   124,   125,   126,     0,
       0,     0,   127,     0,   128,   129,     0,   130,   131,     0,
       0,   132,     0,   133,   134,     0,     0,   135,     0,     0,
       0,   136,   137,   138,   139,     0,   140,     0,     0,     0,
     141,   142,     0,   143,     0,   144,     0,     0,     0,   145,
       0,     0,     0,     0,     0,   146,   147,   148,   149,     0,
       0,   150,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   152,     0,     0,     0,   153,     0,
       0,   154,     0,     0,     0,   155,   156,     0,     0,     0,
     157,     0,   158,     0,   159,     0,   160,     0,     0,     0,
       0,     0,   161,   162,     0,   163,   164,   165,   166,     0,
       0,   167,   168,     0,   169,     0,   170,     0,   171,   172,
     173,   174,     0,     0,     0,   175,   176,   177,     0,     0,
     178,     0,     0,     0,   179,   180,     0,   181,   182,   183,
     184,     0,     0,     0,     0,     0,     0,     0,     0,   185,
     186,   187,     0,     0,   188,     0,   189,   190,   191,   192,
       0,     0,   193,     0,     0,     0,   194,     0,     0,     0,
     195,     0,     0,     0,   196,     0,   197,     0,     0,   198,
     199,   200,   201,   202,   203,   204,     0,   205,   206,     0,
       0,     0,   207,   208,   209,   210,     0,     0,     0,   211,
       0,   212,   213,     0,     0,     0,     0,     0,   214,     0,
       0,     0,     0,   215,   216,     0,     0,   217,   218,     0,
       0,   219,   220,   221,     0,     0,   222,   223,   224,     0,
     225,   226,     0,     0,   227,     0,   228,   229,     0,   230,
     231,   232,     0,     0,   233,     0,     0,   234,   235,   236,
       0,   237,   238,     0,     0,     0,   239,     0,     0,     0,
     240,     0,     0,     0,     0,     0,   241,     0,     0,   242,
       0,     0,     0,   243,   244,     0,     0,     0,     0,   245,
       0,     0,     0,   246,    83,     0,    84,    85,    86,     0,
       0,     0,     0,    87,     0,     0,  1197,    88,    89,    90,
      91,     0,    92,     0,     0,     0,     0,    93,     0,    94,
      95,     0,    96,     0,    97,     0,     0,    98,     0,     0,
      99,     0,     0,   100,     0,   101,   102,     0,   103,   104,
       0,   105,   106,   107,   108,   109,   110,     0,   111,   112,
       0,   113,     0,     0,     0,     0,     0,   114,     0,     0,
       0,     0,   115,   116,   117,   118,     0,     0,   119,     0,
       0,     0,     0,   120,   121,     0,     0,     0,     0,     0,
       0,     0,     0,   122,   123,     0,     0,     0,     0,   124,
     125,   126,     0,     0,     0,   127,     0,   128,   129,     0,
     130,   131,     0,     0,   132,     0,   133,   134,     0,     0,
     135,     0,     0,     0,   136,   137,   138,   139,     0,   140,
       0,     0,     0,   141,   142,     0,   143,     0,   144,     0,
       0,     0,   145,     0,     0,     0,     0,     0,   146,   147,
     148,   149,     0,     0,   150,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   152,     0,     0,
       0,   153,     0,     0,   154,     0,     0,     0,   155,     0,
       0,     0,     0,   157,     0,   158,     0,   159,     0,   160,
       0,     0,     0,     0,     0,   161,   162,     0,   163,   164,
     165,   166,     0,     0,   167,   168,     0,   169,     0,   170,
       0,   171,   172,   173,   174,     0,     0,     0,   175,   176,
     177,     0,     0,   178,     0,     0,     0,   179,   180,     0,
     181,   182,   183,   184,     0,     0,     0,     0,     0,     0,
       0,     0,   185,   186,   187,     0,     0,   188,     0,   189,
     190,   191,   192,     0,     0,   193,     0,     0,     0,   194,
       0,     0,     0,   195,     0,     0,     0,   196,     0,   197,
       0,     0,   198,   199,   200,   201,   202,   203,   204,     0,
     205,   206,     0,     0,     0,   207,   208,   209,   210,     0,
       0,     0,   211,     0,   212,   213,     0,     0,     0,     0,
       0,   214,     0,     0,     0,     0,   215,   216,     0,     0,
     217,   218,     0,     0,   219,   220,   221,     0,     0,   222,
     223,   224,     0,   225,   226,     0,     0,   227,     0,     0,
     229,     0,   230,   231,   232,     0,     0,   233,     0,     0,
     234,   235,   236,     0,   237,   238,     0,     0,     0,   239,
       0,     0,     0,   240,     0,     0,     0,     0,     0,   241,
       0,     0,   242,     0,     0,     0,   243,   244,     0,     0,
       0,     0,   245,     0,     0,     0,   246,    83,     0,    84,
      85,    86,     0,  1933,     0,     0,    87,     0,   392,  1934,
      88,    89,    90,    91,     0,    92,     0,     0,     0,     0,
      93,     0,    94,    95,     0,    96,     0,    97,     0,     0,
      98,     0,     0,    99,     0,     0,   100,     0,   101,   102,
       0,   103,   104,     0,   105,   106,   107,   108,   109,   110,
       0,   111,   112,     0,   113,     0,     0,     0,     0,     0,
     114,     0,     0,     0,     0,   115,   116,   117,   118,     0,
       0,   119,     0,     0,     0,     0,   120,   121,     0,     0,
       0,     0,     0,     0,     0,     0,   122,   123,     0,     0,
       0,     0,   124,   125,   126,     0,     0,     0,   127,     0,
     128,   129,     0,   130,   131,     0,     0,   132,     0,   133,
     134,     0,     0,   135,     0,     0,     0,   136,   137,   138,
     139,     0,   140,     0,     0,     0,   141,   142,     0,   143,
       0,   144,     0,     0,     0,   145,     0,     0,     0,     0,
       0,   146,   147,   148,   149,     0,     0,   150,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     152,     0,     0,     0,   153,     0,     0,   154,     0,     0,
       0,   155,     0,     0,     0,     0,   157,     0,   158,     0,
     159,     0,   160,     0,     0,     0,     0,     0,   161,   162,
       0,   163,   164,   165,   166,     0,     0,   167,   168,     0,
     169,     0,   170,     0,   171,   172,   173,   174,     0,     0,
       0,   175,   176,   177,     0,     0,   178,     0,     0,     0,
     179,   180,     0,   181,   182,   183,   184,     0,     0,     0,
       0,     0,     0,     0,     0,   185,   186,   187,     0,     0,
     188,     0,   189,   190,   191,   192,     0,     0,   193,     0,
       0,     0,   194,     0,     0,     0,   195,     0,     0,     0,
     196,     0,   197,     0,     0,   198,   199,   200,   201,   202,
     203,   204,     0,   205,   206,     0,     0,     0,   207,   208,
     209,   210,     0,     0,     0,   211,     0,   212,   213,     0,
       0,     0,     0,     0,   214,     0,     0,     0,     0,   215,
     216,     0,     0,   217,   218,     0,     0,   219,   220,   221,
       0,     0,   222,   223,   224,     0,   225,   226,     0,     0,
     227,     0,     0,   229,     0,   230,   231,   232,     0,     0,
     233,     0,     0,   234,   235,   236,     0,   237,   238,     0,
       0,     0,   239,     0,     0,     0,   240,     0,     0,     0,
       0,     0,   241,     0,     0,   242,     0,     0,     0,   243,
     244,     0,     0,     0,     0,   245,     0,     0,     0,   246,
      83,     0,    84,    85,    86,     0,     0,     0,     0,    87,
       0,   392,  1934,    88,    89,    90,    91,     0,    92,     0,
       0,     0,     0,    93,     0,    94,    95,     0,    96,     0,
      97,     0,     0,    98,     0,     0,    99,     0,     0,   100,
       0,   101,   102,     0,   103,   104,     0,   105,   106,   107,
     108,   109,   110,     0,   111,   112,  1214,   113,     0,     0,
       0,     0,     0,   114,     0,     0,     0,     0,   115,   116,
     117,   118,     0,     0,   119,     0,     0,     0,     0,   120,
     121,     0,     0,     0,     0,     0,     0,     0,     0,   122,
     123,     0,     0,     0,     0,   124,   125,   126,     0,     0,
       0,   127,     0,   128,   129,     0,   130,   131,     0,     0,
     132,     0,   133,   134,     0,     0,   135,     0,     0,     0,
     136,   137,   138,   139,     0,   140,     0,     0,     0,   141,
     142,     0,   143,     0,   144,     0,     0,     0,   145,     0,
       0,     0,     0,     0,   146,   147,   148,   149,     0,     0,
     150,   151,  1215,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   152,     0,     0,     0,   153,  1216,     0,
     154,     0,     0,     0,   155,     0,  1262,     0,     0,   157,
       0,   158,     0,   159,     0,   160,     0,     0,     0,     0,
       0,   161,   162,     0,   163,   164,   165,   166,     0,     0,
     167,   168,     0,   169,     0,   170,     0,   171,   172,   173,
     174,     0,     0,     0,   175,   176,   177,     0,     0,   178,
       0,     0,     0,   179,   180,     0,   181,   182,   183,   184,
       0,     0,     0,     0,     0,     0,     0,     0,   185,   186,
     187,     0,     0,   188,     0,   189,   190,   191,   192,     0,
       0,   193,     0,     0,     0,   194,     0,     0,     0,   195,
       0,     0,     0,   196,     0,   197,     0,     0,   198,   199,
     200,   201,   202,   203,   204,     0,   205,   206,   813,     0,
       0,   207,   208,   209,   210,     0,     0,     0,   211,     0,
     212,   213,     0,     0,     0,     0,     0,   214,     0,     0,
       0,     0,   215,   216,     0,     0,   217,   218,     0,     0,
     219,   220,   221,     0,     0,   222,   223,   224,     0,   225,
     226,     0,     0,   227,     0,     0,   229,     0,   230,   231,
     232,     0,     0,   233,     0,     0,   234,   235,   236,     0,
     237,   238,     0,     0,     0,   239,     0,     0,     0,   240,
       0,     0,     0,     0,     0,   241,     0,     0,   242,     0,
       0,     0,   243,   244,     0,     0,     0,    83,   245,    84,
      85,    86,   246,     0,     0,     0,    87,     0,     0,     0,
      88,    89,    90,    91,  1247,    92,     0,     0,     0,     0,
      93,     0,    94,    95,     0,    96,     0,    97,     0,     0,
      98,     0,     0,    99,     0,     0,   100,     0,   101,   102,
       0,   103,   104,     0,   105,   106,   107,   108,   109,   110,
       0,   111,   112,  1214,   113,     0,     0,     0,     0,     0,
     114,     0,     0,     0,     0,   115,   116,   117,   118,     0,
       0,   119,     0,     0,     0,     0,   120,   121,     0,     0,
       0,     0,     0,     0,     0,     0,   122,   123,     0,     0,
       0,     0,   124,   125,   126,     0,     0,     0,   127,     0,
     128,   129,     0,   130,   131,     0,     0,   132,     0,   133,
     134,     0,     0,   135,     0,     0,     0,   136,   137,   138,
     139,     0,   140,     0,     0,     0,   141,   142,     0,   143,
       0,   144,     0,     0,     0,   145,     0,     0,     0,     0,
       0,   146,   147,   148,   149,     0,     0,   150,   151,  1215,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     152,     0,     0,     0,   153,  1216,     0,   154,     0,     0,
       0,   155,     0,     0,     0,     0,   157,     0,   158,     0,
     159,     0,   160,     0,     0,     0,     0,     0,   161,   162,
       0,   163,   164,   165,   166,     0,     0,   167,   168,     0,
     169,     0,   170,     0,   171,   172,   173,   174,     0,     0,
       0,   175,   176,   177,     0,     0,   178,     0,     0,     0,
     179,   180,     0,   181,   182,   183,   184,     0,     0,     0,
       0,     0,     0,     0,     0,   185,   186,   187,     0,     0,
     188,     0,   189,   190,   191,   192,     0,     0,   193,     0,
       0,     0,   194,     0,     0,     0,   195,     0,     0,     0,
     196,     0,   197,     0,     0,   198,   199,   200,   201,   202,
     203,   204,     0,   205,   206,     0,     0,     0,   207,   208,
     209,   210,     0,     0,     0,   211,     0,   212,   213,     0,
       0,     0,     0,     0,   214,     0,     0,     0,     0,   215,
     216,     0,     0,   217,   218,     0,     0,   219,   220,   221,
       0,     0,   222,   223,   224,     0,   225,   226,     0,     0,
     227,     0,     0,   229,     0,   230,   231,   232,     0,     0,
     233,     0,     0,   234,   235,   236,     0,   237,   238,     0,
       0,     0,   239,     0,     0,     0,   240,     0,     0,     0,
       0,     0,   241,     0,     0,   242,     0,     0,     0,   243,
     244,     0,     0,     0,    83,   245,    84,    85,    86,   246,
       0,     0,     0,    87,     0,     0,     0,    88,    89,    90,
      91,  1247,    92,     0,     0,     0,     0,    93,     0,    94,
      95,     0,    96,     0,    97,     0,     0,    98,     0,     0,
      99,     0,     0,   100,     0,   101,   102,     0,   103,   104,
       0,   105,   106,   107,   108,   109,   110,     0,   111,   112,
       0,   113,     0,     0,     0,     0,     0,   114,     0,     0,
       0,     0,   115,   116,   117,   118,     0,     0,   119,     0,
       0,     0,     0,   120,   121,     0,     0,     0,     0,     0,
       0,     0,     0,   122,   123,     0,     0,     0,     0,   124,
     125,   126,     0,     0,     0,   127,     0,   128,   129,     0,
     130,   131,     0,     0,   132,     0,   133,   134,     0,     0,
     135,     0,     0,     0,   136,   137,   138,   139,     0,   140,
       0,     0,     0,   141,   142,     0,   143,     0,   144,     0,
       0,     0,   145,     0,     0,     0,     0,     0,   146,   147,
     148,   149,     0,     0,   150,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   152,     0,     0,
       0,   153,     0,     0,   154,     0,     0,     0,   155,     0,
       0,     0,     0,   157,     0,   158,     0,   159,     0,   160,
       0,     0,     0,     0,     0,   161,   162,     0,   163,   164,
     165,   166,     0,     0,   167,   168,     0,   169,     0,   170,
       0,   171,   172,   173,   174,     0,     0,     0,   175,   176,
     177,     0,     0,   178,     0,     0,     0,   179,   180,     0,
     181,   182,   183,   184,     0,     0,     0,     0,     0,     0,
       0,     0,   185,   186,   187,     0,     0,   188,     0,   189,
     190,   191,   192,     0,     0,   193,     0,     0,     0,   194,
       0,     0,     0,   195,     0,     0,     0,   196,     0,   197,
       0,     0,   198,   199,   200,   201,   202,   203,   204,     0,
     205,   206,   813,     0,     0,   207,   208,   209,   210,     0,
       0,     0,   211,     0,   212,   213,     0,     0,     0,     0,
       0,   214,     0,     0,     0,     0,   215,   216,     0,     0,
     217,   218,     0,     0,   219,   220,   221,     0,     0,   222,
     223,   224,     0,   225,   226,     0,     0,   227,     0,     0,
     229,     0,   230,   231,   232,     0,     0,   233,     0,     0,
     234,   235,   236,     0,   237,   238,     0,     0,     0,   239,
       0,     0,     0,   240,     0,     0,     0,     0,     0,   241,
       0,     0,   242,     0,     0,     0,   243,   244,     0,     0,
       0,    83,   245,    84,    85,    86,   246,     0,     0,     0,
      87,     0,     0,   995,    88,    89,    90,    91,   392,    92,
       0,     0,     0,     0,    93,     0,    94,    95,     0,    96,
       0,    97,     0,     0,    98,     0,     0,    99,     0,     0,
     100,     0,   101,   102,     0,   103,   104,     0,   105,   106,
     107,   108,   109,   110,     0,   111,   112,     0,   113,     0,
       0,     0,     0,     0,   114,     0,     0,     0,     0,   115,
     116,   117,   118,     0,     0,   119,     0,     0,     0,     0,
     120,   121,     0,     0,     0,     0,     0,     0,     0,     0,
     122,   123,     0,     0,     0,     0,   124,   125,   126,     0,
       0,     0,   127,     0,   128,   129,     0,   130,   131,     0,
       0,   132,     0,   133,   134,     0,     0,   135,     0,     0,
       0,   136,   137,   138,   139,     0,   140,     0,     0,     0,
     141,   142,     0,   143,     0,   144,     0,     0,     0,   145,
       0,     0,     0,     0,     0,   146,   147,   148,   149,     0,
       0,   150,   151,     0,     0,     0,     0,     0,     0,     0,
     416,     0,     0,     0,   152,     0,     0,     0,   153,     0,
       0,   154,     0,     0,     0,   155,     0,     0,     0,     0,
     157,     0,   158,     0,   159,     0,   160,     0,     0,     0,
       0,     0,   161,   162,     0,   163,   164,   165,   166,     0,
       0,   167,   168,     0,   169,     0,   170,     0,   171,   172,
     173,   174,     0,     0,     0,   175,   176,   177,     0,     0,
     178,     0,     0,     0,   179,   180,     0,   181,   182,   183,
     184,     0,     0,     0,     0,     0,     0,     0,     0,   185,
     186,   187,     0,     0,   188,     0,   189,   190,   191,   192,
       0,     0,   193,     0,     0,     0,   194,     0,     0,     0,
     195,     0,     0,     0,   196,     0,   197,     0,     0,   198,
     199,   200,   201,   202,   203,   204,     0,   205,   206,     0,
       0,     0,   207,   208,   209,   210,     0,     0,     0,   211,
       0,   212,   213,     0,     0,     0,     0,     0,   214,     0,
       0,     0,     0,   215,   216,     0,     0,   217,   218,     0,
       0,   219,   220,   221,     0,     0,   222,   223,   224,     0,
     225,   226,     0,     0,   227,     0,     0,   229,     0,   230,
     231,   232,     0,     0,   233,     0,     0,   234,   235,   236,
       0,   237,   238,     0,     0,     0,   239,     0,     0,     0,
     240,     0,     0,     0,     0,     0,   241,     0,     0,   242,
       0,     0,     0,   243,   244,     0,     0,     0,    83,   245,
      84,    85,    86,   246,     0,     0,     0,    87,     0,     0,
       0,    88,    89,    90,    91,   286,    92,     0,     0,     0,
       0,    93,     0,    94,    95,     0,    96,     0,    97,     0,
       0,    98,     0,     0,    99,     0,     0,   100,     0,   101,
     102,     0,   103,   104,     0,   105,   106,   107,   108,   109,
     110,     0,   111,   112,     0,   113,     0,     0,     0,     0,
       0,   114,     0,     0,     0,     0,   115,   116,   117,   118,
       0,     0,   119,     0,     0,     0,     0,   120,   121,     0,
       0,     0,     0,     0,     0,     0,     0,   122,   123,     0,
       0,     0,     0,   124,   125,   126,     0,     0,     0,   127,
       0,   128,   129,     0,   130,   131,     0,     0,   132,     0,
     133,   134,     0,     0,   135,     0,     0,     0,   136,   137,
     138,   139,     0,   140,     0,     0,     0,   141,   142,     0,
     143,     0,   144,     0,     0,     0,   145,     0,     0,     0,
       0,     0,   146,   147,   148,   149,     0,     0,   150,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   152,     0,     0,     0,   153,     0,     0,   154,     0,
       0,     0,   155,     0,     0,     0,     0,   157,     0,   158,
       0,   159,     0,   160,     0,     0,     0,     0,     0,   161,
     162,     0,   163,   164,   165,   166,     0,     0,   167,   168,
       0,   169,     0,   170,     0,   171,   172,   173,   174,     0,
       0,     0,   175,   176,   177,     0,     0,   178,     0,     0,
       0,   179,   180,     0,   181,   182,   183,   184,     0,     0,
       0,     0,     0,     0,     0,     0,   185,   186,   187,     0,
       0,   188,     0,   189,   190,   191,   192,     0,     0,   193,
       0,     0,     0,   194,     0,     0,     0,   195,     0,     0,
       0,   196,     0,   197,     0,     0,   198,   199,   200,   201,
     202,   203,   204,     0,   205,   206,     0,     0,     0,   207,
     208,   209,   210,     0,     0,     0,   211,     0,   212,   213,
       0,     0,     0,     0,     0,   214,     0,     0,     0,     0,
     215,   216,     0,     0,   217,   218,     0,     0,   219,   220,
     221,     0,     0,   222,   223,   224,     0,   225,   226,     0,
       0,   227,     0,     0,   229,     0,   230,   231,   232,     0,
       0,   233,     0,     0,   234,   235,   236,     0,   237,   238,
       0,     0,     0,   239,     0,     0,     0,   240,     0,     0,
       0,     0,     0,   241,     0,     0,   242,     0,     0,     0,
     243,   244,     0,     0,     0,    83,   245,    84,    85,    86,
     246,     0,     0,     0,    87,     0,  1246,     0,    88,    89,
      90,    91,  1247,    92,     0,     0,     0,     0,    93,     0,
      94,    95,     0,    96,     0,    97,     0,     0,    98,     0,
       0,    99,     0,     0,   100,     0,   101,   102,     0,   103,
     104,     0,   105,   106,   107,   108,   109,   110,     0,   111,
     112,     0,   113,     0,     0,     0,     0,     0,   114,     0,
       0,     0,     0,   115,   116,   117,   118,     0,     0,   119,
       0,     0,     0,     0,   120,   121,     0,     0,     0,     0,
       0,     0,     0,     0,   122,   123,     0,     0,     0,     0,
     124,   125,   126,     0,     0,     0,   127,     0,   128,   129,
       0,   130,   131,     0,     0,   132,     0,   133,   134,     0,
       0,   285,     0,     0,     0,   136,   137,   138,   139,     0,
     140,     0,     0,     0,   141,   142,     0,   143,     0,   144,
       0,     0,     0,   145,     0,     0,     0,     0,     0,   146,
     147,   148,   149,     0,     0,   150,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   152,     0,
       0,     0,   153,     0,     0,   154,     0,     0,     0,   155,
       0,     0,     0,     0,   157,     0,   158,     0,   159,     0,
     160,     0,     0,     0,     0,     0,   161,   162,     0,   163,
     164,   165,   166,     0,     0,   167,   168,     0,   169,     0,
     170,     0,   171,   172,   173,   174,     0,     0,     0,   175,
     176,   177,     0,     0,   178,     0,     0,     0,   179,   180,
       0,   181,   182,   183,   184,     0,     0,     0,     0,     0,
       0,     0,     0,   185,   186,   187,     0,     0,   188,     0,
     189,   190,   191,   192,     0,     0,   193,     0,     0,     0,
     194,     0,     0,     0,   195,     0,     0,     0,   196,     0,
     197,     0,     0,   198,   199,   200,   201,   202,   203,   204,
       0,   205,   206,     0,     0,     0,   207,   208,   209,   210,
       0,     0,     0,   211,     0,   212,   213,     0,     0,     0,
       0,     0,   214,     0,     0,     0,     0,   215,   216,     0,
       0,   217,   218,     0,     0,   219,   220,   221,     0,     0,
     222,   223,   224,     0,   225,   226,     0,     0,   227,     0,
       0,   229,     0,   230,   231,   232,     0,     0,   233,     0,
       0,   234,   235,   236,     0,   237,   238,     0,     0,     0,
     239,     0,     0,     0,   240,     0,     0,     0,     0,     0,
     241,     0,     0,   242,     0,     0,     0,   243,   244,     0,
       0,     0,    83,   245,    84,    85,    86,   246,     0,     0,
       0,    87,     0,     0,     0,    88,    89,    90,    91,   286,
      92,     0,     0,     0,     0,    93,     0,    94,    95,     0,
      96,     0,    97,     0,     0,    98,     0,     0,    99,     0,
       0,   100,     0,   101,   102,     0,   103,   104,     0,   105,
     106,   107,   108,   109,   110,     0,   111,   112,     0,   113,
       0,     0,     0,     0,     0,   114,     0,     0,     0,     0,
     115,   116,   117,   118,     0,     0,   119,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,     0,     0,     0,
       0,   122,   123,     0,     0,     0,     0,   124,   125,   126,
       0,     0,     0,   127,     0,   128,   129,     0,   130,   131,
       0,     0,   132,     0,   133,   134,     0,     0,   135,     0,
       0,     0,   136,   137,   138,   139,     0,   140,     0,     0,
       0,   141,   142,     0,   143,     0,   144,     0,     0,     0,
     145,     0,     0,     0,     0,     0,   146,   147,   148,   149,
       0,     0,   150,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   152,     0,     0,     0,   153,
       0,     0,   154,     0,     0,     0,   155,     0,     0,     0,
       0,   157,     0,   158,     0,   159,     0,   160,     0,     0,
       0,     0,     0,   161,   162,     0,   163,   164,   165,   166,
       0,     0,   167,   168,     0,   169,     0,   170,     0,   171,
     172,   173,   174,     0,     0,     0,   175,   176,   177,     0,
       0,   178,     0,     0,     0,   179,   180,     0,   181,   182,
     183,   184,     0,     0,     0,     0,     0,     0,     0,     0,
     185,   186,   187,     0,     0,   188,     0,   189,   190,   191,
     192,     0,     0,   193,     0,     0,     0,   194,     0,     0,
       0,   195,     0,     0,     0,   196,     0,   197,     0,     0,
     198,   199,   200,   201,   202,   203,   204,     0,   205,   206,
       0,     0,     0,   207,   208,   209,   210,     0,     0,     0,
     211,     0,   212,   213,     0,     0,     0,     0,     0,   214,
       0,     0,     0,     0,   215,   216,     0,     0,   217,   218,
       0,     0,   219,   220,   221,     0,     0,   222,   223,   224,
       0,   225,   226,     0,     0,   227,     0,     0,   229,     0,
     230,   231,   232,     0,     0,   233,     0,     0,   234,   235,
     236,     0,   237,   238,     0,     0,     0,   239,     0,     0,
       0,   240,     0,     0,     0,     0,     0,   241,     0,     0,
     242,     0,     0,     0,   243,   244,     0,     0,     0,    83,
     245,    84,    85,    86,   246,     0,     0,     0,    87,     0,
       0,     0,    88,    89,    90,    91,   286,    92,     0,     0,
       0,     0,    93,     0,    94,    95,     0,    96,     0,    97,
       0,     0,    98,     0,     0,    99,     0,     0,   100,     0,
     101,   102,     0,   103,   104,     0,   105,   106,   107,   108,
     109,   110,     0,   111,   112,     0,   113,     0,     0,     0,
       0,     0,   114,     0,     0,     0,     0,   115,   116,   117,
     118,     0,     0,   119,     0,     0,     0,     0,   120,   121,
       0,     0,     0,     0,     0,     0,     0,     0,   122,   123,
       0,     0,     0,     0,   124,   125,   126,     0,     0,     0,
     127,     0,   128,   129,     0,   130,   131,     0,     0,   132,
       0,   133,   134,     0,     0,   135,     0,     0,     0,   136,
     137,   138,   139,     0,   140,     0,     0,     0,   141,   142,
       0,   143,     0,   144,     0,     0,     0,   145,     0,     0,
       0,     0,     0,   146,   147,   148,   149,     0,     0,   150,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   152,     0,     0,     0,   153,     0,     0,   154,
       0,     0,     0,   155,     0,     0,     0,     0,   157,     0,
     158,     0,   159,     0,   160,     0,     0,     0,     0,     0,
     161,   162,     0,   163,   164,   165,   166,     0,     0,   167,
     168,     0,   169,     0,   170,     0,   171,   172,   173,   174,
       0,     0,     0,   175,   176,   177,     0,     0,   178,     0,
       0,     0,   179,   180,     0,   181,   182,   183,   184,     0,
       0,     0,     0,     0,     0,     0,     0,   185,   186,   187,
       0,     0,   188,     0,   189,   190,   191,   192,     0,     0,
     193,     0,     0,     0,   194,     0,     0,     0,   195,     0,
       0,     0,   196,     0,   197,     0,     0,   198,   199,   200,
     201,   202,   203,   204,     0,   205,   206,     0,     0,     0,
     207,   208,   209,   210,     0,     0,     0,   211,     0,   212,
     213,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,   215,   216,     0,     0,   217,   218,     0,     0,   219,
     220,   221,     0,     0,   222,   223,   224,     0,   225,   226,
       0,     0,   227,     0,     0,   229,     0,   230,   231,   232,
       0,     0,   233,     0,     0,   234,   235,   236,     0,   237,
     238,     0,     0,     0,   239,     0,     0,     0,   240,     0,
       0,     0,     0,     0,   241,     0,     0,   242,     0,     0,
       0,   243,   244,     0,     0,     0,    83,   245,    84,    85,
      86,   246,     0,     0,     0,    87,     0,     0,     0,    88,
      89,    90,    91,   392,    92,     0,     0,     0,     0,    93,
       0,    94,    95,     0,    96,     0,    97,     0,     0,    98,
       0,     0,    99,     0,     0,   100,     0,   101,   102,     0,
     103,   104,     0,   105,   106,   107,   108,   109,   110,     0,
     111,   112,     0,   113,     0,     0,     0,     0,     0,   114,
       0,     0,     0,     0,   115,   116,   117,   118,     0,     0,
     119,     0,     0,     0,     0,   120,   121,     0,     0,     0,
       0,     0,     0,     0,     0,   122,   123,     0,     0,     0,
       0,   124,   125,   126,     0,     0,     0,   127,     0,   128,
     129,     0,   130,   131,     0,     0,   132,     0,   133,   134,
       0,     0,   135,     0,     0,     0,   136,   137,   138,   139,
       0,   140,     0,     0,     0,   141,   142,     0,   143,     0,
     144,     0,     0,     0,   145,     0,     0,     0,     0,     0,
     146,   147,   148,   149,     0,     0,   150,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   152,
       0,     0,     0,   153,     0,     0,   154,     0,     0,     0,
     155,     0,     0,     0,     0,   157,     0,   158,     0,   159,
       0,   160,     0,     0,     0,     0,     0,   161,   162,     0,
     163,   164,   165,   166,     0,     0,   167,   168,     0,   169,
       0,   170,     0,   171,   172,   173,   174,     0,     0,     0,
     175,   176,   177,     0,     0,   178,     0,     0,     0,   179,
     180,     0,   181,   182,   183,   184,     0,     0,     0,     0,
       0,     0,     0,     0,   185,   186,   187,     0,     0,   188,
       0,   189,   190,   191,   192,     0,     0,   193,     0,     0,
       0,   194,     0,     0,     0,   195,     0,     0,     0,   196,
       0,   197,     0,     0,   198,   199,   200,   201,   202,   203,
     204,     0,   205,   206,     0,     0,     0,   207,   208,   209,
     210,     0,     0,     0,   211,     0,   212,   213,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,   215,   216,
       0,     0,   217,   218,     0,     0,   219,   220,   221,     0,
       0,   222,   223,   224,     0,   225,   226,     0,     0,   227,
       0,     0,   229,     0,   230,   231,   232,     0,     0,   233,
       0,     0,   234,   235,   236,     0,   237,   238,     0,     0,
       0,   239,     0,     0,     0,   240,     0,     0,     0,     0,
       0,   241,     0,     0,   242,     0,     0,     0,   243,   244,
       0,     0,     0,    83,   245,    84,    85,    86,   246,     0,
       0,     0,    87,     0,     0,     0,    88,  1039,    90,    91,
    1247,    92,     0,     0,     0,     0,    93,     0,    94,    95,
       0,    96,     0,    97,     0,     0,    98,     0,     0,    99,
       0,     0,   100,     0,   101,   102,  -162,   103,   104,     0,
    1041,   106,   107,   108,   109,   110,     0,   111,   112,     0,
     113,     0,     0,     0,     0,     0,   114,     0,     0,     0,
       0,   115,   116,   117,   118,     0,     0,   119,     0,     0,
       0,     0,   120,   121,     0,     0,     0,   653,     0,     0,
       0,     0,   122,   123,     0,     0,     0,     0,   124,   125,
     126,     0,     0,     0,   127,     0,   128,   129,     0,  1047,
     131,     0,     0,   132,     0,   133,   134,     0,     0,   135,
       0,     0,     0,   136,   137,   138,   139,     0,   140,     0,
       0,     0,   141,   142,     0,   143,     0,   144,     0,     0,
       0,   145,     0,     0,     0,     0,     0,   146,   147,   148,
     149,     0,     0,   150,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   152,     0,     0,     0,
     153,     0,     0,   154,     0,     0,     0,   155,   156,     0,
       0,     0,   157,     0,   158,     0,   159,     0,   160,     0,
       0,     0,     0,     0,   161,   162,     0,   163,   164,   165,
     166,     0,     0,   167,   168,     0,   169,     0,   170,     0,
     171,   172,   173,   174,     0,     0,     0,   175,   176,   177,
       0,     0,   178,     0,     0,     0,   179,   180,     0,   181,
     182,   183,   184,     0,     0,     0,     0,     0,     0,     0,
       0,   185,   186,   187,     0,     0,   188,     0,   189,   190,
     191,   192,     0,     0,   193,     0,     0,     0,   194,     0,
       0,     0,   195,     0,     0,     0,   196,     0,   197,     0,
       0,   198,   199,   200,   201,   202,   203,   204,     0,   205,
     206,     0,     0,     0,   207,   208,   209,   210,     0,     0,
       0,   211,     0,   212,   213,     0,     0,     0,     0,     0,
     214,     0,     0,     0,     0,   215,   216,     0,     0,   217,
     218,     0,     0,   219,   220,   221,     0,     0,   222,   223,
     224,     0,   225,   226,     0,     0,   227,     0,   228,   229,
       0,   230,   231,   232,     0,     0,   233,     0,     0,   234,
     235,   236,     0,   237,   238,     0,     0,     0,   239,     0,
       0,     0,   240,     0,     0,     0,     0,     0,   241,     0,
       0,   242,     0,     0,     0,   243,   244,     0,     0,     0,
       0,   245,     0,     0,     0,   246,    83,     0,    84,    85,
      86,     0,     0,  1273,     0,    87,     0,     0,     0,    88,
    1039,    90,    91,     0,    92,     0,     0,     0,     0,    93,
       0,    94,    95,     0,    96,     0,    97,     0,     0,    98,
       0,     0,    99,     0,     0,   100,     0,   101,   102,  -162,
     103,   104,     0,  1041,   106,   107,   108,   109,   110,     0,
     111,   112,     0,   113,     0,     0,     0,     0,     0,   114,
       0,     0,     0,     0,   115,   116,   117,   118,     0,     0,
     119,     0,     0,     0,     0,   120,   121,     0,     0,     0,
     653,     0,     0,     0,     0,   122,   123,     0,     0,     0,
       0,   124,   125,   126,     0,     0,     0,   127,     0,   128,
     129,     0,  1047,   131,     0,     0,   132,     0,   133,   134,
       0,     0,   135,     0,     0,     0,   136,   137,   138,   139,
       0,   140,     0,     0,     0,   141,   142,     0,   143,     0,
     144,     0,     0,     0,   145,     0,     0,     0,     0,     0,
     146,   147,   148,   149,     0,     0,   150,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   152,
       0,     0,     0,   153,     0,     0,   154,     0,     0,     0,
     155,   156,  1066,     0,     0,   157,     0,   158,     0,   159,
       0,   160,     0,     0,     0,     0,     0,   161,   162,     0,
     163,   164,   165,   166,     0,     0,   167,   168,     0,   169,
       0,   170,     0,   171,   172,   173,   174,     0,     0,     0,
     175,   176,   177,     0,     0,   178,     0,     0,     0,   179,
     180,     0,   181,   182,   183,   184,     0,     0,     0,     0,
       0,     0,     0,     0,   185,   186,   187,     0,     0,   188,
       0,   189,   190,   191,   192,     0,     0,   193,     0,     0,
       0,   194,     0,     0,     0,   195,     0,     0,     0,   196,
       0,   197,     0,     0,   198,   199,   200,   201,   202,   203,
     204,     0,   205,   206,     0,     0,     0,   207,   208,   209,
     210,     0,     0,     0,   211,     0,   212,   213,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,   215,   216,
       0,     0,   217,   218,     0,     0,   219,   220,   221,     0,
       0,   222,   223,   224,     0,   225,   226,     0,     0,   227,
       0,   228,   229,     0,   230,   231,   232,     0,     0,   233,
       0,     0,   234,   235,   236,     0,   237,   238,     0,     0,
       0,   239,     0,     0,     0,   240,     0,     0,     0,     0,
       0,   241,     0,     0,   242,     0,     0,     0,   243,   244,
       0,     0,     0,    83,   245,    84,    85,    86,   246,     0,
       0,     0,    87,     0,  1067,     0,    88,    89,    90,    91,
       0,    92,     0,     0,     0,     0,    93,     0,    94,    95,
       0,    96,     0,    97,     0,     0,    98,     0,     0,    99,
       0,     0,   100,     0,   101,   102,     0,   103,   104,     0,
     105,   106,   107,   108,   109,   110,     0,   111,   112,     0,
     113,     0,     0,     0,     0,     0,   114,     0,     0,     0,
       0,   115,   116,   117,   118,     0,     0,   119,     0,     0,
       0,     0,   120,   121,     0,     0,     0,     0,     0,     0,
       0,     0,   122,   123,     0,     0,     0,     0,   124,   125,
     126,     0,     0,     0,   127,     0,   128,   129,     0,   130,
     131,     0,     0,   132,     0,   133,   134,     0,     0,   135,
       0,     0,     0,   136,   137,   138,   139,     0,   140,     0,
       0,     0,   141,   142,     0,   143,     0,   144,     0,     0,
       0,   145,     0,     0,     0,     0,     0,   146,   147,   148,
     149,     0,     0,   150,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   152,     0,     0,     0,
     153,     0,     0,   154,     0,     0,     0,   155,     0,     0,
       0,     0,   157,     0,   158,     0,   159,     0,   160,     0,
       0,     0,     0,     0,   161,   162,     0,   163,   164,   165,
     166,     0,     0,   167,   168,     0,   169,     0,   170,     0,
     171,   172,   173,   174,     0,     0,     0,   175,   176,   177,
       0,     0,   178,     0,     0,     0,   179,   180,     0,   181,
     182,   183,   184,     0,     0,     0,     0,     0,     0,     0,
       0,   185,   186,   187,     0,     0,   188,     0,   189,   190,
     191,   192,     0,     0,   193,     0,     0,     0,   194,     0,
       0,     0,   195,     0,     0,     0,   196,     0,   197,     0,
       0,   198,   199,   200,   201,   202,   203,   204,     0,   205,
     206,     0,     0,     0,   207,   208,   209,   210,     0,     0,
       0,   211,     0,   212,   213,     0,     0,     0,     0,     0,
     214,     0,     0,     0,     0,   215,   216,     0,     0,   217,
     218,     0,     0,   219,   220,   221,     0,     0,   222,   223,
     224,     0,   225,   226,     0,     0,   227,     0,     0,   229,
       0,   230,   231,   232,     0,     0,   233,     0,     0,   234,
     235,   236,     0,   237,   238,     0,     0,     0,   239,     0,
       0,     0,   240,     0,     0,     0,     0,     0,   241,     0,
       0,   242,     0,     0,     0,   243,   244,     0,     0,     0,
      83,   245,    84,    85,    86,   246,     0,     0,  1193,    87,
       0,     0,     0,    88,    89,    90,    91,     0,    92,     0,
       0,     0,     0,    93,     0,    94,    95,     0,    96,     0,
      97,     0,     0,    98,     0,     0,    99,     0,     0,   100,
       0,   101,   102,     0,   103,   104,     0,   105,   106,   107,
     108,   109,   110,     0,   111,   112,     0,   113,     0,     0,
       0,     0,     0,   114,     0,     0,     0,     0,   115,   116,
     117,   118,     0,     0,   119,     0,     0,     0,     0,   120,
     121,     0,     0,     0,     0,     0,     0,     0,     0,   122,
     123,     0,     0,     0,     0,   124,   125,   126,     0,     0,
       0,   127,     0,   128,   129,     0,   130,   131,     0,     0,
     132,     0,   133,   134,     0,     0,   135,     0,     0,     0,
     136,   137,   138,   139,     0,   140,     0,     0,     0,   141,
     142,     0,   143,     0,   144,     0,     0,     0,   145,     0,
       0,     0,     0,     0,   146,   147,   148,   149,     0,     0,
     150,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   152,     0,     0,     0,   153,     0,     0,
     154,     0,     0,     0,   155,     0,     0,     0,     0,   157,
       0,   158,     0,   159,     0,   160,     0,     0,     0,     0,
       0,   161,   162,     0,   163,   164,   165,   166,     0,     0,
     167,   168,     0,   169,     0,   170,     0,   171,   172,   173,
     174,     0,     0,     0,   175,   176,   177,     0,     0,   178,
       0,     0,     0,   179,   180,     0,   181,   182,   183,   184,
       0,     0,     0,     0,     0,     0,     0,     0,   185,   186,
     187,     0,     0,   188,     0,   189,   190,   191,   192,     0,
       0,   193,     0,     0,     0,   194,     0,     0,     0,   195,
       0,     0,     0,   196,     0,   197,     0,     0,   198,   199,
     200,   201,   202,   203,   204,     0,   205,   206,     0,     0,
       0,   207,   208,   209,   210,     0,     0,     0,   211,     0,
     212,   213,     0,     0,     0,     0,     0,   214,     0,     0,
       0,     0,   215,   216,     0,     0,   217,   218,     0,     0,
     219,   220,   221,     0,     0,   222,   223,   224,     0,   225,
     226,     0,     0,   227,     0,     0,   229,     0,   230,   231,
     232,     0,     0,   233,     0,     0,   234,   235,   236,     0,
     237,   238,     0,     0,     0,   239,     0,     0,     0,   240,
       0,     0,     0,     0,     0,   241,     0,     0,   242,     0,
       0,     0,   243,   244,     0,     0,     0,     0,   245,     0,
       0,     0,   246,     0,     0,  1512,    83,  1037,    84,    85,
      86,     0,  1038,     0,     0,    87,     0,     0,     0,    88,
    1039,    90,    91,     0,    92,     0,     0,     0,     0,    93,
       0,    94,    95,     0,    96,     0,    97,     0,     0,    98,
       0,     0,    99,  1040,     0,   100,     0,   101,   102,     0,
     103,   104,     0,  1041,   106,   107,   108,   109,   110,     0,
     111,   112,     0,   113,     0,  1042,     0,     0,     0,   114,
       0,     0,     0,     0,   115,   116,   117,   118,     0,     0,
     119,     0,     0,     0,     0,   120,   121,     0,     0,     0,
     653,     0,     0,     0,     0,  1043,  1044,     0,     0,     0,
    1045,   124,   125,   126,     0,     0,     0,  1046,     0,   128,
     129,  -227,  1047,   131,     0,     0,   132,     0,   133,   134,
       0,     0,   135,     0,     0,     0,   136,   137,   138,   139,
       0,   140,  1048,     0,     0,   141,   142,     0,   143,     0,
     144,     0,     0,     0,   145,     0,     0,     0,     0,     0,
     146,   147,   148,   149,     0,     0,  1049,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   152,
       0,     0,     0,   153,     0,     0,   154,     0,     0,     0,
     155,   156,     0,     0,     0,   157,     0,   158,     0,   159,
       0,   160,     0,     0,     0,     0,     0,   161,   162,     0,
     163,   164,   165,   166,     0,     0,   167,   168,     0,   169,
       0,  1050,     0,   171,   172,   173,   174,     0,     0,     0,
     175,   176,   177,     0,     0,   178,     0,     0,     0,   179,
     180,     0,   181,   182,   183,   184,     0,     0,     0,  1051,
       0,     0,     0,     0,   185,   186,   187,     0,     0,   188,
       0,   189,   190,   191,   192,     0,     0,   193,     0,     0,
       0,   194,     0,     0,  1052,   195,     0,     0,     0,   196,
       0,   197,     0,     0,   198,   199,   200,   201,   202,   203,
     204,     0,   205,   206,     0,     0,     0,   207,   208,   209,
     210,     0,     0,     0,   211,     0,   212,   213,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,   215,   216,
       0,     0,   217,   218,     0,     0,   219,   220,   221,     0,
       0,   222,   223,   224,     0,   225,   226,     0,     0,   227,
       0,   228,   229,     0,   230,   231,   232,     0,     0,   233,
       0,     0,   234,   235,   236,     0,   237,   238,     0,     0,
       0,   239,     0,     0,     0,   240,     0,     0,     0,     0,
       0,   241,     0,     0,   242,     0,     0,     0,   243,   244,
       0,     0,     0,     0,   245,     0,     0,     0,   246,    83,
    1037,    84,    85,    86,     0,  1038,     0,     0,    87,     0,
       0,     0,    88,  1039,    90,    91,     0,    92,     0,     0,
       0,     0,    93,     0,    94,    95,     0,    96,     0,    97,
       0,     0,    98,     0,     0,    99,  1040,     0,   100,     0,
     101,   102,     0,   103,   104,     0,  1041,   106,   107,   108,
     109,   110,     0,   111,   112,     0,   113,     0,  1042,     0,
       0,     0,   114,     0,     0,     0,     0,   115,   116,   117,
     118,     0,     0,   119,     0,     0,     0,     0,   120,   121,
       0,     0,     0,   653,     0,     0,     0,     0,  1043,   123,
       0,     0,     0,  1045,   124,   125,   126,     0,     0,     0,
    1046,     0,   128,   129,     0,  1047,   131,     0,     0,   132,
       0,   133,   134,     0,     0,   135,     0,     0,     0,   136,
     137,   138,   139,     0,   140,  1048,     0,     0,   141,   142,
       0,   143,     0,   144,     0,     0,     0,   145,     0,     0,
       0,     0,     0,   146,   147,   148,   149,     0,     0,   150,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   152,     0,     0,     0,   153,     0,     0,   154,
       0,     0,     0,   155,   156,     0,     0,     0,   157,     0,
     158,     0,   159,     0,   160,     0,     0,     0,     0,     0,
     161,   162,     0,   163,   164,   165,   166,     0,     0,   167,
     168,     0,   169,     0,  1050,     0,   171,   172,   173,   174,
       0,     0,     0,   175,   176,   177,     0,     0,   178,     0,
       0,     0,   179,   180,     0,   181,   182,   183,   184,     0,
       0,     0,  1051,     0,     0,     0,     0,   185,   186,   187,
       0,     0,   188,     0,   189,   190,   191,   192,     0,     0,
     193,     0,     0,     0,   194,     0,     0,  1052,   195,     0,
       0,     0,   196,     0,   197,     0,     0,   198,   199,   200,
     201,   202,   203,   204,     0,   205,   206,     0,     0,     0,
     207,   208,   209,   210,     0,     0,     0,   211,     0,   212,
     213,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,   215,   216,     0,     0,   217,   218,     0,     0,   219,
     220,   221,     0,     0,   222,   223,   224,     0,   225,   226,
       0,     0,   227,     0,   228,   229,     0,   230,   231,   232,
       0,     0,   233,     0,     0,   234,   235,   236,     0,   237,
     238,     0,     0,     0,   239,     0,     0,     0,   240,     0,
       0,     0,     0,     0,   241,     0,     0,   242,     0,     0,
       0,   243,   244,     0,     0,     0,    83,   245,    84,    85,
      86,   246,     0,     0,     0,    87,     0,     0,     0,    88,
      89,    90,    91,     0,    92,     0,     0,     0,     0,    93,
       0,    94,    95,     0,    96,     0,    97,     0,     0,    98,
       0,     0,    99,     0,     0,   100,     0,   101,   102,     0,
     103,   104,     0,   105,   106,   107,   108,   109,   110,     0,
     111,   112,     0,   113,     0,     0,     0,     0,     0,   114,
       0,     0,     0,     0,   115,   116,   117,   118,     0,     0,
     119,     0,     0,     0,     0,   120,   121,  1254,     0,     0,
       0,     0,     0,     0,     0,   122,   123,     0,     0,     0,
       0,   124,   125,   126,     0,     0,     0,   127,     0,   128,
     129,     0,   130,   131,     0,     0,   132,     0,   133,   134,
       0,     0,   135,     0,     0,     0,   136,   137,   138,   139,
    1255,   140,     0,     0,     0,   141,   142,     0,   143,     0,
     144,     0,     0,     0,   145,     0,     0,     0,     0,     0,
     146,   147,   148,   149,     0,     0,   150,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   152,
       0,     0,     0,   153,     0,     0,   154,     0,     0,     0,
     155,   156,     0,     0,     0,   157,     0,   158,     0,   159,
       0,   160,  1256,     0,     0,     0,     0,   161,   162,     0,
     163,   164,   165,   166,     0,     0,   167,   168,     0,   169,
       0,   170,     0,   171,   172,   173,   174,     0,     0,     0,
     175,   176,   177,     0,     0,   178,     0,  1257,     0,   179,
     180,     0,   181,   182,   183,   184,     0,     0,     0,     0,
       0,     0,     0,     0,   185,   186,   187,     0,     0,   188,
       0,   189,   190,   191,   192,     0,     0,   193,     0,     0,
       0,   194,     0,     0,     0,   195,     0,     0,     0,   196,
       0,   197,     0,     0,   198,   199,   200,   201,   202,   203,
     204,     0,   205,   206,     0,     0,     0,   207,   208,   209,
     210,     0,     0,     0,   211,     0,   212,   213,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,   215,   216,
       0,     0,   217,   218,     0,     0,   219,   220,   221,     0,
       0,   222,   223,   224,     0,   225,   226,     0,     0,   227,
       0,   228,   229,     0,   230,   231,   232,     0,     0,   233,
       0,     0,   234,   235,   236,  1258,   237,   238,     0,     0,
       0,   239,     0,     0,     0,   240,     0,     0,     0,     0,
       0,   241,     0,     0,   242,     0,     0,     0,   243,   244,
       0,     0,     0,    83,   245,    84,    85,    86,   246,     0,
       0,     0,    87,     0,     0,     0,    88,    89,    90,    91,
       0,    92,     0,     0,     0,     0,    93,     0,    94,    95,
       0,    96,     0,    97,     0,     0,    98,     0,     0,    99,
       0,     0,   100,     0,   101,   102,  -162,   103,   104,     0,
     105,   106,   107,   108,   109,   110,     0,   111,   112,     0,
     113,     0,     0,     0,     0,     0,   114,     0,     0,     0,
       0,   115,   116,   117,   118,     0,     0,   119,     0,     0,
       0,     0,   120,   121,     0,     0,     0,   653,     0,     0,
       0,     0,   122,   123,     0,     0,     0,     0,   124,   125,
     126,     0,     0,     0,   127,     0,   128,   129,     0,   130,
     131,     0,     0,   132,     0,   133,   134,     0,     0,   135,
       0,     0,     0,   136,   137,   138,   139,     0,   140,     0,
       0,     0,   141,   142,     0,   143,     0,   144,     0,     0,
       0,   145,     0,     0,     0,     0,     0,   146,   147,   148,
     149,     0,     0,   150,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   152,     0,     0,     0,
     153,     0,     0,   154,     0,     0,     0,   155,   156,     0,
       0,     0,   157,     0,   158,     0,   159,     0,   160,     0,
       0,     0,     0,     0,   161,   162,     0,   163,   164,   165,
     166,     0,     0,   167,   168,     0,   169,     0,   170,     0,
     171,   172,   173,   174,     0,     0,     0,   175,   176,   177,
       0,     0,   178,     0,     0,     0,   179,   180,     0,   181,
     182,   183,   184,     0,     0,     0,     0,     0,     0,     0,
       0,   185,   186,   187,     0,     0,   188,     0,   189,   190,
     191,   192,     0,     0,   193,     0,     0,     0,   194,     0,
       0,     0,   195,     0,     0,     0,   196,     0,   197,     0,
       0,   198,   199,   200,   201,   202,   203,   204,     0,   205,
     206,     0,     0,     0,   207,   208,   209,   210,     0,     0,
       0,   211,     0,   212,   213,     0,     0,     0,     0,     0,
     214,     0,     0,     0,     0,   215,   216,     0,     0,   217,
     218,     0,     0,   219,   220,   221,     0,     0,   222,   223,
     224,     0,   225,   226,     0,     0,   227,     0,   228,   229,
       0,   230,   231,   232,     0,     0,   233,     0,     0,   234,
     235,   236,     0,   237,   238,     0,     0,     0,   239,     0,
       0,     0,   240,     0,     0,     0,     0,     0,   241,     0,
       0,   242,     0,     0,     0,   243,   244,     0,     0,     0,
      83,   245,    84,    85,    86,   246,     0,     0,     0,    87,
       0,     0,     0,    88,  1039,    90,    91,     0,    92,     0,
       0,     0,     0,    93,     0,    94,    95,     0,    96,     0,
      97,     0,     0,    98,     0,     0,    99,     0,     0,   100,
       0,   101,   102,  -162,   103,   104,     0,  1041,   106,   107,
     108,   109,   110,     0,   111,   112,     0,   113,     0,     0,
       0,     0,     0,   114,     0,     0,     0,     0,   115,   116,
     117,   118,     0,     0,   119,     0,     0,     0,     0,   120,
     121,     0,     0,     0,   653,     0,     0,     0,     0,   122,
     123,     0,     0,     0,     0,   124,   125,   126,     0,     0,
       0,   127,     0,   128,   129,     0,  1047,   131,     0,     0,
     132,     0,   133,   134,     0,     0,   135,     0,     0,     0,
     136,   137,   138,   139,     0,   140,     0,     0,     0,   141,
     142,     0,   143,     0,   144,     0,     0,     0,   145,     0,
       0,     0,     0,     0,   146,   147,   148,   149,     0,     0,
     150,   151,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   152,     0,     0,     0,   153,     0,     0,
     154,     0,     0,     0,   155,   156,     0,     0,     0,   157,
       0,   158,     0,   159,     0,   160,     0,     0,     0,     0,
       0,   161,   162,     0,   163,   164,   165,   166,     0,     0,
     167,   168,     0,   169,     0,   170,     0,   171,   172,   173,
     174,     0,     0,     0,   175,   176,   177,     0,     0,   178,
       0,     0,     0,   179,   180,     0,   181,   182,   183,   184,
       0,     0,     0,     0,     0,     0,     0,     0,   185,   186,
     187,     0,     0,   188,     0,   189,   190,   191,   192,     0,
       0,   193,     0,     0,     0,   194,     0,     0,     0,   195,
       0,     0,     0,   196,     0,   197,     0,     0,   198,   199,
     200,   201,   202,   203,   204,     0,   205,   206,     0,     0,
       0,   207,   208,   209,   210,     0,     0,     0,   211,     0,
     212,   213,     0,     0,     0,     0,     0,   214,     0,     0,
       0,     0,   215,   216,     0,     0,   217,   218,     0,     0,
     219,   220,   221,     0,     0,   222,   223,   224,     0,   225,
     226,     0,     0,   227,     0,   228,   229,     0,   230,   231,
     232,     0,     0,   233,     0,     0,   234,   235,   236,     0,
     237,   238,     0,     0,     0,   239,     0,     0,     0,   240,
       0,     0,     0,     0,     0,   241,     0,     0,   242,     0,
       0,     0,   243,   244,     0,     0,     0,    83,   245,    84,
      85,    86,   246,     0,     0,     0,    87,     0,     0,     0,
      88,    89,    90,    91,     0,    92,     0,     0,     0,   646,
      93,     0,    94,    95,     0,    96,     0,    97,     0,     0,
      98,     0,     0,    99,     0,     0,   100,     0,   101,   102,
       0,   103,   104,     0,   105,   106,   107,   108,   109,   110,
       0,   111,   112,     0,   113,     0,     0,     0,     0,     0,
     114,     0,     0,     0,     0,   115,   116,   117,   118,     0,
       0,   119,     0,     0,     0,     0,   120,   121,     0,     0,
       0,     0,     0,     0,     0,     0,   122,   123,     0,     0,
       0,     0,   124,   125,   126,     0,     0,     0,   127,     0,
     128,   129,     0,   130,   131,     0,     0,   132,     0,   133,
     134,     0,     0,   135,     0,     0,     0,   136,   137,   138,
     139,     0,   140,     0,     0,     0,   141,   142,     0,   143,
       0,   144,     0,     0,     0,   145,     0,   647,     0,     0,
       0,   146,   147,   148,   149,     0,     0,   150,   151,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     152,     0,     0,     0,   153,     0,     0,   154,     0,     0,
       0,   155,     0,     0,     0,     0,   157,     0,   158,     0,
     159,     0,   160,     0,     0,     0,     0,     0,   161,   162,
       0,   163,   164,   165,   166,     0,     0,   167,   168,     0,
     169,     0,   170,     0,   171,   172,   173,   174,     0,     0,
       0,   175,   176,   177,     0,     0,   178,     0,     0,     0,
     179,   180,     0,   181,   182,   183,   184,     0,     0,     0,
       0,     0,     0,     0,     0,   185,   186,   187,     0,     0,
     188,     0,   189,   190,   191,   192,     0,     0,   193,     0,
       0,     0,   194,     0,     0,     0,   195,     0,     0,     0,
     196,     0,   197,     0,     0,   198,   199,   200,   201,   202,
     203,   204,     0,   205,   206,     0,     0,     0,   207,   208,
     209,   210,     0,     0,     0,   211,     0,   212,   213,     0,
       0,     0,     0,     0,   214,     0,     0,     0,     0,   215,
     216,     0,     0,   217,   218,     0,     0,   219,   220,   221,
       0,     0,   222,   223,   224,     0,   225,   226,     0,     0,
     227,     0,   373,   229,     0,   230,   231,   232,     0,     0,
     233,     0,     0,   234,   235,   236,     0,   237,   238,     0,
       0,     0,   239,     0,     0,     0,   240,     0,     0,     0,
       0,     0,   241,     0,     0,   242,     0,     0,     0,   243,
     244,     0,     0,     0,    83,   245,    84,    85,    86,   246,
       0,     0,     0,    87,     0,     0,     0,    88,    89,    90,
      91,     0,    92,     0,     0,     0,     0,    93,     0,    94,
      95,     0,    96,     0,    97,     0,     0,    98,     0,     0,
      99,     0,     0,   100,     0,   101,   102,     0,   103,   104,
       0,   105,   106,   107,   108,   109,   110,     0,   111,   112,
       0,   113,     0,     0,     0,     0,     0,   114,     0,     0,
       0,     0,   115,   116,   117,   118,     0,     0,   119,     0,
       0,     0,     0,   120,   121,     0,     0,     0,  1209,     0,
       0,     0,     0,   122,   123,     0,     0,     0,     0,   124,
     125,   126,     0,     0,     0,   127,     0,   128,   129,     0,
     130,   131,     0,     0,   132,     0,   133,   134,     0,     0,
     135,     0,     0,     0,   136,   137,   138,   139,     0,   140,
       0,     0,     0,   141,   142,     0,   143,     0,   144,     0,
       0,     0,   145,     0,     0,     0,     0,     0,   146,   147,
     148,   149,     0,     0,   150,   151,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   152,     0,     0,
       0,   153,     0,     0,   154,     0,     0,     0,   155,   156,
       0,     0,     0,   157,     0,   158,     0,   159,     0,   160,
       0,     0,     0,     0,     0,   161,   162,     0,   163,   164,
     165,   166,     0,     0,   167,   168,     0,   169,     0,   170,
       0,   171,   172,   173,   174,     0,     0,     0,   175,   176,
     177,     0,     0,   178,     0,     0,     0,   179,   180,     0,
     181,   182,   183,   184,     0,     0,     0,     0,     0,     0,
       0,     0,   185,   186,   187,     0,     0,   188,     0,   189,
     190,   191,   192,     0,     0,   193,     0,     0,     0,   194,
       0,     0,     0,   195,     0,     0,     0,   196,     0,   197,
       0,     0,   198,   199,   200,   201,   202,   203,   204,     0,
     205,   206,     0,     0,     0,   207,   208,   209,   210,     0,
       0,     0,   211,     0,   212,   213,     0,     0,     0,     0,
       0,   214,     0,     0,     0,     0,   215,   216,     0,     0,
     217,   218,     0,     0,   219,   220,   221,     0,     0,   222,
     223,   224,     0,   225,   226,     0,     0,   227,     0,   228,
     229,     0,   230,   231,   232,     0,     0,   233,     0,     0,
     234,   235,   236,     0,   237,   238,     0,     0,     0,   239,
       0,     0,     0,   240,     0,     0,     0,     0,     0,   241,
       0,     0,   242,     0,     0,     0,   243,   244,     0,     0,
       0,    83,   245,    84,    85,    86,   246,     0,     0,     0,
      87,     0,     0,     0,    88,  1039,    90,    91,     0,    92,
       0,     0,     0,     0,    93,     0,    94,    95,     0,    96,
       0,    97,     0,     0,    98,     0,     0,    99,     0,     0,
     100,     0,   101,   102,     0,   103,   104,     0,  1041,   106,
     107,   108,   109,   110,     0,   111,   112,     0,   113,     0,
       0,     0,     0,     0,   114,     0,     0,     0,     0,   115,
     116,   117,   118,     0,     0,   119,     0,     0,     0,     0,
     120,   121,     0,     0,     0,   653,     0,     0,     0,     0,
     122,   123,     0,     0,     0,     0,   124,   125,   126,     0,
       0,     0,   127,     0,   128,   129,     0,  1047,   131,     0,
       0,   132,     0,   133,   134,     0,     0,   135,     0,     0,
       0,   136,   137,   138,   139,     0,   140,     0,     0,     0,
     141,   142,     0,   143,     0,   144,     0,     0,     0,   145,
       0,     0,     0,     0,     0,   146,   147,   148,   149,     0,
       0,   150,   151,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   152,     0,     0,     0,   153,     0,
       0,   154,     0,     0,     0,   155,   156,     0,     0,     0,
     157,     0,   158,     0,   159,     0,   160,     0,     0,     0,
       0,     0,   161,   162,     0,   163,   164,   165,   166,     0,
       0,   167,   168,     0,   169,     0,   170,     0,   171,   172,
     173,   174,     0,     0,     0,   175,   176,   177,     0,     0,
     178,     0,     0,     0,   179,   180,     0,   181,   182,   183,
     184,     0,     0,     0,     0,     0,     0,     0,     0,   185,
     186,   187,     0,     0,   188,     0,   189,   190,   191,   192,
       0,     0,   193,     0,     0,     0,   194,     0,     0,     0,
     195,     0,     0,     0,   196,     0,   197,     0,     0,   198,
     199,   200,   201,   202,   203,   204,     0,   205,   206,     0,
       0,     0,   207,   208,   209,   210,     0,     0,     0,   211,
       0,   212,   213,     0,     0,     0,     0,     0,   214,     0,
       0,     0,     0,   215,   216,     0,     0,   217,   218,     0,
       0,   219,   220,   221,     0,     0,   222,   223,   224,     0,
     225,   226,     0,     0,   227,     0,   228,   229,     0,   230,
     231,   232,     0,     0,   233,     0,     0,   234,   235,   236,
       0,   237,   238,     0,     0,     0,   239,     0,     0,     0,
     240,     0,     0,     0,     0,     0,   241,     0,     0,   242,
       0,     0,     0,   243,   244,     0,     0,     0,    83,   245,
      84,    85,    86,   246,     0,     0,     0,    87,     0,     0,
       0,    88,    89,    90,    91,     0,    92,     0,     0,     0,
       0,    93,     0,    94,    95,     0,    96,     0,    97,     0,
       0,    98,     0,     0,    99,     0,     0,   100,     0,   101,
     102,     0,   103,   104,     0,   105,   106,   107,   108,   109,
     110,     0,   111,   112,     0,   113,     0,     0,     0,     0,
       0,   114,     0,     0,     0,     0,   115,   116,   117,   118,
       0,     0,   119,     0,     0,     0,     0,   120,   121,     0,
       0,     0,     0,     0,     0,     0,     0,   122,   123,     0,
       0,     0,     0,   124,   125,   126,     0,     0,     0,   127,
       0,   128,   129,     0,   130,   131,     0,     0,   132,     0,
     133,   134,     0,     0,   135,     0,     0,     0,   136,   137,
     138,   139,     0,   140,     0,     0,     0,   141,   142,     0,
     143,     0,   144,     0,     0,     0,   145,     0,     0,     0,
       0,     0,   146,   147,   148,   149,     0,     0,   150,   151,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   152,     0,     0,     0,   153,     0,     0,   154,     0,
       0,     0,   155,   156,     0,     0,     0,   157,     0,   158,
       0,   159,     0,   160,     0,     0,     0,     0,     0,   161,
     162,     0,   163,   164,   165,   166,     0,     0,   167,   168,
       0,   169,     0,   170,     0,   171,   172,   173,   174,     0,
       0,     0,   175,   176,   177,     0,     0,   178,     0,     0,
       0,   179,   180,     0,   181,   182,   183,   184,     0,     0,
       0,     0,     0,     0,     0,     0,   185,   186,   187,     0,
       0,   188,     0,   189,   190,   191,   192,     0,     0,   193,
       0,     0,     0,   194,     0,     0,     0,   195,     0,     0,
       0,   196,     0,   197,     0,     0,   198,   199,   200,   201,
     202,   203,   204,     0,   205,   206,     0,     0,     0,   207,
     208,   209,   210,     0,     0,     0,   211,     0,   212,   213,
       0,     0,     0,     0,     0,   214,     0,     0,     0,     0,
     215,   216,     0,     0,   217,   218,     0,     0,   219,   220,
     221,     0,     0,   222,   223,   224,     0,   225,   226,     0,
       0,   227,     0,   228,   229,     0,   230,   231,   232,     0,
       0,   233,     0,     0,   234,   235,   236,     0,   237,   238,
       0,     0,     0,   239,     0,     0,     0,   240,     0,     0,
       0,     0,     0,   241,     0,     0,   242,     0,     0,     0,
     243,   244,     0,     0,     0,    83,   245,    84,    85,    86,
     246,     0,     0,     0,    87,  1189,     0,     0,    88,    89,
      90,    91,     0,    92,     0,     0,     0,     0,    93,     0,
      94,    95,     0,    96,     0,    97,     0,     0,    98,     0,
       0,    99,     0,     0,   100,     0,   101,   102,     0,   103,
     104,     0,   105,   106,   107,   108,   109,   110,     0,   111,
     112,     0,   113,     0,     0,     0,     0,     0,   114,     0,
       0,     0,     0,   115,   116,   117,   118,     0,     0,   119,
       0,     0,     0,     0,   120,   121,     0,     0,     0,     0,
       0,     0,     0,     0,   122,   123,     0,     0,     0,     0,
     124,   125,   126,     0,     0,     0,   127,     0,   128,   129,
       0,   130,   131,     0,     0,   132,     0,   133,   134,     0,
       0,   135,     0,     0,     0,   136,   137,   138,   139,     0,
     140,     0,     0,     0,   141,   142,     0,   143,     0,   144,
       0,     0,     0,   145,     0,     0,     0,     0,     0,   146,
     147,   148,   149,     0,     0,   150,   151,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   152,     0,
       0,     0,   153,     0,     0,   154,     0,     0,     0,   155,
       0,     0,     0,     0,   157,     0,   158,     0,   159,     0,
     160,     0,     0,     0,     0,     0,   161,   162,     0,   163,
     164,   165,   166,     0,     0,   167,   168,     0,   169,     0,
     170,     0,   171,   172,   173,   174,     0,     0,     0,   175,
     176,   177,     0,     0,   178,     0,     0,     0,   179,   180,
       0,   181,   182,   183,   184,     0,     0,     0,     0,     0,
       0,     0,     0,   185,   186,   187,     0,     0,   188,     0,
     189,   190,   191,   192,     0,     0,   193,     0,     0,     0,
     194,     0,     0,     0,   195,     0,     0,     0,   196,     0,
     197,     0,     0,   198,   199,   200,   201,   202,   203,   204,
       0,   205,   206,     0,     0,     0,   207,   208,   209,   210,
       0,     0,     0,   211,     0,   212,   213,     0,     0,     0,
       0,     0,   214,     0,     0,     0,     0,   215,   216,     0,
       0,   217,   218,     0,     0,   219,   220,   221,     0,     0,
     222,   223,   224,     0,   225,   226,     0,     0,   227,     0,
     228,   229,     0,   230,   231,   232,     0,     0,   233,     0,
       0,   234,   235,   236,     0,   237,   238,     0,     0,     0,
     239,     0,     0,     0,   240,     0,     0,     0,     0,     0,
     241,     0,     0,   242,     0,     0,     0,   243,   244,     0,
       0,     0,    83,   245,    84,    85,    86,   246,     0,     0,
       0,    87,     0,     0,     0,    88,    89,    90,    91,     0,
      92,     0,     0,     0,     0,    93,     0,    94,    95,     0,
      96,     0,    97,     0,     0,    98,     0,     0,    99,     0,
       0,   100,     0,   101,   102,     0,   103,   104,     0,   105,
     106,   107,   108,   109,   110,     0,   111,   112,     0,   113,
       0,     0,     0,     0,     0,   114,     0,     0,     0,     0,
     115,   116,   117,   118,     0,     0,   119,     0,     0,     0,
       0,   120,   121,     0,     0,     0,     0,     0,     0,     0,
       0,   122,   123,     0,     0,     0,     0,   124,   125,   126,
       0,     0,     0,   127,     0,   128,   129,     0,   130,   131,
       0,     0,   132,     0,   133,   134,     0,     0,   135,     0,
       0,     0,   136,   137,   138,   139,     0,   140,     0,     0,
       0,   141,   142,     0,   143,     0,   144,     0,     0,     0,
     145,     0,     0,     0,     0,     0,   146,   147,   148,   149,
       0,     0,   150,   151,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   152,     0,     0,     0,   153,
       0,     0,   154,     0,     0,     0,   155,     0,     0,     0,
       0,   157,     0,   158,     0,   159,     0,   160,     0,     0,
       0,     0,     0,   161,   162,     0,   163,   164,   165,   166,
       0,     0,   167,   168,     0,   169,     0,   170,     0,   171,
     172,   173,   174,     0,     0,     0,   175,   176,   177,     0,
       0,   178,     0,     0,     0,   179,   180,     0,   181,   182,
     183,   184,     0,     0,     0,     0,     0,     0,     0,     0,
     185,   186,   187,     0,     0,   188,     0,   189,   190,   191,
     192,     0,     0,   193,     0,     0,     0,   194,     0,     0,
       0,   195,     0,     0,     0,   196,     0,   197,     0,     0,
     198,   199,   200,   201,   202,   203,   204,     0,   205,   206,
       0,     0,     0,   207,   208,   209,   210,     0,     0,     0,
     211,     0,   212,   213,     0,     0,     0,     0,     0,   214,
       0,     0,     0,     0,   215,   216,     0,     0,   217,   218,
       0,     0,   219,   220,   221,     0,     0,   222,   223,   224,
       0,   225,   226,     0,     0,   227,     0,   228,   229,     0,
     230,   231,   232,     0,     0,   233,     0,     0,   234,   235,
     236,     0,   237,   238,     0,     0,     0,   239,     0,     0,
       0,   240,     0,     0,     0,     0,     0,   241,     0,     0,
     242,     0,     0,     0,   243,   244,     0,     0,     0,    83,
     245,    84,    85,    86,   246,     0,     0,     0,    87,     0,
       0,     0,    88,    89,    90,    91,     0,    92,     0,     0,
       0,     0,    93,     0,    94,    95,     0,    96,     0,    97,
       0,     0,    98,     0,     0,    99,     0,     0,   100,     0,
     101,   102,     0,   103,   104,     0,   105,   106,   107,   108,
     109,   110,     0,   111,   112,     0,   113,     0,     0,     0,
       0,     0,   114,     0,     0,     0,     0,   115,   116,   117,
     118,     0,     0,   119,     0,     0,     0,     0,   120,   121,
       0,     0,     0,     0,     0,     0,     0,     0,   122,   123,
       0,     0,     0,     0,   124,   125,   126,     0,     0,     0,
     127,     0,   128,   129,     0,   130,   131,     0,     0,   132,
       0,   133,   134,     0,     0,   135,     0,     0,     0,   136,
     137,   138,   139,     0,   140,     0,     0,     0,   141,   142,
       0,   143,     0,   144,     0,     0,     0,   145,     0,     0,
       0,     0,     0,   146,   147,   148,   149,     0,     0,   150,
     151,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   152,     0,     0,     0,   153,     0,     0,   154,
       0,     0,     0,   155,     0,     0,     0,     0,   157,     0,
     158,     0,   159,     0,   160,     0,     0,     0,     0,     0,
     161,   162,     0,   163,   164,   165,   166,     0,     0,   167,
     168,     0,   169,     0,   170,     0,   171,   172,   173,   174,
       0,     0,     0,   175,   176,   177,     0,     0,   178,     0,
       0,     0,   179,   180,     0,   181,   182,   183,   184,     0,
       0,     0,     0,     0,     0,     0,     0,   185,   186,   187,
       0,     0,   188,  1922,   189,   190,   191,   192,     0,     0,
     193,     0,     0,     0,   194,     0,     0,     0,   195,     0,
       0,     0,   196,     0,   197,     0,     0,   198,   199,   200,
     201,   202,   203,   204,     0,   205,   206,     0,     0,     0,
     207,   208,   209,   210,     0,     0,     0,   211,     0,   212,
     213,     0,     0,     0,     0,     0,   214,     0,     0,     0,
       0,   215,   216,     0,     0,   217,   218,     0,     0,   219,
     220,   221,     0,     0,   222,   223,   224,     0,   225,   226,
       0,     0,   227,     0,     0,   229,     0,   230,   231,   232,
       0,     0,   233,     0,     0,   234,   235,   236,     0,   237,
     238,     0,     0,     0,   239,     0,     0,     0,   240,     0,
       0,     0,     0,     0,   241,     0,     0,   242,     0,     0,
       0,   243,   244,     0,     0,     0,    83,   245,    84,    85,
      86,   246,     0,     0,     0,    87,     0,     0,     0,    88,
      89,    90,    91,     0,    92,     0,     0,     0,     0,    93,
       0,    94,    95,     0,    96,     0,    97,     0,     0,    98,
       0,     0,    99,     0,     0,   100,     0,   101,   102,     0,
     103,   104,     0,   105,   106,   107,   108,   109,   110,     0,
     111,   112,     0,   113,     0,     0,     0,     0,     0,   114,
       0,     0,     0,     0,   115,   116,   117,   118,     0,     0,
     119,     0,     0,     0,     0,   120,   121,     0,     0,     0,
       0,     0,     0,     0,     0,   122,   123,     0,     0,     0,
       0,   124,   125,   126,     0,     0,     0,   127,     0,   128,
     129,     0,   130,   131,     0,     0,   132,     0,   133,   134,
       0,     0,   135,     0,     0,     0,   136,   137,   138,   139,
       0,   140,     0,     0,     0,   141,   142,     0,   143,     0,
     144,     0,     0,     0,   145,     0,     0,     0,     0,     0,
     146,   147,   148,   149,     0,     0,   150,   151,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   152,
       0,     0,     0,   153,     0,     0,   154,     0,     0,     0,
     155,     0,     0,     0,     0,   157,     0,   158,     0,   159,
       0,   160,     0,     0,     0,     0,     0,   161,   162,     0,
     163,   164,   165,   166,     0,     0,   167,   168,     0,   169,
       0,   170,     0,   171,   172,   173,   174,     0,     0,     0,
     175,   176,   177,     0,     0,   178,     0,     0,     0,   179,
     180,     0,   181,   182,   183,   184,     0,     0,     0,     0,
       0,     0,     0,     0,   185,   186,   187,     0,     0,   188,
       0,   189,   190,   191,   192,     0,     0,   193,     0,     0,
       0,   194,     0,     0,     0,   195,     0,     0,     0,   196,
       0,   197,     0,     0,   198,   199,   200,   201,   202,   203,
     204,     0,   205,   206,     0,     0,     0,   207,   208,   209,
     210,     0,     0,     0,   211,     0,   212,   213,     0,     0,
       0,     0,     0,   214,     0,     0,     0,     0,   215,   216,
       0,     0,   217,   218,     0,     0,   219,   220,   221,     0,
       0,   222,   223,   224,     0,   225,   226,     0,     0,   227,
       0,     0,   229,     0,   230,   231,   232,     0,     0,   233,
       0,     0,   234,   235,   236,     0,   237,   238,     0,     0,
       0,   239,     0,     0,     0,   240,     0,     0,     0,     0,
       0,   241,     0,     0,   242,     0,     0,     0,   243,   244,
       0,     0,     0,    83,   245,    84,    85,    86,   246,     0,
       0,     0,    87,     0,     0,     0,    88,    89,    90,    91,
       0,    92,     0,     0,     0,     0,    93,     0,    94,    95,
       0,    96,     0,    97,     0,     0,    98,     0,     0,    99,
       0,     0,   100,     0,   101,   102,     0,   103,   104,     0,
     105,   106,   107,   108,   109,   110,     0,   111,   112,     0,
     113,     0,     0,     0,     0,     0,   114,     0,     0,     0,
       0,   115,   116,   117,   118,     0,     0,   119,     0,     0,
       0,     0,   120,   121,     0,     0,     0,     0,     0,     0,
       0,     0,   122,   123,     0,     0,     0,     0,   124,   125,
     126,     0,     0,     0,   127,     0,   128,   129,     0,   130,
     131,     0,     0,   132,     0,   133,   134,     0,     0,   135,
       0,     0,     0,   136,   137,   138,   139,     0,   140,     0,
       0,     0,   141,   142,     0,   143,     0,   144,     0,     0,
       0,   145,     0,     0,     0,     0,     0,   146,   147,   148,
     149,     0,     0,   150,   151,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   152,     0,     0,     0,
     153,     0,     0,   154,     0,     0,     0,   155,     0,     0,
       0,     0,   157,     0,   158,     0,   159,     0,   160,     0,
       0,     0,     0,     0,   161,   162,     0,   163,   164,   165,
     166,     0,     0,   167,   168,     0,   169,     0,   170,     0,
     171,   172,   173,   174,     0,     0,     0,   175,   176,   177,
       0,     0,   178,     0,     0,     0,   179,   180,     0,   181,
     182,   183,   184,     0,     0,     0,     0,     0,     0,     0,
       0,   185,   186,   187,     0,     0,   188,     0,   189,   190,
     191,   192,     0,     0,   193,     0,     0,     0,   194,     0,
       0,     0,   195,     0,     0,     0,   196,     0,   197,     0,
       0,   198,   199,   200,   201,   202,   203,   204,     0,   205,
     206,     0,     0,     0,   207,   208,   209,   210,     0,     0,
       0,   211,     0,   212,   213,     0,     0,     0,     0,     0,
     214,     0,     0,     0,     0,   215,   216,     0,     0,   217,
     218,     0,     0,   219,   220,   221,     0,     0,   222,   223,
     224,     0,   225,   226,     0,     0,   227,     0,     0,   229,
       0,   230,   231,   232,     0,     0,  1016,     0,     0,   234,
     235,   236,     0,   237,   238,     0,     0,     0,   239,     0,
       0,     0,   240,     0,     0,     0,     0,     0,   241,     0,
       0,   242,     0,     0,     0,   243,   244,     0,     0,     0,
       0,   245,     0,     0,     0,   246
};

static const yytype_int16 yycheck[] =
{
      12,   333,   329,  1009,   423,   405,   556,   624,   521,    21,
     319,   556,   870,    12,   499,   500,  1039,    29,  1041,   817,
    1075,  1045,   956,  1002,   952,  1207,  1130,   574,    51,   356,
     514,   644,   450,  1329,   581,   264,  1350,   439,   864,    51,
     808,  1220,   374,  1024,  1025,   372,   275,    12,   450,    12,
     828,    63,    12,  1157,    12,   382,   383,  1477,  1456,    52,
     300,   989,   103,    12,   464,    12,   298,    89,   114,   630,
    1416,    12,   633,    71,    12,   636,   637,    12,   109,   388,
     389,    66,    26,  1071,    14,   130,    58,   316,    12,    12,
      14,    85,    12,    50,    98,   180,    44,   466,  1520,   237,
      71,    71,  1227,    71,   122,  1261,   995,   136,   153,   130,
      12,   511,  1360,    12,   215,    40,    32,     2,    12,     4,
    1402,    12,   181,  1180,    12,   153,    12,   282,   229,   182,
       7,   378,   153,    18,   128,  1634,   383,    12,    12,   135,
      12,    12,   181,    12,    12,    12,    12,     9,   548,    12,
     144,   132,   826,   190,   632,   112,   112,    12,    12,    15,
    1018,  1343,    12,    12,    12,   397,   169,   163,   307,    47,
      12,    12,  1030,   135,   177,   135,    12,   329,   237,   329,
     223,    12,   112,   135,    12,   156,    12,   416,   225,  1047,
    1612,    12,    12,   435,   378,   256,   190,    82,   237,   383,
     144,   372,   263,   221,    12,  1063,   224,   188,    20,   451,
    1633,    12,   228,   165,   243,    74,  1715,   282,   261,   181,
    1399,  1244,   275,   362,   285,  1648,   142,   382,  1054,  1408,
     382,   225,   382,    95,    90,   247,   135,   265,   116,   383,
     384,   237,   644,    12,  1492,  1493,   384,  1529,   247,   126,
     262,    23,   264,  1567,   355,   278,   227,   227,    70,   227,
      99,   232,   232,   275,   232,   294,   278,   817,   271,  1067,
      12,   256,   817,   238,   286,   238,   585,  1166,   238,  1435,
     252,   293,  1628,   295,   369,  1273,   290,   299,   347,   238,
     132,   852,   661,  1418,   306,   307,  1353,   238,   223,  1481,
     238,    12,  1160,   238,   316,    12,   343,   135,   858,   354,
     794,    12,   260,   858,   238,   238,   347,   382,   238,    12,
     366,   339,  1720,    12,    12,    12,  1672,   368,   326,   351,
      12,   349,  1387,   354,   291,   291,   238,  1011,    12,   238,
    1198,    12,  1764,    12,   238,   577,  1525,   238,  1694,   343,
     238,   344,   238,   235,    96,  1775,   327,    51,   326,   327,
      12,   839,    12,   238,   238,  1163,   238,   238,   384,   238,
     238,   238,   238,  1397,  1152,   238,   854,   335,    12,   391,
     392,    12,   622,   238,   238,   329,  1154,   337,   238,   238,
     238,   276,   415,   165,    12,  1012,   238,   238,    12,    12,
      12,   240,   238,   415,   416,   335,   891,   238,   180,   374,
     238,   374,   238,  1027,   374,    12,   901,   238,   238,  1245,
     383,   384,   387,   970,   384,   374,   278,   374,   657,  1484,
     238,  1829,  1830,   374,  1832,   384,   374,   238,   923,   374,
     990,   153,   860,   384,   467,   990,   384,  1845,   383,   384,
     374,   374,   464,   465,   374,   467,   479,  1753,   860,   482,
    1021,   384,   975,   976,   384,  1446,  1812,   479,   210,   238,
     482,  1869,   374,  1871,  1872,   374,   488,   171,  1824,   491,
     374,   383,   384,   374,   383,   969,   374,  1100,   374,   383,
     384,  1805,   383,   384,   978,   383,   384,   806,   384,   374,
     374,   513,   374,   374,    12,   374,   374,   374,   374,   384,
     384,   374,   384,   384,  1618,   384,   384,   384,   384,   374,
     374,   384,   347,  1786,   374,   374,   374,   238,   122,   384,
     384,   238,   374,   374,   384,   384,   384,   238,   374,   295,
      12,   383,   383,   374,   556,   238,   374,   383,   374,   238,
     238,   238,   383,   374,   374,   567,   238,   383,   383,  1614,
    1174,    12,   383,   383,   238,    12,   374,   238,   567,   238,
       9,   109,  1189,   374,    88,   383,  1839,  1505,   282,    14,
     138,   593,   383,  1002,   596,    96,   238,   138,   238,   326,
    1361,    12,  1206,   605,   593,  1601,    12,   620,    12,    12,
     623,  1148,    44,     0,   238,   374,    12,   238,   620,  1226,
     109,   623,   635,    12,   383,   153,     9,  1167,    12,   631,
     238,    12,  1167,   635,   238,   238,   238,   185,    12,    12,
     224,    66,    12,  1815,   185,   377,   378,   379,   380,   381,
    1438,   238,   665,   331,  1354,   657,   305,   152,   342,   661,
     282,   663,  1362,   665,   326,  1205,    95,   282,  1143,  1517,
    1205,   355,   661,   374,   973,  1599,   106,   374,   156,   328,
      36,   153,   383,   374,   109,   115,   383,   112,   382,   230,
     156,   374,   383,  1224,   172,   374,   374,   374,  1238,   131,
    1696,  1670,   374,  1238,   383,   130,   383,   132,    85,   210,
     374,   383,    95,   374,   139,   374,    44,   282,   143,   383,
     224,  1252,   383,    96,   383,   282,    14,   331,   153,   282,
    1491,  1338,   374,   158,   374,   342,   152,   265,   163,   287,
     238,   383,   488,   383,   169,   491,   287,   370,   355,    23,
     374,   128,   177,   374,   135,   339,   181,  1771,  1772,   383,
     382,   135,   383,   188,   386,   349,   374,   382,   189,   383,
     374,   374,   374,   775,     9,   383,   238,    50,    66,  1282,
     383,   383,  1570,  1547,   139,     6,  1550,   374,  1552,    10,
     215,     9,  1295,  1296,  1807,   388,   383,   238,   811,   812,
     364,   238,  1342,   131,   229,   348,   236,  1342,  1311,   811,
     812,  1856,   237,   190,   169,   817,   248,   382,   382,  1592,
    1593,   109,    96,     9,   112,   382,   326,   238,  1303,   382,
     221,     9,   238,   835,   238,   238,   135,   210,   282,   841,
      66,   119,   238,  1604,   132,   370,   271,  1608,   225,   238,
     371,   139,   383,   384,   238,   143,   858,   238,   131,    96,
      95,  1336,   864,   384,   238,   323,   384,   223,   326,   871,
     158,   300,   301,   302,   303,   163,   374,    95,   379,   380,
     381,   169,   237,   156,   313,   383,   307,    47,   313,   177,
    1858,   165,  1860,   181,   382,  1891,   382,    85,   328,   172,
     188,  1749,   323,   382,  1604,   326,   180,   382,  1608,    95,
     266,    88,   374,   382,   358,   359,   348,    95,   383,   384,
     248,   383,   347,   382,   101,  1686,  1687,   215,   165,   354,
     355,    25,   158,   374,   290,   382,   210,   374,   382,  1843,
     128,   229,   383,   169,   369,   388,   383,   221,    42,   237,
     127,   177,  1631,  1038,   382,  1040,   282,   329,   383,   384,
    1045,   963,   387,   374,   290,  1050,   343,   382,   374,   382,
     374,   374,   383,   210,   963,   248,    56,   383,   374,   383,
     383,    75,   984,   271,    78,   374,   278,   383,   990,   215,
     374,   379,    86,   374,   383,   347,  1536,   382,    26,   383,
     374,  1536,   190,   382,   377,   378,   379,   380,   381,   181,
    1012,   382,  1014,  1917,  1918,    12,   382,  1019,   383,   384,
     348,   382,    12,   383,   384,   313,  1705,  1706,  1710,  1711,
    1019,    21,   358,   359,  1036,    44,   382,   225,   382,    29,
    1647,    50,   383,   384,   382,   271,   382,  1036,   383,   384,
      78,    60,  1054,  1066,   383,   384,   382,    85,  1060,   347,
     382,    51,  1064,  1065,  1066,  1067,  1456,   355,   382,  1071,
     383,   384,   382,    63,   382,  1064,  1065,   383,   384,   532,
    1379,   369,    79,    80,    81,    82,    83,   313,   383,   384,
     383,   384,   383,   384,   122,   383,   384,   383,   384,   387,
     128,   383,   384,   377,   378,   379,   380,   381,  1214,   549,
     550,   383,   384,   382,  1220,   382,   144,  1223,   382,  1225,
     383,   384,   131,   383,   384,   382,  1232,  1233,   382,   582,
     583,  1237,   382,   586,   587,   588,   589,   590,   591,  1674,
     377,   378,   379,   380,   381,   383,   384,   156,   145,   146,
     147,   148,   383,   384,   382,   343,   383,   384,   383,   384,
     382,   387,   190,   172,   307,  1167,  1179,  1367,  1368,    83,
    1172,   382,   382,   382,   382,   382,   382,  1179,   382,   382,
     382,   382,   382,   382,   382,   382,   382,  1189,   382,   382,
     382,   382,   382,   382,   222,   382,   224,   225,   323,  1806,
      59,   383,    88,  1205,   201,   202,   203,   204,   384,    40,
     261,   119,  1214,   156,   211,   229,   256,   368,  1220,   383,
     134,  1223,   383,  1225,    95,  1227,     9,   383,   383,  1242,
    1232,  1233,   382,  1235,   148,  1237,  1238,   157,  1227,   248,
    1242,   238,   388,  1245,  1246,  1247,  1235,   384,   335,  1262,
    1252,   384,   384,   379,   251,   329,   295,   247,   290,  1261,
    1262,  1670,    47,  1252,    66,  1278,    79,    80,    81,    82,
      83,  1273,   262,   188,   264,   383,  1278,    18,   383,  1814,
     379,   383,   279,   280,   135,   275,   383,   201,   278,   378,
     204,   383,   383,  1399,   384,   383,   286,   211,   383,   383,
     383,   329,  1408,   293,   332,   295,    47,   384,   383,   299,
      51,   339,   383,   347,   291,   343,   306,   307,    12,   382,
     382,   382,   388,   383,   329,   382,   316,   383,  1330,   388,
    1720,   389,   145,   146,   147,   148,  1338,   251,    33,   348,
    1342,   384,   369,   107,   229,   383,   383,    88,   162,   377,
     378,   804,   162,    66,   383,   388,   158,   383,   383,   383,
     163,   383,   383,   135,   383,   388,   280,   169,   388,   384,
     367,   384,   167,   384,  1376,   177,    26,   374,   375,   376,
    1920,    50,  1384,   124,   335,  1920,  1708,  1709,   201,   202,
     203,   204,   170,   324,   170,   324,    33,  1399,   211,    47,
     384,   391,   392,  1938,   229,  1945,  1408,  1724,   237,   100,
    1945,   382,  1425,   215,   382,   384,  1418,   383,   383,  1525,
    1422,    49,    66,  1425,   383,   415,   416,  1429,    78,  1418,
     388,   172,   384,  1435,  1436,    85,    64,    65,   251,  1829,
    1830,   383,  1832,   383,    72,   158,   282,   384,   351,   165,
     388,   178,   172,   367,   172,  1845,   169,   383,   388,    14,
     181,   383,   376,   225,   177,   225,   279,   280,   284,   271,
     163,   383,   122,   384,   464,   465,   239,   467,   128,  1869,
     221,  1871,  1872,   224,  1801,   169,   114,   169,   229,   479,
     139,   389,   482,   292,   144,   384,   172,   172,   488,   383,
    1502,   491,   215,   384,   382,   172,  1508,   248,   383,   383,
     138,   313,   169,   383,   158,   383,   229,   169,   229,  1508,
      33,   143,   384,  1525,   207,   169,   256,   155,   156,   382,
      88,  1533,    88,   177,  1536,   382,   246,   382,   382,   382,
     190,    49,   170,   351,   225,   286,   388,    24,   169,   326,
     169,    28,   382,   194,   367,   382,   382,   185,   271,   225,
     351,    88,   375,   376,   172,    42,   556,   172,   224,   355,
    1572,   215,   225,   382,   224,   225,   383,   567,   225,   225,
     355,   382,    10,    11,   182,   229,   383,   229,   222,   383,
     359,   383,   225,   383,    22,    33,   384,   384,    75,   355,
     313,    78,   355,   593,    33,   260,   596,   348,   106,    86,
      33,   112,   113,   383,   382,   605,    44,   382,   132,    33,
      97,    33,   250,   613,    33,    53,     4,   271,   229,  1631,
     620,   153,   229,   623,   111,  1637,   137,    65,    33,    33,
     141,   631,   382,   382,  1646,   635,   351,    89,   225,   382,
     127,   290,   383,  1054,  1064,   384,  1568,  1646,   661,   287,
    1246,    89,    90,    91,  1666,   166,  1679,   657,  1436,   313,
      98,   661,  1674,   663,   175,   665,  1249,  1679,  1060,   329,
    1037,   109,   332,  1218,  1535,  1533,  1088,   164,  1656,   339,
     118,  1564,   193,   343,  1838,   323,  1072,  1646,   326,   327,
    1809,   129,  1276,  1705,  1706,  1744,  1245,   811,   463,  1003,
     281,   954,   280,   432,   503,   216,   825,   890,  1338,  1154,
    1364,   953,  1602,  1826,  1774,  1941,  1916,   377,   378,   550,
    1600,   979,   503,   161,   523,  1536,  1519,   526,   366,  1621,
    1008,   308,  1744,   316,   416,   173,   671,   816,  1342,   226,
    1162,   540,   541,  1205,  1938,   544,   184,  1814,   304,  1156,
    1762,  1855,   490,  1816,  1780,  1836,  1945,  1167,   557,   558,
     513,  1648,   613,  1197,  1384,   830,  1626,   265,    -1,   422,
      -1,   258,    -1,    -1,    -1,   775,    -1,    -1,    -1,  1791,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   286,
      -1,    -1,  1814,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   811,   812,    -1,    -1,    -1,    -1,   817,    -1,    -1,
      -1,    -1,    -1,   261,   262,    -1,    -1,   265,    -1,    -1,
      -1,    -1,    -1,    -1,   272,   835,    -1,    -1,    -1,    -1,
     278,   841,    -1,   330,   282,   332,  1858,    -1,  1860,    -1,
    1862,    -1,   290,    -1,    -1,   293,    -1,    -1,   858,    -1,
      -1,    -1,    -1,    -1,   864,    -1,    -1,    -1,   306,    -1,
      -1,   871,    -1,   360,   361,   674,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   340,  1915,  1916,    -1,    -1,    -1,  1920,    -1,
      -1,    -1,   350,   351,    -1,    -1,   354,    -1,    -1,    -1,
      -1,    -1,  1934,    -1,    -1,    -1,  1938,   726,    -1,  1941,
      -1,   730,    -1,  1945,    -1,  1934,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,   747,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   963,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   984,    -1,    -1,    -1,    -1,    -1,
     990,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1012,    -1,  1014,    -1,    -1,    -1,    -1,  1019,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1036,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1054,    -1,    -1,    -1,    -1,    -1,
    1060,    -1,    -1,    -1,  1064,  1065,  1066,  1067,    -1,    -1,
      -1,  1071,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1167,    -1,    -1,
      -1,    -1,  1172,    -1,    -1,    -1,    -1,    -1,    -1,  1179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1189,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1205,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1214,    -1,    -1,    -1,    -1,    -1,
    1220,    -1,    -1,  1223,    -1,  1225,    -1,  1227,    -1,    -1,
      -1,    -1,  1232,  1233,    -1,  1235,    -1,  1237,  1238,    -1,
      -1,    -1,  1242,    -1,    -1,  1245,  1246,  1247,    -1,    -1,
      -1,    -1,  1252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1261,  1262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1273,    -1,    -1,    -1,    -1,  1278,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   259,    -1,
    1330,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1338,    -1,
      -1,    -1,  1342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1376,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1384,    -1,    -1,    -1,    -1,    -1,
     321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1399,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1408,    -1,
      -1,    -1,    -1,    -1,    -1,   346,    -1,    -1,  1418,    -1,
      -1,    -1,  1422,    -1,   355,  1425,    -1,    -1,    -1,  1429,
      -1,    -1,    -1,    -1,    -1,  1435,  1436,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   390,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1502,    -1,    -1,    -1,    -1,    -1,  1508,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1525,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1533,    -1,    -1,  1536,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,    -1,    -1,    -1,    -1,   498,    -1,    -1,
     501,   502,  1572,    -1,    -1,    -1,    -1,   508,   509,   510,
      -1,   512,    -1,    -1,    -1,    -1,   517,   518,   519,   520,
      -1,   522,    -1,   524,   525,    -1,   527,   528,    -1,   530,
      -1,    -1,   533,   534,   535,   536,   537,   538,   539,    -1,
      -1,   542,   543,    -1,   545,    -1,   547,    -1,    -1,    -1,
     551,   552,    -1,    -1,    -1,    -1,    -1,    -1,   559,    -1,
      -1,  1631,    -1,    -1,   565,    -1,    -1,  1637,    -1,   570,
     571,   572,    -1,    -1,    -1,    -1,  1646,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1666,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1674,    -1,    -1,    -1,    -1,  1679,
      -1,    -1,   613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   625,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1705,  1706,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1744,    -1,   677,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1762,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1814,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   755,   756,   757,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1858,    -1,
    1860,    -1,  1862,   794,    -1,    -1,   797,    -1,   799,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1915,  1916,    -1,    -1,    -1,
    1920,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1934,    -1,    -1,    -1,  1938,    -1,
      -1,  1941,    -1,    -1,    -1,  1945,   877,    -1,    -1,   880,
      -1,   882,   883,    -1,    -1,    -1,   887,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   900,
      -1,    -1,   903,   904,   905,   906,   907,    -1,    -1,    -1,
      -1,    -1,    -1,   914,    -1,    -1,   917,    -1,   919,   920,
      -1,   922,    -1,    -1,    -1,    -1,   927,   928,   929,    -1,
      -1,    -1,    -1,   934,   935,   936,    -1,   938,    -1,   940,
      -1,   942,    -1,   944,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   964,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   978,    -1,   980,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1079,    -1,
      -1,    -1,  1083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1097,  1098,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1114,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1122,    -1,  1124,    -1,  1126,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1196,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1207,  1208,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1279,    -1,
      -1,    -1,    -1,    -1,  1285,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1300,
    1301,    -1,    -1,    -1,    -1,    -1,    -1,  1308,    -1,    -1,
      -1,    -1,  1313,    -1,    -1,  1316,  1317,  1318,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1343,    -1,    -1,    -1,    -1,     4,    -1,     6,
       7,     8,    -1,    -1,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,
      27,    -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,
      37,    -1,    -1,    40,  1385,    -1,    43,    -1,    45,    46,
      -1,    48,    49,  1394,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    -1,    61,    -1,    -1,    -1,    -1,    -1,
      67,    -1,    -1,    -1,    -1,    72,    73,    74,    75,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    83,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,
     107,   108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,
     117,    -1,    -1,   120,    -1,    -1,    -1,   124,   125,   126,
     127,    -1,   129,    -1,    -1,    -1,   133,   134,    -1,   136,
    1481,   138,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,
      -1,   148,   149,   150,   151,    -1,    -1,   154,   155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,    -1,    -1,   174,    -1,  1520,
      -1,   178,   179,    -1,    -1,    -1,   183,    -1,   185,    -1,
     187,    -1,   189,    -1,    -1,    -1,    -1,    -1,   195,   196,
      -1,   198,   199,   200,   201,    -1,    -1,   204,   205,    -1,
     207,    -1,   209,    -1,   211,   212,   213,   214,    -1,    -1,
      -1,   218,   219,   220,    -1,    -1,   223,    -1,    -1,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,
      -1,    -1,    -1,  1584,    -1,   242,   243,   244,    -1,    -1,
     247,    -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,
      -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,
     267,  1612,   269,    -1,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,  1626,    -1,    -1,   285,   286,
     287,   288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,
      -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,
     307,    -1,    -1,   310,   311,    -1,    -1,   314,   315,   316,
      -1,    -1,   319,   320,   321,    -1,   323,   324,    -1,    -1,
     327,    -1,   329,   330,    -1,   332,   333,   334,    -1,    -1,
     337,    -1,    -1,   340,   341,   342,    -1,   344,   345,  1690,
    1691,    -1,   349,    -1,  1695,    -1,   353,    -1,    -1,    -1,
      -1,    -1,   359,    -1,    -1,   362,    -1,    -1,    -1,   366,
     367,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,
      -1,    -1,    -1,    -1,    -1,    -1,     4,    -1,     6,     7,
       8,    -1,   389,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    20,    -1,    22,    -1,    -1,    25,    26,    27,
      -1,    29,    30,    31,    32,    -1,    34,    -1,    -1,    37,
      38,    39,    40,  1764,    42,    43,    -1,    45,    46,    -1,
      48,    49,    -1,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    -1,    61,    -1,    63,    64,    -1,    -1,    67,
      68,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      78,    -1,    -1,    -1,    -1,    83,    84,    85,    -1,    -1,
      88,    -1,    -1,    -1,  1815,    93,    94,  1818,    -1,  1820,
      -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,   107,
     108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,   129,    -1,    -1,    -1,   133,   134,    -1,   136,    -1,
     138,    -1,   140,    -1,   142,    -1,   144,    -1,    -1,    -1,
     148,   149,   150,   151,   152,    -1,   154,   155,    -1,    -1,
      -1,    -1,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,   174,    -1,   176,   177,
     178,    -1,    -1,    -1,    -1,   183,    -1,   185,    -1,   187,
      -1,   189,   190,    -1,    -1,    -1,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,    -1,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,   213,   214,    -1,    -1,    -1,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,   243,   244,   245,    -1,   247,
      -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,    -1,
      -1,   259,    -1,    -1,    -1,   263,   264,   265,    -1,   267,
      -1,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,   287,
     288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,   307,
     308,   309,   310,   311,    -1,    -1,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,    -1,   327,
      -1,   329,   330,    -1,   332,   333,   334,    -1,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,    -1,
      -1,   349,    -1,    -1,    -1,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,    -1,   365,   366,   367,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,   377,
     378,    -1,    -1,    -1,   382,    -1,    -1,    -1,   386,    -1,
     388,   389,     4,    -1,     6,     7,     8,     9,    -1,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    20,    -1,
      22,    -1,    -1,    25,    26,    27,    -1,    29,    30,    -1,
      32,    -1,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    43,    -1,    45,    46,    -1,    48,    49,    -1,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    -1,    61,
      -1,    63,    64,    -1,    -1,    67,    68,    69,    -1,    71,
      72,    73,    74,    75,    76,    77,    78,    -1,    -1,    -1,
      -1,    83,    84,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    93,    94,    -1,    -1,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,   107,   108,    -1,   110,   111,
      -1,    -1,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,   128,   129,    -1,    -1,
      -1,   133,   134,    -1,   136,    -1,   138,    -1,   140,    -1,
     142,    -1,   144,    -1,    -1,    -1,   148,   149,   150,   151,
     152,    -1,   154,   155,    -1,    -1,    -1,    -1,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
      -1,    -1,   174,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,   183,    -1,   185,    -1,   187,    -1,   189,   190,    -1,
      -1,    -1,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,    -1,   204,   205,   206,   207,    -1,   209,   210,   211,
     212,   213,   214,    -1,    -1,    -1,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,   229,   230,   231,
     232,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     242,   243,   244,   245,    -1,   247,    -1,   249,   250,   251,
     252,    -1,    -1,   255,    -1,    -1,    -1,   259,    -1,    -1,
      -1,   263,   264,   265,    -1,   267,    -1,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,    -1,    -1,   285,   286,   287,   288,    -1,    -1,    -1,
     292,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,   301,
      -1,    -1,    -1,    -1,   306,   307,   308,   309,   310,   311,
      -1,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,    -1,   327,    -1,   329,   330,    -1,
     332,   333,   334,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,    -1,    -1,   349,    -1,    -1,
      -1,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,    -1,   365,   366,   367,    -1,    -1,    -1,    -1,
     372,    -1,    -1,    -1,   376,   377,   378,    -1,    -1,     4,
     382,     6,     7,     8,   386,    -1,   388,   389,    13,    -1,
      -1,    -1,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      25,    26,    27,    -1,    29,    30,    -1,    32,    -1,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    43,    -1,
      45,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    -1,    61,    -1,    63,    64,
      -1,    -1,    67,    68,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    78,    -1,    -1,    -1,    -1,    83,    84,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    93,    94,
      -1,    -1,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
     105,    -1,   107,   108,    -1,   110,   111,    -1,    -1,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,   129,    -1,    -1,    -1,   133,   134,
      -1,   136,    -1,   138,    -1,   140,    -1,   142,    -1,   144,
      -1,    -1,    -1,   148,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,    -1,    -1,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,   174,
      -1,    -1,   177,   178,    -1,    -1,    -1,    -1,   183,    -1,
     185,    -1,   187,    -1,   189,   190,    -1,    -1,    -1,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,    -1,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
      -1,    -1,    -1,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,   243,   244,
     245,    -1,   247,    -1,   249,   250,   251,   252,    -1,    -1,
     255,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,   264,
     265,    -1,   267,    -1,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,    -1,    -1,
     285,   286,   287,   288,    -1,    -1,    -1,   292,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,
      -1,   306,   307,   308,   309,   310,   311,    -1,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,    -1,   327,    -1,   329,   330,    -1,   332,   333,   334,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,    -1,
      -1,   356,   357,   358,   359,    -1,    -1,   362,   363,    -1,
     365,   366,   367,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,   376,   377,   378,    -1,    -1,    -1,   382,   383,    -1,
      -1,   386,    -1,   388,   389,     4,    -1,     6,     7,     8,
      -1,    -1,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    20,    -1,    22,    -1,    -1,    25,    26,    27,    -1,
      29,    30,    -1,    32,    -1,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    43,    -1,    45,    46,    -1,    48,
      49,    -1,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    -1,    61,    -1,    63,    64,    -1,    -1,    67,    68,
      69,    -1,    71,    72,    73,    74,    75,    76,    77,    78,
      -1,    -1,    -1,    -1,    83,    84,    85,    -1,    -1,    88,
      -1,    -1,    -1,    -1,    93,    94,    -1,    -1,    -1,    -1,
      99,   100,   101,    -1,    -1,    -1,   105,    -1,   107,   108,
      -1,   110,   111,    -1,    -1,   114,    -1,   116,   117,    -1,
     119,   120,   121,   122,    -1,   124,   125,   126,   127,   128,
     129,    -1,    -1,    -1,   133,   134,   135,   136,    -1,   138,
      -1,   140,    -1,   142,    -1,   144,    -1,    -1,    -1,   148,
     149,   150,   151,   152,    -1,   154,   155,    -1,    -1,    -1,
      -1,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,    -1,    -1,   174,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,   183,    -1,   185,    -1,   187,    -1,
     189,   190,    -1,    -1,    -1,    -1,   195,   196,   197,   198,
     199,   200,   201,    -1,    -1,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,   213,   214,    -1,    -1,    -1,   218,
     219,   220,   221,   222,   223,   224,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   242,   243,   244,   245,    -1,   247,    -1,
     249,   250,   251,   252,    -1,    -1,   255,    -1,    -1,    -1,
     259,    -1,    -1,    -1,   263,   264,   265,    -1,   267,    -1,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,    -1,    -1,   285,   286,   287,   288,
      -1,    -1,    -1,   292,    -1,   294,   295,    -1,    -1,    -1,
      -1,    -1,   301,    -1,    -1,    -1,    -1,   306,   307,   308,
     309,   310,   311,    -1,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,    -1,   327,    -1,
     329,   330,    -1,   332,   333,   334,    -1,    -1,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,    -1,    -1,
     349,    -1,    -1,    -1,   353,    -1,    -1,   356,   357,   358,
     359,    -1,    -1,   362,   363,    -1,   365,   366,   367,    -1,
      -1,    -1,    -1,   372,    -1,    -1,    -1,   376,   377,   378,
      -1,    -1,     4,   382,     6,     7,     8,   386,    -1,   388,
     389,    13,    -1,    -1,    -1,    17,    18,    19,    20,    -1,
      22,    -1,    -1,    25,    26,    27,    -1,    29,    30,    -1,
      32,    -1,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    43,    -1,    45,    46,    -1,    48,    49,    -1,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    -1,    61,
      -1,    63,    64,    -1,    -1,    67,    68,    69,    -1,    71,
      72,    73,    74,    75,    76,    77,    78,    -1,    -1,    -1,
      -1,    83,    84,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    93,    94,    -1,    -1,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,   107,   108,    -1,   110,   111,
      -1,    -1,   114,    -1,   116,   117,    -1,   119,   120,   121,
     122,    -1,   124,   125,   126,   127,   128,   129,    -1,    -1,
      -1,   133,   134,   135,   136,    -1,   138,    -1,   140,    -1,
     142,    -1,   144,    -1,    -1,    -1,   148,   149,   150,   151,
     152,    -1,   154,   155,    -1,    -1,    -1,    -1,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
      -1,    -1,   174,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,   183,    -1,   185,    -1,   187,    -1,   189,   190,    -1,
      -1,    -1,    -1,   195,   196,   197,   198,   199,   200,   201,
      -1,    -1,   204,   205,   206,   207,    -1,   209,   210,   211,
     212,   213,   214,    -1,    -1,    -1,   218,   219,   220,   221,
     222,   223,   224,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     242,   243,   244,   245,    -1,   247,    -1,   249,   250,   251,
     252,    -1,    -1,   255,    -1,    -1,    -1,   259,    -1,    -1,
      -1,   263,   264,   265,    -1,   267,    -1,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,    -1,    -1,   285,   286,   287,   288,    -1,    -1,    -1,
     292,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,   301,
      -1,    -1,    -1,    -1,   306,   307,   308,   309,   310,   311,
      -1,    -1,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,    -1,   327,    -1,   329,   330,    -1,
     332,   333,   334,    -1,    -1,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,    -1,    -1,   349,    -1,    -1,
      -1,   353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,
     362,   363,    -1,   365,   366,   367,    -1,    -1,    -1,    -1,
     372,    -1,    -1,    -1,   376,   377,   378,    -1,    -1,     4,
     382,     6,     7,     8,   386,    -1,   388,   389,    13,    -1,
      -1,    -1,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      25,    26,    27,    -1,    29,    30,    -1,    32,    -1,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    43,    -1,
      45,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    -1,    61,    -1,    63,    64,
      -1,    -1,    67,    68,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    78,    -1,    -1,    -1,    -1,    83,    84,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    93,    94,
      -1,    -1,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
     105,    -1,   107,   108,    -1,   110,   111,    -1,    -1,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,   129,    -1,    -1,    -1,   133,   134,
     135,   136,    -1,   138,    -1,   140,    -1,   142,    -1,   144,
      -1,    -1,    -1,   148,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,    -1,    -1,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,   174,
      -1,    -1,   177,   178,    -1,    -1,    -1,    -1,   183,    -1,
     185,    -1,   187,    -1,   189,   190,    -1,    -1,    -1,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,    -1,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
      -1,    -1,    -1,   218,   219,   220,   221,   222,   223,   224,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,   243,   244,
     245,    -1,   247,    -1,   249,   250,   251,   252,    -1,    -1,
     255,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,   264,
     265,    -1,   267,    -1,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,    -1,    -1,
     285,   286,   287,   288,    -1,    -1,    -1,   292,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,
      -1,   306,   307,   308,   309,   310,   311,    -1,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,    -1,   327,    -1,   329,   330,    -1,   332,   333,   334,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,    -1,
      -1,   356,   357,   358,   359,    -1,    -1,   362,   363,    -1,
     365,   366,   367,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,   376,   377,   378,    -1,    -1,     4,   382,     6,     7,
       8,   386,    -1,   388,   389,    13,    -1,    -1,    -1,    17,
      18,    19,    20,    -1,    22,    -1,    -1,    25,    26,    27,
      -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    43,    -1,    45,    46,    -1,
      48,    49,    -1,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    -1,    61,    -1,    63,    64,    -1,    -1,    67,
      68,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      78,    -1,    -1,    -1,    -1,    83,    84,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,   107,
     108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,   129,    -1,    -1,    -1,   133,   134,    -1,   136,    -1,
     138,    -1,   140,    -1,   142,    -1,   144,    -1,    -1,    -1,
     148,   149,   150,   151,   152,    -1,   154,   155,    -1,    -1,
      -1,    -1,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,   174,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,   183,    -1,   185,    -1,   187,
      -1,   189,   190,    -1,    -1,    -1,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,    -1,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,   213,   214,    -1,    -1,    -1,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,   243,   244,   245,    -1,   247,
      -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,    -1,
      -1,   259,    -1,    -1,    -1,   263,   264,   265,    -1,   267,
      -1,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,   287,
     288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,   307,
     308,   309,   310,   311,    -1,    -1,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,    -1,   327,
      -1,   329,   330,    -1,   332,   333,   334,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,    -1,
      -1,   349,    -1,    -1,    -1,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,    -1,   365,   366,   367,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,   377,
     378,    -1,    -1,     4,   382,     6,     7,     8,   386,    -1,
     388,   389,    13,    -1,    -1,    -1,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    25,    26,    27,    -1,    29,    30,
      -1,    32,    -1,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    43,    -1,    45,    46,    -1,    48,    49,    -1,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    -1,
      61,    -1,    63,    64,    -1,    -1,    67,    68,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    78,    -1,    -1,
      -1,    -1,    83,    84,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    93,    94,    -1,    -1,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,   105,    -1,   107,   108,    -1,   110,
     111,    -1,    -1,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,    -1,
      -1,    -1,   133,   134,    -1,   136,    -1,   138,    -1,   140,
      -1,   142,    -1,   144,    -1,    -1,    -1,   148,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,    -1,    -1,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,    -1,    -1,   174,    -1,    -1,   177,   178,    -1,    -1,
      -1,    -1,   183,    -1,   185,    -1,   187,    -1,   189,   190,
      -1,    -1,    -1,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,    -1,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,    -1,    -1,    -1,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   242,   243,   244,   245,    -1,   247,    -1,   249,   250,
     251,   252,    -1,    -1,   255,    -1,    -1,    -1,   259,    -1,
      -1,    -1,   263,   264,   265,    -1,   267,    -1,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,    -1,    -1,   285,   286,   287,   288,    -1,    -1,
      -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
     301,    -1,    -1,    -1,    -1,   306,   307,   308,   309,   310,
     311,    -1,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,    -1,   327,    -1,   329,   330,
      -1,   332,   333,   334,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,    -1,    -1,   349,    -1,
      -1,    -1,   353,    -1,    -1,   356,   357,   358,   359,    -1,
      -1,   362,   363,    -1,   365,   366,   367,    -1,    -1,    -1,
      -1,   372,    -1,    -1,    -1,   376,   377,   378,    -1,    -1,
      -1,   382,    -1,    -1,    -1,   386,    -1,   388,   389,     4,
      -1,     6,     7,     8,     9,    -1,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      25,    26,    27,    -1,    29,    30,    -1,    32,    -1,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    43,    -1,
      45,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    -1,    61,    -1,    63,    64,
      -1,    -1,    67,    68,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    78,    -1,    -1,    -1,    -1,    83,    84,
      85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    93,    94,
      -1,    -1,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
     105,    -1,   107,   108,    -1,   110,   111,    -1,    -1,   114,
      -1,   116,   117,    -1,   119,   120,   121,   122,    -1,   124,
     125,   126,   127,   128,   129,    -1,    -1,    -1,   133,   134,
      -1,   136,    -1,   138,    -1,   140,    -1,   142,    -1,   144,
      -1,    -1,    -1,   148,   149,   150,   151,   152,    -1,   154,
     155,    -1,    -1,    -1,    -1,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,   174,
      -1,    -1,   177,   178,    -1,    -1,    -1,    -1,   183,    -1,
     185,    -1,   187,    -1,   189,   190,    -1,    -1,    -1,    -1,
     195,   196,   197,   198,   199,   200,   201,    -1,    -1,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,   213,   214,
      -1,    -1,    -1,   218,   219,   220,    -1,   222,   223,   224,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,   243,   244,
     245,    -1,   247,    -1,   249,   250,   251,   252,    -1,    -1,
     255,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,   264,
     265,    -1,   267,    -1,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,    -1,    -1,
     285,   286,   287,   288,    -1,    -1,    -1,   292,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,
      -1,   306,   307,   308,   309,   310,   311,    -1,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,    -1,   327,    -1,   329,   330,    -1,   332,   333,   334,
      -1,    -1,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,    -1,
      -1,   356,   357,   358,   359,    -1,    -1,   362,   363,    -1,
     365,   366,   367,    -1,    -1,    -1,    -1,   372,    -1,    -1,
      -1,   376,   377,   378,    -1,    -1,     4,   382,     6,     7,
       8,   386,    -1,   388,   389,    13,    -1,    -1,    -1,    17,
      18,    19,    20,    -1,    22,    -1,    -1,    25,    26,    27,
      -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,    37,
      38,    39,    40,    -1,    42,    43,    -1,    45,    46,    -1,
      48,    49,    -1,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    -1,    61,    -1,    63,    64,    -1,    -1,    67,
      68,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      78,    -1,    -1,    -1,    -1,    83,    84,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,   107,
     108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,   117,
      -1,   119,   120,   121,   122,    -1,   124,   125,   126,   127,
     128,   129,    -1,    -1,    -1,   133,   134,    -1,   136,    -1,
     138,    -1,   140,    -1,   142,    -1,   144,    -1,    -1,    -1,
     148,   149,   150,   151,   152,    -1,   154,   155,    -1,    -1,
      -1,    -1,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,   174,    -1,    -1,   177,
     178,    -1,    -1,    -1,    -1,   183,    -1,   185,    -1,   187,
      -1,   189,   190,    -1,    -1,    -1,    -1,   195,   196,   197,
     198,   199,   200,   201,    -1,    -1,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,   213,   214,    -1,    -1,    -1,
     218,   219,   220,   221,   222,   223,   224,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,   243,   244,   245,    -1,   247,
      -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,    -1,
      -1,   259,    -1,    -1,    -1,   263,   264,   265,    -1,   267,
      -1,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,   287,
     288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,   307,
     308,   309,   310,   311,    -1,    -1,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,    -1,   327,
      -1,   329,   330,    -1,   332,   333,   334,    -1,    -1,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,    -1,
      -1,   349,    -1,    -1,    -1,   353,    -1,    -1,   356,   357,
     358,   359,    -1,    -1,   362,   363,    -1,   365,   366,   367,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,   377,
     378,    -1,    -1,     4,   382,     6,     7,     8,   386,    -1,
     388,   389,    13,    -1,    -1,    -1,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    25,    26,    27,    -1,    29,    30,
      -1,    32,    -1,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    43,    -1,    45,    46,    -1,    48,    49,    -1,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    -1,
      61,    -1,    63,    64,    -1,    -1,    67,    68,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    78,    -1,    -1,
      -1,    -1,    83,    84,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    93,    94,    -1,    -1,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,   105,    -1,   107,   108,    -1,   110,
     111,    -1,    -1,   114,    -1,   116,   117,    -1,   119,   120,
     121,   122,    -1,   124,   125,   126,   127,   128,   129,    -1,
      -1,    -1,   133,   134,    -1,   136,    -1,   138,    -1,   140,
      -1,   142,    -1,   144,    -1,    -1,    -1,   148,   149,   150,
     151,   152,    -1,   154,   155,    -1,    -1,    -1,    -1,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,    -1,    -1,   174,    -1,    -1,   177,   178,    -1,    -1,
      -1,    -1,   183,    -1,   185,    -1,   187,    -1,   189,   190,
      -1,    -1,    -1,    -1,   195,   196,   197,   198,   199,   200,
     201,    -1,    -1,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,   213,   214,    -1,    -1,    -1,   218,   219,   220,
     221,   222,   223,   224,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   242,   243,   244,   245,    -1,   247,    -1,   249,   250,
     251,   252,    -1,    -1,   255,    -1,    -1,    -1,   259,    -1,
      -1,    -1,   263,   264,   265,    -1,   267,    -1,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,    -1,    -1,   285,   286,   287,   288,    -1,    -1,
      -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
     301,    -1,    -1,    -1,    -1,   306,   307,   308,   309,   310,
     311,    -1,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,    -1,   327,    -1,   329,   330,
      -1,   332,   333,   334,    -1,    -1,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,    -1,    -1,   349,    -1,
      -1,    -1,   353,    -1,    -1,   356,   357,   358,   359,    -1,
      -1,   362,   363,    -1,   365,   366,   367,    -1,    -1,    -1,
      -1,   372,    -1,    -1,    -1,   376,   377,   378,    -1,    -1,
       4,   382,     6,     7,     8,   386,    -1,   388,   389,    13,
      -1,    -1,    -1,    17,    18,    19,    20,    -1,    22,    -1,
      -1,    25,    26,    27,    -1,    29,    30,    -1,    32,    -1,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    43,
      -1,    45,    46,    -1,    48,    49,    -1,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    -1,    61,    -1,    63,
      64,    -1,    -1,    67,    68,    69,    -1,    71,    72,    73,
      74,    75,    76,    77,    78,    -1,    -1,    -1,    -1,    83,
      84,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    93,
      94,    -1,    -1,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,   107,   108,    -1,   110,   111,    -1,    -1,
     114,    -1,   116,   117,    -1,   119,   120,   121,   122,    -1,
     124,   125,   126,   127,   128,   129,    -1,    -1,    -1,   133,
     134,    -1,   136,    -1,   138,    -1,   140,    -1,   142,    -1,
     144,    -1,    -1,    -1,   148,   149,   150,   151,   152,    -1,
     154,   155,    -1,    -1,    -1,    -1,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,
     174,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,   183,
      -1,   185,    -1,   187,    -1,   189,   190,    -1,    -1,    -1,
      -1,   195,   196,   197,   198,   199,   200,   201,    -1,    -1,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,   213,
     214,    -1,    -1,    -1,   218,   219,   220,   221,   222,   223,
     224,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,   243,
     244,   245,    -1,   247,    -1,   249,   250,   251,   252,    -1,
      -1,   255,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,
     264,   265,    -1,   267,    -1,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,    -1,
      -1,   285,   286,   287,   288,    -1,    -1,    -1,   292,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,
      -1,    -1,   306,   307,   308,   309,   310,   311,    -1,    -1,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,    -1,   327,    -1,   329,   330,    -1,   332,   333,
     334,    -1,    -1,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,
      -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,   363,
      -1,   365,   366,   367,    -1,    -1,    -1,    -1,   372,    -1,
      -1,    -1,   376,   377,   378,    -1,    -1,     4,   382,     6,
       7,     8,   386,    -1,   388,   389,    13,    -1,    -1,    -1,
      17,    18,    19,    20,    -1,    22,    -1,    -1,    25,    26,
      27,    -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    43,    -1,    45,    46,
      -1,    48,    49,    -1,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    -1,    61,    -1,    63,    64,    -1,    -1,
      67,    68,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    78,    -1,    -1,    -1,    -1,    83,    84,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,
     107,   108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,
     117,    -1,   119,   120,   121,   122,    -1,   124,   125,   126,
     127,   128,   129,    -1,    -1,    -1,   133,   134,    -1,   136,
      -1,   138,    -1,   140,    -1,   142,    -1,   144,    -1,    -1,
      -1,   148,   149,   150,   151,   152,    -1,   154,   155,    -1,
      -1,    -1,    -1,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,    -1,    -1,   174,    -1,    -1,
     177,   178,    -1,    -1,    -1,    -1,   183,    -1,   185,    -1,
     187,    -1,   189,   190,    -1,    -1,    -1,    -1,   195,   196,
     197,   198,   199,   200,   201,    -1,    -1,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,   213,   214,    -1,    -1,
      -1,   218,   219,   220,    -1,   222,   223,   224,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   242,   243,   244,   245,    -1,
     247,    -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,
      -1,    -1,   259,    -1,    -1,    -1,   263,   264,   265,    -1,
     267,    -1,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,
     287,   288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,
      -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,
     307,   308,   309,   310,   311,    -1,    -1,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,    -1,
     327,    -1,   329,   330,    -1,   332,   333,   334,    -1,    -1,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
      -1,    -1,   349,    -1,    -1,    -1,   353,    -1,    -1,   356,
     357,   358,   359,    -1,    -1,   362,   363,    -1,   365,   366,
     367,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,
     377,   378,    -1,    -1,     4,   382,     6,     7,     8,   386,
      -1,   388,   389,    13,    -1,    -1,    -1,    17,    18,    19,
      20,    -1,    22,    -1,    -1,    25,    26,    27,    -1,    29,
      30,    -1,    32,    -1,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    43,    -1,    45,    46,    -1,    48,    49,
      -1,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      -1,    61,    -1,    63,    64,    -1,    -1,    67,    68,    69,
      -1,    71,    72,    73,    74,    75,    76,    77,    78,    -1,
      -1,    -1,    -1,    83,    84,    85,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    93,    94,    -1,    -1,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,   107,   108,    -1,
     110,   111,    -1,    -1,   114,    -1,   116,   117,    -1,   119,
     120,   121,   122,    -1,   124,   125,   126,   127,   128,   129,
      -1,    -1,    -1,   133,   134,    -1,   136,    -1,   138,    -1,
     140,    -1,   142,    -1,   144,    -1,    -1,    -1,   148,   149,
     150,   151,   152,    -1,   154,   155,    -1,    -1,    -1,    -1,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,    -1,    -1,   174,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,   183,    -1,   185,    -1,   187,    -1,   189,
     190,    -1,    -1,    -1,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,    -1,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,   213,   214,    -1,    -1,    -1,   218,   219,
     220,    -1,   222,   223,   224,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   242,   243,   244,   245,    -1,   247,    -1,   249,
     250,   251,   252,    -1,    -1,   255,    -1,    -1,    -1,   259,
      -1,    -1,    -1,   263,   264,   265,    -1,   267,    -1,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,    -1,    -1,   285,   286,   287,   288,    -1,
      -1,    -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,
      -1,   301,    -1,    -1,    -1,    -1,   306,   307,   308,   309,
     310,   311,    -1,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,    -1,   327,    -1,   329,
     330,    -1,   332,   333,   334,    -1,    -1,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,    -1,    -1,   349,
      -1,    -1,    -1,   353,    -1,    -1,   356,   357,   358,   359,
      -1,    -1,   362,   363,    -1,   365,   366,   367,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,   376,   377,   378,    -1,
      -1,     4,   382,     6,     7,     8,   386,    -1,   388,   389,
      13,    -1,    -1,    -1,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    25,    26,    27,    -1,    29,    30,    -1,    32,
      -1,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      43,    -1,    45,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    -1,    61,    -1,
      63,    64,    -1,    -1,    67,    68,    69,    -1,    71,    72,
      73,    74,    75,    76,    77,    78,    -1,    -1,    -1,    -1,
      83,    84,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,
      93,    94,    -1,    -1,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,   105,    -1,   107,   108,    -1,   110,   111,    -1,
      -1,   114,    -1,   116,   117,    -1,   119,   120,   121,   122,
      -1,   124,   125,   126,   127,   128,   129,    -1,    -1,    -1,
     133,   134,    -1,   136,    -1,   138,    -1,   140,    -1,   142,
      -1,   144,    -1,    -1,    -1,   148,   149,   150,   151,   152,
      -1,   154,   155,    -1,    -1,    -1,    -1,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,
      -1,   174,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
     183,    -1,   185,    -1,   187,    -1,   189,   190,    -1,    -1,
      -1,    -1,   195,   196,   197,   198,   199,   200,   201,    -1,
      -1,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
     213,   214,    -1,    -1,    -1,   218,   219,   220,    -1,   222,
     223,   224,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
     243,   244,   245,    -1,   247,    -1,   249,   250,   251,   252,
      -1,    -1,   255,    -1,    -1,    -1,   259,    -1,    -1,    -1,
     263,   264,   265,    -1,   267,    -1,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
      -1,    -1,   285,   286,   287,   288,    -1,    -1,    -1,   292,
      -1,   294,   295,    -1,    -1,    -1,    -1,    -1,   301,    -1,
      -1,    -1,    -1,   306,   307,   308,   309,   310,   311,    -1,
      -1,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,    -1,   327,    -1,   329,   330,    -1,   332,
     333,   334,    -1,    -1,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,    -1,    -1,   349,    -1,    -1,    -1,
     353,    -1,    -1,   356,   357,   358,   359,    -1,    -1,   362,
     363,    -1,   365,   366,   367,    -1,    -1,    -1,    -1,   372,
      -1,    -1,    -1,   376,   377,   378,    -1,    -1,     4,   382,
       6,     7,     8,   386,    -1,   388,   389,    13,    -1,    -1,
      -1,    17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,
      -1,    27,    -1,    29,    30,    -1,    32,    -1,    34,    -1,
      -1,    37,    -1,    -1,    40,    -1,    -1,    43,    -1,    45,
      46,    -1,    48,    49,    -1,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    -1,    61,    -1,    -1,    -1,    -1,
      -1,    67,    -1,    -1,    -1,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    83,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    -1,
      -1,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,   107,   108,    -1,   110,   111,    -1,    -1,   114,    -1,
     116,   117,    -1,    -1,   120,    -1,    -1,    -1,   124,   125,
     126,   127,    -1,   129,    -1,    -1,    -1,   133,   134,    -1,
     136,    -1,   138,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,    -1,   148,   149,   150,   151,    -1,    -1,   154,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,    -1,    -1,    -1,   183,    -1,   185,
      -1,   187,    -1,   189,    -1,    -1,    -1,    -1,    -1,   195,
     196,    -1,   198,   199,   200,   201,    -1,    -1,   204,   205,
      -1,   207,    -1,   209,    -1,   211,   212,   213,   214,    -1,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,    -1,    -1,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   242,   243,   244,    -1,
      -1,   247,    -1,   249,   250,   251,   252,    -1,    -1,   255,
      -1,    -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,
      -1,   267,    -1,   269,    -1,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,    -1,    -1,   285,
     286,   287,   288,    -1,    -1,    -1,   292,    -1,   294,   295,
      -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,
     306,   307,    -1,    -1,   310,   311,    -1,    -1,   314,   315,
     316,    -1,    -1,   319,   320,   321,    -1,   323,   324,    -1,
      -1,   327,    -1,   329,   330,    -1,   332,   333,   334,    -1,
      -1,   337,    -1,    -1,   340,   341,   342,    -1,   344,   345,
      -1,    -1,    -1,   349,    -1,    -1,    -1,   353,    -1,    -1,
      -1,    -1,    -1,   359,    -1,    -1,   362,    -1,    -1,    -1,
     366,   367,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,
     376,     4,    -1,     6,     7,     8,    -1,    -1,    -1,    -1,
      13,    -1,    -1,   389,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    27,    -1,    29,    30,    -1,    32,
      -1,    34,    -1,    -1,    37,    -1,    -1,    40,    -1,    -1,
      43,    -1,    45,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    -1,    61,    -1,
      -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,    -1,    72,
      73,    74,    75,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    -1,    -1,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,   105,    -1,   107,   108,    -1,   110,   111,    -1,
      -1,   114,    -1,   116,   117,    -1,    -1,   120,    -1,    -1,
      -1,   124,   125,   126,   127,    -1,   129,    -1,    -1,    -1,
     133,   134,    -1,   136,    -1,   138,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,   148,   149,   150,   151,    -1,
      -1,   154,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,    -1,    -1,    -1,
     183,    -1,   185,    -1,   187,    -1,   189,    -1,    -1,    -1,
      -1,    -1,   195,   196,    -1,   198,   199,   200,   201,    -1,
      -1,   204,   205,    -1,   207,    -1,   209,    -1,   211,   212,
     213,   214,    -1,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,    -1,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
     243,   244,    -1,    -1,   247,    -1,   249,   250,   251,   252,
      -1,    -1,   255,    -1,    -1,    -1,   259,    -1,    -1,    -1,
     263,    -1,    -1,    -1,   267,    -1,   269,    -1,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
      -1,    -1,   285,   286,   287,   288,    -1,    -1,    -1,   292,
      -1,   294,   295,    -1,    -1,    -1,    -1,    -1,   301,    -1,
      -1,    -1,    -1,   306,   307,    -1,    -1,   310,   311,    -1,
      -1,   314,   315,   316,    -1,    -1,   319,   320,   321,    -1,
     323,   324,    -1,    -1,   327,    -1,   329,   330,    -1,   332,
     333,   334,    -1,    -1,   337,    -1,    -1,   340,   341,   342,
      -1,   344,   345,    -1,    -1,    -1,   349,    -1,    -1,    -1,
     353,    -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,   362,
      -1,    -1,    -1,   366,   367,    -1,    -1,    -1,    -1,   372,
      -1,    -1,    -1,   376,     4,    -1,     6,     7,     8,    -1,
      -1,    -1,    -1,    13,    -1,    -1,   389,    17,    18,    19,
      20,    -1,    22,    -1,    -1,    -1,    -1,    27,    -1,    29,
      30,    -1,    32,    -1,    34,    -1,    -1,    37,    -1,    -1,
      40,    -1,    -1,    43,    -1,    45,    46,    -1,    48,    49,
      -1,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      -1,    61,    -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,
      -1,    -1,    72,    73,    74,    75,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    83,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    -1,    -1,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,   107,   108,    -1,
     110,   111,    -1,    -1,   114,    -1,   116,   117,    -1,    -1,
     120,    -1,    -1,    -1,   124,   125,   126,   127,    -1,   129,
      -1,    -1,    -1,   133,   134,    -1,   136,    -1,   138,    -1,
      -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,   148,   149,
     150,   151,    -1,    -1,   154,   155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,    -1,    -1,   174,    -1,    -1,    -1,   178,    -1,
      -1,    -1,    -1,   183,    -1,   185,    -1,   187,    -1,   189,
      -1,    -1,    -1,    -1,    -1,   195,   196,    -1,   198,   199,
     200,   201,    -1,    -1,   204,   205,    -1,   207,    -1,   209,
      -1,   211,   212,   213,   214,    -1,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,    -1,    -1,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   242,   243,   244,    -1,    -1,   247,    -1,   249,
     250,   251,   252,    -1,    -1,   255,    -1,    -1,    -1,   259,
      -1,    -1,    -1,   263,    -1,    -1,    -1,   267,    -1,   269,
      -1,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,    -1,    -1,   285,   286,   287,   288,    -1,
      -1,    -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,
      -1,   301,    -1,    -1,    -1,    -1,   306,   307,    -1,    -1,
     310,   311,    -1,    -1,   314,   315,   316,    -1,    -1,   319,
     320,   321,    -1,   323,   324,    -1,    -1,   327,    -1,    -1,
     330,    -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,
     340,   341,   342,    -1,   344,   345,    -1,    -1,    -1,   349,
      -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,   359,
      -1,    -1,   362,    -1,    -1,    -1,   366,   367,    -1,    -1,
      -1,    -1,   372,    -1,    -1,    -1,   376,     4,    -1,     6,
       7,     8,    -1,   383,    -1,    -1,    13,    -1,   388,   389,
      17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,
      27,    -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,
      37,    -1,    -1,    40,    -1,    -1,    43,    -1,    45,    46,
      -1,    48,    49,    -1,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    -1,    61,    -1,    -1,    -1,    -1,    -1,
      67,    -1,    -1,    -1,    -1,    72,    73,    74,    75,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    83,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,
     107,   108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,
     117,    -1,    -1,   120,    -1,    -1,    -1,   124,   125,   126,
     127,    -1,   129,    -1,    -1,    -1,   133,   134,    -1,   136,
      -1,   138,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,
      -1,   148,   149,   150,   151,    -1,    -1,   154,   155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,    -1,    -1,   174,    -1,    -1,
      -1,   178,    -1,    -1,    -1,    -1,   183,    -1,   185,    -1,
     187,    -1,   189,    -1,    -1,    -1,    -1,    -1,   195,   196,
      -1,   198,   199,   200,   201,    -1,    -1,   204,   205,    -1,
     207,    -1,   209,    -1,   211,   212,   213,   214,    -1,    -1,
      -1,   218,   219,   220,    -1,    -1,   223,    -1,    -1,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   242,   243,   244,    -1,    -1,
     247,    -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,
      -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,
     267,    -1,   269,    -1,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,
     287,   288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,
      -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,
     307,    -1,    -1,   310,   311,    -1,    -1,   314,   315,   316,
      -1,    -1,   319,   320,   321,    -1,   323,   324,    -1,    -1,
     327,    -1,    -1,   330,    -1,   332,   333,   334,    -1,    -1,
     337,    -1,    -1,   340,   341,   342,    -1,   344,   345,    -1,
      -1,    -1,   349,    -1,    -1,    -1,   353,    -1,    -1,    -1,
      -1,    -1,   359,    -1,    -1,   362,    -1,    -1,    -1,   366,
     367,    -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,
       4,    -1,     6,     7,     8,    -1,    -1,    -1,    -1,    13,
      -1,   388,   389,    17,    18,    19,    20,    -1,    22,    -1,
      -1,    -1,    -1,    27,    -1,    29,    30,    -1,    32,    -1,
      34,    -1,    -1,    37,    -1,    -1,    40,    -1,    -1,    43,
      -1,    45,    46,    -1,    48,    49,    -1,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    -1,    -1,
      -1,    -1,    -1,    67,    -1,    -1,    -1,    -1,    72,    73,
      74,    75,    -1,    -1,    78,    -1,    -1,    -1,    -1,    83,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    -1,    -1,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,   107,   108,    -1,   110,   111,    -1,    -1,
     114,    -1,   116,   117,    -1,    -1,   120,    -1,    -1,    -1,
     124,   125,   126,   127,    -1,   129,    -1,    -1,    -1,   133,
     134,    -1,   136,    -1,   138,    -1,    -1,    -1,   142,    -1,
      -1,    -1,    -1,    -1,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,    -1,
     174,    -1,    -1,    -1,   178,    -1,   180,    -1,    -1,   183,
      -1,   185,    -1,   187,    -1,   189,    -1,    -1,    -1,    -1,
      -1,   195,   196,    -1,   198,   199,   200,   201,    -1,    -1,
     204,   205,    -1,   207,    -1,   209,    -1,   211,   212,   213,
     214,    -1,    -1,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,    -1,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,   243,
     244,    -1,    -1,   247,    -1,   249,   250,   251,   252,    -1,
      -1,   255,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,
      -1,    -1,    -1,   267,    -1,   269,    -1,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,    -1,
      -1,   285,   286,   287,   288,    -1,    -1,    -1,   292,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,
      -1,    -1,   306,   307,    -1,    -1,   310,   311,    -1,    -1,
     314,   315,   316,    -1,    -1,   319,   320,   321,    -1,   323,
     324,    -1,    -1,   327,    -1,    -1,   330,    -1,   332,   333,
     334,    -1,    -1,   337,    -1,    -1,   340,   341,   342,    -1,
     344,   345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,
      -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,   362,    -1,
      -1,    -1,   366,   367,    -1,    -1,    -1,     4,   372,     6,
       7,     8,   376,    -1,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    20,   388,    22,    -1,    -1,    -1,    -1,
      27,    -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,
      37,    -1,    -1,    40,    -1,    -1,    43,    -1,    45,    46,
      -1,    48,    49,    -1,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    -1,    -1,    -1,    -1,    -1,
      67,    -1,    -1,    -1,    -1,    72,    73,    74,    75,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    83,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,
     107,   108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,
     117,    -1,    -1,   120,    -1,    -1,    -1,   124,   125,   126,
     127,    -1,   129,    -1,    -1,    -1,   133,   134,    -1,   136,
      -1,   138,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,
      -1,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,    -1,   174,    -1,    -1,
      -1,   178,    -1,    -1,    -1,    -1,   183,    -1,   185,    -1,
     187,    -1,   189,    -1,    -1,    -1,    -1,    -1,   195,   196,
      -1,   198,   199,   200,   201,    -1,    -1,   204,   205,    -1,
     207,    -1,   209,    -1,   211,   212,   213,   214,    -1,    -1,
      -1,   218,   219,   220,    -1,    -1,   223,    -1,    -1,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   242,   243,   244,    -1,    -1,
     247,    -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,
      -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,
     267,    -1,   269,    -1,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,
     287,   288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,
      -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,
     307,    -1,    -1,   310,   311,    -1,    -1,   314,   315,   316,
      -1,    -1,   319,   320,   321,    -1,   323,   324,    -1,    -1,
     327,    -1,    -1,   330,    -1,   332,   333,   334,    -1,    -1,
     337,    -1,    -1,   340,   341,   342,    -1,   344,   345,    -1,
      -1,    -1,   349,    -1,    -1,    -1,   353,    -1,    -1,    -1,
      -1,    -1,   359,    -1,    -1,   362,    -1,    -1,    -1,   366,
     367,    -1,    -1,    -1,     4,   372,     6,     7,     8,   376,
      -1,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      20,   388,    22,    -1,    -1,    -1,    -1,    27,    -1,    29,
      30,    -1,    32,    -1,    34,    -1,    -1,    37,    -1,    -1,
      40,    -1,    -1,    43,    -1,    45,    46,    -1,    48,    49,
      -1,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      -1,    61,    -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,
      -1,    -1,    72,    73,    74,    75,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    83,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    93,    94,    -1,    -1,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,   107,   108,    -1,
     110,   111,    -1,    -1,   114,    -1,   116,   117,    -1,    -1,
     120,    -1,    -1,    -1,   124,   125,   126,   127,    -1,   129,
      -1,    -1,    -1,   133,   134,    -1,   136,    -1,   138,    -1,
      -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,   148,   149,
     150,   151,    -1,    -1,   154,   155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,    -1,    -1,   174,    -1,    -1,    -1,   178,    -1,
      -1,    -1,    -1,   183,    -1,   185,    -1,   187,    -1,   189,
      -1,    -1,    -1,    -1,    -1,   195,   196,    -1,   198,   199,
     200,   201,    -1,    -1,   204,   205,    -1,   207,    -1,   209,
      -1,   211,   212,   213,   214,    -1,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,    -1,    -1,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   242,   243,   244,    -1,    -1,   247,    -1,   249,
     250,   251,   252,    -1,    -1,   255,    -1,    -1,    -1,   259,
      -1,    -1,    -1,   263,    -1,    -1,    -1,   267,    -1,   269,
      -1,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,   282,    -1,    -1,   285,   286,   287,   288,    -1,
      -1,    -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,
      -1,   301,    -1,    -1,    -1,    -1,   306,   307,    -1,    -1,
     310,   311,    -1,    -1,   314,   315,   316,    -1,    -1,   319,
     320,   321,    -1,   323,   324,    -1,    -1,   327,    -1,    -1,
     330,    -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,
     340,   341,   342,    -1,   344,   345,    -1,    -1,    -1,   349,
      -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,   359,
      -1,    -1,   362,    -1,    -1,    -1,   366,   367,    -1,    -1,
      -1,     4,   372,     6,     7,     8,   376,    -1,    -1,    -1,
      13,    -1,    -1,   383,    17,    18,    19,    20,   388,    22,
      -1,    -1,    -1,    -1,    27,    -1,    29,    30,    -1,    32,
      -1,    34,    -1,    -1,    37,    -1,    -1,    40,    -1,    -1,
      43,    -1,    45,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    -1,    61,    -1,
      -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,    -1,    72,
      73,    74,    75,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      93,    94,    -1,    -1,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,   105,    -1,   107,   108,    -1,   110,   111,    -1,
      -1,   114,    -1,   116,   117,    -1,    -1,   120,    -1,    -1,
      -1,   124,   125,   126,   127,    -1,   129,    -1,    -1,    -1,
     133,   134,    -1,   136,    -1,   138,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,   148,   149,   150,   151,    -1,
      -1,   154,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     163,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,
      -1,   174,    -1,    -1,    -1,   178,    -1,    -1,    -1,    -1,
     183,    -1,   185,    -1,   187,    -1,   189,    -1,    -1,    -1,
      -1,    -1,   195,   196,    -1,   198,   199,   200,   201,    -1,
      -1,   204,   205,    -1,   207,    -1,   209,    -1,   211,   212,
     213,   214,    -1,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,    -1,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
     243,   244,    -1,    -1,   247,    -1,   249,   250,   251,   252,
      -1,    -1,   255,    -1,    -1,    -1,   259,    -1,    -1,    -1,
     263,    -1,    -1,    -1,   267,    -1,   269,    -1,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
      -1,    -1,   285,   286,   287,   288,    -1,    -1,    -1,   292,
      -1,   294,   295,    -1,    -1,    -1,    -1,    -1,   301,    -1,
      -1,    -1,    -1,   306,   307,    -1,    -1,   310,   311,    -1,
      -1,   314,   315,   316,    -1,    -1,   319,   320,   321,    -1,
     323,   324,    -1,    -1,   327,    -1,    -1,   330,    -1,   332,
     333,   334,    -1,    -1,   337,    -1,    -1,   340,   341,   342,
      -1,   344,   345,    -1,    -1,    -1,   349,    -1,    -1,    -1,
     353,    -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,   362,
      -1,    -1,    -1,   366,   367,    -1,    -1,    -1,     4,   372,
       6,     7,     8,   376,    -1,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    20,   388,    22,    -1,    -1,    -1,
      -1,    27,    -1,    29,    30,    -1,    32,    -1,    34,    -1,
      -1,    37,    -1,    -1,    40,    -1,    -1,    43,    -1,    45,
      46,    -1,    48,    49,    -1,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    -1,    61,    -1,    -1,    -1,    -1,
      -1,    67,    -1,    -1,    -1,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    83,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    -1,
      -1,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,   107,   108,    -1,   110,   111,    -1,    -1,   114,    -1,
     116,   117,    -1,    -1,   120,    -1,    -1,    -1,   124,   125,
     126,   127,    -1,   129,    -1,    -1,    -1,   133,   134,    -1,
     136,    -1,   138,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,    -1,   148,   149,   150,   151,    -1,    -1,   154,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,    -1,    -1,   174,    -1,
      -1,    -1,   178,    -1,    -1,    -1,    -1,   183,    -1,   185,
      -1,   187,    -1,   189,    -1,    -1,    -1,    -1,    -1,   195,
     196,    -1,   198,   199,   200,   201,    -1,    -1,   204,   205,
      -1,   207,    -1,   209,    -1,   211,   212,   213,   214,    -1,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,    -1,    -1,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   242,   243,   244,    -1,
      -1,   247,    -1,   249,   250,   251,   252,    -1,    -1,   255,
      -1,    -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,
      -1,   267,    -1,   269,    -1,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,    -1,    -1,   285,
     286,   287,   288,    -1,    -1,    -1,   292,    -1,   294,   295,
      -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,
     306,   307,    -1,    -1,   310,   311,    -1,    -1,   314,   315,
     316,    -1,    -1,   319,   320,   321,    -1,   323,   324,    -1,
      -1,   327,    -1,    -1,   330,    -1,   332,   333,   334,    -1,
      -1,   337,    -1,    -1,   340,   341,   342,    -1,   344,   345,
      -1,    -1,    -1,   349,    -1,    -1,    -1,   353,    -1,    -1,
      -1,    -1,    -1,   359,    -1,    -1,   362,    -1,    -1,    -1,
     366,   367,    -1,    -1,    -1,     4,   372,     6,     7,     8,
     376,    -1,    -1,    -1,    13,    -1,   382,    -1,    17,    18,
      19,    20,   388,    22,    -1,    -1,    -1,    -1,    27,    -1,
      29,    30,    -1,    32,    -1,    34,    -1,    -1,    37,    -1,
      -1,    40,    -1,    -1,    43,    -1,    45,    46,    -1,    48,
      49,    -1,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    -1,    61,    -1,    -1,    -1,    -1,    -1,    67,    -1,
      -1,    -1,    -1,    72,    73,    74,    75,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    83,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    -1,    -1,    -1,    -1,
      99,   100,   101,    -1,    -1,    -1,   105,    -1,   107,   108,
      -1,   110,   111,    -1,    -1,   114,    -1,   116,   117,    -1,
      -1,   120,    -1,    -1,    -1,   124,   125,   126,   127,    -1,
     129,    -1,    -1,    -1,   133,   134,    -1,   136,    -1,   138,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,   148,
     149,   150,   151,    -1,    -1,   154,   155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,    -1,    -1,   174,    -1,    -1,    -1,   178,
      -1,    -1,    -1,    -1,   183,    -1,   185,    -1,   187,    -1,
     189,    -1,    -1,    -1,    -1,    -1,   195,   196,    -1,   198,
     199,   200,   201,    -1,    -1,   204,   205,    -1,   207,    -1,
     209,    -1,   211,   212,   213,   214,    -1,    -1,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,    -1,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   242,   243,   244,    -1,    -1,   247,    -1,
     249,   250,   251,   252,    -1,    -1,   255,    -1,    -1,    -1,
     259,    -1,    -1,    -1,   263,    -1,    -1,    -1,   267,    -1,
     269,    -1,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,    -1,    -1,   285,   286,   287,   288,
      -1,    -1,    -1,   292,    -1,   294,   295,    -1,    -1,    -1,
      -1,    -1,   301,    -1,    -1,    -1,    -1,   306,   307,    -1,
      -1,   310,   311,    -1,    -1,   314,   315,   316,    -1,    -1,
     319,   320,   321,    -1,   323,   324,    -1,    -1,   327,    -1,
      -1,   330,    -1,   332,   333,   334,    -1,    -1,   337,    -1,
      -1,   340,   341,   342,    -1,   344,   345,    -1,    -1,    -1,
     349,    -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,
     359,    -1,    -1,   362,    -1,    -1,    -1,   366,   367,    -1,
      -1,    -1,     4,   372,     6,     7,     8,   376,    -1,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    20,   388,
      22,    -1,    -1,    -1,    -1,    27,    -1,    29,    30,    -1,
      32,    -1,    34,    -1,    -1,    37,    -1,    -1,    40,    -1,
      -1,    43,    -1,    45,    46,    -1,    48,    49,    -1,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    -1,    61,
      -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,    -1,
      72,    73,    74,    75,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    -1,    -1,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,   107,   108,    -1,   110,   111,
      -1,    -1,   114,    -1,   116,   117,    -1,    -1,   120,    -1,
      -1,    -1,   124,   125,   126,   127,    -1,   129,    -1,    -1,
      -1,   133,   134,    -1,   136,    -1,   138,    -1,    -1,    -1,
     142,    -1,    -1,    -1,    -1,    -1,   148,   149,   150,   151,
      -1,    -1,   154,   155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
      -1,    -1,   174,    -1,    -1,    -1,   178,    -1,    -1,    -1,
      -1,   183,    -1,   185,    -1,   187,    -1,   189,    -1,    -1,
      -1,    -1,    -1,   195,   196,    -1,   198,   199,   200,   201,
      -1,    -1,   204,   205,    -1,   207,    -1,   209,    -1,   211,
     212,   213,   214,    -1,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,    -1,    -1,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     242,   243,   244,    -1,    -1,   247,    -1,   249,   250,   251,
     252,    -1,    -1,   255,    -1,    -1,    -1,   259,    -1,    -1,
      -1,   263,    -1,    -1,    -1,   267,    -1,   269,    -1,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,    -1,    -1,   285,   286,   287,   288,    -1,    -1,    -1,
     292,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,   301,
      -1,    -1,    -1,    -1,   306,   307,    -1,    -1,   310,   311,
      -1,    -1,   314,   315,   316,    -1,    -1,   319,   320,   321,
      -1,   323,   324,    -1,    -1,   327,    -1,    -1,   330,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,   340,   341,
     342,    -1,   344,   345,    -1,    -1,    -1,   349,    -1,    -1,
      -1,   353,    -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,
     362,    -1,    -1,    -1,   366,   367,    -1,    -1,    -1,     4,
     372,     6,     7,     8,   376,    -1,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    20,   388,    22,    -1,    -1,
      -1,    -1,    27,    -1,    29,    30,    -1,    32,    -1,    34,
      -1,    -1,    37,    -1,    -1,    40,    -1,    -1,    43,    -1,
      45,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    -1,    61,    -1,    -1,    -1,
      -1,    -1,    67,    -1,    -1,    -1,    -1,    72,    73,    74,
      75,    -1,    -1,    78,    -1,    -1,    -1,    -1,    83,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      -1,    -1,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
     105,    -1,   107,   108,    -1,   110,   111,    -1,    -1,   114,
      -1,   116,   117,    -1,    -1,   120,    -1,    -1,    -1,   124,
     125,   126,   127,    -1,   129,    -1,    -1,    -1,   133,   134,
      -1,   136,    -1,   138,    -1,    -1,    -1,   142,    -1,    -1,
      -1,    -1,    -1,   148,   149,   150,   151,    -1,    -1,   154,
     155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,   174,
      -1,    -1,    -1,   178,    -1,    -1,    -1,    -1,   183,    -1,
     185,    -1,   187,    -1,   189,    -1,    -1,    -1,    -1,    -1,
     195,   196,    -1,   198,   199,   200,   201,    -1,    -1,   204,
     205,    -1,   207,    -1,   209,    -1,   211,   212,   213,   214,
      -1,    -1,    -1,   218,   219,   220,    -1,    -1,   223,    -1,
      -1,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,   243,   244,
      -1,    -1,   247,    -1,   249,   250,   251,   252,    -1,    -1,
     255,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,    -1,
      -1,    -1,   267,    -1,   269,    -1,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,    -1,    -1,
     285,   286,   287,   288,    -1,    -1,    -1,   292,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,
      -1,   306,   307,    -1,    -1,   310,   311,    -1,    -1,   314,
     315,   316,    -1,    -1,   319,   320,   321,    -1,   323,   324,
      -1,    -1,   327,    -1,    -1,   330,    -1,   332,   333,   334,
      -1,    -1,   337,    -1,    -1,   340,   341,   342,    -1,   344,
     345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,    -1,
      -1,    -1,    -1,    -1,   359,    -1,    -1,   362,    -1,    -1,
      -1,   366,   367,    -1,    -1,    -1,     4,   372,     6,     7,
       8,   376,    -1,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    20,   388,    22,    -1,    -1,    -1,    -1,    27,
      -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,    37,
      -1,    -1,    40,    -1,    -1,    43,    -1,    45,    46,    -1,
      48,    49,    -1,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    -1,    61,    -1,    -1,    -1,    -1,    -1,    67,
      -1,    -1,    -1,    -1,    72,    73,    74,    75,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    83,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,   107,
     108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,   117,
      -1,    -1,   120,    -1,    -1,    -1,   124,   125,   126,   127,
      -1,   129,    -1,    -1,    -1,   133,   134,    -1,   136,    -1,
     138,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,
     148,   149,   150,   151,    -1,    -1,   154,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,   174,    -1,    -1,    -1,
     178,    -1,    -1,    -1,    -1,   183,    -1,   185,    -1,   187,
      -1,   189,    -1,    -1,    -1,    -1,    -1,   195,   196,    -1,
     198,   199,   200,   201,    -1,    -1,   204,   205,    -1,   207,
      -1,   209,    -1,   211,   212,   213,   214,    -1,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,    -1,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,   243,   244,    -1,    -1,   247,
      -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,    -1,
      -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,   267,
      -1,   269,    -1,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,   287,
     288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,   307,
      -1,    -1,   310,   311,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,   320,   321,    -1,   323,   324,    -1,    -1,   327,
      -1,    -1,   330,    -1,   332,   333,   334,    -1,    -1,   337,
      -1,    -1,   340,   341,   342,    -1,   344,   345,    -1,    -1,
      -1,   349,    -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,
      -1,   359,    -1,    -1,   362,    -1,    -1,    -1,   366,   367,
      -1,    -1,    -1,     4,   372,     6,     7,     8,   376,    -1,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    20,
     388,    22,    -1,    -1,    -1,    -1,    27,    -1,    29,    30,
      -1,    32,    -1,    34,    -1,    -1,    37,    -1,    -1,    40,
      -1,    -1,    43,    -1,    45,    46,    47,    48,    49,    -1,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    -1,
      61,    -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,
      -1,    72,    73,    74,    75,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    83,    84,    -1,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    93,    94,    -1,    -1,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,   105,    -1,   107,   108,    -1,   110,
     111,    -1,    -1,   114,    -1,   116,   117,    -1,    -1,   120,
      -1,    -1,    -1,   124,   125,   126,   127,    -1,   129,    -1,
      -1,    -1,   133,   134,    -1,   136,    -1,   138,    -1,    -1,
      -1,   142,    -1,    -1,    -1,    -1,    -1,   148,   149,   150,
     151,    -1,    -1,   154,   155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,    -1,
      -1,    -1,   183,    -1,   185,    -1,   187,    -1,   189,    -1,
      -1,    -1,    -1,    -1,   195,   196,    -1,   198,   199,   200,
     201,    -1,    -1,   204,   205,    -1,   207,    -1,   209,    -1,
     211,   212,   213,   214,    -1,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,    -1,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   242,   243,   244,    -1,    -1,   247,    -1,   249,   250,
     251,   252,    -1,    -1,   255,    -1,    -1,    -1,   259,    -1,
      -1,    -1,   263,    -1,    -1,    -1,   267,    -1,   269,    -1,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,    -1,    -1,   285,   286,   287,   288,    -1,    -1,
      -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
     301,    -1,    -1,    -1,    -1,   306,   307,    -1,    -1,   310,
     311,    -1,    -1,   314,   315,   316,    -1,    -1,   319,   320,
     321,    -1,   323,   324,    -1,    -1,   327,    -1,   329,   330,
      -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,   340,
     341,   342,    -1,   344,   345,    -1,    -1,    -1,   349,    -1,
      -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,   359,    -1,
      -1,   362,    -1,    -1,    -1,   366,   367,    -1,    -1,    -1,
      -1,   372,    -1,    -1,    -1,   376,     4,    -1,     6,     7,
       8,    -1,    -1,   384,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,
      -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,    37,
      -1,    -1,    40,    -1,    -1,    43,    -1,    45,    46,    47,
      48,    49,    -1,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    -1,    61,    -1,    -1,    -1,    -1,    -1,    67,
      -1,    -1,    -1,    -1,    72,    73,    74,    75,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    83,    84,    -1,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,   107,
     108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,   117,
      -1,    -1,   120,    -1,    -1,    -1,   124,   125,   126,   127,
      -1,   129,    -1,    -1,    -1,   133,   134,    -1,   136,    -1,
     138,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,
     148,   149,   150,   151,    -1,    -1,   154,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,   180,    -1,    -1,   183,    -1,   185,    -1,   187,
      -1,   189,    -1,    -1,    -1,    -1,    -1,   195,   196,    -1,
     198,   199,   200,   201,    -1,    -1,   204,   205,    -1,   207,
      -1,   209,    -1,   211,   212,   213,   214,    -1,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,    -1,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,   243,   244,    -1,    -1,   247,
      -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,    -1,
      -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,   267,
      -1,   269,    -1,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,   287,
     288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,   307,
      -1,    -1,   310,   311,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,   320,   321,    -1,   323,   324,    -1,    -1,   327,
      -1,   329,   330,    -1,   332,   333,   334,    -1,    -1,   337,
      -1,    -1,   340,   341,   342,    -1,   344,   345,    -1,    -1,
      -1,   349,    -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,
      -1,   359,    -1,    -1,   362,    -1,    -1,    -1,   366,   367,
      -1,    -1,    -1,     4,   372,     6,     7,     8,   376,    -1,
      -1,    -1,    13,    -1,   382,    -1,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    -1,    -1,    27,    -1,    29,    30,
      -1,    32,    -1,    34,    -1,    -1,    37,    -1,    -1,    40,
      -1,    -1,    43,    -1,    45,    46,    -1,    48,    49,    -1,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    -1,
      61,    -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,
      -1,    72,    73,    74,    75,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    -1,    -1,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,   105,    -1,   107,   108,    -1,   110,
     111,    -1,    -1,   114,    -1,   116,   117,    -1,    -1,   120,
      -1,    -1,    -1,   124,   125,   126,   127,    -1,   129,    -1,
      -1,    -1,   133,   134,    -1,   136,    -1,   138,    -1,    -1,
      -1,   142,    -1,    -1,    -1,    -1,    -1,   148,   149,   150,
     151,    -1,    -1,   154,   155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,    -1,    -1,   174,    -1,    -1,    -1,   178,    -1,    -1,
      -1,    -1,   183,    -1,   185,    -1,   187,    -1,   189,    -1,
      -1,    -1,    -1,    -1,   195,   196,    -1,   198,   199,   200,
     201,    -1,    -1,   204,   205,    -1,   207,    -1,   209,    -1,
     211,   212,   213,   214,    -1,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,    -1,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   242,   243,   244,    -1,    -1,   247,    -1,   249,   250,
     251,   252,    -1,    -1,   255,    -1,    -1,    -1,   259,    -1,
      -1,    -1,   263,    -1,    -1,    -1,   267,    -1,   269,    -1,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,    -1,    -1,   285,   286,   287,   288,    -1,    -1,
      -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
     301,    -1,    -1,    -1,    -1,   306,   307,    -1,    -1,   310,
     311,    -1,    -1,   314,   315,   316,    -1,    -1,   319,   320,
     321,    -1,   323,   324,    -1,    -1,   327,    -1,    -1,   330,
      -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,   340,
     341,   342,    -1,   344,   345,    -1,    -1,    -1,   349,    -1,
      -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,   359,    -1,
      -1,   362,    -1,    -1,    -1,   366,   367,    -1,    -1,    -1,
       4,   372,     6,     7,     8,   376,    -1,    -1,   379,    13,
      -1,    -1,    -1,    17,    18,    19,    20,    -1,    22,    -1,
      -1,    -1,    -1,    27,    -1,    29,    30,    -1,    32,    -1,
      34,    -1,    -1,    37,    -1,    -1,    40,    -1,    -1,    43,
      -1,    45,    46,    -1,    48,    49,    -1,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    -1,    61,    -1,    -1,
      -1,    -1,    -1,    67,    -1,    -1,    -1,    -1,    72,    73,
      74,    75,    -1,    -1,    78,    -1,    -1,    -1,    -1,    83,
      84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,
      94,    -1,    -1,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,   107,   108,    -1,   110,   111,    -1,    -1,
     114,    -1,   116,   117,    -1,    -1,   120,    -1,    -1,    -1,
     124,   125,   126,   127,    -1,   129,    -1,    -1,    -1,   133,
     134,    -1,   136,    -1,   138,    -1,    -1,    -1,   142,    -1,
      -1,    -1,    -1,    -1,   148,   149,   150,   151,    -1,    -1,
     154,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,
     174,    -1,    -1,    -1,   178,    -1,    -1,    -1,    -1,   183,
      -1,   185,    -1,   187,    -1,   189,    -1,    -1,    -1,    -1,
      -1,   195,   196,    -1,   198,   199,   200,   201,    -1,    -1,
     204,   205,    -1,   207,    -1,   209,    -1,   211,   212,   213,
     214,    -1,    -1,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,    -1,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,   243,
     244,    -1,    -1,   247,    -1,   249,   250,   251,   252,    -1,
      -1,   255,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,
      -1,    -1,    -1,   267,    -1,   269,    -1,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,    -1,
      -1,   285,   286,   287,   288,    -1,    -1,    -1,   292,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,
      -1,    -1,   306,   307,    -1,    -1,   310,   311,    -1,    -1,
     314,   315,   316,    -1,    -1,   319,   320,   321,    -1,   323,
     324,    -1,    -1,   327,    -1,    -1,   330,    -1,   332,   333,
     334,    -1,    -1,   337,    -1,    -1,   340,   341,   342,    -1,
     344,   345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,
      -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,   362,    -1,
      -1,    -1,   366,   367,    -1,    -1,    -1,    -1,   372,    -1,
      -1,    -1,   376,    -1,    -1,   379,     4,     5,     6,     7,
       8,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,
      -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,    37,
      -1,    -1,    40,    41,    -1,    43,    -1,    45,    46,    -1,
      48,    49,    -1,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    -1,    61,    -1,    63,    -1,    -1,    -1,    67,
      -1,    -1,    -1,    -1,    72,    73,    74,    75,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    83,    84,    -1,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,    -1,
      98,    99,   100,   101,    -1,    -1,    -1,   105,    -1,   107,
     108,   109,   110,   111,    -1,    -1,   114,    -1,   116,   117,
      -1,    -1,   120,    -1,    -1,    -1,   124,   125,   126,   127,
      -1,   129,   130,    -1,    -1,   133,   134,    -1,   136,    -1,
     138,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,
     148,   149,   150,   151,    -1,    -1,   154,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,    -1,    -1,    -1,   183,    -1,   185,    -1,   187,
      -1,   189,    -1,    -1,    -1,    -1,    -1,   195,   196,    -1,
     198,   199,   200,   201,    -1,    -1,   204,   205,    -1,   207,
      -1,   209,    -1,   211,   212,   213,   214,    -1,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,    -1,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,   237,
      -1,    -1,    -1,    -1,   242,   243,   244,    -1,    -1,   247,
      -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,    -1,
      -1,   259,    -1,    -1,   262,   263,    -1,    -1,    -1,   267,
      -1,   269,    -1,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,   287,
     288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,   307,
      -1,    -1,   310,   311,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,   320,   321,    -1,   323,   324,    -1,    -1,   327,
      -1,   329,   330,    -1,   332,   333,   334,    -1,    -1,   337,
      -1,    -1,   340,   341,   342,    -1,   344,   345,    -1,    -1,
      -1,   349,    -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,
      -1,   359,    -1,    -1,   362,    -1,    -1,    -1,   366,   367,
      -1,    -1,    -1,    -1,   372,    -1,    -1,    -1,   376,     4,
       5,     6,     7,     8,    -1,    10,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      -1,    -1,    27,    -1,    29,    30,    -1,    32,    -1,    34,
      -1,    -1,    37,    -1,    -1,    40,    41,    -1,    43,    -1,
      45,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    -1,    61,    -1,    63,    -1,
      -1,    -1,    67,    -1,    -1,    -1,    -1,    72,    73,    74,
      75,    -1,    -1,    78,    -1,    -1,    -1,    -1,    83,    84,
      -1,    -1,    -1,    88,    -1,    -1,    -1,    -1,    93,    94,
      -1,    -1,    -1,    98,    99,   100,   101,    -1,    -1,    -1,
     105,    -1,   107,   108,    -1,   110,   111,    -1,    -1,   114,
      -1,   116,   117,    -1,    -1,   120,    -1,    -1,    -1,   124,
     125,   126,   127,    -1,   129,   130,    -1,    -1,   133,   134,
      -1,   136,    -1,   138,    -1,    -1,    -1,   142,    -1,    -1,
      -1,    -1,    -1,   148,   149,   150,   151,    -1,    -1,   154,
     155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,   174,
      -1,    -1,    -1,   178,   179,    -1,    -1,    -1,   183,    -1,
     185,    -1,   187,    -1,   189,    -1,    -1,    -1,    -1,    -1,
     195,   196,    -1,   198,   199,   200,   201,    -1,    -1,   204,
     205,    -1,   207,    -1,   209,    -1,   211,   212,   213,   214,
      -1,    -1,    -1,   218,   219,   220,    -1,    -1,   223,    -1,
      -1,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
      -1,    -1,   237,    -1,    -1,    -1,    -1,   242,   243,   244,
      -1,    -1,   247,    -1,   249,   250,   251,   252,    -1,    -1,
     255,    -1,    -1,    -1,   259,    -1,    -1,   262,   263,    -1,
      -1,    -1,   267,    -1,   269,    -1,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,    -1,    -1,
     285,   286,   287,   288,    -1,    -1,    -1,   292,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,
      -1,   306,   307,    -1,    -1,   310,   311,    -1,    -1,   314,
     315,   316,    -1,    -1,   319,   320,   321,    -1,   323,   324,
      -1,    -1,   327,    -1,   329,   330,    -1,   332,   333,   334,
      -1,    -1,   337,    -1,    -1,   340,   341,   342,    -1,   344,
     345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,    -1,
      -1,    -1,    -1,    -1,   359,    -1,    -1,   362,    -1,    -1,
      -1,   366,   367,    -1,    -1,    -1,     4,   372,     6,     7,
       8,   376,    -1,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,
      -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,    37,
      -1,    -1,    40,    -1,    -1,    43,    -1,    45,    46,    -1,
      48,    49,    -1,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    -1,    61,    -1,    -1,    -1,    -1,    -1,    67,
      -1,    -1,    -1,    -1,    72,    73,    74,    75,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    83,    84,    85,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,   107,
     108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,   117,
      -1,    -1,   120,    -1,    -1,    -1,   124,   125,   126,   127,
     128,   129,    -1,    -1,    -1,   133,   134,    -1,   136,    -1,
     138,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,
     148,   149,   150,   151,    -1,    -1,   154,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,   174,    -1,    -1,    -1,
     178,   179,    -1,    -1,    -1,   183,    -1,   185,    -1,   187,
      -1,   189,   190,    -1,    -1,    -1,    -1,   195,   196,    -1,
     198,   199,   200,   201,    -1,    -1,   204,   205,    -1,   207,
      -1,   209,    -1,   211,   212,   213,   214,    -1,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,   243,   244,    -1,    -1,   247,
      -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,    -1,
      -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,   267,
      -1,   269,    -1,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,   287,
     288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,   307,
      -1,    -1,   310,   311,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,   320,   321,    -1,   323,   324,    -1,    -1,   327,
      -1,   329,   330,    -1,   332,   333,   334,    -1,    -1,   337,
      -1,    -1,   340,   341,   342,   343,   344,   345,    -1,    -1,
      -1,   349,    -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,
      -1,   359,    -1,    -1,   362,    -1,    -1,    -1,   366,   367,
      -1,    -1,    -1,     4,   372,     6,     7,     8,   376,    -1,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    -1,    -1,    27,    -1,    29,    30,
      -1,    32,    -1,    34,    -1,    -1,    37,    -1,    -1,    40,
      -1,    -1,    43,    -1,    45,    46,    47,    48,    49,    -1,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    -1,
      61,    -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,
      -1,    72,    73,    74,    75,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    83,    84,    -1,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    93,    94,    -1,    -1,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,   105,    -1,   107,   108,    -1,   110,
     111,    -1,    -1,   114,    -1,   116,   117,    -1,    -1,   120,
      -1,    -1,    -1,   124,   125,   126,   127,    -1,   129,    -1,
      -1,    -1,   133,   134,    -1,   136,    -1,   138,    -1,    -1,
      -1,   142,    -1,    -1,    -1,    -1,    -1,   148,   149,   150,
     151,    -1,    -1,   154,   155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,    -1,
      -1,    -1,   183,    -1,   185,    -1,   187,    -1,   189,    -1,
      -1,    -1,    -1,    -1,   195,   196,    -1,   198,   199,   200,
     201,    -1,    -1,   204,   205,    -1,   207,    -1,   209,    -1,
     211,   212,   213,   214,    -1,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,    -1,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   242,   243,   244,    -1,    -1,   247,    -1,   249,   250,
     251,   252,    -1,    -1,   255,    -1,    -1,    -1,   259,    -1,
      -1,    -1,   263,    -1,    -1,    -1,   267,    -1,   269,    -1,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,    -1,    -1,   285,   286,   287,   288,    -1,    -1,
      -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
     301,    -1,    -1,    -1,    -1,   306,   307,    -1,    -1,   310,
     311,    -1,    -1,   314,   315,   316,    -1,    -1,   319,   320,
     321,    -1,   323,   324,    -1,    -1,   327,    -1,   329,   330,
      -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,   340,
     341,   342,    -1,   344,   345,    -1,    -1,    -1,   349,    -1,
      -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,   359,    -1,
      -1,   362,    -1,    -1,    -1,   366,   367,    -1,    -1,    -1,
       4,   372,     6,     7,     8,   376,    -1,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    20,    -1,    22,    -1,
      -1,    -1,    -1,    27,    -1,    29,    30,    -1,    32,    -1,
      34,    -1,    -1,    37,    -1,    -1,    40,    -1,    -1,    43,
      -1,    45,    46,    47,    48,    49,    -1,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    -1,    61,    -1,    -1,
      -1,    -1,    -1,    67,    -1,    -1,    -1,    -1,    72,    73,
      74,    75,    -1,    -1,    78,    -1,    -1,    -1,    -1,    83,
      84,    -1,    -1,    -1,    88,    -1,    -1,    -1,    -1,    93,
      94,    -1,    -1,    -1,    -1,    99,   100,   101,    -1,    -1,
      -1,   105,    -1,   107,   108,    -1,   110,   111,    -1,    -1,
     114,    -1,   116,   117,    -1,    -1,   120,    -1,    -1,    -1,
     124,   125,   126,   127,    -1,   129,    -1,    -1,    -1,   133,
     134,    -1,   136,    -1,   138,    -1,    -1,    -1,   142,    -1,
      -1,    -1,    -1,    -1,   148,   149,   150,   151,    -1,    -1,
     154,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,
     174,    -1,    -1,    -1,   178,   179,    -1,    -1,    -1,   183,
      -1,   185,    -1,   187,    -1,   189,    -1,    -1,    -1,    -1,
      -1,   195,   196,    -1,   198,   199,   200,   201,    -1,    -1,
     204,   205,    -1,   207,    -1,   209,    -1,   211,   212,   213,
     214,    -1,    -1,    -1,   218,   219,   220,    -1,    -1,   223,
      -1,    -1,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,   243,
     244,    -1,    -1,   247,    -1,   249,   250,   251,   252,    -1,
      -1,   255,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,
      -1,    -1,    -1,   267,    -1,   269,    -1,    -1,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,    -1,
      -1,   285,   286,   287,   288,    -1,    -1,    -1,   292,    -1,
     294,   295,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,
      -1,    -1,   306,   307,    -1,    -1,   310,   311,    -1,    -1,
     314,   315,   316,    -1,    -1,   319,   320,   321,    -1,   323,
     324,    -1,    -1,   327,    -1,   329,   330,    -1,   332,   333,
     334,    -1,    -1,   337,    -1,    -1,   340,   341,   342,    -1,
     344,   345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,
      -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,   362,    -1,
      -1,    -1,   366,   367,    -1,    -1,    -1,     4,   372,     6,
       7,     8,   376,    -1,    -1,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,    26,
      27,    -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,
      37,    -1,    -1,    40,    -1,    -1,    43,    -1,    45,    46,
      -1,    48,    49,    -1,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    -1,    61,    -1,    -1,    -1,    -1,    -1,
      67,    -1,    -1,    -1,    -1,    72,    73,    74,    75,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    83,    84,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,
      -1,    -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,
     107,   108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,
     117,    -1,    -1,   120,    -1,    -1,    -1,   124,   125,   126,
     127,    -1,   129,    -1,    -1,    -1,   133,   134,    -1,   136,
      -1,   138,    -1,    -1,    -1,   142,    -1,   144,    -1,    -1,
      -1,   148,   149,   150,   151,    -1,    -1,   154,   155,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,    -1,    -1,   174,    -1,    -1,
      -1,   178,    -1,    -1,    -1,    -1,   183,    -1,   185,    -1,
     187,    -1,   189,    -1,    -1,    -1,    -1,    -1,   195,   196,
      -1,   198,   199,   200,   201,    -1,    -1,   204,   205,    -1,
     207,    -1,   209,    -1,   211,   212,   213,   214,    -1,    -1,
      -1,   218,   219,   220,    -1,    -1,   223,    -1,    -1,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   242,   243,   244,    -1,    -1,
     247,    -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,
      -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,
     267,    -1,   269,    -1,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,
     287,   288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,
      -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,
     307,    -1,    -1,   310,   311,    -1,    -1,   314,   315,   316,
      -1,    -1,   319,   320,   321,    -1,   323,   324,    -1,    -1,
     327,    -1,   329,   330,    -1,   332,   333,   334,    -1,    -1,
     337,    -1,    -1,   340,   341,   342,    -1,   344,   345,    -1,
      -1,    -1,   349,    -1,    -1,    -1,   353,    -1,    -1,    -1,
      -1,    -1,   359,    -1,    -1,   362,    -1,    -1,    -1,   366,
     367,    -1,    -1,    -1,     4,   372,     6,     7,     8,   376,
      -1,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      20,    -1,    22,    -1,    -1,    -1,    -1,    27,    -1,    29,
      30,    -1,    32,    -1,    34,    -1,    -1,    37,    -1,    -1,
      40,    -1,    -1,    43,    -1,    45,    46,    -1,    48,    49,
      -1,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      -1,    61,    -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,
      -1,    -1,    72,    73,    74,    75,    -1,    -1,    78,    -1,
      -1,    -1,    -1,    83,    84,    -1,    -1,    -1,    88,    -1,
      -1,    -1,    -1,    93,    94,    -1,    -1,    -1,    -1,    99,
     100,   101,    -1,    -1,    -1,   105,    -1,   107,   108,    -1,
     110,   111,    -1,    -1,   114,    -1,   116,   117,    -1,    -1,
     120,    -1,    -1,    -1,   124,   125,   126,   127,    -1,   129,
      -1,    -1,    -1,   133,   134,    -1,   136,    -1,   138,    -1,
      -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,   148,   149,
     150,   151,    -1,    -1,   154,   155,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,    -1,    -1,   174,    -1,    -1,    -1,   178,   179,
      -1,    -1,    -1,   183,    -1,   185,    -1,   187,    -1,   189,
      -1,    -1,    -1,    -1,    -1,   195,   196,    -1,   198,   199,
     200,   201,    -1,    -1,   204,   205,    -1,   207,    -1,   209,
      -1,   211,   212,   213,   214,    -1,    -1,    -1,   218,   219,
     220,    -1,    -1,   223,    -1,    -1,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   242,   243,   244,    -1,    -1,   247,    -1,   249,
     250,   251,   252,    -1,    -1,   255,    -1,    -1,    -1,   259,
      -1,    -1,    -1,   263,    -1,    -1,    -1,   267,    -1,   269,
      -1,    -1,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,    -1,    -1,   285,   286,   287,   288,    -1,
      -1,    -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,
      -1,   301,    -1,    -1,    -1,    -1,   306,   307,    -1,    -1,
     310,   311,    -1,    -1,   314,   315,   316,    -1,    -1,   319,
     320,   321,    -1,   323,   324,    -1,    -1,   327,    -1,   329,
     330,    -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,
     340,   341,   342,    -1,   344,   345,    -1,    -1,    -1,   349,
      -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,   359,
      -1,    -1,   362,    -1,    -1,    -1,   366,   367,    -1,    -1,
      -1,     4,   372,     6,     7,     8,   376,    -1,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    27,    -1,    29,    30,    -1,    32,
      -1,    34,    -1,    -1,    37,    -1,    -1,    40,    -1,    -1,
      43,    -1,    45,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    -1,    61,    -1,
      -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,    -1,    72,
      73,    74,    75,    -1,    -1,    78,    -1,    -1,    -1,    -1,
      83,    84,    -1,    -1,    -1,    88,    -1,    -1,    -1,    -1,
      93,    94,    -1,    -1,    -1,    -1,    99,   100,   101,    -1,
      -1,    -1,   105,    -1,   107,   108,    -1,   110,   111,    -1,
      -1,   114,    -1,   116,   117,    -1,    -1,   120,    -1,    -1,
      -1,   124,   125,   126,   127,    -1,   129,    -1,    -1,    -1,
     133,   134,    -1,   136,    -1,   138,    -1,    -1,    -1,   142,
      -1,    -1,    -1,    -1,    -1,   148,   149,   150,   151,    -1,
      -1,   154,   155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,    -1,
      -1,   174,    -1,    -1,    -1,   178,   179,    -1,    -1,    -1,
     183,    -1,   185,    -1,   187,    -1,   189,    -1,    -1,    -1,
      -1,    -1,   195,   196,    -1,   198,   199,   200,   201,    -1,
      -1,   204,   205,    -1,   207,    -1,   209,    -1,   211,   212,
     213,   214,    -1,    -1,    -1,   218,   219,   220,    -1,    -1,
     223,    -1,    -1,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,
     243,   244,    -1,    -1,   247,    -1,   249,   250,   251,   252,
      -1,    -1,   255,    -1,    -1,    -1,   259,    -1,    -1,    -1,
     263,    -1,    -1,    -1,   267,    -1,   269,    -1,    -1,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
      -1,    -1,   285,   286,   287,   288,    -1,    -1,    -1,   292,
      -1,   294,   295,    -1,    -1,    -1,    -1,    -1,   301,    -1,
      -1,    -1,    -1,   306,   307,    -1,    -1,   310,   311,    -1,
      -1,   314,   315,   316,    -1,    -1,   319,   320,   321,    -1,
     323,   324,    -1,    -1,   327,    -1,   329,   330,    -1,   332,
     333,   334,    -1,    -1,   337,    -1,    -1,   340,   341,   342,
      -1,   344,   345,    -1,    -1,    -1,   349,    -1,    -1,    -1,
     353,    -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,   362,
      -1,    -1,    -1,   366,   367,    -1,    -1,    -1,     4,   372,
       6,     7,     8,   376,    -1,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,
      -1,    27,    -1,    29,    30,    -1,    32,    -1,    34,    -1,
      -1,    37,    -1,    -1,    40,    -1,    -1,    43,    -1,    45,
      46,    -1,    48,    49,    -1,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    -1,    61,    -1,    -1,    -1,    -1,
      -1,    67,    -1,    -1,    -1,    -1,    72,    73,    74,    75,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    83,    84,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,    -1,
      -1,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,   105,
      -1,   107,   108,    -1,   110,   111,    -1,    -1,   114,    -1,
     116,   117,    -1,    -1,   120,    -1,    -1,    -1,   124,   125,
     126,   127,    -1,   129,    -1,    -1,    -1,   133,   134,    -1,
     136,    -1,   138,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,    -1,   148,   149,   150,   151,    -1,    -1,   154,   155,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,    -1,    -1,   174,    -1,
      -1,    -1,   178,   179,    -1,    -1,    -1,   183,    -1,   185,
      -1,   187,    -1,   189,    -1,    -1,    -1,    -1,    -1,   195,
     196,    -1,   198,   199,   200,   201,    -1,    -1,   204,   205,
      -1,   207,    -1,   209,    -1,   211,   212,   213,   214,    -1,
      -1,    -1,   218,   219,   220,    -1,    -1,   223,    -1,    -1,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   242,   243,   244,    -1,
      -1,   247,    -1,   249,   250,   251,   252,    -1,    -1,   255,
      -1,    -1,    -1,   259,    -1,    -1,    -1,   263,    -1,    -1,
      -1,   267,    -1,   269,    -1,    -1,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,    -1,    -1,   285,
     286,   287,   288,    -1,    -1,    -1,   292,    -1,   294,   295,
      -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,
     306,   307,    -1,    -1,   310,   311,    -1,    -1,   314,   315,
     316,    -1,    -1,   319,   320,   321,    -1,   323,   324,    -1,
      -1,   327,    -1,   329,   330,    -1,   332,   333,   334,    -1,
      -1,   337,    -1,    -1,   340,   341,   342,    -1,   344,   345,
      -1,    -1,    -1,   349,    -1,    -1,    -1,   353,    -1,    -1,
      -1,    -1,    -1,   359,    -1,    -1,   362,    -1,    -1,    -1,
     366,   367,    -1,    -1,    -1,     4,   372,     6,     7,     8,
     376,    -1,    -1,    -1,    13,    14,    -1,    -1,    17,    18,
      19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,    -1,
      29,    30,    -1,    32,    -1,    34,    -1,    -1,    37,    -1,
      -1,    40,    -1,    -1,    43,    -1,    45,    46,    -1,    48,
      49,    -1,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    -1,    61,    -1,    -1,    -1,    -1,    -1,    67,    -1,
      -1,    -1,    -1,    72,    73,    74,    75,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    83,    84,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    93,    94,    -1,    -1,    -1,    -1,
      99,   100,   101,    -1,    -1,    -1,   105,    -1,   107,   108,
      -1,   110,   111,    -1,    -1,   114,    -1,   116,   117,    -1,
      -1,   120,    -1,    -1,    -1,   124,   125,   126,   127,    -1,
     129,    -1,    -1,    -1,   133,   134,    -1,   136,    -1,   138,
      -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,   148,
     149,   150,   151,    -1,    -1,   154,   155,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,    -1,    -1,   174,    -1,    -1,    -1,   178,
      -1,    -1,    -1,    -1,   183,    -1,   185,    -1,   187,    -1,
     189,    -1,    -1,    -1,    -1,    -1,   195,   196,    -1,   198,
     199,   200,   201,    -1,    -1,   204,   205,    -1,   207,    -1,
     209,    -1,   211,   212,   213,   214,    -1,    -1,    -1,   218,
     219,   220,    -1,    -1,   223,    -1,    -1,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   242,   243,   244,    -1,    -1,   247,    -1,
     249,   250,   251,   252,    -1,    -1,   255,    -1,    -1,    -1,
     259,    -1,    -1,    -1,   263,    -1,    -1,    -1,   267,    -1,
     269,    -1,    -1,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,    -1,    -1,   285,   286,   287,   288,
      -1,    -1,    -1,   292,    -1,   294,   295,    -1,    -1,    -1,
      -1,    -1,   301,    -1,    -1,    -1,    -1,   306,   307,    -1,
      -1,   310,   311,    -1,    -1,   314,   315,   316,    -1,    -1,
     319,   320,   321,    -1,   323,   324,    -1,    -1,   327,    -1,
     329,   330,    -1,   332,   333,   334,    -1,    -1,   337,    -1,
      -1,   340,   341,   342,    -1,   344,   345,    -1,    -1,    -1,
     349,    -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,
     359,    -1,    -1,   362,    -1,    -1,    -1,   366,   367,    -1,
      -1,    -1,     4,   372,     6,     7,     8,   376,    -1,    -1,
      -1,    13,    -1,    -1,    -1,    17,    18,    19,    20,    -1,
      22,    -1,    -1,    -1,    -1,    27,    -1,    29,    30,    -1,
      32,    -1,    34,    -1,    -1,    37,    -1,    -1,    40,    -1,
      -1,    43,    -1,    45,    46,    -1,    48,    49,    -1,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    -1,    61,
      -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,    -1,
      72,    73,    74,    75,    -1,    -1,    78,    -1,    -1,    -1,
      -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    93,    94,    -1,    -1,    -1,    -1,    99,   100,   101,
      -1,    -1,    -1,   105,    -1,   107,   108,    -1,   110,   111,
      -1,    -1,   114,    -1,   116,   117,    -1,    -1,   120,    -1,
      -1,    -1,   124,   125,   126,   127,    -1,   129,    -1,    -1,
      -1,   133,   134,    -1,   136,    -1,   138,    -1,    -1,    -1,
     142,    -1,    -1,    -1,    -1,    -1,   148,   149,   150,   151,
      -1,    -1,   154,   155,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
      -1,    -1,   174,    -1,    -1,    -1,   178,    -1,    -1,    -1,
      -1,   183,    -1,   185,    -1,   187,    -1,   189,    -1,    -1,
      -1,    -1,    -1,   195,   196,    -1,   198,   199,   200,   201,
      -1,    -1,   204,   205,    -1,   207,    -1,   209,    -1,   211,
     212,   213,   214,    -1,    -1,    -1,   218,   219,   220,    -1,
      -1,   223,    -1,    -1,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     242,   243,   244,    -1,    -1,   247,    -1,   249,   250,   251,
     252,    -1,    -1,   255,    -1,    -1,    -1,   259,    -1,    -1,
      -1,   263,    -1,    -1,    -1,   267,    -1,   269,    -1,    -1,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,    -1,    -1,   285,   286,   287,   288,    -1,    -1,    -1,
     292,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,   301,
      -1,    -1,    -1,    -1,   306,   307,    -1,    -1,   310,   311,
      -1,    -1,   314,   315,   316,    -1,    -1,   319,   320,   321,
      -1,   323,   324,    -1,    -1,   327,    -1,   329,   330,    -1,
     332,   333,   334,    -1,    -1,   337,    -1,    -1,   340,   341,
     342,    -1,   344,   345,    -1,    -1,    -1,   349,    -1,    -1,
      -1,   353,    -1,    -1,    -1,    -1,    -1,   359,    -1,    -1,
     362,    -1,    -1,    -1,   366,   367,    -1,    -1,    -1,     4,
     372,     6,     7,     8,   376,    -1,    -1,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      -1,    -1,    27,    -1,    29,    30,    -1,    32,    -1,    34,
      -1,    -1,    37,    -1,    -1,    40,    -1,    -1,    43,    -1,
      45,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    -1,    61,    -1,    -1,    -1,
      -1,    -1,    67,    -1,    -1,    -1,    -1,    72,    73,    74,
      75,    -1,    -1,    78,    -1,    -1,    -1,    -1,    83,    84,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    93,    94,
      -1,    -1,    -1,    -1,    99,   100,   101,    -1,    -1,    -1,
     105,    -1,   107,   108,    -1,   110,   111,    -1,    -1,   114,
      -1,   116,   117,    -1,    -1,   120,    -1,    -1,    -1,   124,
     125,   126,   127,    -1,   129,    -1,    -1,    -1,   133,   134,
      -1,   136,    -1,   138,    -1,    -1,    -1,   142,    -1,    -1,
      -1,    -1,    -1,   148,   149,   150,   151,    -1,    -1,   154,
     155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,    -1,    -1,   174,
      -1,    -1,    -1,   178,    -1,    -1,    -1,    -1,   183,    -1,
     185,    -1,   187,    -1,   189,    -1,    -1,    -1,    -1,    -1,
     195,   196,    -1,   198,   199,   200,   201,    -1,    -1,   204,
     205,    -1,   207,    -1,   209,    -1,   211,   212,   213,   214,
      -1,    -1,    -1,   218,   219,   220,    -1,    -1,   223,    -1,
      -1,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,   243,   244,
      -1,    -1,   247,   248,   249,   250,   251,   252,    -1,    -1,
     255,    -1,    -1,    -1,   259,    -1,    -1,    -1,   263,    -1,
      -1,    -1,   267,    -1,   269,    -1,    -1,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,    -1,    -1,
     285,   286,   287,   288,    -1,    -1,    -1,   292,    -1,   294,
     295,    -1,    -1,    -1,    -1,    -1,   301,    -1,    -1,    -1,
      -1,   306,   307,    -1,    -1,   310,   311,    -1,    -1,   314,
     315,   316,    -1,    -1,   319,   320,   321,    -1,   323,   324,
      -1,    -1,   327,    -1,    -1,   330,    -1,   332,   333,   334,
      -1,    -1,   337,    -1,    -1,   340,   341,   342,    -1,   344,
     345,    -1,    -1,    -1,   349,    -1,    -1,    -1,   353,    -1,
      -1,    -1,    -1,    -1,   359,    -1,    -1,   362,    -1,    -1,
      -1,   366,   367,    -1,    -1,    -1,     4,   372,     6,     7,
       8,   376,    -1,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,
      -1,    29,    30,    -1,    32,    -1,    34,    -1,    -1,    37,
      -1,    -1,    40,    -1,    -1,    43,    -1,    45,    46,    -1,
      48,    49,    -1,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    -1,    61,    -1,    -1,    -1,    -1,    -1,    67,
      -1,    -1,    -1,    -1,    72,    73,    74,    75,    -1,    -1,
      78,    -1,    -1,    -1,    -1,    83,    84,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    93,    94,    -1,    -1,    -1,
      -1,    99,   100,   101,    -1,    -1,    -1,   105,    -1,   107,
     108,    -1,   110,   111,    -1,    -1,   114,    -1,   116,   117,
      -1,    -1,   120,    -1,    -1,    -1,   124,   125,   126,   127,
      -1,   129,    -1,    -1,    -1,   133,   134,    -1,   136,    -1,
     138,    -1,    -1,    -1,   142,    -1,    -1,    -1,    -1,    -1,
     148,   149,   150,   151,    -1,    -1,   154,   155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,    -1,    -1,   174,    -1,    -1,    -1,
     178,    -1,    -1,    -1,    -1,   183,    -1,   185,    -1,   187,
      -1,   189,    -1,    -1,    -1,    -1,    -1,   195,   196,    -1,
     198,   199,   200,   201,    -1,    -1,   204,   205,    -1,   207,
      -1,   209,    -1,   211,   212,   213,   214,    -1,    -1,    -1,
     218,   219,   220,    -1,    -1,   223,    -1,    -1,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   242,   243,   244,    -1,    -1,   247,
      -1,   249,   250,   251,   252,    -1,    -1,   255,    -1,    -1,
      -1,   259,    -1,    -1,    -1,   263,    -1,    -1,    -1,   267,
      -1,   269,    -1,    -1,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,    -1,    -1,   285,   286,   287,
     288,    -1,    -1,    -1,   292,    -1,   294,   295,    -1,    -1,
      -1,    -1,    -1,   301,    -1,    -1,    -1,    -1,   306,   307,
      -1,    -1,   310,   311,    -1,    -1,   314,   315,   316,    -1,
      -1,   319,   320,   321,    -1,   323,   324,    -1,    -1,   327,
      -1,    -1,   330,    -1,   332,   333,   334,    -1,    -1,   337,
      -1,    -1,   340,   341,   342,    -1,   344,   345,    -1,    -1,
      -1,   349,    -1,    -1,    -1,   353,    -1,    -1,    -1,    -1,
      -1,   359,    -1,    -1,   362,    -1,    -1,    -1,   366,   367,
      -1,    -1,    -1,     4,   372,     6,     7,     8,   376,    -1,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    -1,    -1,    27,    -1,    29,    30,
      -1,    32,    -1,    34,    -1,    -1,    37,    -1,    -1,    40,
      -1,    -1,    43,    -1,    45,    46,    -1,    48,    49,    -1,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    -1,
      61,    -1,    -1,    -1,    -1,    -1,    67,    -1,    -1,    -1,
      -1,    72,    73,    74,    75,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    83,    84,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    93,    94,    -1,    -1,    -1,    -1,    99,   100,
     101,    -1,    -1,    -1,   105,    -1,   107,   108,    -1,   110,
     111,    -1,    -1,   114,    -1,   116,   117,    -1,    -1,   120,
      -1,    -1,    -1,   124,   125,   126,   127,    -1,   129,    -1,
      -1,    -1,   133,   134,    -1,   136,    -1,   138,    -1,    -1,
      -1,   142,    -1,    -1,    -1,    -1,    -1,   148,   149,   150,
     151,    -1,    -1,   154,   155,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,    -1,    -1,   174,    -1,    -1,    -1,   178,    -1,    -1,
      -1,    -1,   183,    -1,   185,    -1,   187,    -1,   189,    -1,
      -1,    -1,    -1,    -1,   195,   196,    -1,   198,   199,   200,
     201,    -1,    -1,   204,   205,    -1,   207,    -1,   209,    -1,
     211,   212,   213,   214,    -1,    -1,    -1,   218,   219,   220,
      -1,    -1,   223,    -1,    -1,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   242,   243,   244,    -1,    -1,   247,    -1,   249,   250,
     251,   252,    -1,    -1,   255,    -1,    -1,    -1,   259,    -1,
      -1,    -1,   263,    -1,    -1,    -1,   267,    -1,   269,    -1,
      -1,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,    -1,    -1,   285,   286,   287,   288,    -1,    -1,
      -1,   292,    -1,   294,   295,    -1,    -1,    -1,    -1,    -1,
     301,    -1,    -1,    -1,    -1,   306,   307,    -1,    -1,   310,
     311,    -1,    -1,   314,   315,   316,    -1,    -1,   319,   320,
     321,    -1,   323,   324,    -1,    -1,   327,    -1,    -1,   330,
      -1,   332,   333,   334,    -1,    -1,   337,    -1,    -1,   340,
     341,   342,    -1,   344,   345,    -1,    -1,    -1,   349,    -1,
      -1,    -1,   353,    -1,    -1,    -1,    -1,    -1,   359,    -1,
      -1,   362,    -1,    -1,    -1,   366,   367,    -1,    -1,    -1,
      -1,   372,    -1,    -1,    -1,   376
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    10,    11,    22,    44,    53,    65,    89,    90,    91,
      98,   109,   118,   129,   161,   173,   184,   261,   262,   265,
     272,   278,   282,   290,   293,   306,   340,   350,   351,   354,
     382,   391,   392,   393,   394,   475,   491,   493,   495,   497,
     501,   502,   639,   645,   647,   650,   673,   680,   686,   688,
     694,   697,   700,   706,   708,   709,   750,   767,   769,   775,
     776,   777,   778,    71,   227,   232,   480,   323,   326,   766,
     770,   766,   372,   771,    71,   327,   411,   480,   681,    71,
     327,   480,   644,     4,     6,     7,     8,    13,    17,    18,
      19,    20,    22,    27,    29,    30,    32,    34,    37,    40,
      43,    45,    46,    48,    49,    51,    52,    53,    54,    55,
      56,    58,    59,    61,    67,    72,    73,    74,    75,    78,
      83,    84,    93,    94,    99,   100,   101,   105,   107,   108,
     110,   111,   114,   116,   117,   120,   124,   125,   126,   127,
     129,   133,   134,   136,   138,   142,   148,   149,   150,   151,
     154,   155,   167,   171,   174,   178,   179,   183,   185,   187,
     189,   195,   196,   198,   199,   200,   201,   204,   205,   207,
     209,   211,   212,   213,   214,   218,   219,   220,   223,   227,
     228,   230,   231,   232,   233,   242,   243,   244,   247,   249,
     250,   251,   252,   255,   259,   263,   267,   269,   272,   273,
     274,   275,   276,   277,   278,   280,   281,   285,   286,   287,
     288,   292,   294,   295,   301,   306,   307,   310,   311,   314,
     315,   316,   319,   320,   321,   323,   324,   327,   329,   330,
     332,   333,   334,   337,   340,   341,   342,   344,   345,   349,
     353,   359,   362,   366,   367,   372,   376,   389,   646,   742,
     743,   746,   747,   748,   749,   701,   648,    58,   252,   707,
      74,   714,   278,   766,   651,   771,   746,   505,   507,   508,
     235,   752,   689,   337,   326,   687,   768,   153,   488,   746,
     282,   382,   503,     0,   109,   120,   388,   698,   741,   746,
     478,   746,   488,   494,   771,   496,    12,   772,   152,   412,
     326,   396,   153,   684,   685,   152,   643,   156,   766,   747,
     189,   307,   323,   702,   703,   766,   488,     6,    20,    25,
      26,    38,    39,    42,    46,    48,    63,    64,    68,    69,
      71,    76,    77,    78,    83,    85,    88,   119,   121,   122,
     128,   140,   144,   148,   152,   161,   162,   177,   190,   197,
     201,   204,   206,   210,   211,   221,   222,   224,   225,   245,
     251,   264,   265,   269,   271,   277,   280,   308,   309,   315,
     317,   318,   322,   329,   332,   333,   334,   338,   339,   340,
     343,   353,   356,   357,   358,   363,   365,   376,   377,   378,
     382,   386,   388,   389,   522,   523,   524,   525,   531,   532,
     533,   534,   535,   540,   544,   729,   732,   733,   737,   739,
     742,   744,   746,   710,   746,   498,   163,   642,   653,   654,
     741,   335,   772,   506,     9,    95,   300,   301,   302,   303,
     313,   512,   513,   514,   751,    49,    64,    65,    72,   114,
     138,   155,   156,   170,   185,   250,   287,   323,   326,   327,
     366,   461,   690,   758,   370,   492,   642,   766,   741,   507,
     503,   383,   746,   696,   695,   388,   477,   326,   641,   642,
     641,    40,   223,   223,   261,   773,   221,   528,   746,   412,
     348,   462,   135,   682,   684,   119,   746,   746,   643,   370,
     384,   704,   653,   382,   382,   531,   522,   554,   382,   382,
     382,   382,   382,   382,   382,   521,   521,   382,   382,   382,
     382,   729,   382,   382,   382,   382,   382,   382,   382,   382,
     382,   522,   382,   382,   382,   382,   382,   382,   382,   522,
     382,   521,   382,   382,   382,   382,   382,   382,   382,   382,
     382,   382,   382,   382,   382,   382,   521,   382,   729,   382,
     382,   382,   382,   382,   521,   521,   382,   382,   382,   382,
     531,   531,   522,   790,   791,   746,   746,   545,    12,   238,
     374,   526,   527,   112,   113,   137,   141,   166,   175,   193,
     216,   529,    23,    96,   165,   180,   210,   377,   378,   379,
     380,   381,   528,    47,   744,   382,   388,    56,   715,   499,
     500,   741,   654,   652,   278,   774,   773,   347,   779,   780,
     379,   516,   517,   518,   514,   753,   754,   755,   135,   165,
     692,   382,    71,   326,   180,   369,   693,   181,   623,   625,
     691,   692,   307,   323,   623,   692,   307,   362,    59,   674,
     383,   780,   782,   783,   784,   501,    26,   144,   699,   730,
     744,   746,   746,    88,   419,   449,   741,   384,    40,   261,
     119,   397,   741,   156,   741,   229,   641,   256,   703,   641,
     705,   649,   522,     9,    95,   550,   606,   368,   556,   522,
     522,   553,   553,   522,   522,    95,   550,   606,   383,   383,
     522,   522,   522,   522,   737,   790,    79,    80,    81,    82,
      83,   145,   146,   147,   148,   201,   202,   203,   204,   211,
     251,   279,   280,   367,   375,   376,   601,   603,    95,   547,
     522,   522,   522,   522,   601,   522,    95,   550,   522,   522,
      95,   550,   522,   522,   522,   525,   522,   522,   522,   522,
     522,   522,   522,   550,   550,   522,   522,    95,   550,   522,
     522,   134,   602,   603,   602,    31,   176,   336,   522,   522,
     383,   738,   739,   746,   550,   550,   522,   383,   384,   383,
     282,   382,   787,   788,   522,   388,   389,   546,   747,   522,
     522,   522,   524,   122,   224,   339,   349,   528,     9,    13,
     524,   530,   525,   525,   382,   531,   525,   162,   525,   162,
     525,   525,   525,   525,    23,   165,   180,   747,   536,   746,
     157,   384,   335,   282,   290,   358,   359,   382,   404,   655,
     658,   746,     9,    95,   786,   384,   509,   522,   735,   746,
     384,   138,   185,   230,   287,   756,   757,   760,   761,   741,
     379,   412,   741,   743,   522,   190,   225,   343,   626,   627,
     693,   746,   691,   693,   741,   693,   693,   295,   290,   237,
     619,   625,   785,    47,   476,   642,   408,   409,   410,   419,
     747,   395,   746,   683,   741,   188,   655,   384,   550,   383,
     551,   522,   103,   368,   555,    14,   383,   384,   383,   383,
     384,   541,   383,   379,   384,   384,   383,   383,   383,   383,
     135,   543,   383,   384,   384,   384,   378,   384,   550,   383,
     383,   383,   550,   383,   384,   383,   383,   165,   383,   384,
     384,   383,   384,   384,   383,   383,   383,   384,   135,   384,
     550,   383,   383,   383,   384,   384,   135,   522,   135,   522,
     135,   522,   135,   383,   384,   383,   383,   383,   383,   553,
     575,   576,   577,   282,   382,   504,   347,   792,   387,   746,
     138,   185,   287,   759,   291,   122,   224,   339,   349,   382,
      12,   522,   790,   116,   611,   522,   522,   525,   382,   531,
     518,   537,   538,   539,   388,   329,   745,   500,   741,   405,
     656,   382,   661,   666,   661,   383,   404,   657,   734,   735,
     738,   746,   659,   781,   517,   135,   163,   510,   511,   618,
     619,   635,   519,   519,   388,   754,   337,   746,   763,   389,
     762,   691,   383,   746,   228,   384,   693,   691,   676,   677,
     738,    33,   623,   112,   291,   664,   665,     5,    10,    18,
      41,    51,    63,    93,    94,    98,   105,   110,   130,   154,
     209,   237,   262,   414,   416,   417,   418,   449,   479,   481,
     482,   483,   615,   747,   384,   664,   180,   382,   398,   413,
     415,   416,   463,   464,   369,   607,   640,   229,   671,   162,
     522,   383,   522,   331,   522,   522,   107,    25,    42,    75,
      78,    86,   552,   522,   552,   553,   383,   162,   162,   522,
     553,   522,   522,   522,   522,   522,   383,   383,   522,   522,
     522,   522,   522,   553,   162,   522,   522,   522,   383,   522,
     522,   522,   135,   522,   135,   522,   135,   522,   522,   383,
     512,   576,   504,   383,   786,   388,   388,   388,   747,   522,
     790,   524,   383,   384,   383,   531,   601,   601,    12,   522,
     790,   611,   522,   383,   384,   746,   711,   512,   662,   663,
     738,   667,   384,   382,   658,   383,   383,   384,   779,   502,
     282,   382,   386,   557,   558,   559,   560,   561,   570,   571,
     585,   636,   132,   188,   515,   635,   624,   625,   511,    14,
     520,   743,   746,   379,   746,   167,   664,   389,   747,   693,
     114,   366,   627,   627,   607,   384,   675,   664,   620,    88,
     447,   448,   747,    50,    60,   156,   172,   425,   428,   429,
     457,   459,   487,   487,   665,   487,   665,   335,   170,   324,
     131,   248,   459,   487,   170,   664,   324,   487,    33,    14,
     112,   335,   490,   414,    47,   384,   382,   388,   424,   430,
     740,   746,   664,   409,    85,   128,   190,   225,   343,   630,
     747,   741,   180,   399,   404,   422,   423,   424,   425,   153,
     265,   401,   716,   384,   415,   342,   355,   467,   229,   608,
     618,   100,   522,   383,   522,   331,   382,   441,   441,   382,
     439,   440,   383,   383,   542,   522,   522,   383,   549,   619,
     384,   384,   383,   384,   383,   383,   383,   383,   384,   383,
     383,   522,   383,   132,   383,   383,   384,   384,   384,   383,
     522,   383,   522,   383,   522,   383,   383,   516,   383,   789,
     388,   473,   383,   553,   524,   383,   384,   383,   519,   539,
     716,   516,   384,   664,    88,   522,   668,   669,   670,   666,
     660,   658,   734,   584,   746,    66,   158,   169,   177,   215,
     271,   313,   569,   607,   384,   741,   584,    99,   240,   631,
     632,   637,   351,   165,   743,   746,   388,   178,     9,    25,
      88,   229,   522,   765,   759,   664,   677,   607,   670,   522,
     621,   736,   472,   740,    44,   131,   248,   348,   427,   458,
     426,   427,   472,   740,   630,   740,   743,   448,   172,   172,
     740,   740,   747,   740,   616,   617,   738,   741,   665,   483,
     422,   746,     7,   126,   489,   260,   426,   451,   431,   388,
     630,   747,   413,   741,   383,   383,   384,    14,   407,   415,
      32,   142,   469,   469,   741,   522,   181,   628,   672,   601,
     522,   225,   225,   383,   601,   601,   284,   548,   522,   522,
     553,   522,   601,   522,   522,   522,   522,   383,   383,   383,
     578,   787,   746,   383,   553,   520,   163,   406,   663,   670,
     383,   384,   782,   572,   579,   584,   557,   169,   169,   239,
     586,   169,   177,   271,   586,   570,   557,   139,   612,   559,
      14,   112,   604,   605,   581,   582,   745,   745,   389,   633,
     634,   292,   379,   256,   263,   285,   764,   763,   522,   618,
     384,    15,    90,   622,   522,   172,   172,   459,   460,   472,
     464,    98,   290,   484,   472,   485,   384,   622,   448,   383,
     746,   741,    24,    28,    42,    75,    78,    86,    97,   111,
     127,   164,   226,   258,   286,   330,   332,   360,   361,   432,
     433,   435,   436,   437,   438,   746,   383,   400,   413,   423,
     382,   404,   382,   627,   172,   383,   383,   383,   384,   383,
     383,   730,   383,   383,   384,   383,   383,   383,   383,   383,
     383,   383,   421,   511,   624,   383,   712,   421,   670,   347,
     383,   618,   580,   387,   169,   570,   586,   586,   169,   229,
     229,   355,    33,   143,   609,   746,   595,   596,   512,   638,
     747,   384,   207,    52,   344,   256,   664,   628,   736,   472,
     464,   382,    88,    88,   430,   432,   617,   382,   452,   439,
     246,   434,   439,   439,   382,    18,    47,    51,    88,   124,
     224,   229,   248,   286,   348,   443,   444,   445,   450,   528,
     364,   382,   382,   382,   440,   442,   388,   782,   401,   404,
     402,   470,   471,   746,   351,   225,   522,   515,   515,   326,
     786,   605,   624,   560,   557,   570,   169,   169,   557,   570,
     563,   562,   564,   613,   736,   610,   618,   593,   594,   516,
      49,   717,   634,   765,   622,   382,   382,   470,    78,   332,
     377,   378,   731,   732,   489,   486,   453,   746,   194,   454,
     382,   225,   447,   743,   222,   446,   731,    88,   101,   127,
     420,   351,    88,   172,   445,   172,   224,   225,   225,   225,
     746,   383,   779,   383,   384,   622,   382,   678,   679,   738,
     383,   383,   741,   573,   229,   566,   570,   570,   229,   568,
     522,   522,   382,   371,   384,   614,   622,   522,   624,   130,
     153,   354,   588,   589,   592,   583,   106,   115,   236,   328,
     718,   719,   182,   720,   470,   470,   383,   733,   733,   489,
     383,   384,   136,   243,   294,   229,   455,   474,   730,   383,
     521,   222,   359,   383,   383,   403,    51,   171,   465,   466,
     467,   468,   471,   225,   384,   664,   713,   787,   565,   355,
     567,   355,   600,   746,   736,   459,   459,   589,   421,    33,
      33,   106,    33,   719,   305,   328,   721,   722,   383,   383,
     465,   746,    89,   351,   383,   384,   521,   782,   743,   665,
     468,   622,   383,   679,   670,   717,   574,   522,   382,   522,
     382,   383,   384,   622,   132,   587,   587,   730,   730,    33,
     730,    33,    33,   722,   451,   465,    36,   223,   266,   290,
     456,   456,   730,    85,   128,   144,   190,   225,   343,   629,
     720,   618,   600,   600,   746,   139,   169,   237,   591,   590,
     730,   730,   730,     4,    88,   224,   229,   229,   153,   723,
     624,   383,   383,    33,    33,   382,   382,   351,    89,   225,
     382,   725,   248,   597,   598,   599,   746,   599,   456,   456,
     182,   275,   724,   383,   389,   726,   727,   738,   290,   728,
     383,   384,   383,   747,   383,   384,   678,   598,   727
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  yy_symbol_value_print (yyoutput, yytype, yyvaluep);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yyrule)
    YYSTYPE *yyvsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yymsg, yytype, yyvaluep)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  YYUSE (yyvaluep);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */





/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;

  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1455 of yacc.c  */
#line 976 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            if (!(session->lex->select_lex.options & OPTION_FOUND_COMMENT))
            {
              my_message(ER_EMPTY_QUERY, ER(ER_EMPTY_QUERY), MYF(0));
              DRIZZLE_YYABORT;
            }
            else
            {
              session->lex->sql_command= SQLCOM_EMPTY_QUERY;
              session->lex->statement=
                new(std::nothrow) statement::EmptyQuery(YYSession);
              if (session->lex->statement == NULL)
                DRIZZLE_YYABORT;
            }
          }
    break;

  case 3:

/* Line 1455 of yacc.c  */
#line 992 "drizzled/sql_yacc.yy"
    {}
    break;

  case 32:

/* Line 1455 of yacc.c  */
#line 1034 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            LEX *lex= session->lex;
            lex->sql_command= SQLCOM_CREATE_TABLE;
            statement::CreateTable *statement= new(std::nothrow) statement::CreateTable(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            if (!lex->select_lex.add_table_to_list(session, (yyvsp[(5) - (5)].table), NULL,
                                                   TL_OPTION_UPDATING,
                                                   TL_WRITE))
              DRIZZLE_YYABORT;
            lex->col_list.empty();
            statement->change=NULL;
            statement->is_if_not_exists= (yyvsp[(4) - (5)].num);
            statement->create_info.db_type= NULL;
            statement->create_info.default_table_charset= NULL;
            lex->name.str= 0;

	    message::Table &proto= statement->create_table_message;
	   
	    proto.set_name((yyvsp[(5) - (5)].table)->table.str);
	    if ((yyvsp[(2) - (5)].num))
	      proto.set_type(message::Table::TEMPORARY);
	    else
	      proto.set_type(message::Table::STANDARD);
          }
    break;

  case 33:

/* Line 1455 of yacc.c  */
#line 1062 "drizzled/sql_yacc.yy"
    {
            LEX *lex= YYSession->lex;
            lex->current_select= &lex->select_lex;
          }
    break;

  case 34:

/* Line 1455 of yacc.c  */
#line 1067 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command= SQLCOM_CREATE_INDEX;
            statement::CreateIndex *statement= new(std::nothrow) statement::CreateIndex(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            statement->alter_info.flags.set(ALTER_ADD_INDEX);
            statement->alter_info.build_method= (yyvsp[(2) - (2)].build_method);
            lex->col_list.empty();
            statement->change=NULL;
          }
    break;

  case 35:

/* Line 1455 of yacc.c  */
#line 1080 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::CreateIndex *statement= (statement::CreateIndex *)Lex->statement;

            if (!lex->current_select->add_table_to_list(lex->session, (yyvsp[(9) - (13)].table),
                                                        NULL,
                                                        TL_OPTION_UPDATING))
              DRIZZLE_YYABORT;
            Key *key;
            key= new Key((yyvsp[(4) - (13)].key_type), (yyvsp[(6) - (13)].lex_str), &statement->key_create_info, 0, lex->col_list);
            statement->alter_info.key_list.push_back(key);
            lex->col_list.empty();
          }
    break;

  case 36:

/* Line 1455 of yacc.c  */
#line 1094 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;

            lex->sql_command=SQLCOM_CREATE_DB;
            statement::CreateSchema *statement= new(std::nothrow) statement::CreateSchema(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            statement->is_if_not_exists= (yyvsp[(3) - (4)].num);
          }
    break;

  case 37:

/* Line 1455 of yacc.c  */
#line 1105 "drizzled/sql_yacc.yy"
    {
            Lex->name= (yyvsp[(4) - (6)].lex_str);
          }
    break;

  case 38:

/* Line 1455 of yacc.c  */
#line 1111 "drizzled/sql_yacc.yy"
    {}
    break;

  case 39:

/* Line 1455 of yacc.c  */
#line 1113 "drizzled/sql_yacc.yy"
    {}
    break;

  case 40:

/* Line 1455 of yacc.c  */
#line 1115 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            LEX *lex= session->lex;
            statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;

            statement->is_create_table_like= true;
            if (!lex->select_lex.add_table_to_list(session, (yyvsp[(2) - (3)].table), NULL, 0, TL_READ))
              DRIZZLE_YYABORT;
          }
    break;

  case 41:

/* Line 1455 of yacc.c  */
#line 1125 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            LEX *lex= session->lex;
            statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;

            statement->is_create_table_like= true;
            if (!lex->select_lex.add_table_to_list(session, (yyvsp[(3) - (4)].table), NULL, 0, TL_READ))
              DRIZZLE_YYABORT;
          }
    break;

  case 42:

/* Line 1455 of yacc.c  */
#line 1138 "drizzled/sql_yacc.yy"
    {}
    break;

  case 43:

/* Line 1455 of yacc.c  */
#line 1140 "drizzled/sql_yacc.yy"
    { Lex->current_select->set_braces(1);}
    break;

  case 44:

/* Line 1455 of yacc.c  */
#line 1141 "drizzled/sql_yacc.yy"
    {}
    break;

  case 45:

/* Line 1455 of yacc.c  */
#line 1145 "drizzled/sql_yacc.yy"
    {}
    break;

  case 46:

/* Line 1455 of yacc.c  */
#line 1147 "drizzled/sql_yacc.yy"
    { Lex->current_select->set_braces(0);}
    break;

  case 47:

/* Line 1455 of yacc.c  */
#line 1148 "drizzled/sql_yacc.yy"
    {}
    break;

  case 48:

/* Line 1455 of yacc.c  */
#line 1150 "drizzled/sql_yacc.yy"
    { Lex->current_select->set_braces(1);}
    break;

  case 49:

/* Line 1455 of yacc.c  */
#line 1151 "drizzled/sql_yacc.yy"
    {}
    break;

  case 50:

/* Line 1455 of yacc.c  */
#line 1156 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->lock_option= TL_READ;
            if (lex->sql_command == SQLCOM_INSERT)
            {
              lex->sql_command= SQLCOM_INSERT_SELECT;
              delete lex->statement;
              lex->statement=
                new(std::nothrow) statement::InsertSelect(YYSession);
              if (lex->statement == NULL)
                DRIZZLE_YYABORT;
            }
            else if (lex->sql_command == SQLCOM_REPLACE)
            {
              lex->sql_command= SQLCOM_REPLACE_SELECT;
              delete lex->statement;
              lex->statement=
                new(std::nothrow) statement::ReplaceSelect(YYSession);
              if (lex->statement == NULL)
                DRIZZLE_YYABORT;
            }
            /*
              The following work only with the local list, the global list
              is created correctly in this case
            */
            lex->current_select->table_list.save_and_clear(&lex->save_list);
            mysql_init_select(lex);
            lex->current_select->parsing_place= SELECT_LIST;
          }
    break;

  case 51:

/* Line 1455 of yacc.c  */
#line 1186 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->parsing_place= NO_MATTER;
          }
    break;

  case 52:

/* Line 1455 of yacc.c  */
#line 1190 "drizzled/sql_yacc.yy"
    {
            /*
              The following work only with the local list, the global list
              is created correctly in this case
            */
            Lex->current_select->table_list.push_front(&Lex->save_list);
          }
    break;

  case 53:

/* Line 1455 of yacc.c  */
#line 1200 "drizzled/sql_yacc.yy"
    {}
    break;

  case 54:

/* Line 1455 of yacc.c  */
#line 1201 "drizzled/sql_yacc.yy"
    {}
    break;

  case 55:

/* Line 1455 of yacc.c  */
#line 1205 "drizzled/sql_yacc.yy"
    {}
    break;

  case 56:

/* Line 1455 of yacc.c  */
#line 1206 "drizzled/sql_yacc.yy"
    {}
    break;

  case 57:

/* Line 1455 of yacc.c  */
#line 1207 "drizzled/sql_yacc.yy"
    {}
    break;

  case 60:

/* Line 1455 of yacc.c  */
#line 1217 "drizzled/sql_yacc.yy"
    {
          statement::CreateSchema *statement= (statement::CreateSchema *)Lex->statement;
          drizzled::message::Engine::Option *opt= statement->schema_message.mutable_engine()->add_options();

          opt->set_name((yyvsp[(1) - (1)].lex_str).str);
        }
    break;

  case 61:

/* Line 1455 of yacc.c  */
#line 1224 "drizzled/sql_yacc.yy"
    {
          statement::CreateSchema *statement= (statement::CreateSchema *)Lex->statement;
          drizzled::message::Engine::Option *opt= statement->schema_message.mutable_engine()->add_options();

          opt->set_name((yyvsp[(1) - (3)].lex_str).str);
          opt->set_state((yyvsp[(3) - (3)].lex_str).str);
        }
    break;

  case 62:

/* Line 1455 of yacc.c  */
#line 1232 "drizzled/sql_yacc.yy"
    {
          statement::CreateSchema *statement= (statement::CreateSchema *)Lex->statement;
          char number_as_string[22];

          snprintf(number_as_string, sizeof(number_as_string), "%"PRIu64, (yyvsp[(3) - (3)].ulonglong_number));

          drizzled::message::Engine::Option *opt= statement->schema_message.mutable_engine()->add_options();

          opt->set_name((yyvsp[(1) - (3)].lex_str).str);
          opt->set_state(number_as_string);
        }
    break;

  case 63:

/* Line 1455 of yacc.c  */
#line 1246 "drizzled/sql_yacc.yy"
    { (yyval.num)= false; }
    break;

  case 64:

/* Line 1455 of yacc.c  */
#line 1247 "drizzled/sql_yacc.yy"
    { (yyval.num)= true; }
    break;

  case 65:

/* Line 1455 of yacc.c  */
#line 1251 "drizzled/sql_yacc.yy"
    { (yyval.num)= false; }
    break;

  case 66:

/* Line 1455 of yacc.c  */
#line 1252 "drizzled/sql_yacc.yy"
    { (yyval.num)= true; }
    break;

  case 75:

/* Line 1455 of yacc.c  */
#line 1275 "drizzled/sql_yacc.yy"
    {
            statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;

            statement->is_engine_set= true;

            ((statement::CreateTable *)Lex->statement)->create_table_message.mutable_engine()->set_name((yyvsp[(3) - (3)].lex_str).str);
          }
    break;

  case 76:

/* Line 1455 of yacc.c  */
#line 1283 "drizzled/sql_yacc.yy"
    {
	    message::Table::TableOptions *tableopts;
	    tableopts= ((statement::CreateTable *)Lex->statement)->create_table_message.mutable_options();

	    tableopts->set_comment((yyvsp[(3) - (3)].lex_str).str);
          }
    break;

  case 77:

/* Line 1455 of yacc.c  */
#line 1290 "drizzled/sql_yacc.yy"
    {
	    message::Table::TableOptions *tableopts;
            statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;

	    tableopts= ((statement::CreateTable *)Lex->statement)->create_table_message.mutable_options();

            statement->create_info.auto_increment_value=(yyvsp[(3) - (3)].ulonglong_number);
            statement->create_info.used_fields|= HA_CREATE_USED_AUTO;
	    tableopts->set_auto_increment_value((yyvsp[(3) - (3)].ulonglong_number));
          }
    break;

  case 78:

/* Line 1455 of yacc.c  */
#line 1301 "drizzled/sql_yacc.yy"
    {
	    drizzled::message::Engine::Option *opt= ((statement::CreateTable *)Lex->statement)->create_table_message.mutable_engine()->add_options();

            opt->set_name((yyvsp[(1) - (3)].lex_str).str);
            opt->set_state((yyvsp[(3) - (3)].lex_str).str);
          }
    break;

  case 79:

/* Line 1455 of yacc.c  */
#line 1308 "drizzled/sql_yacc.yy"
    {
            char number_as_string[22];
            snprintf(number_as_string, sizeof(number_as_string), "%"PRIu64, (yyvsp[(3) - (3)].ulonglong_number));

	    drizzled::message::Engine::Option *opt= ((statement::CreateTable *)Lex->statement)->create_table_message.mutable_engine()->add_options();
            opt->set_name((yyvsp[(1) - (3)].lex_str).str);
            opt->set_state(number_as_string);
          }
    break;

  case 81:

/* Line 1455 of yacc.c  */
#line 1321 "drizzled/sql_yacc.yy"
    {
            statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;

            HA_CREATE_INFO *cinfo= &statement->create_info;
            if ((cinfo->used_fields & HA_CREATE_USED_DEFAULT_CHARSET) &&
                 cinfo->default_table_charset && (yyvsp[(4) - (4)].charset) &&
                 !my_charset_same(cinfo->default_table_charset,(yyvsp[(4) - (4)].charset)))
              {
                my_error(ER_COLLATION_CHARSET_MISMATCH, MYF(0),
                         (yyvsp[(4) - (4)].charset)->name, cinfo->default_table_charset->csname);
                DRIZZLE_YYABORT;
              }
              statement->create_info.default_table_charset= (yyvsp[(4) - (4)].charset);
              statement->create_info.used_fields|= HA_CREATE_USED_DEFAULT_CHARSET;
          }
    break;

  case 82:

/* Line 1455 of yacc.c  */
#line 1340 "drizzled/sql_yacc.yy"
    {
            statement::CreateSchema *statement= (statement::CreateSchema *)Lex->statement;

            message::Schema &schema_message= statement->schema_message;
            schema_message.set_collation((yyvsp[(4) - (4)].charset)->name);
          }
    break;

  case 83:

/* Line 1455 of yacc.c  */
#line 1349 "drizzled/sql_yacc.yy"
    { (yyval.column_format_type)= COLUMN_FORMAT_TYPE_DEFAULT; }
    break;

  case 84:

/* Line 1455 of yacc.c  */
#line 1350 "drizzled/sql_yacc.yy"
    { (yyval.column_format_type)= COLUMN_FORMAT_TYPE_FIXED; }
    break;

  case 85:

/* Line 1455 of yacc.c  */
#line 1351 "drizzled/sql_yacc.yy"
    { (yyval.column_format_type)= COLUMN_FORMAT_TYPE_DYNAMIC; }
    break;

  case 86:

/* Line 1455 of yacc.c  */
#line 1355 "drizzled/sql_yacc.yy"
    {}
    break;

  case 93:

/* Line 1455 of yacc.c  */
#line 1372 "drizzled/sql_yacc.yy"
    {
            Lex->col_list.empty(); /* Alloced by memory::sql_alloc */
          }
    break;

  case 94:

/* Line 1455 of yacc.c  */
#line 1379 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            Key *key= new Key((yyvsp[(1) - (7)].key_type), (yyvsp[(2) - (7)].lex_str), &statement->key_create_info, 0,
                              lex->col_list);
            statement->alter_info.key_list.push_back(key);
            lex->col_list.empty(); /* Alloced by memory::sql_alloc */
          }
    break;

  case 95:

/* Line 1455 of yacc.c  */
#line 1389 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            Key *key= new Key((yyvsp[(2) - (8)].key_type), (yyvsp[(3) - (8)].lex_str).str ? (yyvsp[(3) - (8)].lex_str) : (yyvsp[(1) - (8)].lex_str), &statement->key_create_info, 0,
                              lex->col_list);
            statement->alter_info.key_list.push_back(key);
            lex->col_list.empty(); /* Alloced by memory::sql_alloc */
          }
    break;

  case 96:

/* Line 1455 of yacc.c  */
#line 1398 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            Key *key= new Foreign_key((yyvsp[(1) - (8)].lex_str).str ? (yyvsp[(1) - (8)].lex_str) : (yyvsp[(4) - (8)].lex_str), lex->col_list,
                                      (yyvsp[(8) - (8)].table),
                                      lex->ref_list,
                                      statement->fk_delete_opt,
                                      statement->fk_update_opt,
                                      statement->fk_match_option);

            statement->alter_info.key_list.push_back(key);
            key= new Key(Key::MULTIPLE, (yyvsp[(1) - (8)].lex_str).str ? (yyvsp[(1) - (8)].lex_str) : (yyvsp[(4) - (8)].lex_str),
                         &default_key_create_info, 1,
                         lex->col_list);
            statement->alter_info.key_list.push_back(key);
            lex->col_list.empty(); /* Alloced by memory::sql_alloc */
            /* Only used for ALTER TABLE. Ignored otherwise. */
            statement->alter_info.flags.set(ALTER_FOREIGN_KEY);
          }
    break;

  case 97:

/* Line 1455 of yacc.c  */
#line 1418 "drizzled/sql_yacc.yy"
    {
            Lex->col_list.empty(); /* Alloced by memory::sql_alloc */
          }
    break;

  case 98:

/* Line 1455 of yacc.c  */
#line 1422 "drizzled/sql_yacc.yy"
    {
            Lex->col_list.empty(); /* Alloced by memory::sql_alloc */
          }
    break;

  case 102:

/* Line 1455 of yacc.c  */
#line 1437 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)= null_lex_str; }
    break;

  case 103:

/* Line 1455 of yacc.c  */
#line 1438 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)= (yyvsp[(1) - (1)].lex_str); }
    break;

  case 104:

/* Line 1455 of yacc.c  */
#line 1442 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=(yyvsp[(2) - (2)].lex_str); }
    break;

  case 105:

/* Line 1455 of yacc.c  */
#line 1447 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;
            lex->length=lex->dec=0;
            lex->type=0;
            statement->default_value= statement->on_update_value= 0;
            statement->comment= null_lex_str;
            lex->charset=NULL;
            statement->column_format= COLUMN_FORMAT_TYPE_DEFAULT;

            message::AlterTable &alter_proto=
              ((statement::CreateTable *)Lex->statement)->alter_info.alter_proto;
            statement->current_proto_field= alter_proto.add_added_field();
          }
    break;

  case 106:

/* Line 1455 of yacc.c  */
#line 1462 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
              statement->current_proto_field->set_name((yyvsp[(1) - (3)].lex_str).str);

            if (add_field_to_list(lex->session, &(yyvsp[(1) - (3)].lex_str), (enum enum_field_types) (yyvsp[(3) - (3)].num),
                                  lex->length,lex->dec,lex->type,
                                  statement->column_format,
                                  statement->default_value, statement->on_update_value,
                                  &statement->comment,
                                  statement->change, &lex->interval_list, lex->charset))
              DRIZZLE_YYABORT;

            statement->current_proto_field= NULL;
          }
    break;

  case 107:

/* Line 1455 of yacc.c  */
#line 1481 "drizzled/sql_yacc.yy"
    {}
    break;

  case 108:

/* Line 1455 of yacc.c  */
#line 1486 "drizzled/sql_yacc.yy"
    {
          (yyval.num)=(yyvsp[(1) - (1)].num);
          Lex->length=(char*) 0; /* use default length */
          statement::CreateTable *statement=
            (statement::CreateTable *)Lex->statement;

          if (statement->current_proto_field)
          {
            if ((yyvsp[(1) - (1)].num) == DRIZZLE_TYPE_LONG)
              statement->current_proto_field->set_type(message::Table::Field::INTEGER);
            else if ((yyvsp[(1) - (1)].num) == DRIZZLE_TYPE_LONGLONG)
              statement->current_proto_field->set_type(message::Table::Field::BIGINT);
            else
              abort();
          }
          }
    break;

  case 109:

/* Line 1455 of yacc.c  */
#line 1503 "drizzled/sql_yacc.yy"
    {
            (yyval.num)=(yyvsp[(1) - (2)].num);

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
            {
              assert ((yyvsp[(1) - (2)].num) == DRIZZLE_TYPE_DOUBLE);
              statement->current_proto_field->set_type(message::Table::Field::DOUBLE);
            }
          }
    break;

  case 110:

/* Line 1455 of yacc.c  */
#line 1516 "drizzled/sql_yacc.yy"
    {
              Lex->length=(yyvsp[(3) - (4)].lex_str).str;
              (yyval.num)=DRIZZLE_TYPE_VARCHAR;

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
            {
              statement->current_proto_field->set_type(message::Table::Field::VARCHAR);
              message::Table::Field::StringFieldOptions *string_field_options;

              string_field_options= statement->current_proto_field->mutable_string_options();

              string_field_options->set_length(atoi((yyvsp[(3) - (4)].lex_str).str));
            }
            }
    break;

  case 111:

/* Line 1455 of yacc.c  */
#line 1534 "drizzled/sql_yacc.yy"
    {
              Lex->length=(char*) "1";
              (yyval.num)=DRIZZLE_TYPE_VARCHAR;

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
              statement->current_proto_field->set_type(message::Table::Field::VARCHAR);
            }
    break;

  case 112:

/* Line 1455 of yacc.c  */
#line 1545 "drizzled/sql_yacc.yy"
    {
              Lex->length=(yyvsp[(3) - (4)].lex_str).str;
              (yyval.num)= DRIZZLE_TYPE_VARCHAR;

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
	    {
              statement->current_proto_field->set_type(message::Table::Field::VARCHAR);

              message::Table::Field::StringFieldOptions *string_field_options;

              string_field_options= statement->current_proto_field->mutable_string_options();

              string_field_options->set_length(atoi((yyvsp[(3) - (4)].lex_str).str));
            }
            }
    break;

  case 113:

/* Line 1455 of yacc.c  */
#line 1564 "drizzled/sql_yacc.yy"
    {
              Lex->length=(yyvsp[(3) - (4)].lex_str).str;
              Lex->charset=&my_charset_bin;
              (yyval.num)= DRIZZLE_TYPE_VARCHAR;

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
	    {
              statement->current_proto_field->set_type(message::Table::Field::VARCHAR);
              message::Table::Field::StringFieldOptions *string_field_options;

              string_field_options= statement->current_proto_field->mutable_string_options();

              string_field_options->set_length(atoi((yyvsp[(3) - (4)].lex_str).str));
              string_field_options->set_collation_id(my_charset_bin.number);
              string_field_options->set_collation(my_charset_bin.name);
            }
            }
    break;

  case 114:

/* Line 1455 of yacc.c  */
#line 1585 "drizzled/sql_yacc.yy"
    {
            (yyval.num)=DRIZZLE_TYPE_DATE;

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
              statement->current_proto_field->set_type(message::Table::Field::DATE);
          }
    break;

  case 115:

/* Line 1455 of yacc.c  */
#line 1595 "drizzled/sql_yacc.yy"
    {
            (yyval.num)=DRIZZLE_TYPE_TIMESTAMP;

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
              statement->current_proto_field->set_type(message::Table::Field::TIMESTAMP);
          }
    break;

  case 116:

/* Line 1455 of yacc.c  */
#line 1605 "drizzled/sql_yacc.yy"
    {
            (yyval.num)=DRIZZLE_TYPE_DATETIME;

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
              statement->current_proto_field->set_type(message::Table::Field::DATETIME);
          }
    break;

  case 117:

/* Line 1455 of yacc.c  */
#line 1615 "drizzled/sql_yacc.yy"
    {
              Lex->charset=&my_charset_bin;
              (yyval.num)=DRIZZLE_TYPE_BLOB;
              Lex->length=(char*) 0; /* use default length */

              statement::CreateTable *statement=
                (statement::CreateTable *)Lex->statement;

              if (statement->current_proto_field)
              {
                statement->current_proto_field->set_type(message::Table::Field::BLOB);
                message::Table::Field::StringFieldOptions *string_field_options;

                string_field_options= statement->current_proto_field->mutable_string_options();
                string_field_options->set_collation_id(my_charset_bin.number);
                string_field_options->set_collation(my_charset_bin.name);
              }
            }
    break;

  case 118:

/* Line 1455 of yacc.c  */
#line 1634 "drizzled/sql_yacc.yy"
    {
              (yyval.num)=DRIZZLE_TYPE_BLOB;
              Lex->length=(char*) 0; /* use default length */

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
              statement->current_proto_field->set_type(message::Table::Field::BLOB);
            }
    break;

  case 119:

/* Line 1455 of yacc.c  */
#line 1645 "drizzled/sql_yacc.yy"
    {
            (yyval.num)=DRIZZLE_TYPE_DECIMAL;

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
              statement->current_proto_field->set_type(message::Table::Field::DECIMAL);
          }
    break;

  case 120:

/* Line 1455 of yacc.c  */
#line 1655 "drizzled/sql_yacc.yy"
    {
            (yyval.num)=DRIZZLE_TYPE_DECIMAL;

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
              statement->current_proto_field->set_type(message::Table::Field::DECIMAL);
          }
    break;

  case 121:

/* Line 1455 of yacc.c  */
#line 1665 "drizzled/sql_yacc.yy"
    {
            (yyval.num)=DRIZZLE_TYPE_DECIMAL;

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
              statement->current_proto_field->set_type(message::Table::Field::DECIMAL);
          }
    break;

  case 122:

/* Line 1455 of yacc.c  */
#line 1675 "drizzled/sql_yacc.yy"
    {Lex->interval_list.empty();}
    break;

  case 123:

/* Line 1455 of yacc.c  */
#line 1677 "drizzled/sql_yacc.yy"
    {
            (yyval.num)=DRIZZLE_TYPE_ENUM;

            statement::CreateTable *statement=
              (statement::CreateTable *)Lex->statement;

            if (statement->current_proto_field)
              statement->current_proto_field->set_type(message::Table::Field::ENUM);
          }
    break;

  case 124:

/* Line 1455 of yacc.c  */
#line 1687 "drizzled/sql_yacc.yy"
    {
            (yyval.num)=DRIZZLE_TYPE_LONGLONG;
            Lex->type|= (AUTO_INCREMENT_FLAG | NOT_NULL_FLAG | UNIQUE_FLAG);

            statement::CreateTable *statement= (statement::CreateTable *)Lex->statement;
            if (statement->current_proto_field)
            {
              message::Table::Field::FieldConstraints *constraints;
              constraints= statement->current_proto_field->mutable_constraints();
              constraints->set_is_nullable(false);

              statement->current_proto_field->set_type(message::Table::Field::BIGINT);
            }
          }
    break;

  case 125:

/* Line 1455 of yacc.c  */
#line 1704 "drizzled/sql_yacc.yy"
    {}
    break;

  case 126:

/* Line 1455 of yacc.c  */
#line 1708 "drizzled/sql_yacc.yy"
    {}
    break;

  case 127:

/* Line 1455 of yacc.c  */
#line 1709 "drizzled/sql_yacc.yy"
    {}
    break;

  case 128:

/* Line 1455 of yacc.c  */
#line 1713 "drizzled/sql_yacc.yy"
    { (yyval.num)=DRIZZLE_TYPE_LONG; }
    break;

  case 129:

/* Line 1455 of yacc.c  */
#line 1714 "drizzled/sql_yacc.yy"
    { (yyval.num)=DRIZZLE_TYPE_LONGLONG; }
    break;

  case 130:

/* Line 1455 of yacc.c  */
#line 1719 "drizzled/sql_yacc.yy"
    {
            (yyval.num)= DRIZZLE_TYPE_DOUBLE;
          }
    break;

  case 131:

/* Line 1455 of yacc.c  */
#line 1723 "drizzled/sql_yacc.yy"
    { (yyval.num)=DRIZZLE_TYPE_DOUBLE; }
    break;

  case 132:

/* Line 1455 of yacc.c  */
#line 1725 "drizzled/sql_yacc.yy"
    { (yyval.num)=DRIZZLE_TYPE_DOUBLE; }
    break;

  case 133:

/* Line 1455 of yacc.c  */
#line 1730 "drizzled/sql_yacc.yy"
    { Lex->dec=Lex->length= (char*)0; }
    break;

  case 134:

/* Line 1455 of yacc.c  */
#line 1732 "drizzled/sql_yacc.yy"
    { Lex->length=(yyvsp[(2) - (3)].lex_str).str; Lex->dec= (char*)0; }
    break;

  case 135:

/* Line 1455 of yacc.c  */
#line 1734 "drizzled/sql_yacc.yy"
    {}
    break;

  case 136:

/* Line 1455 of yacc.c  */
#line 1739 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->length=(yyvsp[(2) - (5)].lex_str).str;
            lex->dec=(yyvsp[(4) - (5)].lex_str).str;
          }
    break;

  case 137:

/* Line 1455 of yacc.c  */
#line 1747 "drizzled/sql_yacc.yy"
    { Lex->length=(char*) 0; /* use default length */ }
    break;

  case 138:

/* Line 1455 of yacc.c  */
#line 1748 "drizzled/sql_yacc.yy"
    { Lex->length= (yyvsp[(2) - (3)].lex_str).str; }
    break;

  case 139:

/* Line 1455 of yacc.c  */
#line 1752 "drizzled/sql_yacc.yy"
    {}
    break;

  case 140:

/* Line 1455 of yacc.c  */
#line 1753 "drizzled/sql_yacc.yy"
    {}
    break;

  case 141:

/* Line 1455 of yacc.c  */
#line 1757 "drizzled/sql_yacc.yy"
    {}
    break;

  case 142:

/* Line 1455 of yacc.c  */
#line 1758 "drizzled/sql_yacc.yy"
    {}
    break;

  case 143:

/* Line 1455 of yacc.c  */
#line 1762 "drizzled/sql_yacc.yy"
    {}
    break;

  case 145:

/* Line 1455 of yacc.c  */
#line 1768 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            Lex->type&= ~ NOT_NULL_FLAG;

            if (statement->current_proto_field)
            {
              message::Table::Field::FieldConstraints *constraints;
              constraints= statement->current_proto_field->mutable_constraints();
              constraints->set_is_nullable(true);
            }
          }
    break;

  case 146:

/* Line 1455 of yacc.c  */
#line 1780 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->column_format= (yyvsp[(2) - (2)].column_format_type);
            statement->alter_info.flags.set(ALTER_COLUMN_FORMAT);
          }
    break;

  case 147:

/* Line 1455 of yacc.c  */
#line 1787 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            Lex->type|= NOT_NULL_FLAG;

            if (statement->current_proto_field)
            {
              message::Table::Field::FieldConstraints *constraints;
              constraints= statement->current_proto_field->mutable_constraints();
              constraints->set_is_nullable(false);
            }
          }
    break;

  case 148:

/* Line 1455 of yacc.c  */
#line 1799 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->default_value=(yyvsp[(2) - (2)].item);
            statement->alter_info.flags.set(ALTER_COLUMN_DEFAULT);
          }
    break;

  case 149:

/* Line 1455 of yacc.c  */
#line 1806 "drizzled/sql_yacc.yy"
    { ((statement::AlterTable *)Lex->statement)->on_update_value= new Item_func_now_local(); }
    break;

  case 150:

/* Line 1455 of yacc.c  */
#line 1808 "drizzled/sql_yacc.yy"
    {
            Lex->type|= AUTO_INCREMENT_FLAG | NOT_NULL_FLAG;

            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            if (statement->current_proto_field)
            {
              message::Table::Field::FieldConstraints *constraints;

              constraints= statement->current_proto_field->mutable_constraints();
              constraints->set_is_nullable(false);
            }
          }
    break;

  case 151:

/* Line 1455 of yacc.c  */
#line 1821 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            lex->type|= AUTO_INCREMENT_FLAG | NOT_NULL_FLAG | UNIQUE_FLAG;
            statement->alter_info.flags.set(ALTER_ADD_INDEX);

            if (statement->current_proto_field)
            {
              message::Table::Field::FieldConstraints *constraints;
              constraints= statement->current_proto_field->mutable_constraints();
              constraints->set_is_nullable(false);
            }
          }
    break;

  case 152:

/* Line 1455 of yacc.c  */
#line 1836 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            lex->type|= PRI_KEY_FLAG | NOT_NULL_FLAG;
            statement->alter_info.flags.set(ALTER_ADD_INDEX);

            if (statement->current_proto_field)
            {
              message::Table::Field::FieldConstraints *constraints;
              constraints= statement->current_proto_field->mutable_constraints();
              constraints->set_is_nullable(false);
            }
          }
    break;

  case 153:

/* Line 1455 of yacc.c  */
#line 1851 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            lex->type|= UNIQUE_FLAG;
            statement->alter_info.flags.set(ALTER_ADD_INDEX);
          }
    break;

  case 154:

/* Line 1455 of yacc.c  */
#line 1859 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            lex->type|= UNIQUE_KEY_FLAG;
            statement->alter_info.flags.set(ALTER_ADD_INDEX);
          }
    break;

  case 155:

/* Line 1455 of yacc.c  */
#line 1867 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            statement->comment= (yyvsp[(2) - (2)].lex_str);

            if (statement->current_proto_field)
              statement->current_proto_field->set_comment((yyvsp[(2) - (2)].lex_str).str);
          }
    break;

  case 156:

/* Line 1455 of yacc.c  */
#line 1875 "drizzled/sql_yacc.yy"
    {
            if (Lex->charset && !my_charset_same(Lex->charset,(yyvsp[(2) - (2)].charset)))
            {
              my_error(ER_COLLATION_CHARSET_MISMATCH, MYF(0),
                       (yyvsp[(2) - (2)].charset)->name,Lex->charset->csname);
              DRIZZLE_YYABORT;
            }
            else
            {
              Lex->charset=(yyvsp[(2) - (2)].charset);
            }
          }
    break;

  case 157:

/* Line 1455 of yacc.c  */
#line 1891 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_now_local(); }
    break;

  case 158:

/* Line 1455 of yacc.c  */
#line 1893 "drizzled/sql_yacc.yy"
    { (yyval.item)=(yyvsp[(1) - (1)].item); }
    break;

  case 159:

/* Line 1455 of yacc.c  */
#line 1898 "drizzled/sql_yacc.yy"
    {
            if (!((yyval.charset)=get_charset_by_name((yyvsp[(1) - (1)].lex_str).str)))
            {
              my_error(ER_UNKNOWN_COLLATION, MYF(0), (yyvsp[(1) - (1)].lex_str).str);
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 160:

/* Line 1455 of yacc.c  */
#line 1908 "drizzled/sql_yacc.yy"
    { (yyval.charset)=(yyvsp[(1) - (1)].charset); }
    break;

  case 161:

/* Line 1455 of yacc.c  */
#line 1909 "drizzled/sql_yacc.yy"
    { (yyval.charset)=NULL; }
    break;

  case 162:

/* Line 1455 of yacc.c  */
#line 1913 "drizzled/sql_yacc.yy"
    {}
    break;

  case 163:

/* Line 1455 of yacc.c  */
#line 1914 "drizzled/sql_yacc.yy"
    {}
    break;

  case 166:

/* Line 1455 of yacc.c  */
#line 1928 "drizzled/sql_yacc.yy"
    {
            (yyval.table)=(yyvsp[(2) - (5)].table);
          }
    break;

  case 167:

/* Line 1455 of yacc.c  */
#line 1935 "drizzled/sql_yacc.yy"
    { Lex->ref_list.empty(); }
    break;

  case 169:

/* Line 1455 of yacc.c  */
#line 1941 "drizzled/sql_yacc.yy"
    { Lex->ref_list.push_back(new Key_part_spec((yyvsp[(3) - (3)].lex_str), 0)); }
    break;

  case 170:

/* Line 1455 of yacc.c  */
#line 1943 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            lex->ref_list.empty();
            lex->ref_list.push_back(new Key_part_spec((yyvsp[(1) - (1)].lex_str), 0));
          }
    break;

  case 171:

/* Line 1455 of yacc.c  */
#line 1952 "drizzled/sql_yacc.yy"
    { ((statement::CreateTable *)Lex->statement)->fk_match_option= drizzled::message::Table::ForeignKeyConstraint::MATCH_UNDEFINED; }
    break;

  case 172:

/* Line 1455 of yacc.c  */
#line 1954 "drizzled/sql_yacc.yy"
    { ((statement::CreateTable *)Lex->statement)->fk_match_option= drizzled::message::Table::ForeignKeyConstraint::MATCH_FULL; }
    break;

  case 173:

/* Line 1455 of yacc.c  */
#line 1956 "drizzled/sql_yacc.yy"
    { ((statement::CreateTable *)Lex->statement)->fk_match_option= drizzled::message::Table::ForeignKeyConstraint::MATCH_PARTIAL; }
    break;

  case 174:

/* Line 1455 of yacc.c  */
#line 1958 "drizzled/sql_yacc.yy"
    { ((statement::CreateTable *)Lex->statement)->fk_match_option= drizzled::message::Table::ForeignKeyConstraint::MATCH_SIMPLE; }
    break;

  case 175:

/* Line 1455 of yacc.c  */
#line 1963 "drizzled/sql_yacc.yy"
    {
            ((statement::CreateTable *)Lex->statement)->fk_update_opt= drizzled::message::Table::ForeignKeyConstraint::OPTION_UNDEF;
            ((statement::CreateTable *)Lex->statement)->fk_delete_opt= drizzled::message::Table::ForeignKeyConstraint::OPTION_UNDEF;
          }
    break;

  case 176:

/* Line 1455 of yacc.c  */
#line 1968 "drizzled/sql_yacc.yy"
    {
            ((statement::CreateTable *)Lex->statement)->fk_update_opt= (yyvsp[(3) - (3)].m_fk_option);
            ((statement::CreateTable *)Lex->statement)->fk_delete_opt= drizzled::message::Table::ForeignKeyConstraint::OPTION_UNDEF;
          }
    break;

  case 177:

/* Line 1455 of yacc.c  */
#line 1973 "drizzled/sql_yacc.yy"
    {
            ((statement::CreateTable *)Lex->statement)->fk_update_opt= drizzled::message::Table::ForeignKeyConstraint::OPTION_UNDEF;
            ((statement::CreateTable *)Lex->statement)->fk_delete_opt= (yyvsp[(3) - (3)].m_fk_option);
          }
    break;

  case 178:

/* Line 1455 of yacc.c  */
#line 1979 "drizzled/sql_yacc.yy"
    {
            ((statement::CreateTable *)Lex->statement)->fk_update_opt= (yyvsp[(3) - (6)].m_fk_option);
            ((statement::CreateTable *)Lex->statement)->fk_delete_opt= (yyvsp[(6) - (6)].m_fk_option);
          }
    break;

  case 179:

/* Line 1455 of yacc.c  */
#line 1985 "drizzled/sql_yacc.yy"
    {
            ((statement::CreateTable *)Lex->statement)->fk_update_opt= (yyvsp[(6) - (6)].m_fk_option);
            ((statement::CreateTable *)Lex->statement)->fk_delete_opt= (yyvsp[(3) - (6)].m_fk_option);
          }
    break;

  case 180:

/* Line 1455 of yacc.c  */
#line 1992 "drizzled/sql_yacc.yy"
    { (yyval.m_fk_option)= drizzled::message::Table::ForeignKeyConstraint::OPTION_RESTRICT; }
    break;

  case 181:

/* Line 1455 of yacc.c  */
#line 1993 "drizzled/sql_yacc.yy"
    { (yyval.m_fk_option)= drizzled::message::Table::ForeignKeyConstraint::OPTION_CASCADE; }
    break;

  case 182:

/* Line 1455 of yacc.c  */
#line 1994 "drizzled/sql_yacc.yy"
    { (yyval.m_fk_option)= drizzled::message::Table::ForeignKeyConstraint::OPTION_SET_NULL; }
    break;

  case 183:

/* Line 1455 of yacc.c  */
#line 1995 "drizzled/sql_yacc.yy"
    { (yyval.m_fk_option)= drizzled::message::Table::ForeignKeyConstraint::OPTION_NO_ACTION; }
    break;

  case 184:

/* Line 1455 of yacc.c  */
#line 1996 "drizzled/sql_yacc.yy"
    { (yyval.m_fk_option)= drizzled::message::Table::ForeignKeyConstraint::OPTION_DEFAULT;  }
    break;

  case 185:

/* Line 1455 of yacc.c  */
#line 2000 "drizzled/sql_yacc.yy"
    { (yyval.key_type)= Key::MULTIPLE; }
    break;

  case 186:

/* Line 1455 of yacc.c  */
#line 2004 "drizzled/sql_yacc.yy"
    { (yyval.key_type)= Key::PRIMARY; }
    break;

  case 187:

/* Line 1455 of yacc.c  */
#line 2005 "drizzled/sql_yacc.yy"
    { (yyval.key_type)= Key::UNIQUE; }
    break;

  case 188:

/* Line 1455 of yacc.c  */
#line 2009 "drizzled/sql_yacc.yy"
    {}
    break;

  case 189:

/* Line 1455 of yacc.c  */
#line 2010 "drizzled/sql_yacc.yy"
    {}
    break;

  case 190:

/* Line 1455 of yacc.c  */
#line 2014 "drizzled/sql_yacc.yy"
    {}
    break;

  case 192:

/* Line 1455 of yacc.c  */
#line 2019 "drizzled/sql_yacc.yy"
    {}
    break;

  case 193:

/* Line 1455 of yacc.c  */
#line 2020 "drizzled/sql_yacc.yy"
    {}
    break;

  case 194:

/* Line 1455 of yacc.c  */
#line 2021 "drizzled/sql_yacc.yy"
    {}
    break;

  case 195:

/* Line 1455 of yacc.c  */
#line 2025 "drizzled/sql_yacc.yy"
    { (yyval.key_type)= Key::MULTIPLE; }
    break;

  case 196:

/* Line 1455 of yacc.c  */
#line 2026 "drizzled/sql_yacc.yy"
    { (yyval.key_type)= Key::UNIQUE; }
    break;

  case 197:

/* Line 1455 of yacc.c  */
#line 2030 "drizzled/sql_yacc.yy"
    {
            ((statement::CreateTable *)Lex->statement)->key_create_info= default_key_create_info;
          }
    break;

  case 200:

/* Line 1455 of yacc.c  */
#line 2047 "drizzled/sql_yacc.yy"
    {}
    break;

  case 204:

/* Line 1455 of yacc.c  */
#line 2057 "drizzled/sql_yacc.yy"
    { ((statement::CreateTable *)Lex->statement)->key_create_info.algorithm= (yyvsp[(2) - (2)].key_alg); }
    break;

  case 205:

/* Line 1455 of yacc.c  */
#line 2058 "drizzled/sql_yacc.yy"
    { ((statement::CreateTable *)Lex->statement)->key_create_info.algorithm= (yyvsp[(2) - (2)].key_alg); }
    break;

  case 207:

/* Line 1455 of yacc.c  */
#line 2064 "drizzled/sql_yacc.yy"
    { ((statement::CreateTable *)Lex->statement)->key_create_info.block_size= (yyvsp[(3) - (3)].ulong_num); }
    break;

  case 208:

/* Line 1455 of yacc.c  */
#line 2066 "drizzled/sql_yacc.yy"
    { ((statement::CreateTable *)Lex->statement)->key_create_info.comment= (yyvsp[(2) - (2)].lex_str); }
    break;

  case 209:

/* Line 1455 of yacc.c  */
#line 2070 "drizzled/sql_yacc.yy"
    { (yyval.key_alg)= HA_KEY_ALG_BTREE; }
    break;

  case 210:

/* Line 1455 of yacc.c  */
#line 2071 "drizzled/sql_yacc.yy"
    { (yyval.key_alg)= HA_KEY_ALG_HASH; }
    break;

  case 211:

/* Line 1455 of yacc.c  */
#line 2075 "drizzled/sql_yacc.yy"
    { Lex->col_list.push_back((yyvsp[(3) - (4)].key_part)); }
    break;

  case 212:

/* Line 1455 of yacc.c  */
#line 2076 "drizzled/sql_yacc.yy"
    { Lex->col_list.push_back((yyvsp[(1) - (2)].key_part)); }
    break;

  case 213:

/* Line 1455 of yacc.c  */
#line 2080 "drizzled/sql_yacc.yy"
    { (yyval.key_part)=new Key_part_spec((yyvsp[(1) - (1)].lex_str), 0); }
    break;

  case 214:

/* Line 1455 of yacc.c  */
#line 2082 "drizzled/sql_yacc.yy"
    {
            int key_part_len= atoi((yyvsp[(3) - (4)].lex_str).str);
            if (!key_part_len)
            {
              my_error(ER_KEY_PART_0, MYF(0), (yyvsp[(1) - (4)].lex_str).str);
            }
            (yyval.key_part)=new Key_part_spec((yyvsp[(1) - (4)].lex_str), (uint) key_part_len);
          }
    break;

  case 215:

/* Line 1455 of yacc.c  */
#line 2093 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)= null_lex_str; }
    break;

  case 216:

/* Line 1455 of yacc.c  */
#line 2094 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)= (yyvsp[(1) - (1)].lex_str); }
    break;

  case 217:

/* Line 1455 of yacc.c  */
#line 2098 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)= null_lex_str; }
    break;

  case 218:

/* Line 1455 of yacc.c  */
#line 2099 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)= (yyvsp[(2) - (2)].lex_str); }
    break;

  case 219:

/* Line 1455 of yacc.c  */
#line 2103 "drizzled/sql_yacc.yy"
    { Lex->interval_list.push_back((yyvsp[(1) - (1)].string)); }
    break;

  case 220:

/* Line 1455 of yacc.c  */
#line 2104 "drizzled/sql_yacc.yy"
    { Lex->interval_list.push_back((yyvsp[(3) - (3)].string)); }
    break;

  case 221:

/* Line 1455 of yacc.c  */
#line 2112 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            LEX *lex= session->lex;
            lex->name.str= 0;
            lex->name.length= 0;
            lex->sql_command= SQLCOM_ALTER_TABLE;
            statement::AlterTable *statement= new(std::nothrow) statement::AlterTable(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            lex->duplicates= DUP_ERROR;
            if (!lex->select_lex.add_table_to_list(session, (yyvsp[(5) - (5)].table), NULL,
                                                   TL_OPTION_UPDATING))
              DRIZZLE_YYABORT;
            lex->col_list.empty();
            lex->select_lex.init_order();
            lex->select_lex.db= const_cast<char *>(((TableList*) lex->select_lex.table_list.first)->getSchemaName());
            statement->alter_info.build_method= (yyvsp[(2) - (5)].build_method);
          }
    break;

  case 222:

/* Line 1455 of yacc.c  */
#line 2132 "drizzled/sql_yacc.yy"
    {}
    break;

  case 223:

/* Line 1455 of yacc.c  */
#line 2134 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command=SQLCOM_ALTER_DB;
            lex->statement= new(std::nothrow) statement::AlterSchema(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 224:

/* Line 1455 of yacc.c  */
#line 2142 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->name= (yyvsp[(3) - (5)].lex_str);
            if (lex->name.str == NULL &&
                lex->copy_db_to(&lex->name.str, &lex->name.length))
              DRIZZLE_YYABORT;
          }
    break;

  case 225:

/* Line 1455 of yacc.c  */
#line 2152 "drizzled/sql_yacc.yy"
    { (yyval.lex_str).str= 0; (yyval.lex_str).length= 0; }
    break;

  case 226:

/* Line 1455 of yacc.c  */
#line 2153 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)= (yyvsp[(1) - (1)].lex_str); }
    break;

  case 228:

/* Line 1455 of yacc.c  */
#line 2159 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            statement->alter_info.tablespace_op= DISCARD_TABLESPACE;
          }
    break;

  case 229:

/* Line 1455 of yacc.c  */
#line 2164 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            statement->alter_info.tablespace_op= IMPORT_TABLESPACE;
          }
    break;

  case 231:

/* Line 1455 of yacc.c  */
#line 2173 "drizzled/sql_yacc.yy"
    {
            (yyval.build_method)= HA_BUILD_DEFAULT;
          }
    break;

  case 232:

/* Line 1455 of yacc.c  */
#line 2177 "drizzled/sql_yacc.yy"
    {
            (yyval.build_method)= HA_BUILD_ONLINE;
          }
    break;

  case 233:

/* Line 1455 of yacc.c  */
#line 2181 "drizzled/sql_yacc.yy"
    {
            (yyval.build_method)= HA_BUILD_OFFLINE;
          }
    break;

  case 236:

/* Line 1455 of yacc.c  */
#line 2193 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->change=0;
            statement->alter_info.flags.set(ALTER_ADD_COLUMN);
          }
    break;

  case 237:

/* Line 1455 of yacc.c  */
#line 2202 "drizzled/sql_yacc.yy"
    { }
    break;

  case 238:

/* Line 1455 of yacc.c  */
#line 2204 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.flags.set(ALTER_ADD_INDEX);
          }
    break;

  case 239:

/* Line 1455 of yacc.c  */
#line 2210 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.flags.set(ALTER_ADD_COLUMN);
            statement->alter_info.flags.set(ALTER_ADD_INDEX);
          }
    break;

  case 240:

/* Line 1455 of yacc.c  */
#line 2217 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            statement->change= (yyvsp[(3) - (3)].lex_str).str;
            statement->alter_info.flags.set(ALTER_CHANGE_COLUMN);
          }
    break;

  case 242:

/* Line 1455 of yacc.c  */
#line 2224 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            lex->length=lex->dec=0; lex->type=0;
            statement->default_value= statement->on_update_value= 0;
            statement->comment= null_lex_str;
            lex->charset= NULL;
            statement->alter_info.flags.set(ALTER_CHANGE_COLUMN);
            statement->column_format= COLUMN_FORMAT_TYPE_DEFAULT;

            statement->current_proto_field= NULL;
          }
    break;

  case 243:

/* Line 1455 of yacc.c  */
#line 2237 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            if (add_field_to_list(lex->session,&(yyvsp[(3) - (5)].lex_str),
                                  (enum enum_field_types) (yyvsp[(5) - (5)].num),
                                  lex->length, lex->dec, lex->type,
                                  statement->column_format,
                                  statement->default_value,
                                  statement->on_update_value,
                                  &statement->comment,
                                  (yyvsp[(3) - (5)].lex_str).str, &lex->interval_list, lex->charset))
              DRIZZLE_YYABORT;
          }
    break;

  case 245:

/* Line 1455 of yacc.c  */
#line 2253 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.drop_list.push_back(new AlterDrop(AlterDrop::COLUMN, (yyvsp[(3) - (3)].lex_str).str));
            statement->alter_info.flags.set(ALTER_DROP_COLUMN);
          }
    break;

  case 246:

/* Line 1455 of yacc.c  */
#line 2260 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            statement->alter_info.drop_list.push_back(new AlterDrop(AlterDrop::FOREIGN_KEY,
                                                                    (yyvsp[(4) - (4)].lex_str).str));
            statement->alter_info.flags.set(ALTER_DROP_INDEX);
            statement->alter_info.flags.set(ALTER_FOREIGN_KEY);
          }
    break;

  case 247:

/* Line 1455 of yacc.c  */
#line 2268 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.drop_list.push_back(new AlterDrop(AlterDrop::KEY,
                                                               "PRIMARY"));
            statement->alter_info.flags.set(ALTER_DROP_INDEX);
          }
    break;

  case 248:

/* Line 1455 of yacc.c  */
#line 2276 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.drop_list.push_back(new AlterDrop(AlterDrop::KEY,
                                                                    (yyvsp[(3) - (3)].lex_str).str));
            statement->alter_info.flags.set(ALTER_DROP_INDEX);
          }
    break;

  case 249:

/* Line 1455 of yacc.c  */
#line 2284 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.keys_onoff= DISABLE;
            statement->alter_info.flags.set(ALTER_KEYS_ONOFF);
          }
    break;

  case 250:

/* Line 1455 of yacc.c  */
#line 2291 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.keys_onoff= ENABLE;
            statement->alter_info.flags.set(ALTER_KEYS_ONOFF);
          }
    break;

  case 251:

/* Line 1455 of yacc.c  */
#line 2298 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.alter_list.push_back(new AlterColumn((yyvsp[(3) - (6)].lex_str).str,(yyvsp[(6) - (6)].item)));
            statement->alter_info.flags.set(ALTER_COLUMN_DEFAULT);
          }
    break;

  case 252:

/* Line 1455 of yacc.c  */
#line 2305 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.alter_list.push_back(new AlterColumn((yyvsp[(3) - (5)].lex_str).str, (Item*) 0));
            statement->alter_info.flags.set(ALTER_COLUMN_DEFAULT);
          }
    break;

  case 253:

/* Line 1455 of yacc.c  */
#line 2312 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;
            size_t dummy;

            lex->select_lex.db=(yyvsp[(3) - (3)].table)->db.str;
            if (lex->select_lex.db == NULL &&
                lex->copy_db_to(&lex->select_lex.db, &dummy))
            {
              DRIZZLE_YYABORT;
            }

            if (check_table_name((yyvsp[(3) - (3)].table)->table.str,(yyvsp[(3) - (3)].table)->table.length))
            {
              my_error(ER_WRONG_TABLE_NAME, MYF(0), (yyvsp[(3) - (3)].table)->table.str);
              DRIZZLE_YYABORT;
            }

            lex->name= (yyvsp[(3) - (3)].table)->table;
            statement->alter_info.flags.set(ALTER_RENAME);
          }
    break;

  case 254:

/* Line 1455 of yacc.c  */
#line 2334 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->create_info.table_charset=
            statement->create_info.default_table_charset= (yyvsp[(3) - (3)].charset);
            statement->create_info.used_fields|= (HA_CREATE_USED_CHARSET |
              HA_CREATE_USED_DEFAULT_CHARSET);
            statement->alter_info.flags.set(ALTER_CONVERT);
          }
    break;

  case 255:

/* Line 1455 of yacc.c  */
#line 2344 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.flags.set(ALTER_OPTIONS);
          }
    break;

  case 256:

/* Line 1455 of yacc.c  */
#line 2350 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.flags.set(ALTER_FORCE);
          }
    break;

  case 257:

/* Line 1455 of yacc.c  */
#line 2356 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            statement->alter_info.flags.set(ALTER_ORDER);
          }
    break;

  case 258:

/* Line 1455 of yacc.c  */
#line 2364 "drizzled/sql_yacc.yy"
    {}
    break;

  case 259:

/* Line 1455 of yacc.c  */
#line 2365 "drizzled/sql_yacc.yy"
    {}
    break;

  case 260:

/* Line 1455 of yacc.c  */
#line 2369 "drizzled/sql_yacc.yy"
    { Lex->ignore= 0;}
    break;

  case 261:

/* Line 1455 of yacc.c  */
#line 2370 "drizzled/sql_yacc.yy"
    { Lex->ignore= 1;}
    break;

  case 262:

/* Line 1455 of yacc.c  */
#line 2374 "drizzled/sql_yacc.yy"
    {}
    break;

  case 263:

/* Line 1455 of yacc.c  */
#line 2376 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            store_position_for_column((yyvsp[(2) - (2)].lex_str).str);
            statement->alter_info.flags.set(ALTER_COLUMN_ORDER);
          }
    break;

  case 264:

/* Line 1455 of yacc.c  */
#line 2383 "drizzled/sql_yacc.yy"
    {
            statement::AlterTable *statement= (statement::AlterTable *)Lex->statement;

            store_position_for_column(first_keyword);
            statement->alter_info.flags.set(ALTER_COLUMN_ORDER);
          }
    break;

  case 265:

/* Line 1455 of yacc.c  */
#line 2392 "drizzled/sql_yacc.yy"
    {}
    break;

  case 266:

/* Line 1455 of yacc.c  */
#line 2393 "drizzled/sql_yacc.yy"
    {}
    break;

  case 267:

/* Line 1455 of yacc.c  */
#line 2394 "drizzled/sql_yacc.yy"
    {}
    break;

  case 268:

/* Line 1455 of yacc.c  */
#line 2395 "drizzled/sql_yacc.yy"
    {}
    break;

  case 269:

/* Line 1455 of yacc.c  */
#line 2400 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            lex->sql_command= SQLCOM_BEGIN;
            lex->statement= new(std::nothrow) statement::StartTransaction(YYSession, (start_transaction_option_t)(yyvsp[(3) - (3)].num));
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 270:

/* Line 1455 of yacc.c  */
#line 2410 "drizzled/sql_yacc.yy"
    { (yyval.num) = START_TRANS_NO_OPTIONS; }
    break;

  case 271:

/* Line 1455 of yacc.c  */
#line 2412 "drizzled/sql_yacc.yy"
    {
            (yyval.num)= START_TRANS_OPT_WITH_CONS_SNAPSHOT;
          }
    break;

  case 272:

/* Line 1455 of yacc.c  */
#line 2419 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command = SQLCOM_ANALYZE;
            lex->statement= new(std::nothrow) statement::Analyze(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 273:

/* Line 1455 of yacc.c  */
#line 2427 "drizzled/sql_yacc.yy"
    {}
    break;

  case 274:

/* Line 1455 of yacc.c  */
#line 2432 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;

            lex->sql_command = SQLCOM_CHECK;
            lex->statement= new(std::nothrow) statement::Check(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 275:

/* Line 1455 of yacc.c  */
#line 2441 "drizzled/sql_yacc.yy"
    {}
    break;

  case 276:

/* Line 1455 of yacc.c  */
#line 2446 "drizzled/sql_yacc.yy"
    {
            Lex->sql_command= SQLCOM_RENAME_TABLE;
            Lex->statement= new(std::nothrow) statement::RenameTable(YYSession);
            if (Lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 277:

/* Line 1455 of yacc.c  */
#line 2453 "drizzled/sql_yacc.yy"
    {}
    break;

  case 280:

/* Line 1455 of yacc.c  */
#line 2463 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            Select_Lex *sl= lex->current_select;
            if (!sl->add_table_to_list(lex->session, (yyvsp[(1) - (3)].table),NULL,TL_OPTION_UPDATING,
                                       TL_IGNORE) ||
                !sl->add_table_to_list(lex->session, (yyvsp[(3) - (3)].table),NULL,TL_OPTION_UPDATING,
                                       TL_IGNORE))
              DRIZZLE_YYABORT;
          }
    break;

  case 281:

/* Line 1455 of yacc.c  */
#line 2481 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            lex->sql_command= SQLCOM_SELECT;
            lex->statement= new(std::nothrow) statement::Select(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 284:

/* Line 1455 of yacc.c  */
#line 2498 "drizzled/sql_yacc.yy"
    {
            if (setup_select_in_parentheses(YYSession, Lex))
              DRIZZLE_YYABORT;
          }
    break;

  case 286:

/* Line 1455 of yacc.c  */
#line 2508 "drizzled/sql_yacc.yy"
    {
            if (setup_select_in_parentheses(YYSession, Lex))
              DRIZZLE_YYABORT;
          }
    break;

  case 288:

/* Line 1455 of yacc.c  */
#line 2517 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            Select_Lex * sel= lex->current_select;
            if (lex->current_select->set_braces(0))
            {
              struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
              my_parse_error(&pass);
              DRIZZLE_YYABORT;
            }
            if (sel->linkage == UNION_TYPE &&
                sel->master_unit()->first_select()->braces)
            {
              struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
              my_parse_error(&pass);
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 290:

/* Line 1455 of yacc.c  */
#line 2538 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            Select_Lex *sel= lex->current_select;
            if (sel->linkage != UNION_TYPE)
              mysql_init_select(lex);
            lex->current_select->parsing_place= SELECT_LIST;
          }
    break;

  case 291:

/* Line 1455 of yacc.c  */
#line 2546 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->parsing_place= NO_MATTER;
          }
    break;

  case 293:

/* Line 1455 of yacc.c  */
#line 2553 "drizzled/sql_yacc.yy"
    {}
    break;

  case 298:

/* Line 1455 of yacc.c  */
#line 2563 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->context.table_list=
              Lex->current_select->context.first_name_resolution_table=
                reinterpret_cast<TableList *>(Lex->current_select->table_list.first);
          }
    break;

  case 300:

/* Line 1455 of yacc.c  */
#line 2573 "drizzled/sql_yacc.yy"
    {
            if (Lex->current_select->options & SELECT_DISTINCT &&
                Lex->current_select->options & SELECT_ALL)
            {
              my_error(ER_WRONG_USAGE, MYF(0), "ALL", "DISTINCT");
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 303:

/* Line 1455 of yacc.c  */
#line 2589 "drizzled/sql_yacc.yy"
    { Lex->current_select->options|= SELECT_STRAIGHT_JOIN; }
    break;

  case 304:

/* Line 1455 of yacc.c  */
#line 2590 "drizzled/sql_yacc.yy"
    { Lex->current_select->options|= SELECT_DISTINCT; }
    break;

  case 305:

/* Line 1455 of yacc.c  */
#line 2591 "drizzled/sql_yacc.yy"
    { Lex->current_select->options|= SELECT_SMALL_RESULT; }
    break;

  case 306:

/* Line 1455 of yacc.c  */
#line 2592 "drizzled/sql_yacc.yy"
    { Lex->current_select->options|= SELECT_BIG_RESULT; }
    break;

  case 307:

/* Line 1455 of yacc.c  */
#line 2594 "drizzled/sql_yacc.yy"
    {
            if (check_simple_select())
              DRIZZLE_YYABORT;
            Lex->current_select->options|= OPTION_BUFFER_RESULT;
          }
    break;

  case 308:

/* Line 1455 of yacc.c  */
#line 2600 "drizzled/sql_yacc.yy"
    {
            if (check_simple_select())
              DRIZZLE_YYABORT;
            Lex->current_select->options|= OPTION_FOUND_ROWS;
          }
    break;

  case 309:

/* Line 1455 of yacc.c  */
#line 2605 "drizzled/sql_yacc.yy"
    { Lex->current_select->options|= SELECT_ALL; }
    break;

  case 311:

/* Line 1455 of yacc.c  */
#line 2611 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->current_select->set_lock_for_tables(TL_WRITE);
          }
    break;

  case 312:

/* Line 1455 of yacc.c  */
#line 2616 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->current_select->
              set_lock_for_tables(TL_READ_WITH_SHARED_LOCKS);
          }
    break;

  case 315:

/* Line 1455 of yacc.c  */
#line 2627 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            if (session->add_item_to_list( new Item_field(&session->lex->current_select->
                                                          context,
                                                          NULL, NULL, "*")))
              DRIZZLE_YYABORT;
            (session->lex->current_select->with_wild)++;
          }
    break;

  case 316:

/* Line 1455 of yacc.c  */
#line 2639 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;

            if (session->add_item_to_list((yyvsp[(2) - (3)].item)))
              DRIZZLE_YYABORT;
          }
    break;

  case 317:

/* Line 1455 of yacc.c  */
#line 2646 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            assert((yyvsp[(1) - (4)].simple_string) < (yyvsp[(3) - (4)].simple_string));

            if (session->add_item_to_list((yyvsp[(2) - (4)].item)))
              DRIZZLE_YYABORT;
            if ((yyvsp[(4) - (4)].lex_str).str)
            {
              (yyvsp[(2) - (4)].item)->is_autogenerated_name= false;
              (yyvsp[(2) - (4)].item)->set_name((yyvsp[(4) - (4)].lex_str).str, (yyvsp[(4) - (4)].lex_str).length, system_charset_info);
            }
            else if (!(yyvsp[(2) - (4)].item)->name)
            {
              (yyvsp[(2) - (4)].item)->set_name((yyvsp[(1) - (4)].simple_string), (uint) ((yyvsp[(3) - (4)].simple_string) - (yyvsp[(1) - (4)].simple_string)), session->charset());
            }
          }
    break;

  case 318:

/* Line 1455 of yacc.c  */
#line 2665 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            Lex_input_stream *lip= session->m_lip;
            (yyval.simple_string)= (char*) lip->get_cpp_tok_start();
          }
    break;

  case 319:

/* Line 1455 of yacc.c  */
#line 2673 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            Lex_input_stream *lip= session->m_lip;
            (yyval.simple_string)= (char*) lip->get_cpp_tok_end();
          }
    break;

  case 320:

/* Line 1455 of yacc.c  */
#line 2681 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=null_lex_str;}
    break;

  case 321:

/* Line 1455 of yacc.c  */
#line 2682 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=(yyvsp[(2) - (2)].lex_str); }
    break;

  case 322:

/* Line 1455 of yacc.c  */
#line 2683 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=(yyvsp[(2) - (2)].lex_str); }
    break;

  case 323:

/* Line 1455 of yacc.c  */
#line 2684 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=(yyvsp[(1) - (1)].lex_str); }
    break;

  case 324:

/* Line 1455 of yacc.c  */
#line 2685 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=(yyvsp[(1) - (1)].lex_str); }
    break;

  case 325:

/* Line 1455 of yacc.c  */
#line 2689 "drizzled/sql_yacc.yy"
    {}
    break;

  case 326:

/* Line 1455 of yacc.c  */
#line 2690 "drizzled/sql_yacc.yy"
    {}
    break;

  case 327:

/* Line 1455 of yacc.c  */
#line 2696 "drizzled/sql_yacc.yy"
    {
            /*
              Design notes:
              Do not use a manually maintained stack like session->lex->xxx_list,
              but use the internal bison stack ($$, $1 and $3) instead.
              Using the bison stack is:
              - more robust to changes in the grammar,
              - guaranteed to be in sync with the parser state,
              - better for performances (no memory allocation).
            */
            Item_cond_or *item1;
            Item_cond_or *item3;
            if (is_cond_or((yyvsp[(1) - (3)].item)))
            {
              item1= (Item_cond_or*) (yyvsp[(1) - (3)].item);
              if (is_cond_or((yyvsp[(3) - (3)].item)))
              {
                item3= (Item_cond_or*) (yyvsp[(3) - (3)].item);
                /*
                  (X1 OR X2) OR (Y1 OR Y2) ==> OR (X1, X2, Y1, Y2)
                */
                item3->add_at_head(item1->argument_list());
                (yyval.item) = (yyvsp[(3) - (3)].item);
              }
              else
              {
                /*
                  (X1 OR X2) OR Y ==> OR (X1, X2, Y)
                */
                item1->add((yyvsp[(3) - (3)].item));
                (yyval.item) = (yyvsp[(1) - (3)].item);
              }
            }
            else if (is_cond_or((yyvsp[(3) - (3)].item)))
            {
              item3= (Item_cond_or*) (yyvsp[(3) - (3)].item);
              /*
                X OR (Y1 OR Y2) ==> OR (X, Y1, Y2)
              */
              item3->add_at_head((yyvsp[(1) - (3)].item));
              (yyval.item) = (yyvsp[(3) - (3)].item);
            }
            else
            {
              /* X OR Y */
              (yyval.item) = new (YYSession->mem_root) Item_cond_or((yyvsp[(1) - (3)].item), (yyvsp[(3) - (3)].item));
            }
          }
    break;

  case 328:

/* Line 1455 of yacc.c  */
#line 2745 "drizzled/sql_yacc.yy"
    {
            /* XOR is a proprietary extension */
            (yyval.item) = new (YYSession->mem_root) Item_cond_xor((yyvsp[(1) - (3)].item), (yyvsp[(3) - (3)].item));
          }
    break;

  case 329:

/* Line 1455 of yacc.c  */
#line 2750 "drizzled/sql_yacc.yy"
    {
            /* See comments in rule expr: expr or expr */
            Item_cond_and *item1;
            Item_cond_and *item3;
            if (is_cond_and((yyvsp[(1) - (3)].item)))
            {
              item1= (Item_cond_and*) (yyvsp[(1) - (3)].item);
              if (is_cond_and((yyvsp[(3) - (3)].item)))
              {
                item3= (Item_cond_and*) (yyvsp[(3) - (3)].item);
                /*
                  (X1 AND X2) AND (Y1 AND Y2) ==> AND (X1, X2, Y1, Y2)
                */
                item3->add_at_head(item1->argument_list());
                (yyval.item) = (yyvsp[(3) - (3)].item);
              }
              else
              {
                /*
                  (X1 AND X2) AND Y ==> AND (X1, X2, Y)
                */
                item1->add((yyvsp[(3) - (3)].item));
                (yyval.item) = (yyvsp[(1) - (3)].item);
              }
            }
            else if (is_cond_and((yyvsp[(3) - (3)].item)))
            {
              item3= (Item_cond_and*) (yyvsp[(3) - (3)].item);
              /*
                X AND (Y1 AND Y2) ==> AND (X, Y1, Y2)
              */
              item3->add_at_head((yyvsp[(1) - (3)].item));
              (yyval.item) = (yyvsp[(3) - (3)].item);
            }
            else
            {
              /* X AND Y */
              (yyval.item) = new (YYSession->mem_root) Item_cond_and((yyvsp[(1) - (3)].item), (yyvsp[(3) - (3)].item));
            }
          }
    break;

  case 330:

/* Line 1455 of yacc.c  */
#line 2791 "drizzled/sql_yacc.yy"
    { (yyval.item)= negate_expression(YYSession, (yyvsp[(2) - (2)].item)); }
    break;

  case 331:

/* Line 1455 of yacc.c  */
#line 2793 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_istrue((yyvsp[(1) - (3)].item)); }
    break;

  case 332:

/* Line 1455 of yacc.c  */
#line 2795 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_isnottrue((yyvsp[(1) - (4)].item)); }
    break;

  case 333:

/* Line 1455 of yacc.c  */
#line 2797 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_isfalse((yyvsp[(1) - (3)].item)); }
    break;

  case 334:

/* Line 1455 of yacc.c  */
#line 2799 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_isnotfalse((yyvsp[(1) - (4)].item)); }
    break;

  case 335:

/* Line 1455 of yacc.c  */
#line 2801 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_isnull((yyvsp[(1) - (3)].item)); }
    break;

  case 336:

/* Line 1455 of yacc.c  */
#line 2803 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_isnotnull((yyvsp[(1) - (4)].item)); }
    break;

  case 338:

/* Line 1455 of yacc.c  */
#line 2809 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_isnull((yyvsp[(1) - (3)].item)); }
    break;

  case 339:

/* Line 1455 of yacc.c  */
#line 2811 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_isnotnull((yyvsp[(1) - (4)].item)); }
    break;

  case 340:

/* Line 1455 of yacc.c  */
#line 2813 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_equal((yyvsp[(1) - (3)].item),(yyvsp[(3) - (3)].item)); }
    break;

  case 341:

/* Line 1455 of yacc.c  */
#line 2815 "drizzled/sql_yacc.yy"
    { (yyval.item)= (*(yyvsp[(2) - (3)].boolfunc2creator))(0)->create((yyvsp[(1) - (3)].item),(yyvsp[(3) - (3)].item)); }
    break;

  case 342:

/* Line 1455 of yacc.c  */
#line 2817 "drizzled/sql_yacc.yy"
    { (yyval.item)= all_any_subquery_creator((yyvsp[(1) - (6)].item), (yyvsp[(2) - (6)].boolfunc2creator), (yyvsp[(3) - (6)].num), (yyvsp[(5) - (6)].select_lex)); }
    break;

  case 344:

/* Line 1455 of yacc.c  */
#line 2823 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_in_subselect((yyvsp[(1) - (5)].item), (yyvsp[(4) - (5)].select_lex));
          }
    break;

  case 345:

/* Line 1455 of yacc.c  */
#line 2827 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            Item *item= new (session->mem_root) Item_in_subselect((yyvsp[(1) - (6)].item), (yyvsp[(5) - (6)].select_lex));
            (yyval.item)= negate_expression(session, item);
          }
    break;

  case 346:

/* Line 1455 of yacc.c  */
#line 2833 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= handle_sql2003_note184_exception(YYSession, (yyvsp[(1) - (5)].item), true, (yyvsp[(4) - (5)].item));
          }
    break;

  case 347:

/* Line 1455 of yacc.c  */
#line 2837 "drizzled/sql_yacc.yy"
    {
            (yyvsp[(6) - (7)].item_list)->push_front((yyvsp[(4) - (7)].item));
            (yyvsp[(6) - (7)].item_list)->push_front((yyvsp[(1) - (7)].item));
            (yyval.item)= new (YYSession->mem_root) Item_func_in(*(yyvsp[(6) - (7)].item_list));
          }
    break;

  case 348:

/* Line 1455 of yacc.c  */
#line 2843 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= handle_sql2003_note184_exception(YYSession, (yyvsp[(1) - (6)].item), false, (yyvsp[(5) - (6)].item));
          }
    break;

  case 349:

/* Line 1455 of yacc.c  */
#line 2847 "drizzled/sql_yacc.yy"
    {
            (yyvsp[(7) - (8)].item_list)->push_front((yyvsp[(5) - (8)].item));
            (yyvsp[(7) - (8)].item_list)->push_front((yyvsp[(1) - (8)].item));
            Item_func_in *item = new (YYSession->mem_root) Item_func_in(*(yyvsp[(7) - (8)].item_list));
            item->negate();
            (yyval.item)= item;
          }
    break;

  case 350:

/* Line 1455 of yacc.c  */
#line 2855 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_between((yyvsp[(1) - (5)].item),(yyvsp[(3) - (5)].item),(yyvsp[(5) - (5)].item)); }
    break;

  case 351:

/* Line 1455 of yacc.c  */
#line 2857 "drizzled/sql_yacc.yy"
    {
            Item_func_between *item= new Item_func_between((yyvsp[(1) - (6)].item),(yyvsp[(4) - (6)].item),(yyvsp[(6) - (6)].item));
            item->negate();
            (yyval.item)= item;
          }
    break;

  case 352:

/* Line 1455 of yacc.c  */
#line 2863 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_like((yyvsp[(1) - (4)].item),(yyvsp[(3) - (4)].item),(yyvsp[(4) - (4)].item),Lex->escape_used); }
    break;

  case 353:

/* Line 1455 of yacc.c  */
#line 2865 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_not(new Item_func_like((yyvsp[(1) - (5)].item),(yyvsp[(4) - (5)].item),(yyvsp[(5) - (5)].item), Lex->escape_used)); }
    break;

  case 355:

/* Line 1455 of yacc.c  */
#line 2871 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_plus((yyvsp[(1) - (3)].item),(yyvsp[(3) - (3)].item)); }
    break;

  case 356:

/* Line 1455 of yacc.c  */
#line 2873 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_minus((yyvsp[(1) - (3)].item),(yyvsp[(3) - (3)].item)); }
    break;

  case 357:

/* Line 1455 of yacc.c  */
#line 2875 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_date_add_interval((yyvsp[(1) - (5)].item),(yyvsp[(4) - (5)].item),(yyvsp[(5) - (5)].interval),0); }
    break;

  case 358:

/* Line 1455 of yacc.c  */
#line 2877 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_date_add_interval((yyvsp[(1) - (5)].item),(yyvsp[(4) - (5)].item),(yyvsp[(5) - (5)].interval),1); }
    break;

  case 359:

/* Line 1455 of yacc.c  */
#line 2879 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_mul((yyvsp[(1) - (3)].item),(yyvsp[(3) - (3)].item)); }
    break;

  case 360:

/* Line 1455 of yacc.c  */
#line 2881 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_div(YYSession,(yyvsp[(1) - (3)].item),(yyvsp[(3) - (3)].item)); }
    break;

  case 361:

/* Line 1455 of yacc.c  */
#line 2883 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_mod((yyvsp[(1) - (3)].item),(yyvsp[(3) - (3)].item)); }
    break;

  case 362:

/* Line 1455 of yacc.c  */
#line 2885 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_int_div((yyvsp[(1) - (3)].item),(yyvsp[(3) - (3)].item)); }
    break;

  case 363:

/* Line 1455 of yacc.c  */
#line 2887 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_func_mod((yyvsp[(1) - (3)].item),(yyvsp[(3) - (3)].item)); }
    break;

  case 368:

/* Line 1455 of yacc.c  */
#line 2904 "drizzled/sql_yacc.yy"
    { (yyval.boolfunc2creator) = &comp_eq_creator; }
    break;

  case 369:

/* Line 1455 of yacc.c  */
#line 2905 "drizzled/sql_yacc.yy"
    { (yyval.boolfunc2creator) = &comp_ge_creator; }
    break;

  case 370:

/* Line 1455 of yacc.c  */
#line 2906 "drizzled/sql_yacc.yy"
    { (yyval.boolfunc2creator) = &comp_gt_creator; }
    break;

  case 371:

/* Line 1455 of yacc.c  */
#line 2907 "drizzled/sql_yacc.yy"
    { (yyval.boolfunc2creator) = &comp_le_creator; }
    break;

  case 372:

/* Line 1455 of yacc.c  */
#line 2908 "drizzled/sql_yacc.yy"
    { (yyval.boolfunc2creator) = &comp_lt_creator; }
    break;

  case 373:

/* Line 1455 of yacc.c  */
#line 2909 "drizzled/sql_yacc.yy"
    { (yyval.boolfunc2creator) = &comp_ne_creator; }
    break;

  case 374:

/* Line 1455 of yacc.c  */
#line 2913 "drizzled/sql_yacc.yy"
    { (yyval.num) = 1; }
    break;

  case 375:

/* Line 1455 of yacc.c  */
#line 2914 "drizzled/sql_yacc.yy"
    { (yyval.num) = 0; }
    break;

  case 381:

/* Line 1455 of yacc.c  */
#line 2924 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            Item *i1= new (session->mem_root) Item_string((yyvsp[(3) - (3)].lex_str).str,
                                                      (yyvsp[(3) - (3)].lex_str).length,
                                                      session->charset());
            (yyval.item)= new (session->mem_root) Item_func_set_collation((yyvsp[(1) - (3)].item), i1);
          }
    break;

  case 384:

/* Line 1455 of yacc.c  */
#line 2934 "drizzled/sql_yacc.yy"
    {
            Lex->setSumExprUsed();
          }
    break;

  case 385:

/* Line 1455 of yacc.c  */
#line 2937 "drizzled/sql_yacc.yy"
    { (yyval.item)= (yyvsp[(2) - (2)].item); }
    break;

  case 386:

/* Line 1455 of yacc.c  */
#line 2939 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_neg((yyvsp[(2) - (2)].item)); }
    break;

  case 387:

/* Line 1455 of yacc.c  */
#line 2941 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_singlerow_subselect((yyvsp[(2) - (3)].select_lex));
          }
    break;

  case 388:

/* Line 1455 of yacc.c  */
#line 2944 "drizzled/sql_yacc.yy"
    { (yyval.item)= (yyvsp[(2) - (3)].item); }
    break;

  case 389:

/* Line 1455 of yacc.c  */
#line 2946 "drizzled/sql_yacc.yy"
    {
            (yyvsp[(4) - (5)].item_list)->push_front((yyvsp[(2) - (5)].item));
            (yyval.item)= new (YYSession->mem_root) Item_row(*(yyvsp[(4) - (5)].item_list));
          }
    break;

  case 390:

/* Line 1455 of yacc.c  */
#line 2951 "drizzled/sql_yacc.yy"
    {
            (yyvsp[(5) - (6)].item_list)->push_front((yyvsp[(3) - (6)].item));
            (yyval.item)= new (YYSession->mem_root) Item_row(*(yyvsp[(5) - (6)].item_list));
          }
    break;

  case 391:

/* Line 1455 of yacc.c  */
#line 2956 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_exists_subselect((yyvsp[(3) - (4)].select_lex));
          }
    break;

  case 392:

/* Line 1455 of yacc.c  */
#line 2959 "drizzled/sql_yacc.yy"
    { (yyval.item)= (yyvsp[(3) - (4)].item); }
    break;

  case 393:

/* Line 1455 of yacc.c  */
#line 2961 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= create_func_cast(YYSession, (yyvsp[(2) - (2)].item), ITEM_CAST_CHAR, NULL, NULL,
                                 &my_charset_bin);
          }
    break;

  case 394:

/* Line 1455 of yacc.c  */
#line 2966 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            (yyval.item)= create_func_cast(YYSession, (yyvsp[(3) - (6)].item), (yyvsp[(5) - (6)].cast_type), lex->length, lex->dec,
                                 lex->charset);
            if (!(yyval.item))
              DRIZZLE_YYABORT;
          }
    break;

  case 395:

/* Line 1455 of yacc.c  */
#line 2974 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_case(* (yyvsp[(3) - (5)].item_list), (yyvsp[(2) - (5)].item), (yyvsp[(4) - (5)].item) ); }
    break;

  case 396:

/* Line 1455 of yacc.c  */
#line 2976 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= create_func_cast(YYSession, (yyvsp[(3) - (6)].item), (yyvsp[(5) - (6)].cast_type), Lex->length, Lex->dec,
                                 Lex->charset);
            if (!(yyval.item))
              DRIZZLE_YYABORT;
          }
    break;

  case 397:

/* Line 1455 of yacc.c  */
#line 2983 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_default_value(Lex->current_context(),
                                                         (yyvsp[(3) - (4)].item));
          }
    break;

  case 398:

/* Line 1455 of yacc.c  */
#line 2988 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_insert_value(Lex->current_context(),
                                                        (yyvsp[(3) - (4)].item));
          }
    break;

  case 399:

/* Line 1455 of yacc.c  */
#line 2994 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_date_add_interval((yyvsp[(5) - (5)].item),(yyvsp[(2) - (5)].item),(yyvsp[(3) - (5)].interval),0); }
    break;

  case 400:

/* Line 1455 of yacc.c  */
#line 3005 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_char(*(yyvsp[(3) - (4)].item_list)); }
    break;

  case 401:

/* Line 1455 of yacc.c  */
#line 3007 "drizzled/sql_yacc.yy"
    {
            std::string user_str("user");
            if (! ((yyval.item)= reserved_keyword_function(YYSession, user_str, NULL)))
            {
              DRIZZLE_YYABORT;
            }
            Lex->setCacheable(false);
          }
    break;

  case 402:

/* Line 1455 of yacc.c  */
#line 3016 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_date_typecast((yyvsp[(3) - (4)].item)); }
    break;

  case 403:

/* Line 1455 of yacc.c  */
#line 3018 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_dayofmonth((yyvsp[(3) - (4)].item)); }
    break;

  case 404:

/* Line 1455 of yacc.c  */
#line 3020 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_hour((yyvsp[(3) - (4)].item)); }
    break;

  case 405:

/* Line 1455 of yacc.c  */
#line 3022 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_insert(*YYSession, (yyvsp[(3) - (10)].item), (yyvsp[(5) - (10)].item), (yyvsp[(7) - (10)].item), (yyvsp[(9) - (10)].item)); }
    break;

  case 406:

/* Line 1455 of yacc.c  */
#line 3024 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            List<Item> *list= new (session->mem_root) List<Item>;
            list->push_front((yyvsp[(5) - (6)].item));
            list->push_front((yyvsp[(3) - (6)].item));
            Item_row *item= new (session->mem_root) Item_row(*list);
            (yyval.item)= new (session->mem_root) Item_func_interval(item);
          }
    break;

  case 407:

/* Line 1455 of yacc.c  */
#line 3033 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            (yyvsp[(7) - (8)].item_list)->push_front((yyvsp[(5) - (8)].item));
            (yyvsp[(7) - (8)].item_list)->push_front((yyvsp[(3) - (8)].item));
            Item_row *item= new (session->mem_root) Item_row(*(yyvsp[(7) - (8)].item_list));
            (yyval.item)= new (session->mem_root) Item_func_interval(item);
          }
    break;

  case 408:

/* Line 1455 of yacc.c  */
#line 3041 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_left((yyvsp[(3) - (6)].item),(yyvsp[(5) - (6)].item)); }
    break;

  case 409:

/* Line 1455 of yacc.c  */
#line 3043 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_minute((yyvsp[(3) - (4)].item)); }
    break;

  case 410:

/* Line 1455 of yacc.c  */
#line 3045 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_month((yyvsp[(3) - (4)].item)); }
    break;

  case 411:

/* Line 1455 of yacc.c  */
#line 3047 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_right((yyvsp[(3) - (6)].item),(yyvsp[(5) - (6)].item)); }
    break;

  case 412:

/* Line 1455 of yacc.c  */
#line 3049 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_second((yyvsp[(3) - (4)].item)); }
    break;

  case 413:

/* Line 1455 of yacc.c  */
#line 3051 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_datetime_typecast((yyvsp[(3) - (4)].item)); }
    break;

  case 414:

/* Line 1455 of yacc.c  */
#line 3053 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_trim((yyvsp[(3) - (4)].item)); }
    break;

  case 415:

/* Line 1455 of yacc.c  */
#line 3055 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_ltrim((yyvsp[(6) - (7)].item),(yyvsp[(4) - (7)].item)); }
    break;

  case 416:

/* Line 1455 of yacc.c  */
#line 3057 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_rtrim((yyvsp[(6) - (7)].item),(yyvsp[(4) - (7)].item)); }
    break;

  case 417:

/* Line 1455 of yacc.c  */
#line 3059 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_trim((yyvsp[(6) - (7)].item),(yyvsp[(4) - (7)].item)); }
    break;

  case 418:

/* Line 1455 of yacc.c  */
#line 3061 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_ltrim((yyvsp[(5) - (6)].item)); }
    break;

  case 419:

/* Line 1455 of yacc.c  */
#line 3063 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_rtrim((yyvsp[(5) - (6)].item)); }
    break;

  case 420:

/* Line 1455 of yacc.c  */
#line 3065 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_trim((yyvsp[(5) - (6)].item)); }
    break;

  case 421:

/* Line 1455 of yacc.c  */
#line 3067 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_trim((yyvsp[(5) - (6)].item),(yyvsp[(3) - (6)].item)); }
    break;

  case 422:

/* Line 1455 of yacc.c  */
#line 3069 "drizzled/sql_yacc.yy"
    {
            std::string user_str("user");
            if (! ((yyval.item)= reserved_keyword_function(YYSession, user_str, NULL)))
            {
              DRIZZLE_YYABORT;
            }
            Lex->setCacheable(false);
          }
    break;

  case 423:

/* Line 1455 of yacc.c  */
#line 3078 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_year((yyvsp[(3) - (4)].item)); }
    break;

  case 424:

/* Line 1455 of yacc.c  */
#line 3094 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_date_add_interval((yyvsp[(3) - (6)].item), (yyvsp[(5) - (6)].item),
                                                             INTERVAL_DAY, 0);
          }
    break;

  case 425:

/* Line 1455 of yacc.c  */
#line 3099 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_date_add_interval((yyvsp[(3) - (8)].item), (yyvsp[(6) - (8)].item), (yyvsp[(7) - (8)].interval), 0); }
    break;

  case 426:

/* Line 1455 of yacc.c  */
#line 3101 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_func_curdate_local();
            Lex->setCacheable(false);
          }
    break;

  case 427:

/* Line 1455 of yacc.c  */
#line 3106 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_date_add_interval((yyvsp[(3) - (8)].item),(yyvsp[(6) - (8)].item),(yyvsp[(7) - (8)].interval),0); }
    break;

  case 428:

/* Line 1455 of yacc.c  */
#line 3108 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_date_add_interval((yyvsp[(3) - (8)].item),(yyvsp[(6) - (8)].item),(yyvsp[(7) - (8)].interval),1); }
    break;

  case 429:

/* Line 1455 of yacc.c  */
#line 3110 "drizzled/sql_yacc.yy"
    { (yyval.item)=new (YYSession->mem_root) Item_extract( (yyvsp[(3) - (6)].interval), (yyvsp[(5) - (6)].item)); }
    break;

  case 430:

/* Line 1455 of yacc.c  */
#line 3112 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_func_now_local();
            Lex->setCacheable(false);
          }
    break;

  case 431:

/* Line 1455 of yacc.c  */
#line 3117 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_func_now_local((yyvsp[(3) - (4)].item));
            Lex->setCacheable(false);
          }
    break;

  case 432:

/* Line 1455 of yacc.c  */
#line 3122 "drizzled/sql_yacc.yy"
    { (yyval.item) = new (YYSession->mem_root) Item_func_locate((yyvsp[(5) - (6)].item),(yyvsp[(3) - (6)].item)); }
    break;

  case 433:

/* Line 1455 of yacc.c  */
#line 3124 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_date_add_interval((yyvsp[(3) - (6)].item), (yyvsp[(5) - (6)].item),
                                                             INTERVAL_DAY, 1);
          }
    break;

  case 434:

/* Line 1455 of yacc.c  */
#line 3129 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_date_add_interval((yyvsp[(3) - (8)].item), (yyvsp[(6) - (8)].item), (yyvsp[(7) - (8)].interval), 1); }
    break;

  case 435:

/* Line 1455 of yacc.c  */
#line 3131 "drizzled/sql_yacc.yy"
    {
            std::string reverse_str("substr");
            List<Item> *args= new (YYSession->mem_root) List<Item>;
            args->push_back((yyvsp[(3) - (8)].item));
            args->push_back((yyvsp[(5) - (8)].item));
            args->push_back((yyvsp[(7) - (8)].item));
            if (! ((yyval.item)= reserved_keyword_function(YYSession, reverse_str, args)))
            {
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 436:

/* Line 1455 of yacc.c  */
#line 3143 "drizzled/sql_yacc.yy"
    {
            std::string reverse_str("substr");
            List<Item> *args= new (YYSession->mem_root) List<Item>;
            args->push_back((yyvsp[(3) - (6)].item));
            args->push_back((yyvsp[(5) - (6)].item));
            if (! ((yyval.item)= reserved_keyword_function(YYSession, reverse_str, args)))
            {
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 437:

/* Line 1455 of yacc.c  */
#line 3154 "drizzled/sql_yacc.yy"
    {
            std::string reverse_str("substr");
            List<Item> *args= new (YYSession->mem_root) List<Item>;
            args->push_back((yyvsp[(3) - (8)].item));
            args->push_back((yyvsp[(5) - (8)].item));
            args->push_back((yyvsp[(7) - (8)].item));
            if (! ((yyval.item)= reserved_keyword_function(YYSession, reverse_str, args)))
            {
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 438:

/* Line 1455 of yacc.c  */
#line 3166 "drizzled/sql_yacc.yy"
    {
            std::string reverse_str("substr");
            List<Item> *args= new (YYSession->mem_root) List<Item>;
            args->push_back((yyvsp[(3) - (6)].item));
            args->push_back((yyvsp[(5) - (6)].item));
            if (! ((yyval.item)= reserved_keyword_function(YYSession, reverse_str, args)))
            {
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 439:

/* Line 1455 of yacc.c  */
#line 3177 "drizzled/sql_yacc.yy"
    { 
            (yyval.item)= new (YYSession->mem_root) Item_func_sysdate_local(); 
            Lex->setCacheable(false);
          }
    break;

  case 440:

/* Line 1455 of yacc.c  */
#line 3182 "drizzled/sql_yacc.yy"
    { 
            (yyval.item)= new (YYSession->mem_root) Item_func_sysdate_local((yyvsp[(3) - (4)].item)); 
            Lex->setCacheable(false);
          }
    break;

  case 441:

/* Line 1455 of yacc.c  */
#line 3187 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_date_add_interval((yyvsp[(7) - (8)].item),(yyvsp[(5) - (8)].item),(yyvsp[(3) - (8)].interval_time_st),0); }
    break;

  case 442:

/* Line 1455 of yacc.c  */
#line 3189 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_timestamp_diff((yyvsp[(5) - (8)].item),(yyvsp[(7) - (8)].item),(yyvsp[(3) - (8)].interval_time_st)); }
    break;

  case 443:

/* Line 1455 of yacc.c  */
#line 3191 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_func_curdate_utc();
            Lex->setCacheable(false);
          }
    break;

  case 444:

/* Line 1455 of yacc.c  */
#line 3196 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new (YYSession->mem_root) Item_func_now_utc();
            Lex->setCacheable(false);
          }
    break;

  case 445:

/* Line 1455 of yacc.c  */
#line 3209 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_coalesce(* (yyvsp[(3) - (4)].item_list)); }
    break;

  case 446:

/* Line 1455 of yacc.c  */
#line 3211 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_collation((yyvsp[(3) - (4)].item)); }
    break;

  case 447:

/* Line 1455 of yacc.c  */
#line 3213 "drizzled/sql_yacc.yy"
    {
            std::string database_str("database");
            if (! ((yyval.item)= reserved_keyword_function(YYSession, database_str, NULL)))
            {
              DRIZZLE_YYABORT;
            }
            Lex->setCacheable(false);
	  }
    break;

  case 448:

/* Line 1455 of yacc.c  */
#line 3222 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_if((yyvsp[(3) - (8)].item),(yyvsp[(5) - (8)].item),(yyvsp[(7) - (8)].item)); }
    break;

  case 449:

/* Line 1455 of yacc.c  */
#line 3224 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_microsecond((yyvsp[(3) - (4)].item)); }
    break;

  case 450:

/* Line 1455 of yacc.c  */
#line 3226 "drizzled/sql_yacc.yy"
    { (yyval.item) = new (YYSession->mem_root) Item_func_mod( (yyvsp[(3) - (6)].item), (yyvsp[(5) - (6)].item)); }
    break;

  case 451:

/* Line 1455 of yacc.c  */
#line 3228 "drizzled/sql_yacc.yy"
    { (yyval.item) = new (YYSession->mem_root) Item_func_quarter((yyvsp[(3) - (4)].item)); }
    break;

  case 452:

/* Line 1455 of yacc.c  */
#line 3230 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_repeat(*YYSession, (yyvsp[(3) - (6)].item), (yyvsp[(5) - (6)].item)); }
    break;

  case 453:

/* Line 1455 of yacc.c  */
#line 3232 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_replace(*YYSession, (yyvsp[(3) - (8)].item), (yyvsp[(5) - (8)].item), (yyvsp[(7) - (8)].item)); }
    break;

  case 454:

/* Line 1455 of yacc.c  */
#line 3234 "drizzled/sql_yacc.yy"
    {
            std::string reverse_str("reverse");
            List<Item> *args= new (YYSession->mem_root) List<Item>;
            args->push_back((yyvsp[(3) - (4)].item));
            if (! ((yyval.item)= reserved_keyword_function(YYSession, reverse_str, args)))
            {
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 455:

/* Line 1455 of yacc.c  */
#line 3244 "drizzled/sql_yacc.yy"
    { (yyval.item)= new (YYSession->mem_root) Item_func_round((yyvsp[(3) - (6)].item),(yyvsp[(5) - (6)].item),1); }
    break;

  case 456:

/* Line 1455 of yacc.c  */
#line 3257 "drizzled/sql_yacc.yy"
    {
            const plugin::Function *udf= plugin::Function::get((yyvsp[(1) - (2)].lex_str).str, (yyvsp[(1) - (2)].lex_str).length);

            /* Temporary placing the result of getFunction in $3 */
            (yyval.udf)= udf;
          }
    break;

  case 457:

/* Line 1455 of yacc.c  */
#line 3264 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            Create_func *builder;
            Item *item= NULL;

            /*
              Implementation note:
              names are resolved with the following order:
              - MySQL native functions,
              - User Defined Functions,
              - Stored Functions (assuming the current <use> database)

              This will be revised with WL#2128 (SQL PATH)
            */
            builder= find_native_function_builder((yyvsp[(1) - (5)].lex_str));
            if (builder)
            {
              item= builder->create(session, (yyvsp[(1) - (5)].lex_str), (yyvsp[(4) - (5)].item_list));
            }
            else
            {
              /* Retrieving the result of service::Function::get */
              const plugin::Function *udf= (yyvsp[(3) - (5)].udf);
              if (udf)
              {
                item= Create_udf_func::s_singleton.create(session, udf, (yyvsp[(4) - (5)].item_list));
              } else {
                /* fix for bug 250065, from Andrew Garner <muzazzi@gmail.com> */
                my_error(ER_SP_DOES_NOT_EXIST, MYF(0), "FUNCTION", (yyvsp[(1) - (5)].lex_str).str);
              }
            }

            if (! ((yyval.item)= item))
            {
              DRIZZLE_YYABORT;
            }
            Lex->setCacheable(false);
          }
    break;

  case 458:

/* Line 1455 of yacc.c  */
#line 3305 "drizzled/sql_yacc.yy"
    { (yyval.item_list)= NULL; }
    break;

  case 459:

/* Line 1455 of yacc.c  */
#line 3306 "drizzled/sql_yacc.yy"
    { (yyval.item_list)= (yyvsp[(1) - (1)].item_list); }
    break;

  case 460:

/* Line 1455 of yacc.c  */
#line 3311 "drizzled/sql_yacc.yy"
    {
            (yyval.item_list)= new (YYSession->mem_root) List<Item>;
            (yyval.item_list)->push_back((yyvsp[(1) - (1)].item));
          }
    break;

  case 461:

/* Line 1455 of yacc.c  */
#line 3316 "drizzled/sql_yacc.yy"
    {
            (yyvsp[(1) - (3)].item_list)->push_back((yyvsp[(3) - (3)].item));
            (yyval.item_list)= (yyvsp[(1) - (3)].item_list);
          }
    break;

  case 462:

/* Line 1455 of yacc.c  */
#line 3324 "drizzled/sql_yacc.yy"
    {
            /*
             Use Item::name as a storage for the attribute value of user
             defined function argument. It is safe to use Item::name
             because the syntax will not allow having an explicit name here.
             See WL#1017 re. udf attributes.
            */
            if ((yyvsp[(4) - (4)].lex_str).str)
            {
              (yyvsp[(2) - (4)].item)->is_autogenerated_name= false;
              (yyvsp[(2) - (4)].item)->set_name((yyvsp[(4) - (4)].lex_str).str, (yyvsp[(4) - (4)].lex_str).length, system_charset_info);
            }
            else
              (yyvsp[(2) - (4)].item)->set_name((yyvsp[(1) - (4)].simple_string), (uint) ((yyvsp[(3) - (4)].simple_string) - (yyvsp[(1) - (4)].simple_string)), YYSession->charset());
            (yyval.item)= (yyvsp[(2) - (4)].item);
          }
    break;

  case 463:

/* Line 1455 of yacc.c  */
#line 3344 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_avg((yyvsp[(3) - (4)].item)); }
    break;

  case 464:

/* Line 1455 of yacc.c  */
#line 3346 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_avg_distinct((yyvsp[(4) - (5)].item)); }
    break;

  case 465:

/* Line 1455 of yacc.c  */
#line 3348 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_count(new Item_int((int32_t) 0L,1)); }
    break;

  case 466:

/* Line 1455 of yacc.c  */
#line 3350 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_count((yyvsp[(3) - (4)].item)); }
    break;

  case 467:

/* Line 1455 of yacc.c  */
#line 3352 "drizzled/sql_yacc.yy"
    { Lex->current_select->in_sum_expr++; }
    break;

  case 468:

/* Line 1455 of yacc.c  */
#line 3354 "drizzled/sql_yacc.yy"
    { Lex->current_select->in_sum_expr--; }
    break;

  case 469:

/* Line 1455 of yacc.c  */
#line 3356 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_count_distinct(* (yyvsp[(5) - (7)].item_list)); }
    break;

  case 470:

/* Line 1455 of yacc.c  */
#line 3358 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_min((yyvsp[(3) - (4)].item)); }
    break;

  case 471:

/* Line 1455 of yacc.c  */
#line 3365 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_min((yyvsp[(4) - (5)].item)); }
    break;

  case 472:

/* Line 1455 of yacc.c  */
#line 3367 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_max((yyvsp[(3) - (4)].item)); }
    break;

  case 473:

/* Line 1455 of yacc.c  */
#line 3369 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_max((yyvsp[(4) - (5)].item)); }
    break;

  case 474:

/* Line 1455 of yacc.c  */
#line 3371 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_std((yyvsp[(3) - (4)].item), 0); }
    break;

  case 475:

/* Line 1455 of yacc.c  */
#line 3373 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_variance((yyvsp[(3) - (4)].item), 0); }
    break;

  case 476:

/* Line 1455 of yacc.c  */
#line 3375 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_std((yyvsp[(3) - (4)].item), 1); }
    break;

  case 477:

/* Line 1455 of yacc.c  */
#line 3377 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_variance((yyvsp[(3) - (4)].item), 1); }
    break;

  case 478:

/* Line 1455 of yacc.c  */
#line 3379 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_sum((yyvsp[(3) - (4)].item)); }
    break;

  case 479:

/* Line 1455 of yacc.c  */
#line 3381 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_sum_sum_distinct((yyvsp[(4) - (5)].item)); }
    break;

  case 480:

/* Line 1455 of yacc.c  */
#line 3383 "drizzled/sql_yacc.yy"
    { Lex->current_select->in_sum_expr++; }
    break;

  case 481:

/* Line 1455 of yacc.c  */
#line 3387 "drizzled/sql_yacc.yy"
    {
            Select_Lex *sel= Lex->current_select;
            sel->in_sum_expr--;
            (yyval.item)=new Item_func_group_concat(Lex->current_context(), (yyvsp[(3) - (8)].num), (yyvsp[(5) - (8)].item_list),
                                          sel->gorder_list, (yyvsp[(7) - (8)].string));
            (yyvsp[(5) - (8)].item_list)->empty();
          }
    break;

  case 482:

/* Line 1455 of yacc.c  */
#line 3398 "drizzled/sql_yacc.yy"
    { }
    break;

  case 483:

/* Line 1455 of yacc.c  */
#line 3400 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= (yyvsp[(3) - (3)].item);
          }
    break;

  case 484:

/* Line 1455 of yacc.c  */
#line 3407 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new Item_func_set_user_var((yyvsp[(1) - (3)].lex_str), (yyvsp[(3) - (3)].item));
            Lex->setCacheable(false);
          }
    break;

  case 485:

/* Line 1455 of yacc.c  */
#line 3412 "drizzled/sql_yacc.yy"
    {
            (yyval.item)= new Item_func_get_user_var(*YYSession, (yyvsp[(1) - (1)].lex_str));
            Lex->setCacheable(false);
          }
    break;

  case 486:

/* Line 1455 of yacc.c  */
#line 3417 "drizzled/sql_yacc.yy"
    {
            /* disallow "SELECT @@global.global.variable" */
            if ((yyvsp[(3) - (4)].lex_str).str && (yyvsp[(4) - (4)].lex_str).str && check_reserved_words(&(yyvsp[(3) - (4)].lex_str)))
            {
              struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
              my_parse_error(&pass);
              DRIZZLE_YYABORT;
            }
            if (!((yyval.item)= get_system_var(YYSession, (yyvsp[(2) - (4)].var_type), (yyvsp[(3) - (4)].lex_str), (yyvsp[(4) - (4)].lex_str))))
              DRIZZLE_YYABORT;
          }
    break;

  case 487:

/* Line 1455 of yacc.c  */
#line 3431 "drizzled/sql_yacc.yy"
    { (yyval.num) = 0; }
    break;

  case 488:

/* Line 1455 of yacc.c  */
#line 3432 "drizzled/sql_yacc.yy"
    { (yyval.num) = 1; }
    break;

  case 489:

/* Line 1455 of yacc.c  */
#line 3437 "drizzled/sql_yacc.yy"
    {
              (yyval.string)= new (YYSession->mem_root) String(",", 1, &my_charset_utf8_general_ci);
            }
    break;

  case 490:

/* Line 1455 of yacc.c  */
#line 3440 "drizzled/sql_yacc.yy"
    { (yyval.string) = (yyvsp[(2) - (2)].string); }
    break;

  case 491:

/* Line 1455 of yacc.c  */
#line 3445 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->gorder_list = NULL;
          }
    break;

  case 492:

/* Line 1455 of yacc.c  */
#line 3449 "drizzled/sql_yacc.yy"
    {
            Select_Lex *select= Lex->current_select;
            select->gorder_list=
              (SQL_LIST*) memory::sql_memdup((char*) &select->order_list,
                                     sizeof(st_sql_list));
            select->order_list.empty();
          }
    break;

  case 493:

/* Line 1455 of yacc.c  */
#line 3460 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            if (lex->current_select->inc_in_sum_expr())
            {
              struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
              my_parse_error(&pass);
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 494:

/* Line 1455 of yacc.c  */
#line 3470 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->in_sum_expr--;
            (yyval.item)= (yyvsp[(3) - (3)].item);
          }
    break;

  case 495:

/* Line 1455 of yacc.c  */
#line 3478 "drizzled/sql_yacc.yy"
    { (yyval.cast_type)=ITEM_CAST_CHAR; Lex->charset= &my_charset_bin; Lex->dec= 0; }
    break;

  case 496:

/* Line 1455 of yacc.c  */
#line 3480 "drizzled/sql_yacc.yy"
    { (yyval.cast_type)=ITEM_CAST_CHAR; Lex->dec= 0; }
    break;

  case 497:

/* Line 1455 of yacc.c  */
#line 3482 "drizzled/sql_yacc.yy"
    { (yyval.cast_type)=ITEM_CAST_DATE; Lex->charset= NULL; Lex->dec=Lex->length= (char*)0; }
    break;

  case 498:

/* Line 1455 of yacc.c  */
#line 3484 "drizzled/sql_yacc.yy"
    { (yyval.cast_type)=ITEM_CAST_DATETIME; Lex->charset= NULL; Lex->dec=Lex->length= (char*)0; }
    break;

  case 499:

/* Line 1455 of yacc.c  */
#line 3486 "drizzled/sql_yacc.yy"
    { (yyval.cast_type)=ITEM_CAST_DECIMAL; Lex->charset= NULL; }
    break;

  case 500:

/* Line 1455 of yacc.c  */
#line 3491 "drizzled/sql_yacc.yy"
    {
            (yyval.item_list)= new (YYSession->mem_root) List<Item>;
            (yyval.item_list)->push_back((yyvsp[(1) - (1)].item));
          }
    break;

  case 501:

/* Line 1455 of yacc.c  */
#line 3496 "drizzled/sql_yacc.yy"
    {
            (yyvsp[(1) - (3)].item_list)->push_back((yyvsp[(3) - (3)].item));
            (yyval.item_list)= (yyvsp[(1) - (3)].item_list);
          }
    break;

  case 502:

/* Line 1455 of yacc.c  */
#line 3503 "drizzled/sql_yacc.yy"
    { (yyval.item)= NULL; }
    break;

  case 503:

/* Line 1455 of yacc.c  */
#line 3504 "drizzled/sql_yacc.yy"
    { (yyval.item)= (yyvsp[(1) - (1)].item); }
    break;

  case 504:

/* Line 1455 of yacc.c  */
#line 3508 "drizzled/sql_yacc.yy"
    { (yyval.item)= NULL; }
    break;

  case 505:

/* Line 1455 of yacc.c  */
#line 3509 "drizzled/sql_yacc.yy"
    { (yyval.item)= (yyvsp[(2) - (2)].item); }
    break;

  case 506:

/* Line 1455 of yacc.c  */
#line 3514 "drizzled/sql_yacc.yy"
    {
            (yyval.item_list)= new List<Item>;
            (yyval.item_list)->push_back((yyvsp[(2) - (4)].item));
            (yyval.item_list)->push_back((yyvsp[(4) - (4)].item));
          }
    break;

  case 507:

/* Line 1455 of yacc.c  */
#line 3520 "drizzled/sql_yacc.yy"
    {
            (yyvsp[(1) - (5)].item_list)->push_back((yyvsp[(3) - (5)].item));
            (yyvsp[(1) - (5)].item_list)->push_back((yyvsp[(5) - (5)].item));
            (yyval.item_list)= (yyvsp[(1) - (5)].item_list);
          }
    break;

  case 508:

/* Line 1455 of yacc.c  */
#line 3530 "drizzled/sql_yacc.yy"
    { (yyval.table_list)=(yyvsp[(1) - (1)].table_list); }
    break;

  case 509:

/* Line 1455 of yacc.c  */
#line 3532 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            if (!((yyval.table_list)= lex->current_select->nest_last_join(lex->session)))
              DRIZZLE_YYABORT;
          }
    break;

  case 510:

/* Line 1455 of yacc.c  */
#line 3540 "drizzled/sql_yacc.yy"
    { DRIZZLE_YYABORT_UNLESS((yyval.table_list)=(yyvsp[(1) - (1)].table_list)); }
    break;

  case 511:

/* Line 1455 of yacc.c  */
#line 3551 "drizzled/sql_yacc.yy"
    { (yyval.table_list)=(yyvsp[(1) - (1)].table_list); }
    break;

  case 512:

/* Line 1455 of yacc.c  */
#line 3552 "drizzled/sql_yacc.yy"
    { (yyval.table_list)=(yyvsp[(3) - (4)].table_list); }
    break;

  case 513:

/* Line 1455 of yacc.c  */
#line 3558 "drizzled/sql_yacc.yy"
    { (yyval.table_list)=(yyvsp[(1) - (1)].table_list); }
    break;

  case 514:

/* Line 1455 of yacc.c  */
#line 3560 "drizzled/sql_yacc.yy"
    {
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (3)].table_list) && ((yyval.table_list)=(yyvsp[(3) - (3)].table_list)));
          }
    break;

  case 515:

/* Line 1455 of yacc.c  */
#line 3580 "drizzled/sql_yacc.yy"
    { 
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (3)].table_list) && ((yyval.table_list)=(yyvsp[(3) - (3)].table_list)));
            Lex->is_cross= false;
          }
    break;

  case 516:

/* Line 1455 of yacc.c  */
#line 3585 "drizzled/sql_yacc.yy"
    { 
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (3)].table_list) && ((yyval.table_list)=(yyvsp[(3) - (3)].table_list))); (yyvsp[(3) - (3)].table_list)->straight=1; 
          }
    break;

  case 517:

/* Line 1455 of yacc.c  */
#line 3590 "drizzled/sql_yacc.yy"
    {
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (4)].table_list) && (yyvsp[(3) - (4)].table_list));
            DRIZZLE_YYABORT_UNLESS( not Lex->is_cross );
            /* Change the current name resolution context to a local context. */
            if (push_new_name_resolution_context(YYSession, (yyvsp[(1) - (4)].table_list), (yyvsp[(3) - (4)].table_list)))
              DRIZZLE_YYABORT;
            Lex->current_select->parsing_place= IN_ON;
          }
    break;

  case 518:

/* Line 1455 of yacc.c  */
#line 3599 "drizzled/sql_yacc.yy"
    {
            add_join_on((yyvsp[(3) - (6)].table_list),(yyvsp[(6) - (6)].item));
            Lex->pop_context();
            Lex->current_select->parsing_place= NO_MATTER;
          }
    break;

  case 519:

/* Line 1455 of yacc.c  */
#line 3606 "drizzled/sql_yacc.yy"
    {
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (4)].table_list) && (yyvsp[(3) - (4)].table_list));
            /* Change the current name resolution context to a local context. */
            if (push_new_name_resolution_context(YYSession, (yyvsp[(1) - (4)].table_list), (yyvsp[(3) - (4)].table_list)))
              DRIZZLE_YYABORT;
            Lex->current_select->parsing_place= IN_ON;
          }
    break;

  case 520:

/* Line 1455 of yacc.c  */
#line 3614 "drizzled/sql_yacc.yy"
    {
            (yyvsp[(3) - (6)].table_list)->straight=1;
            add_join_on((yyvsp[(3) - (6)].table_list),(yyvsp[(6) - (6)].item));
            Lex->pop_context();
            Lex->current_select->parsing_place= NO_MATTER;
          }
    break;

  case 521:

/* Line 1455 of yacc.c  */
#line 3622 "drizzled/sql_yacc.yy"
    {
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (4)].table_list) && (yyvsp[(3) - (4)].table_list));
          }
    break;

  case 522:

/* Line 1455 of yacc.c  */
#line 3626 "drizzled/sql_yacc.yy"
    { add_join_natural((yyvsp[(1) - (8)].table_list),(yyvsp[(3) - (8)].table_list),(yyvsp[(7) - (8)].string_list),Lex->current_select); (yyval.table_list)=(yyvsp[(3) - (8)].table_list); }
    break;

  case 523:

/* Line 1455 of yacc.c  */
#line 3628 "drizzled/sql_yacc.yy"
    {
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (4)].table_list) && ((yyval.table_list)=(yyvsp[(4) - (4)].table_list)));
            add_join_natural((yyvsp[(1) - (4)].table_list),(yyvsp[(4) - (4)].table_list),NULL,Lex->current_select);
          }
    break;

  case 524:

/* Line 1455 of yacc.c  */
#line 3636 "drizzled/sql_yacc.yy"
    {
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (6)].table_list) && (yyvsp[(5) - (6)].table_list));
            /* Change the current name resolution context to a local context. */
            if (push_new_name_resolution_context(YYSession, (yyvsp[(1) - (6)].table_list), (yyvsp[(5) - (6)].table_list)))
              DRIZZLE_YYABORT;
            Lex->current_select->parsing_place= IN_ON;
          }
    break;

  case 525:

/* Line 1455 of yacc.c  */
#line 3644 "drizzled/sql_yacc.yy"
    {
            add_join_on((yyvsp[(5) - (8)].table_list),(yyvsp[(8) - (8)].item));
            Lex->pop_context();
            (yyvsp[(5) - (8)].table_list)->outer_join|=JOIN_TYPE_LEFT;
            (yyval.table_list)=(yyvsp[(5) - (8)].table_list);
            Lex->current_select->parsing_place= NO_MATTER;
          }
    break;

  case 526:

/* Line 1455 of yacc.c  */
#line 3652 "drizzled/sql_yacc.yy"
    {
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (5)].table_list) && (yyvsp[(5) - (5)].table_list));
          }
    break;

  case 527:

/* Line 1455 of yacc.c  */
#line 3656 "drizzled/sql_yacc.yy"
    {
            add_join_natural((yyvsp[(1) - (10)].table_list),(yyvsp[(5) - (10)].table_list),(yyvsp[(9) - (10)].string_list),Lex->current_select);
            (yyvsp[(5) - (10)].table_list)->outer_join|=JOIN_TYPE_LEFT;
            (yyval.table_list)=(yyvsp[(5) - (10)].table_list);
          }
    break;

  case 528:

/* Line 1455 of yacc.c  */
#line 3662 "drizzled/sql_yacc.yy"
    {
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (6)].table_list) && (yyvsp[(6) - (6)].table_list));
            add_join_natural((yyvsp[(1) - (6)].table_list),(yyvsp[(6) - (6)].table_list),NULL,Lex->current_select);
            (yyvsp[(6) - (6)].table_list)->outer_join|=JOIN_TYPE_LEFT;
            (yyval.table_list)=(yyvsp[(6) - (6)].table_list);
          }
    break;

  case 529:

/* Line 1455 of yacc.c  */
#line 3672 "drizzled/sql_yacc.yy"
    {
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (6)].table_list) && (yyvsp[(5) - (6)].table_list));
            /* Change the current name resolution context to a local context. */
            if (push_new_name_resolution_context(YYSession, (yyvsp[(1) - (6)].table_list), (yyvsp[(5) - (6)].table_list)))
              DRIZZLE_YYABORT;
            Lex->current_select->parsing_place= IN_ON;
          }
    break;

  case 530:

/* Line 1455 of yacc.c  */
#line 3680 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            if (!((yyval.table_list)= lex->current_select->convert_right_join()))
              DRIZZLE_YYABORT;
            add_join_on((yyval.table_list), (yyvsp[(8) - (8)].item));
            Lex->pop_context();
            Lex->current_select->parsing_place= NO_MATTER;
          }
    break;

  case 531:

/* Line 1455 of yacc.c  */
#line 3689 "drizzled/sql_yacc.yy"
    {
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (5)].table_list) && (yyvsp[(5) - (5)].table_list));
          }
    break;

  case 532:

/* Line 1455 of yacc.c  */
#line 3693 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            if (!((yyval.table_list)= lex->current_select->convert_right_join()))
              DRIZZLE_YYABORT;
            add_join_natural((yyval.table_list),(yyvsp[(5) - (10)].table_list),(yyvsp[(9) - (10)].string_list),Lex->current_select);
          }
    break;

  case 533:

/* Line 1455 of yacc.c  */
#line 3700 "drizzled/sql_yacc.yy"
    {
            DRIZZLE_YYABORT_UNLESS((yyvsp[(1) - (6)].table_list) && (yyvsp[(6) - (6)].table_list));
            add_join_natural((yyvsp[(6) - (6)].table_list),(yyvsp[(1) - (6)].table_list),NULL,Lex->current_select);
            LEX *lex= Lex;
            if (!((yyval.table_list)= lex->current_select->convert_right_join()))
              DRIZZLE_YYABORT;
          }
    break;

  case 534:

/* Line 1455 of yacc.c  */
#line 3710 "drizzled/sql_yacc.yy"
    {}
    break;

  case 535:

/* Line 1455 of yacc.c  */
#line 3711 "drizzled/sql_yacc.yy"
    {}
    break;

  case 536:

/* Line 1455 of yacc.c  */
#line 3712 "drizzled/sql_yacc.yy"
    { Lex->is_cross= true; }
    break;

  case 537:

/* Line 1455 of yacc.c  */
#line 3724 "drizzled/sql_yacc.yy"
    {
          }
    break;

  case 538:

/* Line 1455 of yacc.c  */
#line 3727 "drizzled/sql_yacc.yy"
    {
            if (!((yyval.table_list)= Lex->current_select->add_table_to_list(YYSession, (yyvsp[(2) - (4)].table), (yyvsp[(3) - (4)].lex_str_ptr),
                             0,
                             Lex->lock_option,
                             Lex->current_select->pop_index_hints())))
              DRIZZLE_YYABORT;
            Lex->current_select->add_joined_table((yyval.table_list));
          }
    break;

  case 539:

/* Line 1455 of yacc.c  */
#line 3736 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            Select_Lex *sel= lex->current_select;
            if ((yyvsp[(1) - (3)].num))
            {
              if (sel->set_braces(1))
              {
                struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
                my_parse_error(&pass);
                DRIZZLE_YYABORT;
              }
              /* select in braces, can't contain global parameters */
              if (sel->master_unit()->fake_select_lex)
                sel->master_unit()->global_parameters=
                   sel->master_unit()->fake_select_lex;
            }
            if ((yyvsp[(2) - (3)].select_lex)->init_nested_join(lex->session))
              DRIZZLE_YYABORT;
            (yyval.table_list)= 0;
            /* incomplete derived tables return NULL, we must be
               nested in select_derived rule to be here. */
          }
    break;

  case 540:

/* Line 1455 of yacc.c  */
#line 3777 "drizzled/sql_yacc.yy"
    {
            /* Use $2 instead of Lex->current_select as derived table will
               alter value of Lex->current_select. */
            if (!((yyvsp[(3) - (5)].table_list) || (yyvsp[(5) - (5)].lex_str_ptr)) && (yyvsp[(2) - (5)].select_lex)->embedding &&
                !(yyvsp[(2) - (5)].select_lex)->embedding->getNestedJoin()->join_list.elements)
            {
              /* we have a derived table ($3 == NULL) but no alias,
                 Since we are nested in further parentheses so we
                 can pass NULL to the outer level parentheses
                 Permits parsing of "((((select ...))) as xyz)" */
              (yyval.table_list)= 0;
            }
            else if (!(yyvsp[(3) - (5)].table_list))
            {
              /* Handle case of derived table, alias may be NULL if there
                 are no outer parentheses, add_table_to_list() will throw
                 error in this case */
              LEX *lex=Lex;
              Select_Lex *sel= lex->current_select;
              Select_Lex_Unit *unit= sel->master_unit();
              lex->current_select= sel= unit->outer_select();
              if (!((yyval.table_list)= sel->add_table_to_list(lex->session,
                                               new Table_ident(unit), (yyvsp[(5) - (5)].lex_str_ptr), 0,
                                               TL_READ)))

                DRIZZLE_YYABORT;
              sel->add_joined_table((yyval.table_list));
              lex->pop_context();
            }
            else if (((yyvsp[(3) - (5)].table_list)->select_lex && (yyvsp[(3) - (5)].table_list)->select_lex->master_unit()->is_union()) || (yyvsp[(5) - (5)].lex_str_ptr))
            {
              /* simple nested joins cannot have aliases or unions */
              struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
              my_parse_error(&pass);
              DRIZZLE_YYABORT;
            }
            else
              (yyval.table_list)= (yyvsp[(3) - (5)].table_list);
          }
    break;

  case 542:

/* Line 1455 of yacc.c  */
#line 3823 "drizzled/sql_yacc.yy"
    {
            if (add_select_to_union_list(YYSession, Lex, (bool)(yyvsp[(3) - (3)].num)))
              DRIZZLE_YYABORT;
          }
    break;

  case 543:

/* Line 1455 of yacc.c  */
#line 3828 "drizzled/sql_yacc.yy"
    {
            /*
              Remove from the name resolution context stack the context of the
              last select in the union.
             */
            Lex->pop_context();
          }
    break;

  case 545:

/* Line 1455 of yacc.c  */
#line 3841 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            Select_Lex * sel= lex->current_select;
            if (lex->current_select->set_braces(0))
            {
              struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
              my_parse_error(&pass);
              DRIZZLE_YYABORT;
            }
            if (sel->linkage == UNION_TYPE &&
                sel->master_unit()->first_select()->braces)
            {
              struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
              my_parse_error(&pass);
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 546:

/* Line 1455 of yacc.c  */
#line 3862 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            Select_Lex *sel= lex->current_select;
            if (sel->linkage != UNION_TYPE)
              mysql_init_select(lex);
            lex->current_select->parsing_place= SELECT_LIST;
          }
    break;

  case 547:

/* Line 1455 of yacc.c  */
#line 3870 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->parsing_place= NO_MATTER;
          }
    break;

  case 549:

/* Line 1455 of yacc.c  */
#line 3879 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            if ((yyvsp[(1) - (1)].select_lex)->init_nested_join(lex->session))
              DRIZZLE_YYABORT;
          }
    break;

  case 550:

/* Line 1455 of yacc.c  */
#line 3885 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            /* for normal joins, $3 != NULL and end_nested_join() != NULL,
               for derived tables, both must equal NULL */

            if (!((yyval.table_list)= (yyvsp[(1) - (3)].select_lex)->end_nested_join(lex->session)) && (yyvsp[(3) - (3)].table_list))
              DRIZZLE_YYABORT;
            if (!(yyvsp[(3) - (3)].table_list) && (yyval.table_list))
            {
              struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
              my_parse_error(&pass);
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 551:

/* Line 1455 of yacc.c  */
#line 3902 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            lex->derived_tables|= DERIVED_SUBQUERY;
            if (!lex->expr_allows_subselect)
            {
              struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
              my_parse_error(&pass);
              DRIZZLE_YYABORT;
            }
            if (lex->current_select->linkage == GLOBAL_OPTIONS_TYPE ||
                mysql_new_select(lex, 1))
              DRIZZLE_YYABORT;
            mysql_init_select(lex);
            lex->current_select->linkage= DERIVED_TABLE_TYPE;
            lex->current_select->parsing_place= SELECT_LIST;
          }
    break;

  case 552:

/* Line 1455 of yacc.c  */
#line 3919 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->parsing_place= NO_MATTER;
          }
    break;

  case 554:

/* Line 1455 of yacc.c  */
#line 3926 "drizzled/sql_yacc.yy"
    { (yyval.select_lex)= Lex->current_select; }
    break;

  case 555:

/* Line 1455 of yacc.c  */
#line 3931 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;

            Select_Lex *sel= lex->current_select;
            TableList *embedding;
            if (!sel->embedding || sel->end_nested_join(lex->session))
            {
              /* we are not in parentheses */
              struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
              my_parse_error(&pass);
              DRIZZLE_YYABORT;
            }
            embedding= Lex->current_select->embedding;
            (yyval.num)= embedding &&
                !embedding->getNestedJoin()->join_list.elements;
            /* return true if we are deeply nested */
          }
    break;

  case 556:

/* Line 1455 of yacc.c  */
#line 3951 "drizzled/sql_yacc.yy"
    {}
    break;

  case 557:

/* Line 1455 of yacc.c  */
#line 3952 "drizzled/sql_yacc.yy"
    {}
    break;

  case 558:

/* Line 1455 of yacc.c  */
#line 3957 "drizzled/sql_yacc.yy"
    {
            (yyval.num)= INDEX_HINT_MASK_ALL;
          }
    break;

  case 559:

/* Line 1455 of yacc.c  */
#line 3960 "drizzled/sql_yacc.yy"
    { (yyval.num)= INDEX_HINT_MASK_JOIN;  }
    break;

  case 560:

/* Line 1455 of yacc.c  */
#line 3961 "drizzled/sql_yacc.yy"
    { (yyval.num)= INDEX_HINT_MASK_ORDER; }
    break;

  case 561:

/* Line 1455 of yacc.c  */
#line 3962 "drizzled/sql_yacc.yy"
    { (yyval.num)= INDEX_HINT_MASK_GROUP; }
    break;

  case 562:

/* Line 1455 of yacc.c  */
#line 3966 "drizzled/sql_yacc.yy"
    { (yyval.index_hint)= INDEX_HINT_FORCE; }
    break;

  case 563:

/* Line 1455 of yacc.c  */
#line 3967 "drizzled/sql_yacc.yy"
    { (yyval.index_hint)= INDEX_HINT_IGNORE; }
    break;

  case 564:

/* Line 1455 of yacc.c  */
#line 3972 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->set_index_hint_type((yyvsp[(1) - (3)].index_hint), (yyvsp[(3) - (3)].num));
          }
    break;

  case 566:

/* Line 1455 of yacc.c  */
#line 3977 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->set_index_hint_type(INDEX_HINT_USE, (yyvsp[(3) - (3)].num));
          }
    break;

  case 571:

/* Line 1455 of yacc.c  */
#line 3990 "drizzled/sql_yacc.yy"
    { Lex->current_select->alloc_index_hints(YYSession); }
    break;

  case 573:

/* Line 1455 of yacc.c  */
#line 3994 "drizzled/sql_yacc.yy"
    {  Lex->current_select->clear_index_hints(); }
    break;

  case 575:

/* Line 1455 of yacc.c  */
#line 3999 "drizzled/sql_yacc.yy"
    { Lex->current_select->add_index_hint(YYSession, NULL, 0); }
    break;

  case 576:

/* Line 1455 of yacc.c  */
#line 4000 "drizzled/sql_yacc.yy"
    {}
    break;

  case 577:

/* Line 1455 of yacc.c  */
#line 4005 "drizzled/sql_yacc.yy"
    { Lex->current_select->add_index_hint(YYSession, (yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length); }
    break;

  case 578:

/* Line 1455 of yacc.c  */
#line 4007 "drizzled/sql_yacc.yy"
    { Lex->current_select->add_index_hint(YYSession, (char *)"PRIMARY", 7); }
    break;

  case 581:

/* Line 1455 of yacc.c  */
#line 4017 "drizzled/sql_yacc.yy"
    {
            if (!((yyval.string_list)= new List<String>))
              DRIZZLE_YYABORT;
            (yyval.string_list)->push_back(new (YYSession->mem_root)
                              String((const char *) (yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length,
                                      system_charset_info));
          }
    break;

  case 582:

/* Line 1455 of yacc.c  */
#line 4025 "drizzled/sql_yacc.yy"
    {
            (yyvsp[(1) - (3)].string_list)->push_back(new (YYSession->mem_root)
                              String((const char *) (yyvsp[(3) - (3)].lex_str).str, (yyvsp[(3) - (3)].lex_str).length,
                                      system_charset_info));
            (yyval.string_list)= (yyvsp[(1) - (3)].string_list);
          }
    break;

  case 583:

/* Line 1455 of yacc.c  */
#line 4034 "drizzled/sql_yacc.yy"
    {}
    break;

  case 584:

/* Line 1455 of yacc.c  */
#line 4035 "drizzled/sql_yacc.yy"
    { (yyval.interval)=INTERVAL_DAY_HOUR; }
    break;

  case 585:

/* Line 1455 of yacc.c  */
#line 4036 "drizzled/sql_yacc.yy"
    { (yyval.interval)=INTERVAL_DAY_MICROSECOND; }
    break;

  case 586:

/* Line 1455 of yacc.c  */
#line 4037 "drizzled/sql_yacc.yy"
    { (yyval.interval)=INTERVAL_DAY_MINUTE; }
    break;

  case 587:

/* Line 1455 of yacc.c  */
#line 4038 "drizzled/sql_yacc.yy"
    { (yyval.interval)=INTERVAL_DAY_SECOND; }
    break;

  case 588:

/* Line 1455 of yacc.c  */
#line 4039 "drizzled/sql_yacc.yy"
    { (yyval.interval)=INTERVAL_HOUR_MICROSECOND; }
    break;

  case 589:

/* Line 1455 of yacc.c  */
#line 4040 "drizzled/sql_yacc.yy"
    { (yyval.interval)=INTERVAL_HOUR_MINUTE; }
    break;

  case 590:

/* Line 1455 of yacc.c  */
#line 4041 "drizzled/sql_yacc.yy"
    { (yyval.interval)=INTERVAL_HOUR_SECOND; }
    break;

  case 591:

/* Line 1455 of yacc.c  */
#line 4042 "drizzled/sql_yacc.yy"
    { (yyval.interval)=INTERVAL_MINUTE_MICROSECOND; }
    break;

  case 592:

/* Line 1455 of yacc.c  */
#line 4043 "drizzled/sql_yacc.yy"
    { (yyval.interval)=INTERVAL_MINUTE_SECOND; }
    break;

  case 593:

/* Line 1455 of yacc.c  */
#line 4044 "drizzled/sql_yacc.yy"
    { (yyval.interval)=INTERVAL_SECOND_MICROSECOND; }
    break;

  case 594:

/* Line 1455 of yacc.c  */
#line 4045 "drizzled/sql_yacc.yy"
    { (yyval.interval)=INTERVAL_YEAR_MONTH; }
    break;

  case 595:

/* Line 1455 of yacc.c  */
#line 4049 "drizzled/sql_yacc.yy"
    {}
    break;

  case 596:

/* Line 1455 of yacc.c  */
#line 4050 "drizzled/sql_yacc.yy"
    {
                                  (yyval.interval_time_st)=INTERVAL_MICROSECOND;
                                  /*
                                    FRAC_SECOND was mistakenly implemented with
                                    a wrong resolution. According to the ODBC
                                    standard it should be nanoseconds, not
                                    microseconds. Changing it to nanoseconds
                                    in MySQL would mean making TIMESTAMPDIFF
                                    and TIMESTAMPADD to return DECIMAL, since
                                    the return value would be too big for BIGINT
                                    Hence we just deprecate the incorrect
                                    implementation without changing its
                                    resolution.
                                  */
                                }
    break;

  case 597:

/* Line 1455 of yacc.c  */
#line 4068 "drizzled/sql_yacc.yy"
    { (yyval.interval_time_st)=INTERVAL_DAY; }
    break;

  case 598:

/* Line 1455 of yacc.c  */
#line 4069 "drizzled/sql_yacc.yy"
    { (yyval.interval_time_st)=INTERVAL_WEEK; }
    break;

  case 599:

/* Line 1455 of yacc.c  */
#line 4070 "drizzled/sql_yacc.yy"
    { (yyval.interval_time_st)=INTERVAL_HOUR; }
    break;

  case 600:

/* Line 1455 of yacc.c  */
#line 4071 "drizzled/sql_yacc.yy"
    { (yyval.interval_time_st)=INTERVAL_MINUTE; }
    break;

  case 601:

/* Line 1455 of yacc.c  */
#line 4072 "drizzled/sql_yacc.yy"
    { (yyval.interval_time_st)=INTERVAL_MONTH; }
    break;

  case 602:

/* Line 1455 of yacc.c  */
#line 4073 "drizzled/sql_yacc.yy"
    { (yyval.interval_time_st)=INTERVAL_QUARTER; }
    break;

  case 603:

/* Line 1455 of yacc.c  */
#line 4074 "drizzled/sql_yacc.yy"
    { (yyval.interval_time_st)=INTERVAL_SECOND; }
    break;

  case 604:

/* Line 1455 of yacc.c  */
#line 4075 "drizzled/sql_yacc.yy"
    { (yyval.interval_time_st)=INTERVAL_MICROSECOND; }
    break;

  case 605:

/* Line 1455 of yacc.c  */
#line 4076 "drizzled/sql_yacc.yy"
    { (yyval.interval_time_st)=INTERVAL_YEAR; }
    break;

  case 609:

/* Line 1455 of yacc.c  */
#line 4086 "drizzled/sql_yacc.yy"
    { (yyval.lex_str_ptr)=0; }
    break;

  case 610:

/* Line 1455 of yacc.c  */
#line 4088 "drizzled/sql_yacc.yy"
    { (yyval.lex_str_ptr)= (drizzled::LEX_STRING*) memory::sql_memdup(&(yyvsp[(2) - (2)].lex_str),sizeof(drizzled::LEX_STRING)); }
    break;

  case 613:

/* Line 1455 of yacc.c  */
#line 4097 "drizzled/sql_yacc.yy"
    { Lex->current_select->where= 0; }
    break;

  case 614:

/* Line 1455 of yacc.c  */
#line 4099 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->parsing_place= IN_WHERE;
          }
    break;

  case 615:

/* Line 1455 of yacc.c  */
#line 4103 "drizzled/sql_yacc.yy"
    {
            Select_Lex *select= Lex->current_select;
            select->where= (yyvsp[(3) - (3)].item);
            select->parsing_place= NO_MATTER;
            if ((yyvsp[(3) - (3)].item))
              (yyvsp[(3) - (3)].item)->top_level_item();
          }
    break;

  case 617:

/* Line 1455 of yacc.c  */
#line 4115 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->parsing_place= IN_HAVING;
          }
    break;

  case 618:

/* Line 1455 of yacc.c  */
#line 4119 "drizzled/sql_yacc.yy"
    {
            Select_Lex *sel= Lex->current_select;
            sel->having= (yyvsp[(3) - (3)].item);
            sel->parsing_place= NO_MATTER;
            if ((yyvsp[(3) - (3)].item))
              (yyvsp[(3) - (3)].item)->top_level_item();
          }
    break;

  case 619:

/* Line 1455 of yacc.c  */
#line 4130 "drizzled/sql_yacc.yy"
    {
            Lex->escape_used= true;
            (yyval.item)= (yyvsp[(2) - (2)].item);
          }
    break;

  case 620:

/* Line 1455 of yacc.c  */
#line 4135 "drizzled/sql_yacc.yy"
    {
            Lex->escape_used= false;
            (yyval.item)= new Item_string("\\", 1, &my_charset_utf8_general_ci);
          }
    break;

  case 623:

/* Line 1455 of yacc.c  */
#line 4152 "drizzled/sql_yacc.yy"
    { if (YYSession->add_group_to_list((yyvsp[(3) - (4)].item),(bool) (yyvsp[(4) - (4)].num))) DRIZZLE_YYABORT; }
    break;

  case 624:

/* Line 1455 of yacc.c  */
#line 4154 "drizzled/sql_yacc.yy"
    { if (YYSession->add_group_to_list((yyvsp[(1) - (2)].item),(bool) (yyvsp[(2) - (2)].num))) DRIZZLE_YYABORT; }
    break;

  case 625:

/* Line 1455 of yacc.c  */
#line 4158 "drizzled/sql_yacc.yy"
    {}
    break;

  case 626:

/* Line 1455 of yacc.c  */
#line 4160 "drizzled/sql_yacc.yy"
    {
            /*
              'WITH ROLLUP' is needed for backward compatibility,
              and cause LALR(2) conflicts.
              This syntax is not standard.
              MySQL syntax: GROUP BY col1, col2, col3 WITH ROLLUP
              SQL-2003: GROUP BY ... ROLLUP(col1, col2, col3)
            */
            LEX *lex= Lex;
            if (lex->current_select->linkage == GLOBAL_OPTIONS_TYPE)
            {
              my_error(ER_WRONG_USAGE, MYF(0), "WITH ROLLUP",
                       "global union parameters");
              DRIZZLE_YYABORT;
            }
            lex->current_select->olap= ROLLUP_TYPE;
          }
    break;

  case 630:

/* Line 1455 of yacc.c  */
#line 4194 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            bool ascending= ((yyvsp[(2) - (2)].num) == 1) ? true : false;
            if (session->add_order_to_list((yyvsp[(1) - (2)].item), ascending))
              DRIZZLE_YYABORT;
          }
    break;

  case 633:

/* Line 1455 of yacc.c  */
#line 4213 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            Select_Lex *sel= lex->current_select;
            Select_Lex_Unit *unit= sel-> master_unit();
            if (sel->linkage != GLOBAL_OPTIONS_TYPE &&
                sel->olap != UNSPECIFIED_OLAP_TYPE &&
                (sel->linkage != UNION_TYPE || sel->braces))
            {
              my_error(ER_WRONG_USAGE, MYF(0),
                       "CUBE/ROLLUP", "ORDER BY");
              DRIZZLE_YYABORT;
            }
            if (lex->sql_command != SQLCOM_ALTER_TABLE && !unit->fake_select_lex)
            {
              /*
                A query of the of the form (SELECT ...) ORDER BY order_list is
                executed in the same way as the query
                SELECT ... ORDER BY order_list
                unless the SELECT construct contains ORDER BY or LIMIT clauses.
                Otherwise we create a fake Select_Lex if it has not been created
                yet.
              */
              Select_Lex *first_sl= unit->first_select();
              if (!unit->is_union() &&
                  (first_sl->order_list.elements ||
                   first_sl->select_limit) &&           
                  unit->add_fake_select_lex(lex->session))
                DRIZZLE_YYABORT;
            }
          }
    break;

  case 635:

/* Line 1455 of yacc.c  */
#line 4248 "drizzled/sql_yacc.yy"
    { if (YYSession->add_order_to_list((yyvsp[(3) - (4)].item),(bool) (yyvsp[(4) - (4)].num))) DRIZZLE_YYABORT; }
    break;

  case 636:

/* Line 1455 of yacc.c  */
#line 4250 "drizzled/sql_yacc.yy"
    { if (YYSession->add_order_to_list((yyvsp[(1) - (2)].item),(bool) (yyvsp[(2) - (2)].num))) DRIZZLE_YYABORT; }
    break;

  case 637:

/* Line 1455 of yacc.c  */
#line 4254 "drizzled/sql_yacc.yy"
    { (yyval.num) =  1; }
    break;

  case 638:

/* Line 1455 of yacc.c  */
#line 4255 "drizzled/sql_yacc.yy"
    { (yyval.num) =1; }
    break;

  case 639:

/* Line 1455 of yacc.c  */
#line 4256 "drizzled/sql_yacc.yy"
    { (yyval.num) =0; }
    break;

  case 640:

/* Line 1455 of yacc.c  */
#line 4261 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            Select_Lex *sel= lex->current_select;
            sel->offset_limit= 0;
            sel->select_limit= 0;
          }
    break;

  case 641:

/* Line 1455 of yacc.c  */
#line 4267 "drizzled/sql_yacc.yy"
    {}
    break;

  case 642:

/* Line 1455 of yacc.c  */
#line 4271 "drizzled/sql_yacc.yy"
    {}
    break;

  case 643:

/* Line 1455 of yacc.c  */
#line 4272 "drizzled/sql_yacc.yy"
    {}
    break;

  case 644:

/* Line 1455 of yacc.c  */
#line 4276 "drizzled/sql_yacc.yy"
    {}
    break;

  case 645:

/* Line 1455 of yacc.c  */
#line 4281 "drizzled/sql_yacc.yy"
    {
            Select_Lex *sel= Lex->current_select;
            sel->select_limit= (yyvsp[(1) - (1)].item);
            sel->offset_limit= 0;
            sel->explicit_limit= 1;
          }
    break;

  case 646:

/* Line 1455 of yacc.c  */
#line 4288 "drizzled/sql_yacc.yy"
    {
            Select_Lex *sel= Lex->current_select;
            sel->select_limit= (yyvsp[(3) - (3)].item);
            sel->offset_limit= (yyvsp[(1) - (3)].item);
            sel->explicit_limit= 1;
          }
    break;

  case 647:

/* Line 1455 of yacc.c  */
#line 4295 "drizzled/sql_yacc.yy"
    {
            Select_Lex *sel= Lex->current_select;
            sel->select_limit= (yyvsp[(1) - (3)].item);
            sel->offset_limit= (yyvsp[(3) - (3)].item);
            sel->explicit_limit= 1;
          }
    break;

  case 648:

/* Line 1455 of yacc.c  */
#line 4304 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_uint((yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length); }
    break;

  case 649:

/* Line 1455 of yacc.c  */
#line 4305 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_uint((yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length); }
    break;

  case 650:

/* Line 1455 of yacc.c  */
#line 4306 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_uint((yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length); }
    break;

  case 651:

/* Line 1455 of yacc.c  */
#line 4311 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->current_select->select_limit= 0;
          }
    break;

  case 652:

/* Line 1455 of yacc.c  */
#line 4316 "drizzled/sql_yacc.yy"
    {
            Select_Lex *sel= Lex->current_select;
            sel->select_limit= (yyvsp[(2) - (2)].item);
            sel->explicit_limit= 1;
          }
    break;

  case 653:

/* Line 1455 of yacc.c  */
#line 4324 "drizzled/sql_yacc.yy"
    { int error; (yyval.ulong_num)= (ulong) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, (char**) 0, &error); }
    break;

  case 654:

/* Line 1455 of yacc.c  */
#line 4325 "drizzled/sql_yacc.yy"
    { (yyval.ulong_num)= (ulong) strtol((yyvsp[(1) - (1)].lex_str).str, (char**) 0, 16); }
    break;

  case 655:

/* Line 1455 of yacc.c  */
#line 4326 "drizzled/sql_yacc.yy"
    { int error; (yyval.ulong_num)= (ulong) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, (char**) 0, &error); }
    break;

  case 656:

/* Line 1455 of yacc.c  */
#line 4327 "drizzled/sql_yacc.yy"
    { int error; (yyval.ulong_num)= (ulong) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, (char**) 0, &error); }
    break;

  case 657:

/* Line 1455 of yacc.c  */
#line 4328 "drizzled/sql_yacc.yy"
    { int error; (yyval.ulong_num)= (ulong) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, (char**) 0, &error); }
    break;

  case 658:

/* Line 1455 of yacc.c  */
#line 4329 "drizzled/sql_yacc.yy"
    { int error; (yyval.ulong_num)= (ulong) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, (char**) 0, &error); }
    break;

  case 659:

/* Line 1455 of yacc.c  */
#line 4333 "drizzled/sql_yacc.yy"
    { int error; (yyval.ulonglong_number)= (uint64_t) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, (char**) 0, &error); }
    break;

  case 660:

/* Line 1455 of yacc.c  */
#line 4334 "drizzled/sql_yacc.yy"
    { int error; (yyval.ulonglong_number)= (uint64_t) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, (char**) 0, &error); }
    break;

  case 661:

/* Line 1455 of yacc.c  */
#line 4335 "drizzled/sql_yacc.yy"
    { int error; (yyval.ulonglong_number)= (uint64_t) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, (char**) 0, &error); }
    break;

  case 662:

/* Line 1455 of yacc.c  */
#line 4336 "drizzled/sql_yacc.yy"
    { int error; (yyval.ulonglong_number)= (uint64_t) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, (char**) 0, &error); }
    break;

  case 663:

/* Line 1455 of yacc.c  */
#line 4337 "drizzled/sql_yacc.yy"
    { int error; (yyval.ulonglong_number)= (uint64_t) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, (char**) 0, &error); }
    break;

  case 664:

/* Line 1455 of yacc.c  */
#line 4341 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            if (!lex->describe && (!(lex->result= new select_dumpvar())))
              DRIZZLE_YYABORT;
          }
    break;

  case 665:

/* Line 1455 of yacc.c  */
#line 4347 "drizzled/sql_yacc.yy"
    {}
    break;

  case 667:

/* Line 1455 of yacc.c  */
#line 4352 "drizzled/sql_yacc.yy"
    {}
    break;

  case 668:

/* Line 1455 of yacc.c  */
#line 4357 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            if (lex->result)
              ((select_dumpvar *)lex->result)->var_list.push_back( new var((yyvsp[(2) - (2)].lex_str),0,0,(enum_field_types)0));
            else
              /*
                The parser won't create select_result instance only
                if it's an EXPLAIN.
              */
              assert(lex->describe);
          }
    break;

  case 669:

/* Line 1455 of yacc.c  */
#line 4372 "drizzled/sql_yacc.yy"
    { }
    break;

  case 671:

/* Line 1455 of yacc.c  */
#line 4378 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            lex->setCacheable(false);
            if (!(lex->exchange= new file_exchange((yyvsp[(2) - (2)].lex_str).str, 0)) ||
                !(lex->result= new select_export(lex->exchange)))
              DRIZZLE_YYABORT;
          }
    break;

  case 673:

/* Line 1455 of yacc.c  */
#line 4387 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            if (!lex->describe)
            {
              lex->setCacheable(false);
              if (!(lex->exchange= new file_exchange((yyvsp[(2) - (2)].lex_str).str,1)))
                DRIZZLE_YYABORT;
              if (!(lex->result= new select_dump(lex->exchange)))
                DRIZZLE_YYABORT;
            }
          }
    break;

  case 674:

/* Line 1455 of yacc.c  */
#line 4399 "drizzled/sql_yacc.yy"
    {Lex->setCacheable(false);}
    break;

  case 675:

/* Line 1455 of yacc.c  */
#line 4408 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command = SQLCOM_DROP_TABLE;
            statement::DropTable *statement= new(std::nothrow) statement::DropTable(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            statement->drop_temporary= (yyvsp[(2) - (5)].num);
            statement->drop_if_exists= (yyvsp[(4) - (5)].num);
          }
    break;

  case 676:

/* Line 1455 of yacc.c  */
#line 4418 "drizzled/sql_yacc.yy"
    {}
    break;

  case 677:

/* Line 1455 of yacc.c  */
#line 4419 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command= SQLCOM_DROP_INDEX;
            statement::DropIndex *statement= new(std::nothrow) statement::DropIndex(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            statement->alter_info.flags.set(ALTER_DROP_INDEX);
            statement->alter_info.build_method= (yyvsp[(2) - (7)].build_method);
            statement->alter_info.drop_list.push_back(new AlterDrop(AlterDrop::KEY, (yyvsp[(4) - (7)].lex_str).str));
            if (!lex->current_select->add_table_to_list(lex->session, (yyvsp[(6) - (7)].table), NULL,
                                                        TL_OPTION_UPDATING))
              DRIZZLE_YYABORT;
          }
    break;

  case 678:

/* Line 1455 of yacc.c  */
#line 4434 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command= SQLCOM_DROP_DB;
            statement::DropSchema *statement= new(std::nothrow) statement::DropSchema(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            statement->drop_if_exists=(yyvsp[(3) - (4)].num);
            lex->name= (yyvsp[(4) - (4)].lex_str);
          }
    break;

  case 681:

/* Line 1455 of yacc.c  */
#line 4451 "drizzled/sql_yacc.yy"
    {
            if (!Lex->current_select->add_table_to_list(YYSession, (yyvsp[(1) - (1)].table), NULL, TL_OPTION_UPDATING))
              DRIZZLE_YYABORT;
          }
    break;

  case 682:

/* Line 1455 of yacc.c  */
#line 4458 "drizzled/sql_yacc.yy"
    { (yyval.num)= 0; }
    break;

  case 683:

/* Line 1455 of yacc.c  */
#line 4459 "drizzled/sql_yacc.yy"
    { (yyval.num)= 1; }
    break;

  case 684:

/* Line 1455 of yacc.c  */
#line 4463 "drizzled/sql_yacc.yy"
    { (yyval.num)= 0; }
    break;

  case 685:

/* Line 1455 of yacc.c  */
#line 4464 "drizzled/sql_yacc.yy"
    { (yyval.num)= 1; }
    break;

  case 686:

/* Line 1455 of yacc.c  */
#line 4473 "drizzled/sql_yacc.yy"
    {
       }
    break;

  case 687:

/* Line 1455 of yacc.c  */
#line 4479 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            statement::Execute *statement= new(std::nothrow) statement::Execute(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;

            statement->setQuery((yyvsp[(1) - (1)].lex_str));
         }
    break;

  case 688:

/* Line 1455 of yacc.c  */
#line 4489 "drizzled/sql_yacc.yy"
    {
          LEX *lex= Lex;
          statement::Execute *statement= new(std::nothrow) statement::Execute(YYSession);
          lex->statement= statement;
          if (lex->statement == NULL)
            DRIZZLE_YYABORT;

          statement->setVar();
          statement->setQuery((yyvsp[(2) - (2)].lex_str));
        }
    break;

  case 689:

/* Line 1455 of yacc.c  */
#line 4506 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            lex->sql_command= SQLCOM_INSERT;
            lex->statement= new(std::nothrow) statement::Insert(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            lex->duplicates= DUP_ERROR;
            mysql_init_select(lex);
            /* for subselects */
            lex->lock_option= TL_READ;
          }
    break;

  case 690:

/* Line 1455 of yacc.c  */
#line 4518 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->set_lock_for_tables(TL_WRITE_CONCURRENT_INSERT);
            Lex->current_select= &Lex->select_lex;
          }
    break;

  case 691:

/* Line 1455 of yacc.c  */
#line 4523 "drizzled/sql_yacc.yy"
    {}
    break;

  case 692:

/* Line 1455 of yacc.c  */
#line 4528 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            lex->sql_command= SQLCOM_REPLACE;
            lex->statement= new(std::nothrow) statement::Replace(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            lex->duplicates= DUP_REPLACE;
            mysql_init_select(lex);
          }
    break;

  case 693:

/* Line 1455 of yacc.c  */
#line 4538 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->set_lock_for_tables(TL_WRITE_DEFAULT);
            Lex->current_select= &Lex->select_lex;
          }
    break;

  case 694:

/* Line 1455 of yacc.c  */
#line 4543 "drizzled/sql_yacc.yy"
    {}
    break;

  case 695:

/* Line 1455 of yacc.c  */
#line 4547 "drizzled/sql_yacc.yy"
    {}
    break;

  case 696:

/* Line 1455 of yacc.c  */
#line 4548 "drizzled/sql_yacc.yy"
    {}
    break;

  case 697:

/* Line 1455 of yacc.c  */
#line 4553 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->field_list.empty();
            lex->many_values.empty();
            lex->insert_list=0;
          }
    break;

  case 698:

/* Line 1455 of yacc.c  */
#line 4561 "drizzled/sql_yacc.yy"
    {}
    break;

  case 699:

/* Line 1455 of yacc.c  */
#line 4562 "drizzled/sql_yacc.yy"
    {}
    break;

  case 700:

/* Line 1455 of yacc.c  */
#line 4563 "drizzled/sql_yacc.yy"
    {}
    break;

  case 701:

/* Line 1455 of yacc.c  */
#line 4565 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            if (!(lex->insert_list = new List_item) ||
                lex->many_values.push_back(lex->insert_list))
              DRIZZLE_YYABORT;
          }
    break;

  case 703:

/* Line 1455 of yacc.c  */
#line 4575 "drizzled/sql_yacc.yy"
    { Lex->field_list.push_back((yyvsp[(3) - (3)].item)); }
    break;

  case 704:

/* Line 1455 of yacc.c  */
#line 4576 "drizzled/sql_yacc.yy"
    { Lex->field_list.push_back((yyvsp[(1) - (1)].item)); }
    break;

  case 705:

/* Line 1455 of yacc.c  */
#line 4580 "drizzled/sql_yacc.yy"
    {}
    break;

  case 706:

/* Line 1455 of yacc.c  */
#line 4581 "drizzled/sql_yacc.yy"
    {}
    break;

  case 707:

/* Line 1455 of yacc.c  */
#line 4583 "drizzled/sql_yacc.yy"
    { Lex->current_select->set_braces(0);}
    break;

  case 708:

/* Line 1455 of yacc.c  */
#line 4584 "drizzled/sql_yacc.yy"
    {}
    break;

  case 709:

/* Line 1455 of yacc.c  */
#line 4586 "drizzled/sql_yacc.yy"
    { Lex->current_select->set_braces(1);}
    break;

  case 710:

/* Line 1455 of yacc.c  */
#line 4587 "drizzled/sql_yacc.yy"
    {}
    break;

  case 715:

/* Line 1455 of yacc.c  */
#line 4602 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            if (lex->field_list.push_back((yyvsp[(1) - (3)].item)) ||
                lex->insert_list->push_back((yyvsp[(3) - (3)].item)))
              DRIZZLE_YYABORT;
          }
    break;

  case 716:

/* Line 1455 of yacc.c  */
#line 4611 "drizzled/sql_yacc.yy"
    {}
    break;

  case 717:

/* Line 1455 of yacc.c  */
#line 4612 "drizzled/sql_yacc.yy"
    {}
    break;

  case 718:

/* Line 1455 of yacc.c  */
#line 4616 "drizzled/sql_yacc.yy"
    {}
    break;

  case 719:

/* Line 1455 of yacc.c  */
#line 4617 "drizzled/sql_yacc.yy"
    {}
    break;

  case 720:

/* Line 1455 of yacc.c  */
#line 4622 "drizzled/sql_yacc.yy"
    {
              if (!(Lex->insert_list = new List_item))
                DRIZZLE_YYABORT;
          }
    break;

  case 721:

/* Line 1455 of yacc.c  */
#line 4627 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            if (lex->many_values.push_back(lex->insert_list))
              DRIZZLE_YYABORT;
          }
    break;

  case 722:

/* Line 1455 of yacc.c  */
#line 4635 "drizzled/sql_yacc.yy"
    {}
    break;

  case 724:

/* Line 1455 of yacc.c  */
#line 4641 "drizzled/sql_yacc.yy"
    {
            if (Lex->insert_list->push_back((yyvsp[(3) - (3)].item)))
              DRIZZLE_YYABORT;
          }
    break;

  case 725:

/* Line 1455 of yacc.c  */
#line 4646 "drizzled/sql_yacc.yy"
    {
            if (Lex->insert_list->push_back((yyvsp[(1) - (1)].item)))
              DRIZZLE_YYABORT;
          }
    break;

  case 726:

/* Line 1455 of yacc.c  */
#line 4653 "drizzled/sql_yacc.yy"
    { (yyval.item)= (yyvsp[(1) - (1)].item);}
    break;

  case 727:

/* Line 1455 of yacc.c  */
#line 4654 "drizzled/sql_yacc.yy"
    {(yyval.item)= new Item_default_value(Lex->current_context()); }
    break;

  case 729:

/* Line 1455 of yacc.c  */
#line 4659 "drizzled/sql_yacc.yy"
    { Lex->duplicates= DUP_UPDATE; }
    break;

  case 731:

/* Line 1455 of yacc.c  */
#line 4667 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            mysql_init_select(lex);
            lex->sql_command= SQLCOM_UPDATE;
            lex->statement= new(std::nothrow) statement::Update(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            lex->lock_option= TL_UNLOCK; /* Will be set later */
            lex->duplicates= DUP_ERROR;
            if (!lex->select_lex.add_table_to_list(YYSession, (yyvsp[(3) - (3)].table), NULL,0))
              DRIZZLE_YYABORT;
          }
    break;

  case 732:

/* Line 1455 of yacc.c  */
#line 4680 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            if (lex->select_lex.get_table_list()->derived)
            {
              /* it is single table update and it is update of derived table */
              my_error(ER_NON_UPDATABLE_TABLE, MYF(0),
                       lex->select_lex.get_table_list()->alias, "UPDATE");
              DRIZZLE_YYABORT;
            }
            /*
              In case of multi-update setting write lock for all tables may
              be too pessimistic. We will decrease lock level if possible in
              mysql_multi_update().
            */
            Lex->current_select->set_lock_for_tables(TL_WRITE_DEFAULT);
          }
    break;

  case 733:

/* Line 1455 of yacc.c  */
#line 4696 "drizzled/sql_yacc.yy"
    {}
    break;

  case 736:

/* Line 1455 of yacc.c  */
#line 4706 "drizzled/sql_yacc.yy"
    {
            if (YYSession->add_item_to_list((yyvsp[(1) - (3)].item)) || YYSession->add_value_to_list((yyvsp[(3) - (3)].item)))
              DRIZZLE_YYABORT;
          }
    break;

  case 739:

/* Line 1455 of yacc.c  */
#line 4719 "drizzled/sql_yacc.yy"
    {
          LEX *lex= Lex;
          if (lex->update_list.push_back((yyvsp[(1) - (3)].item)) ||
              lex->value_list.push_back((yyvsp[(3) - (3)].item)))
              DRIZZLE_YYABORT;
          }
    break;

  case 740:

/* Line 1455 of yacc.c  */
#line 4731 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            lex->sql_command= SQLCOM_DELETE;
            lex->statement= new(std::nothrow) statement::Delete(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            mysql_init_select(lex);
            lex->lock_option= TL_WRITE_DEFAULT;
            lex->ignore= 0;
            lex->select_lex.init_order();
          }
    break;

  case 742:

/* Line 1455 of yacc.c  */
#line 4747 "drizzled/sql_yacc.yy"
    {
            if (!Lex->current_select->add_table_to_list(YYSession, (yyvsp[(2) - (2)].table), NULL, TL_OPTION_UPDATING,
                                           Lex->lock_option))
              DRIZZLE_YYABORT;
          }
    break;

  case 743:

/* Line 1455 of yacc.c  */
#line 4753 "drizzled/sql_yacc.yy"
    {}
    break;

  case 744:

/* Line 1455 of yacc.c  */
#line 4757 "drizzled/sql_yacc.yy"
    {}
    break;

  case 745:

/* Line 1455 of yacc.c  */
#line 4758 "drizzled/sql_yacc.yy"
    {}
    break;

  case 746:

/* Line 1455 of yacc.c  */
#line 4762 "drizzled/sql_yacc.yy"
    { Lex->ignore= 1; }
    break;

  case 747:

/* Line 1455 of yacc.c  */
#line 4767 "drizzled/sql_yacc.yy"
    {
            LEX* lex= Lex;
            lex->sql_command= SQLCOM_TRUNCATE;
            lex->statement= new(std::nothrow) statement::Truncate(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            lex->select_lex.options= 0;
            lex->select_lex.init_order();
          }
    break;

  case 750:

/* Line 1455 of yacc.c  */
#line 4787 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->wild=0;
            lex->lock_option= TL_READ;
            mysql_init_select(lex);
            lex->current_select->parsing_place= SELECT_LIST;
          }
    break;

  case 751:

/* Line 1455 of yacc.c  */
#line 4795 "drizzled/sql_yacc.yy"
    {}
    break;

  case 752:

/* Line 1455 of yacc.c  */
#line 4800 "drizzled/sql_yacc.yy"
    {
             LEX *lex= Lex;
             Session *session= YYSession;

             lex->sql_command= SQLCOM_SELECT;
             lex->statement=
               new(std::nothrow) statement::Show(session);
             if (lex->statement == NULL)
               DRIZZLE_YYABORT;

             std::string column_name= "Database";
             if (Lex->wild)
             {
               column_name.append(" (");
               column_name.append(Lex->wild->ptr());
               column_name.append(")");
             }

             if (Lex->current_select->where)
             {
               if (prepare_new_schema_table(session, lex, "SCHEMAS"))
                 DRIZZLE_YYABORT;
             }
             else
             {
               if (prepare_new_schema_table(session, lex, "SHOW_SCHEMAS"))
                 DRIZZLE_YYABORT;
             }

             Item_field *my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "SCHEMA_NAME");
             my_field->is_autogenerated_name= false;
             my_field->set_name(column_name.c_str(), column_name.length(), system_charset_info);

             if (session->add_item_to_list(my_field))
               DRIZZLE_YYABORT;

              if (session->add_order_to_list(my_field, true))
                DRIZZLE_YYABORT;
           }
    break;

  case 753:

/* Line 1455 of yacc.c  */
#line 4840 "drizzled/sql_yacc.yy"
    {
             LEX *lex= Lex;
             Session *session= YYSession;

             lex->sql_command= SQLCOM_SELECT;

             statement::Show *select=
               new(std::nothrow) statement::Show(YYSession);

             lex->statement= select;

             if (lex->statement == NULL)
               DRIZZLE_YYABORT;


              std::string column_name= "Tables_in_";

              if ((yyvsp[(2) - (3)].simple_string))
              {
		SchemaIdentifier identifier((yyvsp[(2) - (3)].simple_string));
                column_name.append((yyvsp[(2) - (3)].simple_string));
                lex->select_lex.db= (yyvsp[(2) - (3)].simple_string);
                if (not plugin::StorageEngine::doesSchemaExist(identifier))
                {
                  my_error(ER_BAD_DB_ERROR, MYF(0), (yyvsp[(2) - (3)].simple_string));
                }
                select->setShowPredicate((yyvsp[(2) - (3)].simple_string), "");
              }
              else if (not session->db.empty())
              {
                column_name.append(session->db);
                select->setShowPredicate(session->db, "");
              }
              else
              {
                 my_error(ER_NO_DB_ERROR, MYF(0));
              }


             if (Lex->wild)
             {
               column_name.append(" (");
               column_name.append(Lex->wild->ptr());
               column_name.append(")");
             }

             if (prepare_new_schema_table(YYSession, lex, "SHOW_TABLES"))
               DRIZZLE_YYABORT;

             Item_field *my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "TABLE_NAME");
             my_field->is_autogenerated_name= false;
             my_field->set_name(column_name.c_str(), column_name.length(), system_charset_info);

             if (session->add_item_to_list(my_field))
               DRIZZLE_YYABORT;

              if (session->add_order_to_list(my_field, true))
                DRIZZLE_YYABORT;
           }
    break;

  case 754:

/* Line 1455 of yacc.c  */
#line 4900 "drizzled/sql_yacc.yy"
    {
             LEX *lex= Lex;
             Session *session= YYSession;

             lex->sql_command= SQLCOM_SELECT;

             statement::Show *select=
               new(std::nothrow) statement::Show(YYSession);

             lex->statement= select;

             if (lex->statement == NULL)
               DRIZZLE_YYABORT;


             if (prepare_new_schema_table(YYSession, lex, "SHOW_TEMPORARY_TABLES"))
               DRIZZLE_YYABORT;

             if (session->add_item_to_list( new Item_field(&session->lex->current_select->
                                                           context,
                                                           NULL, NULL, "*")))
               DRIZZLE_YYABORT;
             (session->lex->current_select->with_wild)++;

           }
    break;

  case 755:

/* Line 1455 of yacc.c  */
#line 4926 "drizzled/sql_yacc.yy"
    {
             LEX *lex= Lex;
             lex->sql_command= SQLCOM_SELECT;
             statement::Show *select=
               new(std::nothrow) statement::Show(YYSession);

             lex->statement= select;

             if (lex->statement == NULL)
               DRIZZLE_YYABORT;

             Session *session= YYSession;

             std::string column_name= "Tables_in_";

             if ((yyvsp[(3) - (4)].simple_string))
             {
               lex->select_lex.db= (yyvsp[(3) - (4)].simple_string);

	       SchemaIdentifier identifier((yyvsp[(3) - (4)].simple_string));
               if (not plugin::StorageEngine::doesSchemaExist(identifier))
               {
                 my_error(ER_BAD_DB_ERROR, MYF(0), (yyvsp[(3) - (4)].simple_string));
               }

               select->setShowPredicate((yyvsp[(3) - (4)].simple_string), "");
             }
             else
             {
               select->setShowPredicate(session->db, "");
             }

             if (prepare_new_schema_table(session, lex, "SHOW_TABLE_STATUS"))
               DRIZZLE_YYABORT;

             if (session->add_item_to_list( new Item_field(&session->lex->current_select->
                                                           context,
                                                           NULL, NULL, "*")))
               DRIZZLE_YYABORT;
             (session->lex->current_select->with_wild)++;
           }
    break;

  case 756:

/* Line 1455 of yacc.c  */
#line 4968 "drizzled/sql_yacc.yy"
    {
             LEX *lex= Lex;
             Session *session= YYSession;
             statement::Show *select;

             lex->sql_command= SQLCOM_SELECT;

             select= new(std::nothrow) statement::Show(session);

             lex->statement= select;

             if (lex->statement == NULL)
               DRIZZLE_YYABORT;

             if ((yyvsp[(4) - (5)].simple_string))
              select->setShowPredicate((yyvsp[(4) - (5)].simple_string), (yyvsp[(3) - (5)].table)->table.str);
             else if ((yyvsp[(3) - (5)].table)->db.str)
              select->setShowPredicate((yyvsp[(3) - (5)].table)->db.str, (yyvsp[(3) - (5)].table)->table.str);
             else
              select->setShowPredicate(session->db, (yyvsp[(3) - (5)].table)->table.str);

             {
               drizzled::TableIdentifier identifier(select->getShowSchema().c_str(), (yyvsp[(3) - (5)].table)->table.str);
               if (not plugin::StorageEngine::doesTableExist(*session, identifier))
               {
                   my_error(ER_NO_SUCH_TABLE, MYF(0),
                            select->getShowSchema().c_str(), 
                            (yyvsp[(3) - (5)].table)->table.str);
               }
             }

             if (prepare_new_schema_table(session, lex, "SHOW_COLUMNS"))
               DRIZZLE_YYABORT;

             if (session->add_item_to_list( new Item_field(&session->lex->current_select->
                                                           context,
                                                           NULL, NULL, "*")))
               DRIZZLE_YYABORT;
             (session->lex->current_select->with_wild)++;

          }
    break;

  case 757:

/* Line 1455 of yacc.c  */
#line 5010 "drizzled/sql_yacc.yy"
    {
             LEX *lex= Lex;
             Session *session= YYSession;
             statement::Show *select;

             lex->sql_command= SQLCOM_SELECT;

             select= new(std::nothrow) statement::Show(session);

             lex->statement= select;

             if (lex->statement == NULL)
               DRIZZLE_YYABORT;

             if ((yyvsp[(4) - (5)].simple_string))
              select->setShowPredicate((yyvsp[(4) - (5)].simple_string), (yyvsp[(3) - (5)].table)->table.str);
             else if ((yyvsp[(3) - (5)].table)->db.str)
              select->setShowPredicate((yyvsp[(3) - (5)].table)->db.str, (yyvsp[(3) - (5)].table)->table.str);
             else
              select->setShowPredicate(session->db, (yyvsp[(3) - (5)].table)->table.str);

             {
               drizzled::TableIdentifier identifier(select->getShowSchema().c_str(), (yyvsp[(3) - (5)].table)->table.str);
               if (not plugin::StorageEngine::doesTableExist(*session, identifier))
               {
                   my_error(ER_NO_SUCH_TABLE, MYF(0),
                            select->getShowSchema().c_str(), 
                            (yyvsp[(3) - (5)].table)->table.str);
               }
             }

             if (prepare_new_schema_table(session, lex, "SHOW_INDEXES"))
               DRIZZLE_YYABORT;

             if (session->add_item_to_list( new Item_field(&session->lex->current_select->
                                                           context,
                                                           NULL, NULL, "*")))
               DRIZZLE_YYABORT;
             (session->lex->current_select->with_wild)++;
          }
    break;

  case 758:

/* Line 1455 of yacc.c  */
#line 5051 "drizzled/sql_yacc.yy"
    {
            (void) create_select_for_variable("warning_count");
            LEX *lex= Lex;
            lex->statement= new(std::nothrow) statement::Show(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 759:

/* Line 1455 of yacc.c  */
#line 5059 "drizzled/sql_yacc.yy"
    {
            (void) create_select_for_variable("error_count");
            LEX *lex= Lex;
            lex->statement= new(std::nothrow) statement::Show(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 760:

/* Line 1455 of yacc.c  */
#line 5067 "drizzled/sql_yacc.yy"
    {
            Lex->sql_command = SQLCOM_SHOW_WARNS;
            Lex->statement= new(std::nothrow) statement::ShowWarnings(YYSession);
            if (Lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 761:

/* Line 1455 of yacc.c  */
#line 5074 "drizzled/sql_yacc.yy"
    {
            Lex->sql_command = SQLCOM_SHOW_ERRORS;
            Lex->statement= new(std::nothrow) statement::ShowErrors(YYSession);
            if (Lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 762:

/* Line 1455 of yacc.c  */
#line 5081 "drizzled/sql_yacc.yy"
    {
             LEX *lex= Lex;
             lex->sql_command= SQLCOM_SELECT;
             lex->statement=
               new(std::nothrow) statement::Show(YYSession);
             if (lex->statement == NULL)
               DRIZZLE_YYABORT;

             Session *session= YYSession;

             if ((yyvsp[(1) - (3)].var_type) == OPT_GLOBAL)
             {
               if (prepare_new_schema_table(session, lex, "GLOBAL_STATUS"))
                 DRIZZLE_YYABORT;
             }
             else
             {
               if (prepare_new_schema_table(session, lex, "SESSION_STATUS"))
                 DRIZZLE_YYABORT;
             }

             std::string key("Variable_name");
             std::string value("Value");

             Item_field *my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "VARIABLE_NAME");
             my_field->is_autogenerated_name= false;
             my_field->set_name(key.c_str(), key.length(), system_charset_info);

             if (session->add_item_to_list(my_field))
               DRIZZLE_YYABORT;

             my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "VARIABLE_VALUE");
             my_field->is_autogenerated_name= false;
             my_field->set_name(value.c_str(), value.length(), system_charset_info);

             if (session->add_item_to_list(my_field))
               DRIZZLE_YYABORT;
           }
    break;

  case 763:

/* Line 1455 of yacc.c  */
#line 5120 "drizzled/sql_yacc.yy"
    {
             LEX *lex= Lex;
             lex->sql_command= SQLCOM_SELECT;
             statement::Show *select=
               new(std::nothrow) statement::Show(YYSession);

             lex->statement= select;

             if (lex->statement == NULL)
               DRIZZLE_YYABORT;

             Session *session= YYSession;

             if (prepare_new_schema_table(session, lex, "TABLE_SQL_DEFINITION"))
               DRIZZLE_YYABORT;

             if ((yyvsp[(3) - (3)].table)->db.str)
              select->setShowPredicate((yyvsp[(3) - (3)].table)->db.str, (yyvsp[(3) - (3)].table)->table.str);
             else
              select->setShowPredicate(session->db, (yyvsp[(3) - (3)].table)->table.str);

             std::string key("Table");
             std::string value("Create Table");

             Item_field *my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "TABLE_NAME");
             my_field->is_autogenerated_name= false;
             my_field->set_name(key.c_str(), key.length(), system_charset_info);

             if (session->add_item_to_list(my_field))
               DRIZZLE_YYABORT;

             my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "TABLE_SQL_DEFINITION");
             my_field->is_autogenerated_name= false;
             my_field->set_name(value.c_str(), value.length(), system_charset_info);

             if (session->add_item_to_list(my_field))
               DRIZZLE_YYABORT;
           }
    break;

  case 764:

/* Line 1455 of yacc.c  */
#line 5159 "drizzled/sql_yacc.yy"
    {
           {
             LEX *lex= Lex;
             lex->sql_command= SQLCOM_SELECT;
             lex->statement=
               new(std::nothrow) statement::Show(YYSession);
             if (lex->statement == NULL)
               DRIZZLE_YYABORT;

             Session *session= YYSession;

             if (prepare_new_schema_table(session, lex, "PROCESSLIST"))
               DRIZZLE_YYABORT;

             if (session->add_item_to_list( new Item_field(&session->lex->current_select->
                                                           context,
                                                           NULL, NULL, "*")))
               DRIZZLE_YYABORT;
             (session->lex->current_select->with_wild)++;
           }
          }
    break;

  case 765:

/* Line 1455 of yacc.c  */
#line 5181 "drizzled/sql_yacc.yy"
    {
             LEX *lex= Lex;
             lex->sql_command= SQLCOM_SELECT;
             lex->statement=
               new(std::nothrow) statement::Show(YYSession);
             if (lex->statement == NULL)
               DRIZZLE_YYABORT;

             Session *session= YYSession;

             if ((yyvsp[(1) - (3)].var_type) == OPT_GLOBAL)
             {
               if (prepare_new_schema_table(session, lex, "GLOBAL_VARIABLES"))
                 DRIZZLE_YYABORT;
             }
             else
             {
               if (prepare_new_schema_table(session, lex, "SESSION_VARIABLES"))
                 DRIZZLE_YYABORT;
             }

             std::string key("Variable_name");
             std::string value("Value");

             Item_field *my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "VARIABLE_NAME");
             my_field->is_autogenerated_name= false;
             my_field->set_name(key.c_str(), key.length(), system_charset_info);

             if (session->add_item_to_list(my_field))
               DRIZZLE_YYABORT;

             my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "VARIABLE_VALUE");
             my_field->is_autogenerated_name= false;
             my_field->set_name(value.c_str(), value.length(), system_charset_info);

             if (session->add_item_to_list(my_field))
               DRIZZLE_YYABORT;
           }
    break;

  case 766:

/* Line 1455 of yacc.c  */
#line 5220 "drizzled/sql_yacc.yy"
    {
             LEX *lex= Lex;
             lex->sql_command= SQLCOM_SELECT;
             statement::Show *select=
               new(std::nothrow) statement::Show(YYSession);

             lex->statement= select;

             if (lex->statement == NULL)
               DRIZZLE_YYABORT;

             Session *session= YYSession;

             if (prepare_new_schema_table(session, lex, "SCHEMA_SQL_DEFINITION"))
               DRIZZLE_YYABORT;

             if ((yyvsp[(4) - (4)].lex_str).str)
              select->setShowPredicate((yyvsp[(4) - (4)].lex_str).str);
             else
              select->setShowPredicate(session->db);

             std::string key("Database");
             std::string value("Create Database");

             Item_field *my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "SCHEMA_NAME");
             my_field->is_autogenerated_name= false;
             my_field->set_name(key.c_str(), key.length(), system_charset_info);

             if (session->add_item_to_list(my_field))
               DRIZZLE_YYABORT;

             my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "SCHEMA_SQL_DEFINITION");
             my_field->is_autogenerated_name= false;
             my_field->set_name(value.c_str(), value.length(), system_charset_info);

             if (session->add_item_to_list(my_field))
               DRIZZLE_YYABORT;
           }
    break;

  case 767:

/* Line 1455 of yacc.c  */
#line 5260 "drizzled/sql_yacc.yy"
    { (yyval.simple_string)= 0; }
    break;

  case 768:

/* Line 1455 of yacc.c  */
#line 5261 "drizzled/sql_yacc.yy"
    { (yyval.simple_string)= (yyvsp[(2) - (2)].lex_str).str; }
    break;

  case 772:

/* Line 1455 of yacc.c  */
#line 5272 "drizzled/sql_yacc.yy"
    {
            Lex->wild= new (YYSession->mem_root) String((yyvsp[(2) - (2)].lex_str).str, (yyvsp[(2) - (2)].lex_str).length,
                                                    system_charset_info);
            if (Lex->wild == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 773:

/* Line 1455 of yacc.c  */
#line 5279 "drizzled/sql_yacc.yy"
    {
            Lex->current_select->where= (yyvsp[(2) - (2)].item);
            if ((yyvsp[(2) - (2)].item))
              (yyvsp[(2) - (2)].item)->top_level_item();
          }
    break;

  case 774:

/* Line 1455 of yacc.c  */
#line 5289 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            statement::Show *select;
            LEX *lex= Lex;
            lex->lock_option= TL_READ;
            mysql_init_select(lex);
            lex->current_select->parsing_place= SELECT_LIST;
            lex->sql_command= SQLCOM_SELECT;
            select= new(std::nothrow) statement::Show(session);
            lex->statement= select;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            lex->select_lex.db= 0;

             if ((yyvsp[(2) - (2)].table)->db.str)
              select->setShowPredicate((yyvsp[(2) - (2)].table)->db.str, (yyvsp[(2) - (2)].table)->table.str);
             else
              select->setShowPredicate(session->db, (yyvsp[(2) - (2)].table)->table.str);

             {
               drizzled::TableIdentifier identifier(select->getShowSchema().c_str(), (yyvsp[(2) - (2)].table)->table.str);
               if (not plugin::StorageEngine::doesTableExist(*session, identifier))
               {
                   my_error(ER_NO_SUCH_TABLE, MYF(0),
                            select->getShowSchema().c_str(), 
                            (yyvsp[(2) - (2)].table)->table.str);
               }
             }

             if (prepare_new_schema_table(session, lex, "SHOW_COLUMNS"))
               DRIZZLE_YYABORT;

             if (session->add_item_to_list( new Item_field(&session->lex->current_select->
                                                           context,
                                                           NULL, NULL, "*")))
               DRIZZLE_YYABORT;
             (session->lex->current_select->with_wild)++;

          }
    break;

  case 775:

/* Line 1455 of yacc.c  */
#line 5328 "drizzled/sql_yacc.yy"
    {}
    break;

  case 776:

/* Line 1455 of yacc.c  */
#line 5330 "drizzled/sql_yacc.yy"
    { Lex->describe|= DESCRIBE_NORMAL; }
    break;

  case 777:

/* Line 1455 of yacc.c  */
#line 5332 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->select_lex.options|= SELECT_DESCRIBE;
          }
    break;

  case 780:

/* Line 1455 of yacc.c  */
#line 5344 "drizzled/sql_yacc.yy"
    {}
    break;

  case 781:

/* Line 1455 of yacc.c  */
#line 5345 "drizzled/sql_yacc.yy"
    { Lex->describe|= DESCRIBE_EXTENDED; }
    break;

  case 782:

/* Line 1455 of yacc.c  */
#line 5349 "drizzled/sql_yacc.yy"
    {}
    break;

  case 783:

/* Line 1455 of yacc.c  */
#line 5350 "drizzled/sql_yacc.yy"
    { Lex->wild= (yyvsp[(1) - (1)].string); }
    break;

  case 784:

/* Line 1455 of yacc.c  */
#line 5352 "drizzled/sql_yacc.yy"
    {
            Lex->wild= new (YYSession->mem_root) String((const char*) (yyvsp[(1) - (1)].lex_str).str,
                                                    (yyvsp[(1) - (1)].lex_str).length,
                                                    system_charset_info);
          }
    break;

  case 785:

/* Line 1455 of yacc.c  */
#line 5364 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command= SQLCOM_FLUSH;
            lex->statement= new(std::nothrow) statement::Flush(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            lex->type= 0;
          }
    break;

  case 786:

/* Line 1455 of yacc.c  */
#line 5373 "drizzled/sql_yacc.yy"
    {}
    break;

  case 789:

/* Line 1455 of yacc.c  */
#line 5383 "drizzled/sql_yacc.yy"
    {
            statement::Flush *statement= (statement::Flush*)Lex->statement;
            statement->setFlushTables(true);
          }
    break;

  case 790:

/* Line 1455 of yacc.c  */
#line 5387 "drizzled/sql_yacc.yy"
    {}
    break;

  case 791:

/* Line 1455 of yacc.c  */
#line 5389 "drizzled/sql_yacc.yy"
    {
            statement::Flush *statement= (statement::Flush*)Lex->statement;
            statement->setFlushTablesWithReadLock(true);
          }
    break;

  case 792:

/* Line 1455 of yacc.c  */
#line 5394 "drizzled/sql_yacc.yy"
    {
            statement::Flush *statement= (statement::Flush*)Lex->statement;
            statement->setFlushLog(true);
          }
    break;

  case 793:

/* Line 1455 of yacc.c  */
#line 5399 "drizzled/sql_yacc.yy"
    {
            statement::Flush *statement= (statement::Flush*)Lex->statement;
            statement->setFlushStatus(true);
          }
    break;

  case 794:

/* Line 1455 of yacc.c  */
#line 5406 "drizzled/sql_yacc.yy"
    {}
    break;

  case 795:

/* Line 1455 of yacc.c  */
#line 5407 "drizzled/sql_yacc.yy"
    {}
    break;

  case 796:

/* Line 1455 of yacc.c  */
#line 5414 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->value_list.empty();
            lex->value_list.push_front((yyvsp[(3) - (3)].item));
            lex->sql_command= SQLCOM_KILL;
            lex->statement= new(std::nothrow) statement::Kill(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 797:

/* Line 1455 of yacc.c  */
#line 5426 "drizzled/sql_yacc.yy"
    { Lex->type= 0; }
    break;

  case 798:

/* Line 1455 of yacc.c  */
#line 5427 "drizzled/sql_yacc.yy"
    { Lex->type= 0; }
    break;

  case 799:

/* Line 1455 of yacc.c  */
#line 5428 "drizzled/sql_yacc.yy"
    { Lex->type= ONLY_KILL_QUERY; }
    break;

  case 800:

/* Line 1455 of yacc.c  */
#line 5435 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command=SQLCOM_CHANGE_DB;
            lex->statement= new(std::nothrow) statement::ChangeSchema(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            lex->select_lex.db= (yyvsp[(2) - (2)].lex_str).str;
          }
    break;

  case 801:

/* Line 1455 of yacc.c  */
#line 5449 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            LEX *lex= session->lex;

            lex->sql_command= SQLCOM_LOAD;
            statement::Load *statement= new(std::nothrow) statement::Load(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;

            Lex_input_stream *lip= session->m_lip;
            statement->fname_start= lip->get_ptr();
          }
    break;

  case 802:

/* Line 1455 of yacc.c  */
#line 5463 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->lock_option= (yyvsp[(4) - (6)].lock_type);
            lex->duplicates= DUP_ERROR;
            lex->ignore= 0;
            if (!(lex->exchange= new file_exchange((yyvsp[(6) - (6)].lex_str).str, 0, (yyvsp[(2) - (6)].filetype))))
              DRIZZLE_YYABORT;
          }
    break;

  case 803:

/* Line 1455 of yacc.c  */
#line 5472 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            Lex_input_stream *lip= session->m_lip;
            ((statement::Load *)Lex->statement)->fname_end= lip->get_ptr();
          }
    break;

  case 804:

/* Line 1455 of yacc.c  */
#line 5478 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            if (!Lex->current_select->add_table_to_list(YYSession,
                    (yyvsp[(12) - (12)].table), NULL, TL_OPTION_UPDATING,
                    lex->lock_option))
              DRIZZLE_YYABORT;
            lex->field_list.empty();
            lex->update_list.empty();
            lex->value_list.empty();
          }
    break;

  case 805:

/* Line 1455 of yacc.c  */
#line 5490 "drizzled/sql_yacc.yy"
    {}
    break;

  case 806:

/* Line 1455 of yacc.c  */
#line 5494 "drizzled/sql_yacc.yy"
    { (yyval.filetype)= FILETYPE_CSV; }
    break;

  case 807:

/* Line 1455 of yacc.c  */
#line 5497 "drizzled/sql_yacc.yy"
    { (yyval.lock_type)= TL_WRITE_DEFAULT; }
    break;

  case 808:

/* Line 1455 of yacc.c  */
#line 5499 "drizzled/sql_yacc.yy"
    {
              (yyval.lock_type)= TL_WRITE_CONCURRENT_INSERT;
          }
    break;

  case 809:

/* Line 1455 of yacc.c  */
#line 5505 "drizzled/sql_yacc.yy"
    { Lex->duplicates=DUP_ERROR; }
    break;

  case 810:

/* Line 1455 of yacc.c  */
#line 5506 "drizzled/sql_yacc.yy"
    { Lex->duplicates=DUP_REPLACE; }
    break;

  case 811:

/* Line 1455 of yacc.c  */
#line 5507 "drizzled/sql_yacc.yy"
    { Lex->ignore= 1; }
    break;

  case 816:

/* Line 1455 of yacc.c  */
#line 5522 "drizzled/sql_yacc.yy"
    {
            assert(Lex->exchange != 0);
            Lex->exchange->field_term= (yyvsp[(3) - (3)].string);
          }
    break;

  case 817:

/* Line 1455 of yacc.c  */
#line 5527 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            assert(lex->exchange != 0);
            lex->exchange->enclosed= (yyvsp[(4) - (4)].string);
            lex->exchange->opt_enclosed= 1;
          }
    break;

  case 818:

/* Line 1455 of yacc.c  */
#line 5534 "drizzled/sql_yacc.yy"
    {
            assert(Lex->exchange != 0);
            Lex->exchange->enclosed= (yyvsp[(3) - (3)].string);
          }
    break;

  case 819:

/* Line 1455 of yacc.c  */
#line 5539 "drizzled/sql_yacc.yy"
    {
            assert(Lex->exchange != 0);
            Lex->exchange->escaped= (yyvsp[(3) - (3)].string);
          }
    break;

  case 824:

/* Line 1455 of yacc.c  */
#line 5557 "drizzled/sql_yacc.yy"
    {
            assert(Lex->exchange != 0);
            Lex->exchange->line_term= (yyvsp[(3) - (3)].string);
          }
    break;

  case 825:

/* Line 1455 of yacc.c  */
#line 5562 "drizzled/sql_yacc.yy"
    {
            assert(Lex->exchange != 0);
            Lex->exchange->line_start= (yyvsp[(3) - (3)].string);
          }
    break;

  case 827:

/* Line 1455 of yacc.c  */
#line 5571 "drizzled/sql_yacc.yy"
    {
            assert(Lex->exchange != 0);
            Lex->exchange->skip_lines= atol((yyvsp[(2) - (3)].lex_str).str);
          }
    break;

  case 828:

/* Line 1455 of yacc.c  */
#line 5578 "drizzled/sql_yacc.yy"
    { }
    break;

  case 829:

/* Line 1455 of yacc.c  */
#line 5579 "drizzled/sql_yacc.yy"
    { }
    break;

  case 830:

/* Line 1455 of yacc.c  */
#line 5583 "drizzled/sql_yacc.yy"
    {}
    break;

  case 831:

/* Line 1455 of yacc.c  */
#line 5584 "drizzled/sql_yacc.yy"
    {}
    break;

  case 832:

/* Line 1455 of yacc.c  */
#line 5585 "drizzled/sql_yacc.yy"
    {}
    break;

  case 833:

/* Line 1455 of yacc.c  */
#line 5590 "drizzled/sql_yacc.yy"
    { Lex->field_list.push_back((yyvsp[(3) - (3)].item)); }
    break;

  case 834:

/* Line 1455 of yacc.c  */
#line 5592 "drizzled/sql_yacc.yy"
    { Lex->field_list.push_back((yyvsp[(1) - (1)].item)); }
    break;

  case 835:

/* Line 1455 of yacc.c  */
#line 5596 "drizzled/sql_yacc.yy"
    {(yyval.item)= (yyvsp[(1) - (1)].item);}
    break;

  case 836:

/* Line 1455 of yacc.c  */
#line 5598 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_user_var_as_out_param((yyvsp[(2) - (2)].lex_str)); }
    break;

  case 837:

/* Line 1455 of yacc.c  */
#line 5602 "drizzled/sql_yacc.yy"
    {}
    break;

  case 838:

/* Line 1455 of yacc.c  */
#line 5603 "drizzled/sql_yacc.yy"
    {}
    break;

  case 839:

/* Line 1455 of yacc.c  */
#line 5610 "drizzled/sql_yacc.yy"
    {
          Session *session= YYSession;
          (yyval.item) = new Item_string((yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length, session->variables.getCollation());
        }
    break;

  case 840:

/* Line 1455 of yacc.c  */
#line 5615 "drizzled/sql_yacc.yy"
    {
            ((Item_string*) (yyvsp[(1) - (2)].item))->append((yyvsp[(2) - (2)].lex_str).str, (yyvsp[(2) - (2)].lex_str).length);
          }
    break;

  case 841:

/* Line 1455 of yacc.c  */
#line 5622 "drizzled/sql_yacc.yy"
    {
            (yyval.string)= new (YYSession->mem_root) String((yyvsp[(1) - (1)].lex_str).str,
                                             (yyvsp[(1) - (1)].lex_str).length,
                                             YYSession->variables.getCollation());
          }
    break;

  case 842:

/* Line 1455 of yacc.c  */
#line 5628 "drizzled/sql_yacc.yy"
    {
            Item *tmp= new Item_hex_string((yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length);
            /*
              it is OK only emulate fix_fields, because we need only
              value of constant
            */
            (yyval.string)= tmp ?
              tmp->quick_fix_field(), tmp->val_str((String*) 0) :
              (String*) 0;
          }
    break;

  case 843:

/* Line 1455 of yacc.c  */
#line 5639 "drizzled/sql_yacc.yy"
    {
            Item *tmp= new Item_bin_string((yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length);
            /*
              it is OK only emulate fix_fields, because we need only
              value of constant
            */
            (yyval.string)= tmp ? tmp->quick_fix_field(), tmp->val_str((String*) 0) :
              (String*) 0;
          }
    break;

  case 844:

/* Line 1455 of yacc.c  */
#line 5651 "drizzled/sql_yacc.yy"
    { (yyval.item) = (yyvsp[(1) - (1)].item); }
    break;

  case 845:

/* Line 1455 of yacc.c  */
#line 5652 "drizzled/sql_yacc.yy"
    { (yyval.item) = (yyvsp[(2) - (2)].item_num); }
    break;

  case 846:

/* Line 1455 of yacc.c  */
#line 5654 "drizzled/sql_yacc.yy"
    {
            (yyvsp[(2) - (2)].item_num)->max_length++;
            (yyval.item)= (yyvsp[(2) - (2)].item_num)->neg();
          }
    break;

  case 847:

/* Line 1455 of yacc.c  */
#line 5661 "drizzled/sql_yacc.yy"
    { (yyval.item) = (yyvsp[(1) - (1)].item); }
    break;

  case 848:

/* Line 1455 of yacc.c  */
#line 5662 "drizzled/sql_yacc.yy"
    { (yyval.item) = (yyvsp[(1) - (1)].item_num); }
    break;

  case 849:

/* Line 1455 of yacc.c  */
#line 5664 "drizzled/sql_yacc.yy"
    {
            (yyval.item) = new Item_null();
            YYSession->m_lip->next_state=MY_LEX_OPERATOR_OR_IDENT;
          }
    break;

  case 850:

/* Line 1455 of yacc.c  */
#line 5668 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_int((char*) "FALSE",0,1); }
    break;

  case 851:

/* Line 1455 of yacc.c  */
#line 5669 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_int((char*) "TRUE",1,1); }
    break;

  case 852:

/* Line 1455 of yacc.c  */
#line 5670 "drizzled/sql_yacc.yy"
    { (yyval.item) = new Item_hex_string((yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length);}
    break;

  case 853:

/* Line 1455 of yacc.c  */
#line 5671 "drizzled/sql_yacc.yy"
    { (yyval.item)= new Item_bin_string((yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length); }
    break;

  case 854:

/* Line 1455 of yacc.c  */
#line 5672 "drizzled/sql_yacc.yy"
    { (yyval.item) = (yyvsp[(2) - (2)].item); }
    break;

  case 855:

/* Line 1455 of yacc.c  */
#line 5673 "drizzled/sql_yacc.yy"
    { (yyval.item) = (yyvsp[(2) - (2)].item); }
    break;

  case 856:

/* Line 1455 of yacc.c  */
#line 5678 "drizzled/sql_yacc.yy"
    {
            int error;
            (yyval.item_num) = new Item_int((yyvsp[(1) - (1)].lex_str).str, (int64_t) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, NULL, &error), (yyvsp[(1) - (1)].lex_str).length);
          }
    break;

  case 857:

/* Line 1455 of yacc.c  */
#line 5683 "drizzled/sql_yacc.yy"
    {
            int error;
            (yyval.item_num) = new Item_int((yyvsp[(1) - (1)].lex_str).str, (int64_t) internal::my_strtoll10((yyvsp[(1) - (1)].lex_str).str, NULL, &error), (yyvsp[(1) - (1)].lex_str).length);
          }
    break;

  case 858:

/* Line 1455 of yacc.c  */
#line 5688 "drizzled/sql_yacc.yy"
    { (yyval.item_num) = new Item_uint((yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length); }
    break;

  case 859:

/* Line 1455 of yacc.c  */
#line 5690 "drizzled/sql_yacc.yy"
    {
            (yyval.item_num)= new Item_decimal((yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length, YYSession->charset());
            if (YYSession->is_error())
            {
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 860:

/* Line 1455 of yacc.c  */
#line 5698 "drizzled/sql_yacc.yy"
    {
            (yyval.item_num) = new Item_float((yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length);
            if (YYSession->is_error())
            {
              DRIZZLE_YYABORT;
            }
          }
    break;

  case 861:

/* Line 1455 of yacc.c  */
#line 5712 "drizzled/sql_yacc.yy"
    { (yyval.item)=(yyvsp[(1) - (1)].item); }
    break;

  case 862:

/* Line 1455 of yacc.c  */
#line 5713 "drizzled/sql_yacc.yy"
    { (yyval.item)=(yyvsp[(1) - (1)].item); }
    break;

  case 863:

/* Line 1455 of yacc.c  */
#line 5718 "drizzled/sql_yacc.yy"
    {
            Select_Lex *sel= Lex->current_select;
            (yyval.item) = new Item_field(Lex->current_context(), NULL, (yyvsp[(1) - (3)].lex_str).str, "*");
            sel->with_wild++;
          }
    break;

  case 864:

/* Line 1455 of yacc.c  */
#line 5724 "drizzled/sql_yacc.yy"
    {
            Select_Lex *sel= Lex->current_select;
            (yyval.item) = new Item_field(Lex->current_context(), (yyvsp[(1) - (5)].lex_str).str, (yyvsp[(3) - (5)].lex_str).str,"*");
            sel->with_wild++;
          }
    break;

  case 865:

/* Line 1455 of yacc.c  */
#line 5732 "drizzled/sql_yacc.yy"
    { (yyval.item)=(yyvsp[(1) - (1)].item); }
    break;

  case 866:

/* Line 1455 of yacc.c  */
#line 5737 "drizzled/sql_yacc.yy"
    {
            {
              Select_Lex *sel=Lex->current_select;
              (yyval.item)= (sel->parsing_place != IN_HAVING ||
                  sel->get_in_sum_expr() > 0) ?
                  (Item*) new Item_field(Lex->current_context(),
                                         (const char *)NULL, NULL, (yyvsp[(1) - (1)].lex_str).str) :
                  (Item*) new Item_ref(Lex->current_context(),
                                       (const char *)NULL, NULL, (yyvsp[(1) - (1)].lex_str).str);
            }
          }
    break;

  case 867:

/* Line 1455 of yacc.c  */
#line 5748 "drizzled/sql_yacc.yy"
    { (yyval.item)= (yyvsp[(1) - (1)].item); }
    break;

  case 868:

/* Line 1455 of yacc.c  */
#line 5753 "drizzled/sql_yacc.yy"
    {
            Select_Lex *sel=Lex->current_select;
            (yyval.item)= (sel->parsing_place != IN_HAVING ||
                sel->get_in_sum_expr() > 0) ?
                (Item*) new Item_field(Lex->current_context(),
                                       (const char *)NULL, NULL, (yyvsp[(1) - (1)].lex_str).str) :
                (Item*) new Item_ref(Lex->current_context(),
                                     (const char *)NULL, NULL, (yyvsp[(1) - (1)].lex_str).str);
          }
    break;

  case 869:

/* Line 1455 of yacc.c  */
#line 5762 "drizzled/sql_yacc.yy"
    { (yyval.item)= (yyvsp[(1) - (1)].item); }
    break;

  case 870:

/* Line 1455 of yacc.c  */
#line 5767 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            LEX *lex= session->lex;

            {
              Select_Lex *sel= lex->current_select;
              if (sel->no_table_names_allowed)
              {
                my_error(ER_TABLENAME_NOT_ALLOWED_HERE,
                         MYF(0), (yyvsp[(1) - (3)].lex_str).str, session->where);
              }
              (yyval.item)= (sel->parsing_place != IN_HAVING ||
                  sel->get_in_sum_expr() > 0) ?
                  (Item*) new Item_field(Lex->current_context(),
                                         (const char *)NULL, (yyvsp[(1) - (3)].lex_str).str, (yyvsp[(3) - (3)].lex_str).str) :
                  (Item*) new Item_ref(Lex->current_context(),
                                       (const char *)NULL, (yyvsp[(1) - (3)].lex_str).str, (yyvsp[(3) - (3)].lex_str).str);
            }
          }
    break;

  case 871:

/* Line 1455 of yacc.c  */
#line 5787 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            LEX *lex= session->lex;
            Select_Lex *sel= lex->current_select;
            if (sel->no_table_names_allowed)
            {
              my_error(ER_TABLENAME_NOT_ALLOWED_HERE,
                       MYF(0), (yyvsp[(2) - (4)].lex_str).str, session->where);
            }
            (yyval.item)= (sel->parsing_place != IN_HAVING ||
                sel->get_in_sum_expr() > 0) ?
                (Item*) new Item_field(Lex->current_context(), NULL, (yyvsp[(2) - (4)].lex_str).str, (yyvsp[(4) - (4)].lex_str).str) :
                (Item*) new Item_ref(Lex->current_context(),
                                     (const char *)NULL, (yyvsp[(2) - (4)].lex_str).str, (yyvsp[(4) - (4)].lex_str).str);
          }
    break;

  case 872:

/* Line 1455 of yacc.c  */
#line 5803 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            LEX *lex= session->lex;
            Select_Lex *sel= lex->current_select;
            if (sel->no_table_names_allowed)
            {
              my_error(ER_TABLENAME_NOT_ALLOWED_HERE,
                       MYF(0), (yyvsp[(3) - (5)].lex_str).str, session->where);
            }
            (yyval.item)= (sel->parsing_place != IN_HAVING ||
                sel->get_in_sum_expr() > 0) ?
                (Item*) new Item_field(Lex->current_context(), (yyvsp[(1) - (5)].lex_str).str, (yyvsp[(3) - (5)].lex_str).str,
                                       (yyvsp[(5) - (5)].lex_str).str) :
                (Item*) new Item_ref(Lex->current_context(), (yyvsp[(1) - (5)].lex_str).str, (yyvsp[(3) - (5)].lex_str).str,
                                     (yyvsp[(5) - (5)].lex_str).str);
          }
    break;

  case 873:

/* Line 1455 of yacc.c  */
#line 5822 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=(yyvsp[(1) - (1)].lex_str);}
    break;

  case 874:

/* Line 1455 of yacc.c  */
#line 5824 "drizzled/sql_yacc.yy"
    {
            TableList *table=
              reinterpret_cast<TableList*>(Lex->current_select->table_list.first);
            if (my_strcasecmp(table_alias_charset, (yyvsp[(1) - (5)].lex_str).str, table->getSchemaName()))
            {
              my_error(ER_WRONG_DB_NAME, MYF(0), (yyvsp[(1) - (5)].lex_str).str);
              DRIZZLE_YYABORT;
            }
            if (my_strcasecmp(table_alias_charset, (yyvsp[(3) - (5)].lex_str).str,
                              table->getTableName()))
            {
              my_error(ER_WRONG_TABLE_NAME, MYF(0), (yyvsp[(3) - (5)].lex_str).str);
              DRIZZLE_YYABORT;
            }
            (yyval.lex_str)=(yyvsp[(5) - (5)].lex_str);
          }
    break;

  case 875:

/* Line 1455 of yacc.c  */
#line 5841 "drizzled/sql_yacc.yy"
    {
            TableList *table=
              reinterpret_cast<TableList*>(Lex->current_select->table_list.first);
            if (my_strcasecmp(table_alias_charset, (yyvsp[(1) - (3)].lex_str).str, table->alias))
            {
              my_error(ER_WRONG_TABLE_NAME, MYF(0), (yyvsp[(1) - (3)].lex_str).str);
              DRIZZLE_YYABORT;
            }
            (yyval.lex_str)=(yyvsp[(3) - (3)].lex_str);
          }
    break;

  case 876:

/* Line 1455 of yacc.c  */
#line 5851 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=(yyvsp[(2) - (2)].lex_str);}
    break;

  case 877:

/* Line 1455 of yacc.c  */
#line 5855 "drizzled/sql_yacc.yy"
    { (yyval.table)=new Table_ident((yyvsp[(1) - (1)].lex_str)); }
    break;

  case 878:

/* Line 1455 of yacc.c  */
#line 5856 "drizzled/sql_yacc.yy"
    { (yyval.table)=new Table_ident((yyvsp[(1) - (3)].lex_str),(yyvsp[(3) - (3)].lex_str));}
    break;

  case 879:

/* Line 1455 of yacc.c  */
#line 5857 "drizzled/sql_yacc.yy"
    { (yyval.table)=new Table_ident((yyvsp[(2) - (2)].lex_str));}
    break;

  case 880:

/* Line 1455 of yacc.c  */
#line 5861 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)= (yyvsp[(1) - (1)].lex_str); }
    break;

  case 881:

/* Line 1455 of yacc.c  */
#line 5863 "drizzled/sql_yacc.yy"
    {
            const CHARSET_INFO * const cs= system_charset_info;
            int dummy_error;
            uint32_t wlen= cs->cset->well_formed_len(cs, (yyvsp[(1) - (1)].lex_str).str,
                                                 (yyvsp[(1) - (1)].lex_str).str+(yyvsp[(1) - (1)].lex_str).length,
                                                 (yyvsp[(1) - (1)].lex_str).length, &dummy_error);
            if (wlen < (yyvsp[(1) - (1)].lex_str).length)
            {
              my_error(ER_INVALID_CHARACTER_STRING, MYF(0),
                       cs->csname, (yyvsp[(1) - (1)].lex_str).str + wlen);
              DRIZZLE_YYABORT;
            }
            (yyval.lex_str)= (yyvsp[(1) - (1)].lex_str);
          }
    break;

  case 882:

/* Line 1455 of yacc.c  */
#line 5881 "drizzled/sql_yacc.yy"
    {
            (yyval.lex_str)= (yyvsp[(1) - (1)].lex_str);
          }
    break;

  case 883:

/* Line 1455 of yacc.c  */
#line 5888 "drizzled/sql_yacc.yy"
    {
            (yyval.lex_str)= (yyvsp[(1) - (1)].lex_str);
          }
    break;

  case 884:

/* Line 1455 of yacc.c  */
#line 5895 "drizzled/sql_yacc.yy"
    {
            (yyval.lex_str)= (yyvsp[(1) - (1)].lex_str);
          }
    break;

  case 885:

/* Line 1455 of yacc.c  */
#line 5901 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=(yyvsp[(1) - (1)].lex_str); }
    break;

  case 886:

/* Line 1455 of yacc.c  */
#line 5903 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            (yyval.lex_str).str= session->strmake((yyvsp[(1) - (1)].symbol).str, (yyvsp[(1) - (1)].symbol).length);
            (yyval.lex_str).length= (yyvsp[(1) - (1)].symbol).length;
          }
    break;

  case 887:

/* Line 1455 of yacc.c  */
#line 5911 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=(yyvsp[(1) - (1)].lex_str);}
    break;

  case 888:

/* Line 1455 of yacc.c  */
#line 5912 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=(yyvsp[(1) - (1)].lex_str);}
    break;

  case 889:

/* Line 1455 of yacc.c  */
#line 5913 "drizzled/sql_yacc.yy"
    { (yyval.lex_str)=(yyvsp[(1) - (1)].lex_str);}
    break;

  case 890:

/* Line 1455 of yacc.c  */
#line 5918 "drizzled/sql_yacc.yy"
    {}
    break;

  case 891:

/* Line 1455 of yacc.c  */
#line 5919 "drizzled/sql_yacc.yy"
    {}
    break;

  case 892:

/* Line 1455 of yacc.c  */
#line 5920 "drizzled/sql_yacc.yy"
    {}
    break;

  case 893:

/* Line 1455 of yacc.c  */
#line 5921 "drizzled/sql_yacc.yy"
    {}
    break;

  case 894:

/* Line 1455 of yacc.c  */
#line 5922 "drizzled/sql_yacc.yy"
    {}
    break;

  case 895:

/* Line 1455 of yacc.c  */
#line 5923 "drizzled/sql_yacc.yy"
    {}
    break;

  case 896:

/* Line 1455 of yacc.c  */
#line 5924 "drizzled/sql_yacc.yy"
    {}
    break;

  case 897:

/* Line 1455 of yacc.c  */
#line 5925 "drizzled/sql_yacc.yy"
    {}
    break;

  case 898:

/* Line 1455 of yacc.c  */
#line 5926 "drizzled/sql_yacc.yy"
    {}
    break;

  case 899:

/* Line 1455 of yacc.c  */
#line 5927 "drizzled/sql_yacc.yy"
    {}
    break;

  case 900:

/* Line 1455 of yacc.c  */
#line 5928 "drizzled/sql_yacc.yy"
    {}
    break;

  case 901:

/* Line 1455 of yacc.c  */
#line 5929 "drizzled/sql_yacc.yy"
    {}
    break;

  case 902:

/* Line 1455 of yacc.c  */
#line 5930 "drizzled/sql_yacc.yy"
    {}
    break;

  case 903:

/* Line 1455 of yacc.c  */
#line 5931 "drizzled/sql_yacc.yy"
    {}
    break;

  case 904:

/* Line 1455 of yacc.c  */
#line 5932 "drizzled/sql_yacc.yy"
    {}
    break;

  case 905:

/* Line 1455 of yacc.c  */
#line 5933 "drizzled/sql_yacc.yy"
    {}
    break;

  case 906:

/* Line 1455 of yacc.c  */
#line 5934 "drizzled/sql_yacc.yy"
    {}
    break;

  case 907:

/* Line 1455 of yacc.c  */
#line 5935 "drizzled/sql_yacc.yy"
    {}
    break;

  case 908:

/* Line 1455 of yacc.c  */
#line 5936 "drizzled/sql_yacc.yy"
    {}
    break;

  case 909:

/* Line 1455 of yacc.c  */
#line 5937 "drizzled/sql_yacc.yy"
    {}
    break;

  case 910:

/* Line 1455 of yacc.c  */
#line 5947 "drizzled/sql_yacc.yy"
    {}
    break;

  case 911:

/* Line 1455 of yacc.c  */
#line 5948 "drizzled/sql_yacc.yy"
    {}
    break;

  case 912:

/* Line 1455 of yacc.c  */
#line 5949 "drizzled/sql_yacc.yy"
    {}
    break;

  case 913:

/* Line 1455 of yacc.c  */
#line 5950 "drizzled/sql_yacc.yy"
    {}
    break;

  case 914:

/* Line 1455 of yacc.c  */
#line 5951 "drizzled/sql_yacc.yy"
    {}
    break;

  case 915:

/* Line 1455 of yacc.c  */
#line 5952 "drizzled/sql_yacc.yy"
    {}
    break;

  case 916:

/* Line 1455 of yacc.c  */
#line 5953 "drizzled/sql_yacc.yy"
    {}
    break;

  case 917:

/* Line 1455 of yacc.c  */
#line 5954 "drizzled/sql_yacc.yy"
    {}
    break;

  case 918:

/* Line 1455 of yacc.c  */
#line 5955 "drizzled/sql_yacc.yy"
    {}
    break;

  case 919:

/* Line 1455 of yacc.c  */
#line 5956 "drizzled/sql_yacc.yy"
    {}
    break;

  case 920:

/* Line 1455 of yacc.c  */
#line 5957 "drizzled/sql_yacc.yy"
    {}
    break;

  case 921:

/* Line 1455 of yacc.c  */
#line 5958 "drizzled/sql_yacc.yy"
    {}
    break;

  case 922:

/* Line 1455 of yacc.c  */
#line 5959 "drizzled/sql_yacc.yy"
    {}
    break;

  case 923:

/* Line 1455 of yacc.c  */
#line 5960 "drizzled/sql_yacc.yy"
    {}
    break;

  case 924:

/* Line 1455 of yacc.c  */
#line 5961 "drizzled/sql_yacc.yy"
    {}
    break;

  case 925:

/* Line 1455 of yacc.c  */
#line 5962 "drizzled/sql_yacc.yy"
    {}
    break;

  case 926:

/* Line 1455 of yacc.c  */
#line 5963 "drizzled/sql_yacc.yy"
    {}
    break;

  case 927:

/* Line 1455 of yacc.c  */
#line 5964 "drizzled/sql_yacc.yy"
    {}
    break;

  case 928:

/* Line 1455 of yacc.c  */
#line 5965 "drizzled/sql_yacc.yy"
    {}
    break;

  case 929:

/* Line 1455 of yacc.c  */
#line 5966 "drizzled/sql_yacc.yy"
    {}
    break;

  case 930:

/* Line 1455 of yacc.c  */
#line 5967 "drizzled/sql_yacc.yy"
    {}
    break;

  case 931:

/* Line 1455 of yacc.c  */
#line 5968 "drizzled/sql_yacc.yy"
    {}
    break;

  case 932:

/* Line 1455 of yacc.c  */
#line 5969 "drizzled/sql_yacc.yy"
    {}
    break;

  case 933:

/* Line 1455 of yacc.c  */
#line 5970 "drizzled/sql_yacc.yy"
    {}
    break;

  case 934:

/* Line 1455 of yacc.c  */
#line 5971 "drizzled/sql_yacc.yy"
    {}
    break;

  case 935:

/* Line 1455 of yacc.c  */
#line 5972 "drizzled/sql_yacc.yy"
    {}
    break;

  case 936:

/* Line 1455 of yacc.c  */
#line 5973 "drizzled/sql_yacc.yy"
    {}
    break;

  case 937:

/* Line 1455 of yacc.c  */
#line 5974 "drizzled/sql_yacc.yy"
    {}
    break;

  case 938:

/* Line 1455 of yacc.c  */
#line 5975 "drizzled/sql_yacc.yy"
    {}
    break;

  case 939:

/* Line 1455 of yacc.c  */
#line 5976 "drizzled/sql_yacc.yy"
    {}
    break;

  case 940:

/* Line 1455 of yacc.c  */
#line 5977 "drizzled/sql_yacc.yy"
    {}
    break;

  case 941:

/* Line 1455 of yacc.c  */
#line 5978 "drizzled/sql_yacc.yy"
    {}
    break;

  case 942:

/* Line 1455 of yacc.c  */
#line 5979 "drizzled/sql_yacc.yy"
    {}
    break;

  case 943:

/* Line 1455 of yacc.c  */
#line 5980 "drizzled/sql_yacc.yy"
    {}
    break;

  case 944:

/* Line 1455 of yacc.c  */
#line 5981 "drizzled/sql_yacc.yy"
    {}
    break;

  case 945:

/* Line 1455 of yacc.c  */
#line 5982 "drizzled/sql_yacc.yy"
    {}
    break;

  case 946:

/* Line 1455 of yacc.c  */
#line 5983 "drizzled/sql_yacc.yy"
    {}
    break;

  case 947:

/* Line 1455 of yacc.c  */
#line 5984 "drizzled/sql_yacc.yy"
    {}
    break;

  case 948:

/* Line 1455 of yacc.c  */
#line 5985 "drizzled/sql_yacc.yy"
    {}
    break;

  case 949:

/* Line 1455 of yacc.c  */
#line 5986 "drizzled/sql_yacc.yy"
    {}
    break;

  case 950:

/* Line 1455 of yacc.c  */
#line 5987 "drizzled/sql_yacc.yy"
    {}
    break;

  case 951:

/* Line 1455 of yacc.c  */
#line 5988 "drizzled/sql_yacc.yy"
    {}
    break;

  case 952:

/* Line 1455 of yacc.c  */
#line 5989 "drizzled/sql_yacc.yy"
    {}
    break;

  case 953:

/* Line 1455 of yacc.c  */
#line 5990 "drizzled/sql_yacc.yy"
    {}
    break;

  case 954:

/* Line 1455 of yacc.c  */
#line 5991 "drizzled/sql_yacc.yy"
    {}
    break;

  case 955:

/* Line 1455 of yacc.c  */
#line 5992 "drizzled/sql_yacc.yy"
    {}
    break;

  case 956:

/* Line 1455 of yacc.c  */
#line 5993 "drizzled/sql_yacc.yy"
    {}
    break;

  case 957:

/* Line 1455 of yacc.c  */
#line 5994 "drizzled/sql_yacc.yy"
    {}
    break;

  case 958:

/* Line 1455 of yacc.c  */
#line 5995 "drizzled/sql_yacc.yy"
    {}
    break;

  case 959:

/* Line 1455 of yacc.c  */
#line 5996 "drizzled/sql_yacc.yy"
    {}
    break;

  case 960:

/* Line 1455 of yacc.c  */
#line 5997 "drizzled/sql_yacc.yy"
    {}
    break;

  case 961:

/* Line 1455 of yacc.c  */
#line 5998 "drizzled/sql_yacc.yy"
    {}
    break;

  case 962:

/* Line 1455 of yacc.c  */
#line 5999 "drizzled/sql_yacc.yy"
    {}
    break;

  case 963:

/* Line 1455 of yacc.c  */
#line 6000 "drizzled/sql_yacc.yy"
    {}
    break;

  case 964:

/* Line 1455 of yacc.c  */
#line 6001 "drizzled/sql_yacc.yy"
    {}
    break;

  case 965:

/* Line 1455 of yacc.c  */
#line 6002 "drizzled/sql_yacc.yy"
    {}
    break;

  case 966:

/* Line 1455 of yacc.c  */
#line 6003 "drizzled/sql_yacc.yy"
    {}
    break;

  case 967:

/* Line 1455 of yacc.c  */
#line 6004 "drizzled/sql_yacc.yy"
    {}
    break;

  case 968:

/* Line 1455 of yacc.c  */
#line 6005 "drizzled/sql_yacc.yy"
    {}
    break;

  case 969:

/* Line 1455 of yacc.c  */
#line 6006 "drizzled/sql_yacc.yy"
    {}
    break;

  case 970:

/* Line 1455 of yacc.c  */
#line 6007 "drizzled/sql_yacc.yy"
    {}
    break;

  case 971:

/* Line 1455 of yacc.c  */
#line 6008 "drizzled/sql_yacc.yy"
    {}
    break;

  case 972:

/* Line 1455 of yacc.c  */
#line 6009 "drizzled/sql_yacc.yy"
    {}
    break;

  case 973:

/* Line 1455 of yacc.c  */
#line 6010 "drizzled/sql_yacc.yy"
    {}
    break;

  case 974:

/* Line 1455 of yacc.c  */
#line 6011 "drizzled/sql_yacc.yy"
    {}
    break;

  case 975:

/* Line 1455 of yacc.c  */
#line 6012 "drizzled/sql_yacc.yy"
    {}
    break;

  case 976:

/* Line 1455 of yacc.c  */
#line 6013 "drizzled/sql_yacc.yy"
    {}
    break;

  case 977:

/* Line 1455 of yacc.c  */
#line 6014 "drizzled/sql_yacc.yy"
    {}
    break;

  case 978:

/* Line 1455 of yacc.c  */
#line 6015 "drizzled/sql_yacc.yy"
    {}
    break;

  case 979:

/* Line 1455 of yacc.c  */
#line 6016 "drizzled/sql_yacc.yy"
    {}
    break;

  case 980:

/* Line 1455 of yacc.c  */
#line 6017 "drizzled/sql_yacc.yy"
    {}
    break;

  case 981:

/* Line 1455 of yacc.c  */
#line 6018 "drizzled/sql_yacc.yy"
    {}
    break;

  case 982:

/* Line 1455 of yacc.c  */
#line 6019 "drizzled/sql_yacc.yy"
    {}
    break;

  case 983:

/* Line 1455 of yacc.c  */
#line 6020 "drizzled/sql_yacc.yy"
    {}
    break;

  case 984:

/* Line 1455 of yacc.c  */
#line 6021 "drizzled/sql_yacc.yy"
    {}
    break;

  case 985:

/* Line 1455 of yacc.c  */
#line 6022 "drizzled/sql_yacc.yy"
    {}
    break;

  case 986:

/* Line 1455 of yacc.c  */
#line 6023 "drizzled/sql_yacc.yy"
    {}
    break;

  case 987:

/* Line 1455 of yacc.c  */
#line 6024 "drizzled/sql_yacc.yy"
    {}
    break;

  case 988:

/* Line 1455 of yacc.c  */
#line 6025 "drizzled/sql_yacc.yy"
    {}
    break;

  case 989:

/* Line 1455 of yacc.c  */
#line 6026 "drizzled/sql_yacc.yy"
    {}
    break;

  case 990:

/* Line 1455 of yacc.c  */
#line 6027 "drizzled/sql_yacc.yy"
    {}
    break;

  case 991:

/* Line 1455 of yacc.c  */
#line 6028 "drizzled/sql_yacc.yy"
    {}
    break;

  case 992:

/* Line 1455 of yacc.c  */
#line 6029 "drizzled/sql_yacc.yy"
    {}
    break;

  case 993:

/* Line 1455 of yacc.c  */
#line 6030 "drizzled/sql_yacc.yy"
    {}
    break;

  case 994:

/* Line 1455 of yacc.c  */
#line 6031 "drizzled/sql_yacc.yy"
    {}
    break;

  case 995:

/* Line 1455 of yacc.c  */
#line 6032 "drizzled/sql_yacc.yy"
    {}
    break;

  case 996:

/* Line 1455 of yacc.c  */
#line 6033 "drizzled/sql_yacc.yy"
    {}
    break;

  case 997:

/* Line 1455 of yacc.c  */
#line 6034 "drizzled/sql_yacc.yy"
    {}
    break;

  case 998:

/* Line 1455 of yacc.c  */
#line 6035 "drizzled/sql_yacc.yy"
    {}
    break;

  case 999:

/* Line 1455 of yacc.c  */
#line 6036 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1000:

/* Line 1455 of yacc.c  */
#line 6037 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1001:

/* Line 1455 of yacc.c  */
#line 6038 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1002:

/* Line 1455 of yacc.c  */
#line 6039 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1003:

/* Line 1455 of yacc.c  */
#line 6040 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1004:

/* Line 1455 of yacc.c  */
#line 6041 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1005:

/* Line 1455 of yacc.c  */
#line 6042 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1006:

/* Line 1455 of yacc.c  */
#line 6043 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1007:

/* Line 1455 of yacc.c  */
#line 6044 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1008:

/* Line 1455 of yacc.c  */
#line 6045 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1009:

/* Line 1455 of yacc.c  */
#line 6046 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1010:

/* Line 1455 of yacc.c  */
#line 6047 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1011:

/* Line 1455 of yacc.c  */
#line 6048 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1012:

/* Line 1455 of yacc.c  */
#line 6049 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1013:

/* Line 1455 of yacc.c  */
#line 6050 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1014:

/* Line 1455 of yacc.c  */
#line 6051 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1015:

/* Line 1455 of yacc.c  */
#line 6052 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1016:

/* Line 1455 of yacc.c  */
#line 6053 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1017:

/* Line 1455 of yacc.c  */
#line 6054 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1018:

/* Line 1455 of yacc.c  */
#line 6055 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1019:

/* Line 1455 of yacc.c  */
#line 6056 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1020:

/* Line 1455 of yacc.c  */
#line 6057 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1021:

/* Line 1455 of yacc.c  */
#line 6058 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1022:

/* Line 1455 of yacc.c  */
#line 6059 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1023:

/* Line 1455 of yacc.c  */
#line 6060 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1024:

/* Line 1455 of yacc.c  */
#line 6061 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1025:

/* Line 1455 of yacc.c  */
#line 6062 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1026:

/* Line 1455 of yacc.c  */
#line 6063 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1027:

/* Line 1455 of yacc.c  */
#line 6064 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1028:

/* Line 1455 of yacc.c  */
#line 6065 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1029:

/* Line 1455 of yacc.c  */
#line 6066 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1030:

/* Line 1455 of yacc.c  */
#line 6067 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1031:

/* Line 1455 of yacc.c  */
#line 6068 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1032:

/* Line 1455 of yacc.c  */
#line 6069 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1033:

/* Line 1455 of yacc.c  */
#line 6070 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1034:

/* Line 1455 of yacc.c  */
#line 6071 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1035:

/* Line 1455 of yacc.c  */
#line 6072 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1036:

/* Line 1455 of yacc.c  */
#line 6073 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1037:

/* Line 1455 of yacc.c  */
#line 6074 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1038:

/* Line 1455 of yacc.c  */
#line 6075 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1039:

/* Line 1455 of yacc.c  */
#line 6076 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1040:

/* Line 1455 of yacc.c  */
#line 6077 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1041:

/* Line 1455 of yacc.c  */
#line 6078 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1042:

/* Line 1455 of yacc.c  */
#line 6079 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1043:

/* Line 1455 of yacc.c  */
#line 6080 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1044:

/* Line 1455 of yacc.c  */
#line 6081 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1045:

/* Line 1455 of yacc.c  */
#line 6082 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1046:

/* Line 1455 of yacc.c  */
#line 6083 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1047:

/* Line 1455 of yacc.c  */
#line 6084 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1048:

/* Line 1455 of yacc.c  */
#line 6085 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1049:

/* Line 1455 of yacc.c  */
#line 6086 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1050:

/* Line 1455 of yacc.c  */
#line 6087 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1051:

/* Line 1455 of yacc.c  */
#line 6094 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command= SQLCOM_SET_OPTION;
            statement::SetOption *statement= new(std::nothrow) statement::SetOption(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            mysql_init_select(lex);
            lex->option_type=OPT_SESSION;
            lex->var_list.empty();
          }
    break;

  case 1052:

/* Line 1455 of yacc.c  */
#line 6106 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1053:

/* Line 1455 of yacc.c  */
#line 6110 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1054:

/* Line 1455 of yacc.c  */
#line 6111 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1057:

/* Line 1455 of yacc.c  */
#line 6120 "drizzled/sql_yacc.yy"
    {
          }
    break;

  case 1058:

/* Line 1455 of yacc.c  */
#line 6123 "drizzled/sql_yacc.yy"
    {
          }
    break;

  case 1059:

/* Line 1455 of yacc.c  */
#line 6128 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1060:

/* Line 1455 of yacc.c  */
#line 6129 "drizzled/sql_yacc.yy"
    { (yyval.var_type)=OPT_GLOBAL; }
    break;

  case 1061:

/* Line 1455 of yacc.c  */
#line 6130 "drizzled/sql_yacc.yy"
    { (yyval.var_type)=OPT_SESSION; }
    break;

  case 1062:

/* Line 1455 of yacc.c  */
#line 6131 "drizzled/sql_yacc.yy"
    { (yyval.var_type)=OPT_SESSION; }
    break;

  case 1063:

/* Line 1455 of yacc.c  */
#line 6135 "drizzled/sql_yacc.yy"
    { (yyval.num)= OPT_DEFAULT; }
    break;

  case 1064:

/* Line 1455 of yacc.c  */
#line 6136 "drizzled/sql_yacc.yy"
    { ((statement::SetOption *)Lex->statement)->one_shot_set= true; (yyval.num)= OPT_SESSION; }
    break;

  case 1065:

/* Line 1455 of yacc.c  */
#line 6140 "drizzled/sql_yacc.yy"
    { (yyval.var_type)=OPT_SESSION; }
    break;

  case 1066:

/* Line 1455 of yacc.c  */
#line 6141 "drizzled/sql_yacc.yy"
    { (yyval.var_type)=OPT_GLOBAL; }
    break;

  case 1067:

/* Line 1455 of yacc.c  */
#line 6142 "drizzled/sql_yacc.yy"
    { (yyval.var_type)=OPT_SESSION; }
    break;

  case 1068:

/* Line 1455 of yacc.c  */
#line 6143 "drizzled/sql_yacc.yy"
    { (yyval.var_type)=OPT_SESSION; }
    break;

  case 1069:

/* Line 1455 of yacc.c  */
#line 6147 "drizzled/sql_yacc.yy"
    { (yyval.var_type)=OPT_DEFAULT; }
    break;

  case 1070:

/* Line 1455 of yacc.c  */
#line 6148 "drizzled/sql_yacc.yy"
    { (yyval.var_type)=OPT_GLOBAL; }
    break;

  case 1071:

/* Line 1455 of yacc.c  */
#line 6149 "drizzled/sql_yacc.yy"
    { (yyval.var_type)=OPT_SESSION; }
    break;

  case 1072:

/* Line 1455 of yacc.c  */
#line 6150 "drizzled/sql_yacc.yy"
    { (yyval.var_type)=OPT_SESSION; }
    break;

  case 1075:

/* Line 1455 of yacc.c  */
#line 6160 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;

            if ((yyvsp[(2) - (4)].variable).var)
            { /* System variable */
              if ((yyvsp[(1) - (4)].var_type))
                lex->option_type= (yyvsp[(1) - (4)].var_type);
              lex->var_list.push_back(new set_var(lex->option_type, (yyvsp[(2) - (4)].variable).var,
                                      &(yyvsp[(2) - (4)].variable).base_name, (yyvsp[(4) - (4)].item)));
            }
          }
    break;

  case 1076:

/* Line 1455 of yacc.c  */
#line 6172 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->option_type= (yyvsp[(1) - (5)].var_type);
            lex->var_list.push_back(new set_var(lex->option_type,
                                                find_sys_var(YYSession, "tx_isolation"),
                                                &null_lex_str,
                                                new Item_int((int32_t) (yyvsp[(5) - (5)].tx_isolation))));
          }
    break;

  case 1077:

/* Line 1455 of yacc.c  */
#line 6184 "drizzled/sql_yacc.yy"
    {
            Lex->var_list.push_back(new set_var_user(new Item_func_set_user_var((yyvsp[(2) - (4)].lex_str),(yyvsp[(4) - (4)].item))));
          }
    break;

  case 1078:

/* Line 1455 of yacc.c  */
#line 6188 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->var_list.push_back(new set_var((yyvsp[(3) - (6)].var_type), (yyvsp[(4) - (6)].variable).var, &(yyvsp[(4) - (6)].variable).base_name, (yyvsp[(6) - (6)].item)));
          }
    break;

  case 1079:

/* Line 1455 of yacc.c  */
#line 6196 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;

            /* We have to lookup here since local vars can shadow sysvars */
            {
              /* Not an SP local variable */
              sys_var *tmp=find_sys_var(session, (yyvsp[(1) - (1)].lex_str).str, (yyvsp[(1) - (1)].lex_str).length);
              if (!tmp)
                DRIZZLE_YYABORT;
              (yyval.variable).var= tmp;
              (yyval.variable).base_name= null_lex_str;
            }
          }
    break;

  case 1080:

/* Line 1455 of yacc.c  */
#line 6212 "drizzled/sql_yacc.yy"
    { (yyval.tx_isolation)= ISO_READ_UNCOMMITTED; }
    break;

  case 1081:

/* Line 1455 of yacc.c  */
#line 6213 "drizzled/sql_yacc.yy"
    { (yyval.tx_isolation)= ISO_READ_COMMITTED; }
    break;

  case 1082:

/* Line 1455 of yacc.c  */
#line 6214 "drizzled/sql_yacc.yy"
    { (yyval.tx_isolation)= ISO_REPEATABLE_READ; }
    break;

  case 1083:

/* Line 1455 of yacc.c  */
#line 6215 "drizzled/sql_yacc.yy"
    { (yyval.tx_isolation)= ISO_SERIALIZABLE; }
    break;

  case 1084:

/* Line 1455 of yacc.c  */
#line 6219 "drizzled/sql_yacc.yy"
    { (yyval.item)=(yyvsp[(1) - (1)].item); }
    break;

  case 1085:

/* Line 1455 of yacc.c  */
#line 6220 "drizzled/sql_yacc.yy"
    { (yyval.item)=0; }
    break;

  case 1086:

/* Line 1455 of yacc.c  */
#line 6221 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_string("ON",  2, system_charset_info); }
    break;

  case 1087:

/* Line 1455 of yacc.c  */
#line 6222 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_string("ALL", 3, system_charset_info); }
    break;

  case 1088:

/* Line 1455 of yacc.c  */
#line 6223 "drizzled/sql_yacc.yy"
    { (yyval.item)=new Item_string("binary", 6, system_charset_info); }
    break;

  case 1091:

/* Line 1455 of yacc.c  */
#line 6233 "drizzled/sql_yacc.yy"
    {
            LEX *lex= Lex;
            lex->sql_command= SQLCOM_UNLOCK_TABLES;
            lex->statement= new(std::nothrow) statement::UnlockTables(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 1092:

/* Line 1455 of yacc.c  */
#line 6241 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1093:

/* Line 1455 of yacc.c  */
#line 6246 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command = SQLCOM_BEGIN;
            lex->statement= new(std::nothrow) statement::StartTransaction(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
          }
    break;

  case 1094:

/* Line 1455 of yacc.c  */
#line 6253 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1095:

/* Line 1455 of yacc.c  */
#line 6257 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1096:

/* Line 1455 of yacc.c  */
#line 6258 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1097:

/* Line 1455 of yacc.c  */
#line 6263 "drizzled/sql_yacc.yy"
    { (yyval.num)= (YYSession->variables.completion_type == 1); }
    break;

  case 1098:

/* Line 1455 of yacc.c  */
#line 6264 "drizzled/sql_yacc.yy"
    { (yyval.num)=0; }
    break;

  case 1099:

/* Line 1455 of yacc.c  */
#line 6265 "drizzled/sql_yacc.yy"
    { (yyval.num)=1; }
    break;

  case 1100:

/* Line 1455 of yacc.c  */
#line 6270 "drizzled/sql_yacc.yy"
    { (yyval.num)= (YYSession->variables.completion_type == 2); }
    break;

  case 1101:

/* Line 1455 of yacc.c  */
#line 6271 "drizzled/sql_yacc.yy"
    { (yyval.num)=1; }
    break;

  case 1102:

/* Line 1455 of yacc.c  */
#line 6272 "drizzled/sql_yacc.yy"
    { (yyval.num)=0; }
    break;

  case 1103:

/* Line 1455 of yacc.c  */
#line 6276 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1104:

/* Line 1455 of yacc.c  */
#line 6277 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1105:

/* Line 1455 of yacc.c  */
#line 6282 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command= SQLCOM_COMMIT;
            statement::Commit *statement= new(std::nothrow) statement::Commit(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            statement->tx_chain= (yyvsp[(3) - (4)].num);
            statement->tx_release= (yyvsp[(4) - (4)].num);
          }
    break;

  case 1106:

/* Line 1455 of yacc.c  */
#line 6296 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command= SQLCOM_ROLLBACK;
            statement::Rollback *statement= new(std::nothrow) statement::Rollback(YYSession);
            lex->statement= statement;
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            statement->tx_chain= (yyvsp[(3) - (4)].num);
            statement->tx_release= (yyvsp[(4) - (4)].num);
          }
    break;

  case 1107:

/* Line 1455 of yacc.c  */
#line 6308 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command= SQLCOM_ROLLBACK_TO_SAVEPOINT;
            lex->statement= new(std::nothrow) statement::RollbackToSavepoint(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            lex->ident= (yyvsp[(5) - (5)].lex_str);
          }
    break;

  case 1108:

/* Line 1455 of yacc.c  */
#line 6320 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command= SQLCOM_SAVEPOINT;
            lex->statement= new(std::nothrow) statement::Savepoint(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            lex->ident= (yyvsp[(2) - (2)].lex_str);
          }
    break;

  case 1109:

/* Line 1455 of yacc.c  */
#line 6332 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->sql_command= SQLCOM_RELEASE_SAVEPOINT;
            lex->statement= new(std::nothrow) statement::ReleaseSavepoint(YYSession);
            if (lex->statement == NULL)
              DRIZZLE_YYABORT;
            lex->ident= (yyvsp[(3) - (3)].lex_str);
          }
    break;

  case 1110:

/* Line 1455 of yacc.c  */
#line 6348 "drizzled/sql_yacc.yy"
    {}
    break;

  case 1112:

/* Line 1455 of yacc.c  */
#line 6354 "drizzled/sql_yacc.yy"
    {
            if (add_select_to_union_list(YYSession, Lex, (bool)(yyvsp[(2) - (2)].num)))
              DRIZZLE_YYABORT;
          }
    break;

  case 1113:

/* Line 1455 of yacc.c  */
#line 6359 "drizzled/sql_yacc.yy"
    {
            /*
              Remove from the name resolution context stack the context of the
              last select in the union.
            */
            Lex->pop_context();
          }
    break;

  case 1114:

/* Line 1455 of yacc.c  */
#line 6369 "drizzled/sql_yacc.yy"
    { (yyval.num)= 0; }
    break;

  case 1115:

/* Line 1455 of yacc.c  */
#line 6370 "drizzled/sql_yacc.yy"
    { (yyval.num)= 1; }
    break;

  case 1116:

/* Line 1455 of yacc.c  */
#line 6371 "drizzled/sql_yacc.yy"
    { (yyval.num)= 1; }
    break;

  case 1117:

/* Line 1455 of yacc.c  */
#line 6375 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            LEX *lex= session->lex;
            assert(lex->current_select->linkage != GLOBAL_OPTIONS_TYPE);
            Select_Lex *sel= lex->current_select;
            Select_Lex_Unit *unit= sel->master_unit();
            Select_Lex *fake= unit->fake_select_lex;
            if (fake)
            {
              unit->global_parameters= fake;
              fake->no_table_names_allowed= 1;
              lex->current_select= fake;
            }
            session->where= "global ORDER clause";
          }
    break;

  case 1118:

/* Line 1455 of yacc.c  */
#line 6391 "drizzled/sql_yacc.yy"
    {
            Session *session= YYSession;
            session->lex->current_select->no_table_names_allowed= 0;
            session->where= "";
          }
    break;

  case 1121:

/* Line 1455 of yacc.c  */
#line 6404 "drizzled/sql_yacc.yy"
    { (yyval.num)=1; }
    break;

  case 1122:

/* Line 1455 of yacc.c  */
#line 6405 "drizzled/sql_yacc.yy"
    { (yyval.num)=1; }
    break;

  case 1123:

/* Line 1455 of yacc.c  */
#line 6406 "drizzled/sql_yacc.yy"
    { (yyval.num)=0; }
    break;

  case 1124:

/* Line 1455 of yacc.c  */
#line 6411 "drizzled/sql_yacc.yy"
    {
            (yyval.select_lex)= Lex->current_select->master_unit()->first_select();
          }
    break;

  case 1125:

/* Line 1455 of yacc.c  */
#line 6415 "drizzled/sql_yacc.yy"
    {
            (yyval.select_lex)= Lex->current_select->master_unit()->first_select();
          }
    break;

  case 1127:

/* Line 1455 of yacc.c  */
#line 6424 "drizzled/sql_yacc.yy"
    {
            if (add_select_to_union_list(YYSession, Lex, (bool)(yyvsp[(3) - (3)].num)))
              DRIZZLE_YYABORT;
          }
    break;

  case 1128:

/* Line 1455 of yacc.c  */
#line 6429 "drizzled/sql_yacc.yy"
    {
            Lex->pop_context();
            (yyval.select_lex)= (yyvsp[(1) - (5)].select_lex);
          }
    break;

  case 1129:

/* Line 1455 of yacc.c  */
#line 6438 "drizzled/sql_yacc.yy"
    {
            (yyval.select_lex)= (yyvsp[(2) - (3)].select_lex);
          }
    break;

  case 1130:

/* Line 1455 of yacc.c  */
#line 6444 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            if (!lex->expr_allows_subselect)
            {
              struct my_parse_error_st pass= { ER(ER_SYNTAX_ERROR), YYSession };
              my_parse_error(&pass);
              DRIZZLE_YYABORT;
            }
            /*
              we are making a "derived table" for the parenthesis
              as we need to have a lex level to fit the union
              after the parenthesis, e.g.
              (SELECT .. ) UNION ...  becomes
              SELECT * FROM ((SELECT ...) UNION ...)
            */
            if (mysql_new_select(Lex, 1))
              DRIZZLE_YYABORT;
          }
    break;

  case 1131:

/* Line 1455 of yacc.c  */
#line 6465 "drizzled/sql_yacc.yy"
    {
            LEX *lex=Lex;
            lex->pop_context();
            Select_Lex *child= lex->current_select;
            lex->current_select = lex->current_select->return_after_parsing();
            lex->nest_level--;
            lex->current_select->n_child_sum_items += child->n_sum_items;
            /*
              A subselect can add fields to an outer select. Reserve space for
              them.
            */
            lex->current_select->select_n_where_fields+=
            child->select_n_where_fields;
          }
    break;



/* Line 1455 of yacc.c  */
#line 17763 "drizzled/sql_yacc.cc"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;


      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



